--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2010 All Rights Reserved.                                                                          *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

ALTER SESSION SET CURRENT_SCHEMA= &&CALM_SCHEMA;

GRANT REFERENCES ON &&NF_SCHEMA..PROJECT TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..BUILD TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..PROJECT_CATEGORY TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..TEAM TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..PHASE TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..COMPONENT TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..ITERATION TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..RELEASE TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..REQUEST_CLASSIFICATION TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA.."RESOURCE" TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..REQUEST_STATE TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..REQUEST_STATUS TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..REQUEST_RESOLUTION TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..REQUEST_SEVERITY TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..REQUEST_PRIORITY TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..REQUEST_TYPE TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..REQUEST TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..REQUIREMENT TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..REQUIREMENT_LINK_TYPE TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..REQUIREMENT_CLASSIFICATION TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..TESTSCRIPT TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..TESTPLAN TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..RESERVATION TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..TESTCASE TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..TESTSUITE TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..EXECUTION_RESULT TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..TESTSUITELOG TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..CONFIGURATION TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..TESTSUITE_EXECUTION_RECORD TO &&CALM_SCHEMA;
GRANT REFERENCES ON &&NF_SCHEMA..ITERATION TO &&CALM_SCHEMA;

CREATE TABLE REQUEST_HISTORY (
		REQUEST_HISTORY_ID INTEGER NOT NULL,
		REQUEST_CLASS_ID INTEGER DEFAULT -1 NOT NULL,
		REQUEST_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Request Name Missing' NOT NULL,
		REFERENCE_ID VARCHAR(50),
		EXTERNAL_ID VARCHAR(100),
		PROJECT_ID INTEGER DEFAULT -1 NOT NULL,
		COMPONENT_ID INTEGER DEFAULT -1 NOT NULL,
		BUILD_ID INTEGER DEFAULT -1 NOT NULL,
		PROJECT_CATEGORY_ID INTEGER DEFAULT -1 NOT NULL,
		PHASE_ID INTEGER DEFAULT -1 NOT NULL,
		REQUEST_SEVERITY_ID INTEGER DEFAULT -1 NOT NULL,
		REQUEST_STATE_ID INTEGER DEFAULT -1 NOT NULL,
		REQUEST_PRIORITY_ID INTEGER DEFAULT -1 NOT NULL,
		PLATFORM VARCHAR(255),
		ITERATION_ID INTEGER DEFAULT -1 NOT NULL,
		RELEASE_ID INTEGER DEFAULT -1 NOT NULL,
		FIXEDINRELEASE_ID INTEGER DEFAULT -1 NOT NULL,
		SLOC_CHANGE INTEGER DEFAULT 0,
		OWNER_ID INTEGER DEFAULT -1 NOT NULL,
		REQUEST_CATEGORY_ID INTEGER DEFAULT -1 NOT NULL,
		TEAM_ID INTEGER DEFAULT -1 NOT NULL,
		RESOLVER_ID INTEGER DEFAULT -1 NOT NULL,
		IS_BLOCKING INTEGER DEFAULT 0 NOT NULL,
		REQUEST_SOURCE VARCHAR(255),
		CREATION_DATE TIMESTAMP,
		CLOSED_DATE TIMESTAMP,
		SUBMIT_DATE TIMESTAMP,
		RESOLVED_DATE TIMESTAMP,
		ASSIGNED_DATE TIMESTAMP,
		DUPLICATE_DATE TIMESTAMP,
		ACTIVATE_DATE TIMESTAMP,
		REQUEST_STATUS_ID INTEGER DEFAULT -1 NOT NULL,
		CUSTOMER_PRIORITY VARCHAR(255),
		REQUEST_RESOLUTION_ID INTEGER DEFAULT -1 NOT NULL,
		REQUEST_TYPE_ID INTEGER DEFAULT -1 NOT NULL,
		PLANNED_WORK INTEGER,
		ACTUAL_WORK INTEGER,
		COMMENT_COUNT INTEGER, 
		SUBSCRIBER_COUNT INTEGER,
		STORY_POINTS INTEGER,   
		TAGS VARCHAR (255),
		SUMMARY VARCHAR (1000),
		URL VARCHAR(2048),
		EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL,
		EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL,
		SOURCE_ID VARCHAR (36) DEFAULT '-1' NOT NULL,
		REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
		REC_DATE DATE DEFAULT CURRENT_DATE NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		PREV_REQUEST_HISTORY_ID INTEGER DEFAULT -1
) TABLESPACE VNF_32K ;

CREATE TABLE REQUEST_BASELINE (
		REQUEST_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE REQUEST_INT_EXT (
		REQUEST_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL INTEGER
) TABLESPACE VNF_32K ;

CREATE TABLE REQUEST_LONG_EXT (
		REQUEST_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL NUMBER(20)
) TABLESPACE VNF_32K ;

CREATE TABLE REQUEST_BOOL_EXT (
		REQUEST_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL SMALLINT
) TABLESPACE VNF_32K ;

CREATE TABLE REQUEST_STRING_EXT (
		REQUEST_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL VARCHAR(255),
		NUM_VAL BINARY_DOUBLE
) TABLESPACE VNF_32K ;

CREATE TABLE REQUEST_STRING_M_EXT (
		REQUEST_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL VARCHAR(1023),
		NUM_VAL BINARY_DOUBLE
) TABLESPACE VNF_32K ;

CREATE TABLE REQUEST_STRING_L_EXT (
		REQUEST_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL VARCHAR(4000),
		NUM_VAL BINARY_DOUBLE
) TABLESPACE VNF_32K ;

CREATE TABLE REQUEST_TIMESTAMP_EXT (
		REQUEST_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL TIMESTAMP
) TABLESPACE VNF_32K ;

CREATE TABLE REQUEST_DECIMAL_EXT (
		REQUEST_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL DECIMAL(10,2)
) TABLESPACE VNF_32K ;

CREATE TABLE REQUEST_HISTORY_INT_EXT (
		REQUEST_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL INTEGER
) TABLESPACE VNF_32K ;

CREATE TABLE REQUEST_HISTORY_LONG_EXT (
		REQUEST_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL NUMBER(20)
) TABLESPACE VNF_32K ;

CREATE TABLE REQUEST_HISTORY_BOOL_EXT (
		REQUEST_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL SMALLINT
) TABLESPACE VNF_32K ;

CREATE TABLE REQUEST_HISTORY_STRING_EXT (
		REQUEST_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL VARCHAR(255),
		NUM_VAL BINARY_DOUBLE
) TABLESPACE VNF_32K ;

CREATE TABLE REQUEST_HISTORY_STRING_M_EXT (
		REQUEST_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL VARCHAR(1023),
		NUM_VAL BINARY_DOUBLE
) TABLESPACE VNF_32K ;

CREATE TABLE REQUEST_HISTORY_STRING_L_EXT (
		REQUEST_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL VARCHAR(4000),
		NUM_VAL BINARY_DOUBLE
) TABLESPACE VNF_32K ;

CREATE TABLE REQUEST_HISTORY_TIMESTAMP_EXT (
		REQUEST_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL TIMESTAMP
) TABLESPACE VNF_32K ;

CREATE TABLE REQUEST_HISTORY_DECIMAL_EXT (
		REQUEST_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL DECIMAL(10,2)
) TABLESPACE VNF_32K ;

CREATE TABLE REQUEST_ENUMERATION (
		REQUEST_ENUMERATION_ID INTEGER NOT NULL,
		ENUMERATION_NAME VARCHAR(255) DEFAULT 'Request Enumeration Name Missing' NOT NULL,
		LITERAL_NAME VARCHAR(255) DEFAULT 'Request Enumeration Literal Name Missing' NOT NULL,
		REFERENCE_ID VARCHAR(50),
		EXTERNAL_ID VARCHAR(100),
		PROJECT_ID INTEGER DEFAULT -1 NOT NULL,
		URL VARCHAR(2048),
		EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL,
		EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL,
		SOURCE_ID VARCHAR (36) DEFAULT '-1' NOT NULL,
		REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE RQRMENT_HISTORY (
		REQUIREMENT_HISTORY_ID INTEGER NOT NULL,
		REQUIREMENT_ID INTEGER NOT NULL,
		REQUIREMENT_CLASS_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Requirement Name Missing' NOT NULL,
		REFERENCE_ID VARCHAR(50),
		EXTERNAL_ID VARCHAR(100),
		PROJECT_ID INTEGER DEFAULT -1 NOT NULL,
		PLANNED_ITERATION_ID INTEGER DEFAULT -1 NOT NULL,
		ACTUAL_ITERATION_ID INTEGER DEFAULT -1 NOT NULL,
		RELEASE_ID INTEGER DEFAULT -1 NOT NULL,
		STATUS VARCHAR(255),
		REQUIREMENT_TYPE VARCHAR(255),
		REQUIREMENT_STATE VARCHAR(255),
		OWNER_ID INTEGER DEFAULT -1 NOT NULL,
		DIFFICULTY VARCHAR(255),
		STABILITY VARCHAR(255),
		COMPONENT_ID INTEGER DEFAULT -1 NOT NULL,
		CREATION_DATE TIMESTAMP,
		PRIORITY VARCHAR(255),
		CUSTOMER_PRIORITY VARCHAR(255),
		PLATFORM VARCHAR(255),
		REVISION_NUMBER VARCHAR(50),
		REVISION_DATE TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
		URL VARCHAR(2048),
		EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL,
		EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL,
		SOURCE_ID VARCHAR (36) DEFAULT '-1' NOT NULL,
		REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		PREV_REQUIREMENT_HISTORY_ID INTEGER DEFAULT -1
) TABLESPACE VNF_32K ;

CREATE TABLE RQRMENT_TYPE (
		REQUIREMENT_TYPE_ID INTEGER NOT NULL,
		IDENTIFIER VARCHAR(255) NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		PROJECT_ID INTEGER DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE RQRMENT_ATTRDEF (
		REQUIREMENT_ATTRDEF_ID INTEGER NOT NULL,
		REQUIREMENT_TYPE_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		DATATYPE VARCHAR(255),
		IS_ENUMERATION SMALLINT DEFAULT 0 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE RQRMENT_TYPE_ATTRDEF (
	REQUIREMENT_ATTRDEF_ID INTEGER NOT NULL,
	REQUIREMENT_TYPE_ID INTEGER DEFAULT -1 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE RQRMENT_STRING_EXT (
		REQUIREMENT_ID INTEGER DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INTEGER DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL VARCHAR(255)
) TABLESPACE VNF_32K ;

CREATE TABLE RQRMENT_STRING_L_EXT (
		REQUIREMENT_ID INTEGER DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INTEGER DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL VARCHAR(4000)
) TABLESPACE VNF_32K ;

CREATE TABLE RQRMENT_INT_EXT (
		REQUIREMENT_ID INTEGER DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INTEGER DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL INTEGER
) TABLESPACE VNF_32K ;

CREATE TABLE RQRMENT_DECIMAL_EXT (
		REQUIREMENT_ID INTEGER DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INTEGER DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL DECIMAL(10,2)
) TABLESPACE VNF_32K ;

CREATE TABLE RQRMENT_BOOL_EXT (
		REQUIREMENT_ID INTEGER DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INTEGER DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL SMALLINT
) TABLESPACE VNF_32K ;

CREATE TABLE RQRMENT_ENUMERATION (
		REQUIREMENT_ENUMERATION_ID INTEGER NOT NULL,
		REQUIREMENT_ATTRDEF_ID INTEGER DEFAULT -1 NOT NULL,
		LITERAL_NAME VARCHAR(255) DEFAULT ' Requirement Enumeration Literal Name Missing' NOT NULL,
		REQUIREMENT_ID INTEGER DEFAULT -1 NOT NULL,
		EXTERNAL_ID VARCHAR(100),
		PROJECT_ID INTEGER DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE RQRMENT_HISTORY_INT_EXT (
		REQUIREMENT_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INTEGER DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL INTEGER
) TABLESPACE VNF_32K ;

CREATE TABLE RQRMENT_HISTORY_BOOL_EXT (
		REQUIREMENT_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INTEGER DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL SMALLINT
) TABLESPACE VNF_32K ;

CREATE TABLE RQRMENT_HISTORY_STRING_EXT (
		REQUIREMENT_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INTEGER DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL VARCHAR(255)
) TABLESPACE VNF_32K ;

CREATE TABLE RQRMENT_HISTORY_STRING_L_EXT (
		REQUIREMENT_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INTEGER DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL VARCHAR(4000)
) TABLESPACE VNF_32K ;

CREATE TABLE RQRMENT_HISTORY_DECIMAL_EXT (
		REQUIREMENT_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INTEGER DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL DECIMAL(10,2)
) TABLESPACE VNF_32K ;

CREATE TABLE REQUIREMENT_EXTERNAL_LINK (
		EXTERNAL_ID VARCHAR(100),
		PRED_REQUIREMENT_ID INTEGER DEFAULT -1 NOT NULL,
		LINK_TYPE_ID INTEGER DEFAULT -1 NOT NULL,
		EXTERNAL_LABEL  VARCHAR(255),
		EXTERNAL_URL VARCHAR(2048)
) TABLESPACE VNF_32K ;

CREATE TABLE KEYWORD (
		KEYWORD_ID INTEGER NOT NULL,
		KEYWORD_CLASS_ID INTEGER DEFAULT -1 NOT NULL,
		TITLE VARCHAR(255) DEFAULT 'KeyWord Title Missing' NOT NULL,
		TAG VARCHAR(255),
		DEFAULT_SCRIPT_ID INTEGER DEFAULT -1 NOT NULL,
		URL VARCHAR(2048),
		REFERENCE_ID VARCHAR(50),
		EXTERNAL_ID VARCHAR(100),
		PROJECT_ID INTEGER DEFAULT -1 NOT NULL,
		EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL,
		EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL,
		SOURCE_ID VARCHAR (36) DEFAULT '-1' NOT NULL,
		LAST_UPDATED TIMESTAMP,
		REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE KEYWORD_CLASSIFICATION (
		KEYWORD_CLASS_ID INTEGER NOT NULL,
		NAME VARCHAR(50) DEFAULT 'KeyWord Class Name Missing' NOT NULL,
		REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE KEYWORD_SCRIPT_LOOKUP (
		KEYWORD_ID INTEGER NOT NULL,
		TESTSCRIPT_ID INTEGER NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE QUALITY_OBJECTIVE (
		OBJECTIVE_ID INTEGER NOT NULL,
		OBJECTIVE_CLASS_ID INTEGER DEFAULT -1 NOT NULL,
		TITLE VARCHAR(255) DEFAULT 'Quaility Objective Title Missing' NOT NULL,
		DESCRIPTION VARCHAR(255),
		CREATOR_ID INTEGER DEFAULT -1 NOT NULL,
		OPERATOR VARCHAR(20),
		TARGET_VALUE INTEGER DEFAULT 0 NOT NULL,
		EVALUATOR_ID VARCHAR(255),
		URL VARCHAR(2048),
		REFERENCE_ID VARCHAR(50),
		EXTERNAL_ID VARCHAR(100),
		PROJECT_ID INTEGER DEFAULT -1 NOT NULL,
		EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL,
		EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL,
		SOURCE_ID VARCHAR (36) DEFAULT '-1' NOT NULL,
		LAST_UPDATED TIMESTAMP,
		REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE OBJECTIVE_CLASSIFICATION (
		OBJECTIVE_CLASS_ID INTEGER NOT NULL,
		NAME VARCHAR(50) DEFAULT 'Quaility Objective Class Name Missing' NOT NULL,
		REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE TESTPLAN_OBJECTIVESTATUS (
		TESTPLAN_OBJECTIVESTATUS_ID INTEGER NOT NULL,
		TESTPLAN_ID INTEGER DEFAULT -1 NOT NULL,
		OBJECTIVE_ID INTEGER DEFAULT -1 NOT NULL,
		GROUP_ORDER INTEGER DEFAULT -1 NOT NULL,
		ACTUAL_VALUE INTEGER DEFAULT 0 NOT NULL,
		STATE VARCHAR(255),
		"COMMENT" VARCHAR(255),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE TESTPLAN_OBJECTIVE_LOOKUP (
		TESTPLAN_ID INTEGER NOT NULL,
		OBJECTIVE_ID INTEGER NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE LABREQUEST (
		LABREQUEST_ID INTEGER NOT NULL,
		LABREQUEST_CLASS_ID INTEGER DEFAULT -1 NOT NULL,
		TITLE VARCHAR(255) DEFAULT 'LabRequest Title Missing' NOT NULL,
		SUMMARY VARCHAR(255),
		COMMENTS VARCHAR(1024),
		CREATE_DATE TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
		CONFIRMATION_DATE TIMESTAMP,
		REQUESTER_ID INTEGER DEFAULT -1 NOT NULL,
		FULFILLER_ID INTEGER DEFAULT -1 NOT NULL,
		PRIORITY VARCHAR(255),
		CURRENT_STATE VARCHAR(255),
		VISIBLE_ID INTEGER DEFAULT -1 NOT NULL,
		CONFIGURATION VARCHAR(2048),
		RESERVE_FROM TIMESTAMP,
		RESERVE_TO TIMESTAMP,
		URL VARCHAR(2048),
		REFERENCE_ID VARCHAR(50),
		EXTERNAL_ID VARCHAR(100),
		PROJECT_ID INTEGER DEFAULT -1 NOT NULL,
		EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL,
		EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL,
		SOURCE_ID VARCHAR (36) DEFAULT '-1' NOT NULL,
		LAST_UPDATED TIMESTAMP,
		REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE LABREQUEST_CLASSIFICATION (
		LABREQUEST_CLASS_ID INTEGER NOT NULL,
		NAME VARCHAR(50) DEFAULT 'LabRequest Class Name Missing' NOT NULL,
		REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE LABREQUEST_CHANGESTATE (
		CHANGESTATE_ID INTEGER NOT NULL,
		LABREQUEST_ID INTEGER DEFAULT -1 NOT NULL,
		STATE_UUID VARCHAR(255) DEFAULT '-1' NOT NULL,
		FROM_STATE VARCHAR(255),
		TO_STATE VARCHAR(255),
		FROM_TIME TIMESTAMP,
		TO_TIME TIMESTAMP,
		USER_ID INTEGER DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL		
) TABLESPACE VNF_32K ;

CREATE TABLE RESERVATION_LABREQUEST_LOOKUP (
		RESERVATION_ID INTEGER NOT NULL,
		LABREQUEST_ID INTEGER NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE TESTPLAN_STRING_EXT (
		TESTPLAN_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR VARCHAR(255),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE TESTPLAN_STRING_M_EXT (
		TESTPLAN_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR VARCHAR(1024),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE TESTPLAN_INT_EXT (
		TESTPLAN_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR INTEGER,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE TESTPLAN_TIMESTAMP_EXT (
		TESTPLAN_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR TIMESTAMP,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE TESTCASE_STRING_EXT (
		TESTCASE_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR VARCHAR(255),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE TESTCASE_STRING_M_EXT (
		TESTCASE_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR VARCHAR(1024),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE TESTCASE_INT_EXT (
		TESTCASE_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR INTEGER,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE TESTCASE_TIMESTAMP_EXT (
		TESTCASE_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR TIMESTAMP,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE TESTSCRIPT_STRING_EXT (
		TESTSCRIPT_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR VARCHAR(255),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE TESTSCRIPT_STRING_M_EXT (
		TESTSCRIPT_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR VARCHAR(1024),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE TESTSCRIPT_INT_EXT (
		TESTSCRIPT_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR INTEGER,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE TESTSCRIPT_TIMESTAMP_EXT (
		TESTSCRIPT_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR TIMESTAMP,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE TESTSUITE_STRING_EXT (
		TESTSUITE_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR VARCHAR(255),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE TESTSUITE_STRING_M_EXT (
		TESTSUITE_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR VARCHAR(1024),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE TESTSUITE_INT_EXT (
		TESTSUITE_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR INTEGER,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE TESTSUITE_TIMESTAMP_EXT (
		TESTSUITE_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR TIMESTAMP,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE EXECRES_STRING_EXT (
		EXECUTION_RESULT_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR VARCHAR(255),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE EXECRES_STRING_M_EXT (
		EXECUTION_RESULT_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR VARCHAR(1024),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE EXECRES_INT_EXT (
		EXECUTION_RESULT_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR INTEGER,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE EXECRES_TIMESTAMP_EXT (
		EXECUTION_RESULT_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR TIMESTAMP,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE TESTSUITELOG_STRING_EXT (
		TESTSUITELOG_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR VARCHAR(255),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE TESTSUITELOG_STRING_M_EXT (
		TESTSUITELOG_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR VARCHAR(1024),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE TESTSUITELOG_INT_EXT (
		TESTSUITELOG_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR INTEGER,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE TESTSUITELOG_TIMESTAMP_EXT (
		TESTSUITELOG_ID INTEGER DEFAULT -1 NOT NULL,
		IDENTIFIER VARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR TIMESTAMP,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE TABLE ITERATION_EXEC_DETAIL (
		ITER_EXEC_DETAIL_ID INTEGER NOT NULL,
		ITERATION_ID INTEGER DEFAULT -1 NOT NULL,
		"COMMENT" VARCHAR(255),
		EXEC_DATE TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
		POINT_ATTEMPTED INTEGER DEFAULT 0 NOT NULL,
		POINT_COMPLETED INTEGER DEFAULT 0 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) TABLESPACE VNF_32K ;

CREATE INDEX REQHIS_IDX3 ON REQUEST_HISTORY (EXTERNAL_KEY2 ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHIS_IDX4 ON REQUEST_HISTORY (EXTERNAL_KEY1 ASC, SOURCE_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHIS_IDX5 ON REQUEST_HISTORY (EXTERNAL_KEY2 ASC, SOURCE_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHIS_IDX6 ON REQUEST_HISTORY (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHIS_IDX7 ON REQUEST_HISTORY (REQUEST_CLASS_ID ASC, REQUEST_HISTORY_ID ASC, EXTERNAL_KEY1 ASC, SOURCE_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHIS_IDX8 ON REQUEST_HISTORY (REQUEST_HISTORY_ID ASC, EXTERNAL_KEY1 ASC, SOURCE_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHIS_IDX9 ON REQUEST_HISTORY (BUILD_ID ASC, REQUEST_HISTORY_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHIS_IDX10 ON REQUEST_HISTORY (REQUEST_CLASS_ID ASC, PROJECT_ID ASC, COMPONENT_ID ASC, OWNER_ID ASC, REQUEST_HISTORY_ID ASC, ITERATION_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHIS_IDX11 ON REQUEST_HISTORY (REQUEST_SOURCE ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHIS_IDX12 ON REQUEST_HISTORY (REQUEST_TYPE_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHIS_IDX13 ON REQUEST_HISTORY (REQUEST_STATUS_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHIS_IDX14 ON REQUEST_HISTORY (COMPONENT_ID ASC, IS_BLOCKING ASC, REQUEST_HISTORY_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHIS_IDX15 ON REQUEST_HISTORY (REQUEST_CLASS_ID ASC, REQUEST_HISTORY_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHIS_IDX16 ON REQUEST_HISTORY (REQUEST_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHIS_IDX17 ON REQUEST_HISTORY (REC_DATETIME ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHIS_IDX18 ON REQUEST_HISTORY (PREV_REQUEST_HISTORY_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQBASE_IDX1 ON REQUEST_BASELINE (REQUEST_HISTORY_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQBASE_IDX2 ON REQUEST_BASELINE (REC_DATETIME ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQBASE_IDX3 ON REQUEST_BASELINE (REQUEST_HISTORY_ID ASC, REC_DATETIME ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQINTEXT_IDX1 ON REQUEST_INT_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQINTEXT_IDX2 ON REQUEST_INT_EXT (REQUEST_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQLONGEXT_IDX1 ON REQUEST_LONG_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQLONGEXT_IDX2 ON REQUEST_LONG_EXT (REQUEST_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQBOOLEXT_IDX1 ON REQUEST_BOOL_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQBOOLEXT_IDX2 ON REQUEST_BOOL_EXT (REQUEST_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQBOOLEXT_IDX3 ON REQUEST_BOOL_EXT (REQUEST_ID ASC, NAME ASC, VAL ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQSTREXT_IDX1 ON REQUEST_STRING_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQSTREXT_IDX2 ON REQUEST_STRING_EXT (REQUEST_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQSTREXT_IDX3 ON REQUEST_STRING_EXT (REQUEST_ID ASC, VAL ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQSTRMEXT_IDX1 ON REQUEST_STRING_M_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQSTRMEXT_IDX2 ON REQUEST_STRING_M_EXT (REQUEST_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQSTRLEXT_IDX1 ON REQUEST_STRING_L_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQSTRLEXT_IDX2 ON REQUEST_STRING_L_EXT (REQUEST_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQTSEXT_IDX1 ON REQUEST_TIMESTAMP_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQTSEXT_IDX2 ON REQUEST_TIMESTAMP_EXT (REQUEST_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQDECEXT_IDX1 ON REQUEST_DECIMAL_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQDECEXT_IDX2 ON REQUEST_DECIMAL_EXT (REQUEST_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHISINTEXT_IDX1 ON REQUEST_HISTORY_INT_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHISINTEXT_IDX2 ON REQUEST_HISTORY_INT_EXT (REQUEST_HISTORY_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHISLONGEXT_IDX1 ON REQUEST_HISTORY_LONG_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHISLONGEXT_IDX2 ON REQUEST_HISTORY_LONG_EXT (REQUEST_HISTORY_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHISBOOLEXT_IDX1 ON REQUEST_HISTORY_BOOL_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHISBOOLEXT_IDX2 ON REQUEST_HISTORY_BOOL_EXT (REQUEST_HISTORY_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHISBOOLEXT_IDX3 ON REQUEST_HISTORY_BOOL_EXT (REQUEST_HISTORY_ID ASC, NAME ASC, VAL ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHISSTREXT_IDX1 ON REQUEST_HISTORY_STRING_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHISSTREXT_IDX2 ON REQUEST_HISTORY_STRING_EXT (REQUEST_HISTORY_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHISSTREXT_IDX3 ON REQUEST_HISTORY_STRING_EXT (REQUEST_HISTORY_ID ASC, VAL ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHISSTRMEXT_IDX1 ON REQUEST_HISTORY_STRING_M_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHISSTRMEXT_IDX2 ON REQUEST_HISTORY_STRING_M_EXT (REQUEST_HISTORY_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHISSTRLEXT_IDX1 ON REQUEST_HISTORY_STRING_L_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHISSTRLEXT_IDX2 ON REQUEST_HISTORY_STRING_L_EXT (REQUEST_HISTORY_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHISTSEXT_IDX1 ON REQUEST_HISTORY_TIMESTAMP_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHISTSEXT_IDX2 ON REQUEST_HISTORY_TIMESTAMP_EXT (REQUEST_HISTORY_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHISDECEXT_IDX1 ON REQUEST_HISTORY_DECIMAL_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQHISDECEXT_IDX2 ON REQUEST_HISTORY_DECIMAL_EXT (REQUEST_HISTORY_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQEXTLNK_IDX1 ON REQUIREMENT_EXTERNAL_LINK (PRED_REQUIREMENT_ID ASC, LINK_TYPE_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQEXTLNK_IDX2 ON REQUIREMENT_EXTERNAL_LINK (EXTERNAL_ID ASC, PRED_REQUIREMENT_ID ASC, EXTERNAL_LABEL ASC, LINK_TYPE_ID ASC) REVERSE TABLESPACE VNF_IDX;


ALTER TABLE REQUEST_HISTORY ADD CONSTRAINT REQHIS_PK PRIMARY KEY (REQUEST_HISTORY_ID) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE REQUEST_ENUMERATION ADD CONSTRAINT REQENUM_PK PRIMARY KEY (REQUEST_ENUMERATION_ID) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES  &&NF_SCHEMA..PROJECT (PROJECT_ID);

ALTER TABLE REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK10 FOREIGN KEY (BUILD_ID)
	REFERENCES  &&NF_SCHEMA..BUILD (BUILD_ID);

ALTER TABLE REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK11 FOREIGN KEY (PROJECT_CATEGORY_ID)
	REFERENCES  &&NF_SCHEMA..PROJECT_CATEGORY (PROJECT_CATEGORY_ID);

ALTER TABLE REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK12 FOREIGN KEY (TEAM_ID)
	REFERENCES  &&NF_SCHEMA..TEAM (TEAM_ID);

ALTER TABLE REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK13 FOREIGN KEY (PHASE_ID)
	REFERENCES  &&NF_SCHEMA..PHASE (PHASE_ID);

ALTER TABLE REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK2 FOREIGN KEY (COMPONENT_ID)
	REFERENCES  &&NF_SCHEMA..COMPONENT (COMPONENT_ID);

ALTER TABLE REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK3 FOREIGN KEY (ITERATION_ID)
	REFERENCES  &&NF_SCHEMA..ITERATION (ITERATION_ID);

ALTER TABLE REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK5 FOREIGN KEY (RELEASE_ID)
	REFERENCES  &&NF_SCHEMA..RELEASE (RELEASE_ID);

ALTER TABLE REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK6 FOREIGN KEY (FIXEDINRELEASE_ID)
	REFERENCES  &&NF_SCHEMA..RELEASE (RELEASE_ID);

ALTER TABLE REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK7 FOREIGN KEY (REQUEST_CLASS_ID)
	REFERENCES  &&NF_SCHEMA..REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK8 FOREIGN KEY (OWNER_ID)
	REFERENCES  &&NF_SCHEMA.."RESOURCE" (RESOURCE_ID);

ALTER TABLE REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK9 FOREIGN KEY (RESOLVER_ID)
	REFERENCES  &&NF_SCHEMA.."RESOURCE" (RESOURCE_ID);
	
ALTER TABLE REQUEST_HISTORY ADD CONSTRAINT REQUEST_FK14 FOREIGN KEY (REQUEST_STATE_ID)
	REFERENCES  &&NF_SCHEMA..REQUEST_STATE (REQUEST_STATE_ID);

ALTER TABLE REQUEST_HISTORY ADD CONSTRAINT REQUEST_FK15 FOREIGN KEY (REQUEST_STATUS_ID)
	REFERENCES  &&NF_SCHEMA..REQUEST_STATUS (REQUEST_STATUS_ID);
	
ALTER TABLE REQUEST_HISTORY ADD CONSTRAINT REQUEST_FK16 FOREIGN KEY (REQUEST_RESOLUTION_ID)
	REFERENCES  &&NF_SCHEMA..REQUEST_RESOLUTION (REQUEST_RESOLUTION_ID);
	
ALTER TABLE REQUEST_HISTORY ADD CONSTRAINT REQUEST_FK17 FOREIGN KEY (REQUEST_SEVERITY_ID)
	REFERENCES  &&NF_SCHEMA..REQUEST_SEVERITY (REQUEST_SEVERITY_ID);
			
ALTER TABLE REQUEST_HISTORY ADD CONSTRAINT REQUEST_FK18 FOREIGN KEY (REQUEST_PRIORITY_ID)
	REFERENCES  &&NF_SCHEMA..REQUEST_PRIORITY (REQUEST_PRIORITY_ID);
	
ALTER TABLE REQUEST_HISTORY ADD CONSTRAINT REQUEST_FK19 FOREIGN KEY (REQUEST_TYPE_ID)
	REFERENCES  &&NF_SCHEMA..REQUEST_TYPE (REQUEST_TYPE_ID);

ALTER TABLE REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK20 FOREIGN KEY (REQUEST_ID)
	REFERENCES  &&NF_SCHEMA..REQUEST(REQUEST_ID);

ALTER TABLE REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK21 FOREIGN KEY (PREV_REQUEST_HISTORY_ID) 
	REFERENCES REQUEST_HISTORY (REQUEST_HISTORY_ID);
	
ALTER TABLE REQUEST_BASELINE ADD CONSTRAINT REQBASE_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
	REFERENCES REQUEST_HISTORY (REQUEST_HISTORY_ID);
	
ALTER TABLE REQUEST_INT_EXT ADD CONSTRAINT REQINTEXT_FK1 FOREIGN KEY (REQUEST_ID) 
	REFERENCES  &&NF_SCHEMA..REQUEST (REQUEST_ID);
	
ALTER TABLE REQUEST_LONG_EXT ADD CONSTRAINT REQLONGEXT_FK1 FOREIGN KEY (REQUEST_ID) 
	REFERENCES  &&NF_SCHEMA..REQUEST (REQUEST_ID);

ALTER TABLE REQUEST_BOOL_EXT ADD CONSTRAINT REQBOOLEXT_FK1 FOREIGN KEY (REQUEST_ID)
    REFERENCES  &&NF_SCHEMA..REQUEST (REQUEST_ID);
	
ALTER TABLE REQUEST_STRING_EXT ADD CONSTRAINT REQSTREXT_FK1 FOREIGN KEY (REQUEST_ID)
	REFERENCES  &&NF_SCHEMA..REQUEST (REQUEST_ID);
	
ALTER TABLE REQUEST_STRING_M_EXT ADD CONSTRAINT REQSTRMEXT_FK1 FOREIGN KEY (REQUEST_ID)
	REFERENCES  &&NF_SCHEMA..REQUEST (REQUEST_ID);
	
ALTER TABLE REQUEST_STRING_L_EXT ADD CONSTRAINT REQSTRLEXT_FK1 FOREIGN KEY (REQUEST_ID)
	REFERENCES  &&NF_SCHEMA..REQUEST (REQUEST_ID);

ALTER TABLE REQUEST_TIMESTAMP_EXT ADD CONSTRAINT REQTSEXT_FK1 FOREIGN KEY (REQUEST_ID) 
	REFERENCES  &&NF_SCHEMA..REQUEST (REQUEST_ID);
	
ALTER TABLE REQUEST_DECIMAL_EXT ADD CONSTRAINT REQDECEXT_FK1 FOREIGN KEY (REQUEST_ID) 
	REFERENCES  &&NF_SCHEMA..REQUEST (REQUEST_ID);
	
ALTER TABLE REQUEST_HISTORY_INT_EXT ADD CONSTRAINT REQHISINTEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
	REFERENCES REQUEST_HISTORY (REQUEST_HISTORY_ID);
	
ALTER TABLE REQUEST_HISTORY_LONG_EXT ADD CONSTRAINT REQHISLONGEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
	REFERENCES REQUEST_HISTORY (REQUEST_HISTORY_ID);
	
ALTER TABLE REQUEST_HISTORY_BOOL_EXT ADD CONSTRAINT REQHISBOOLEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
	REFERENCES REQUEST_HISTORY (REQUEST_HISTORY_ID);

ALTER TABLE REQUEST_HISTORY_STRING_EXT ADD CONSTRAINT REQHISSTREXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID)
	REFERENCES REQUEST_HISTORY (REQUEST_HISTORY_ID);
	
ALTER TABLE REQUEST_HISTORY_STRING_M_EXT ADD CONSTRAINT REQHISSTRMEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID)
	REFERENCES REQUEST_HISTORY (REQUEST_HISTORY_ID);
	
ALTER TABLE REQUEST_HISTORY_STRING_L_EXT ADD CONSTRAINT REQHISSTRLEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID)
	REFERENCES REQUEST_HISTORY (REQUEST_HISTORY_ID);

ALTER TABLE REQUEST_HISTORY_TIMESTAMP_EXT ADD CONSTRAINT REQHISTSEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
	REFERENCES REQUEST_HISTORY (REQUEST_HISTORY_ID);

ALTER TABLE REQUEST_HISTORY_DECIMAL_EXT ADD CONSTRAINT REQHISDECEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
	REFERENCES REQUEST_HISTORY (REQUEST_HISTORY_ID);

ALTER TABLE REQUEST_ENUMERATION ADD CONSTRAINT REQENUM_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES  &&NF_SCHEMA..PROJECT (PROJECT_ID);

ALTER TABLE REQUIREMENT_EXTERNAL_LINK ADD CONSTRAINT REQEXTLNK_FK1 FOREIGN KEY (PRED_REQUIREMENT_ID)
	REFERENCES &&NF_SCHEMA..REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE REQUIREMENT_EXTERNAL_LINK ADD CONSTRAINT REQEXTLNK_FK2 FOREIGN KEY (LINK_TYPE_ID)
	REFERENCES &&NF_SCHEMA..REQUIREMENT_LINK_TYPE (LINK_TYPE_ID);
	
CREATE INDEX RQRHIS_IDX1 ON RQRMENT_HISTORY (EXTERNAL_KEY2 ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRHIS_IDX2 ON RQRMENT_HISTORY (EXTERNAL_KEY1 ASC, SOURCE_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRHIS_IDX3 ON RQRMENT_HISTORY (EXTERNAL_KEY2 ASC, SOURCE_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRHIS_IDX4 ON RQRMENT_HISTORY (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRHIS_IDX5 ON RQRMENT_HISTORY (REQUIREMENT_CLASS_ID ASC, REQUIREMENT_HISTORY_ID ASC, EXTERNAL_KEY1 ASC, SOURCE_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRHIS_IDX6 ON RQRMENT_HISTORY (REQUIREMENT_CLASS_ID ASC, REQUIREMENT_HISTORY_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRHIS_IDX7 ON RQRMENT_HISTORY (REQUIREMENT_HISTORY_ID ASC, EXTERNAL_KEY1 ASC, SOURCE_ID ASC) REVERSE TABLESPACE VNF_IDX;
	
CREATE INDEX RQRTYPE_IDX1 ON RQRMENT_TYPE (REQUIREMENT_TYPE_ID ASC, IDENTIFIER ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRTYPE_IDX2 ON RQRMENT_TYPE (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRATTRDEF_IDX1 ON RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID ASC, IDENTIFIER ASC) REVERSE TABLESPACE VNF_IDX;
	
CREATE INDEX RQRATTRDEF_IDX2 ON RQRMENT_ATTRDEF (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRTYP_ATTDEF_IDX1 ON RQRMENT_TYPE_ATTRDEF (REQUIREMENT_TYPE_ID ASC, REQUIREMENT_ATTRDEF_ID ASC) REVERSE TABLESPACE VNF_IDX;
	
CREATE INDEX RQRENUM_IDX1 ON RQRMENT_ENUMERATION (REQUIREMENT_ID ASC, REQUIREMENT_ATTRDEF_ID ASC, PROJECT_ID ASC, EXTERNAL_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRINTEXT_IDX1 ON RQRMENT_INT_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRINTEXT_IDX2 ON RQRMENT_INT_EXT (REQUIREMENT_ID ASC, REQUIREMENT_ATTRDEF_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRBOOLEXT_IDX1 ON RQRMENT_BOOL_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRBOOLEXT_IDX2 ON RQRMENT_BOOL_EXT (REQUIREMENT_ID ASC, REQUIREMENT_ATTRDEF_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRBOOLEXT_IDX3 ON RQRMENT_BOOL_EXT (REQUIREMENT_ID ASC, REQUIREMENT_ATTRDEF_ID ASC, VAL ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRSTREXT_IDX1 ON RQRMENT_STRING_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRSTREXT_IDX2 ON RQRMENT_STRING_EXT (REQUIREMENT_ID ASC, REQUIREMENT_ATTRDEF_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRSTREXT_IDX3 ON RQRMENT_STRING_EXT (REQUIREMENT_ID ASC, REQUIREMENT_ATTRDEF_ID ASC, VAL ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRSTRLEXT_IDX1 ON RQRMENT_STRING_L_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRSTRLEXT_IDX2 ON RQRMENT_STRING_L_EXT (REQUIREMENT_ID ASC, REQUIREMENT_ATTRDEF_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRDECEXT_IDX1 ON RQRMENT_DECIMAL_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRDECEXT_IDX2 ON RQRMENT_DECIMAL_EXT (REQUIREMENT_ID ASC, REQUIREMENT_ATTRDEF_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRHISINTEXT_IDX1 ON RQRMENT_HISTORY_INT_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRHISINTEXT_IDX2 ON RQRMENT_HISTORY_INT_EXT (REQUIREMENT_HISTORY_ID ASC, REQUIREMENT_ATTRDEF_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRHISBOOLEXT_IDX1 ON RQRMENT_HISTORY_BOOL_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRHISBOOLEXT_IDX2 ON RQRMENT_HISTORY_BOOL_EXT (REQUIREMENT_HISTORY_ID ASC, REQUIREMENT_ATTRDEF_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRHISBOOLEXT_IDX3 ON RQRMENT_HISTORY_BOOL_EXT (REQUIREMENT_HISTORY_ID ASC, REQUIREMENT_ATTRDEF_ID ASC, VAL ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRHISSTREXT_IDX1 ON RQRMENT_HISTORY_STRING_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRHISSTREXT_IDX2 ON RQRMENT_HISTORY_STRING_EXT (REQUIREMENT_HISTORY_ID ASC, REQUIREMENT_ATTRDEF_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRHISSTREXT_IDX3 ON RQRMENT_HISTORY_STRING_EXT (REQUIREMENT_HISTORY_ID ASC, REQUIREMENT_ATTRDEF_ID ASC, VAL ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRHISSTRLEXT_IDX1 ON RQRMENT_HISTORY_STRING_L_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRHISSTRLEXT_IDX2 ON RQRMENT_HISTORY_STRING_L_EXT (REQUIREMENT_HISTORY_ID ASC, REQUIREMENT_ATTRDEF_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRHISDECEXT_IDX1 ON RQRMENT_HISTORY_DECIMAL_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX RQRHISDECEXT_IDX2 ON RQRMENT_HISTORY_DECIMAL_EXT (REQUIREMENT_HISTORY_ID ASC, REQUIREMENT_ATTRDEF_ID ASC) REVERSE TABLESPACE VNF_IDX;
	
ALTER TABLE RQRMENT_HISTORY ADD CONSTRAINT RQRHIS_PK PRIMARY KEY 	(REQUIREMENT_HISTORY_ID);
 	
ALTER TABLE RQRMENT_HISTORY ADD CONSTRAINT RQRHIS_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES  &&NF_SCHEMA..PROJECT (PROJECT_ID);

ALTER TABLE RQRMENT_HISTORY ADD CONSTRAINT RQRHIS_FK3 FOREIGN KEY (REQUIREMENT_CLASS_ID)
	REFERENCES  &&NF_SCHEMA..REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID);

ALTER TABLE RQRMENT_HISTORY ADD CONSTRAINT RQRHIS_FK4 FOREIGN KEY (OWNER_ID)
	REFERENCES  &&NF_SCHEMA.."RESOURCE" (RESOURCE_ID);
	
ALTER TABLE RQRMENT_HISTORY ADD CONSTRAINT RQRHIS_FK5 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES  &&NF_SCHEMA..REQUIREMENT(REQUIREMENT_ID);

ALTER TABLE RQRMENT_HISTORY ADD CONSTRAINT RQRHIS_FK7 FOREIGN KEY (PREV_REQUIREMENT_HISTORY_ID) 
	REFERENCES RQRMENT_HISTORY (REQUIREMENT_HISTORY_ID);

ALTER TABLE RQRMENT_TYPE ADD CONSTRAINT RQRMENT_TYPE_PK PRIMARY KEY 	(REQUIREMENT_TYPE_ID);

ALTER TABLE RQRMENT_TYPE ADD CONSTRAINT RQRMENT_TYPE_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES  &&NF_SCHEMA..PROJECT (PROJECT_ID);
		
ALTER TABLE RQRMENT_ATTRDEF ADD CONSTRAINT RQRMENT_ATTRDEF_PK PRIMARY KEY 	(REQUIREMENT_ATTRDEF_ID);
	
ALTER TABLE RQRMENT_ATTRDEF ADD CONSTRAINT RQRMENT_ATTRDEF_FK1 FOREIGN KEY (REQUIREMENT_TYPE_ID)
	REFERENCES RQRMENT_TYPE (REQUIREMENT_TYPE_ID);
	
ALTER TABLE RQRMENT_TYPE_ATTRDEF ADD CONSTRAINT RQRTYPE_ATTRDEF_FK1 FOREIGN KEY (REQUIREMENT_TYPE_ID)
	REFERENCES RQRMENT_TYPE (REQUIREMENT_TYPE_ID);

ALTER TABLE RQRMENT_TYPE_ATTRDEF ADD CONSTRAINT RQRTYPE_ATTRDEF_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID);
		
ALTER TABLE RQRMENT_INT_EXT ADD CONSTRAINT RQRINTEXT_FK1 FOREIGN KEY (REQUIREMENT_ID) 
	REFERENCES  &&NF_SCHEMA..REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE RQRMENT_INT_EXT ADD CONSTRAINT RQRINTEXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID);
	
ALTER TABLE RQRMENT_BOOL_EXT ADD CONSTRAINT RQRBOOLEXT_FK1 FOREIGN KEY (REQUIREMENT_ID)
    REFERENCES  &&NF_SCHEMA..REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE RQRMENT_BOOL_EXT ADD CONSTRAINT RQRBOOLEXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID);
		
ALTER TABLE RQRMENT_STRING_EXT ADD CONSTRAINT RQRSTREXT_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES  &&NF_SCHEMA..REQUIREMENT (REQUIREMENT_ID);
	
ALTER TABLE RQRMENT_STRING_EXT ADD CONSTRAINT RQRSTREXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID);
		
ALTER TABLE RQRMENT_STRING_L_EXT ADD CONSTRAINT RQRSTRLEXT_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES  &&NF_SCHEMA..REQUIREMENT (REQUIREMENT_ID);
	
ALTER TABLE RQRMENT_STRING_L_EXT ADD CONSTRAINT RQRSTRLEXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID);

ALTER TABLE RQRMENT_DECIMAL_EXT ADD CONSTRAINT RQRDECEXT_FK1 FOREIGN KEY (REQUIREMENT_ID) 
	REFERENCES  &&NF_SCHEMA..REQUIREMENT (REQUIREMENT_ID);
	
ALTER TABLE RQRMENT_DECIMAL_EXT ADD CONSTRAINT RQRDECEXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID);

ALTER TABLE RQRMENT_HISTORY_INT_EXT ADD CONSTRAINT RQRHISINTEXT_FK1 FOREIGN KEY (REQUIREMENT_HISTORY_ID) 
	REFERENCES RQRMENT_HISTORY (REQUIREMENT_HISTORY_ID);
	
ALTER TABLE RQRMENT_HISTORY_INT_EXT ADD CONSTRAINT RQRHISINTEXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID);

ALTER TABLE RQRMENT_HISTORY_BOOL_EXT ADD CONSTRAINT RQRHISBOOLEXT_FK1 FOREIGN KEY (REQUIREMENT_HISTORY_ID) 
	REFERENCES RQRMENT_HISTORY (REQUIREMENT_HISTORY_ID);

ALTER TABLE RQRMENT_HISTORY_BOOL_EXT ADD CONSTRAINT RQRHISBOOLEXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID);

ALTER TABLE RQRMENT_HISTORY_STRING_EXT ADD CONSTRAINT RQRHISSTREXT_FK1 FOREIGN KEY (REQUIREMENT_HISTORY_ID)
	REFERENCES RQRMENT_HISTORY (REQUIREMENT_HISTORY_ID);
	
ALTER TABLE RQRMENT_HISTORY_STRING_EXT ADD CONSTRAINT RQRHISSTREXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID);

ALTER TABLE RQRMENT_HISTORY_STRING_L_EXT ADD CONSTRAINT RQRHISSTRLEXT_FK1 FOREIGN KEY (REQUIREMENT_HISTORY_ID)
	REFERENCES RQRMENT_HISTORY (REQUIREMENT_HISTORY_ID);

ALTER TABLE RQRMENT_HISTORY_STRING_L_EXT ADD CONSTRAINT RQRHISSTRLEXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID);

ALTER TABLE RQRMENT_HISTORY_DECIMAL_EXT ADD CONSTRAINT RQRHISDECEXT_FK1 FOREIGN KEY (REQUIREMENT_HISTORY_ID) 
	REFERENCES RQRMENT_HISTORY (REQUIREMENT_HISTORY_ID);

ALTER TABLE RQRMENT_HISTORY_DECIMAL_EXT ADD CONSTRAINT RQRHISDECEXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID);

ALTER TABLE RQRMENT_ENUMERATION ADD CONSTRAINT RQRENUM_PK PRIMARY KEY (REQUIREMENT_ENUMERATION_ID) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE RQRMENT_ENUMERATION ADD CONSTRAINT RQRMENT_ENUMERATION_FK1 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID);

ALTER TABLE RQRMENT_ENUMERATION ADD CONSTRAINT RQRMENT_ENUMERATION_FK2 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES  &&NF_SCHEMA..REQUIREMENT (REQUIREMENT_ID);

CREATE INDEX KEYWORD_IDX1 ON KEYWORD (EXTERNAL_KEY2 ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX KEYWORD_IDX2 ON KEYWORD (EXTERNAL_KEY1 ASC, SOURCE_ID ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX KEYWORD_IDX3 ON KEYWORD (EXTERNAL_KEY2 ASC, SOURCE_ID ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX KEYWORD_IDX4 ON KEYWORD (EXTERNAL_ID ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX KEYWORD_IDX5 ON KEYWORD (EXTERNAL_ID ASC, PROJECT_ID ASC, SOURCE_ID ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX KEYWORD_IDX6 ON KEYWORD (TITLE ASC, KEYWORD_CLASS_ID ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX KEYWORD_IDX7 ON KEYWORD (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX QOBJ_IDX1 ON QUALITY_OBJECTIVE (EXTERNAL_KEY2 ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX QOBJ_IDX2 ON QUALITY_OBJECTIVE (EXTERNAL_KEY1 ASC, SOURCE_ID ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX QOBJ_IDX3 ON QUALITY_OBJECTIVE (EXTERNAL_KEY2 ASC, SOURCE_ID ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX QOBJ_IDX4 ON QUALITY_OBJECTIVE (EXTERNAL_ID ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX QOBJ_IDX5 ON QUALITY_OBJECTIVE (EXTERNAL_ID ASC, PROJECT_ID ASC, SOURCE_ID ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX QOBJ_IDX6 ON QUALITY_OBJECTIVE (TITLE ASC, OBJECTIVE_CLASS_ID ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX QOBJ_IDX7 ON QUALITY_OBJECTIVE (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX TPOBJSTA_IDX1 ON TESTPLAN_OBJECTIVESTATUS (TESTPLAN_ID ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX TPOBJSTA_IDX2 ON TESTPLAN_OBJECTIVESTATUS (TESTPLAN_ID ASC, OBJECTIVE_ID ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX TPOBJSTA_IDX3 ON TESTPLAN_OBJECTIVESTATUS (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX LABREQ_IDX1 ON LABREQUEST (EXTERNAL_KEY2 ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX LABREQ_IDX2 ON LABREQUEST (EXTERNAL_KEY1 ASC, SOURCE_ID ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX LABREQ_IDX3 ON LABREQUEST (EXTERNAL_KEY2 ASC, SOURCE_ID ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX LABREQ_IDX4 ON LABREQUEST (EXTERNAL_ID ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX LABREQ_IDX5 ON LABREQUEST (EXTERNAL_ID ASC, PROJECT_ID ASC, SOURCE_ID ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX LABREQ_IDX6 ON LABREQUEST (VISIBLE_ID ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX LABREQ_IDX7 ON LABREQUEST (PRIORITY ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX LABREQ_IDX8 ON LABREQUEST (CURRENT_STATE ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX LABREQ_IDX9 ON LABREQUEST (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQCS_IDX1 ON LABREQUEST_CHANGESTATE (LABREQUEST_ID ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX REQCS_IDX2 ON LABREQUEST_CHANGESTATE (CHANGESTATE_ID ASC, LABREQUEST_ID ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX REQCS_IDX3 ON LABREQUEST_CHANGESTATE (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX TPSTREXT_IDX1 ON TESTPLAN_STRING_EXT (TESTPLAN_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX TPSTREXT_IDX2 ON TESTPLAN_STRING_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX TPSTRMEXT_IDX1 ON TESTPLAN_STRING_M_EXT (TESTPLAN_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX TPSTRMEXT_IDX2 ON TESTPLAN_STRING_M_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX TPINTEXT_IDX1 ON TESTPLAN_INT_EXT (TESTPLAN_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX TPINTEXT_IDX2 ON TESTPLAN_INT_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX TPTIMEEXT_IDX1 ON TESTPLAN_TIMESTAMP_EXT (TESTPLAN_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX TPTIMEEXT_IDX2 ON TESTPLAN_TIMESTAMP_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX TCSTREXT_IDX1 ON TESTCASE_STRING_EXT (TESTCASE_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX TCSTREXT_IDX2 ON TESTCASE_STRING_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX TCSTRMEXT_IDX1 ON TESTCASE_STRING_M_EXT (TESTCASE_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX TCSTRMEXT_IDX2 ON TESTCASE_STRING_M_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX TCINTEXT_IDX1 ON TESTCASE_INT_EXT (TESTCASE_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX TCINTEXT_IDX2 ON TESTCASE_INT_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX TCTIMEEXT_IDX1 ON TESTCASE_TIMESTAMP_EXT (TESTCASE_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX TCTIMEEXT_IDX2 ON TESTCASE_TIMESTAMP_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX TSCSTREXT_IDX1 ON TESTSCRIPT_STRING_EXT (TESTSCRIPT_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX TSCSTREXT_IDX2 ON TESTSCRIPT_STRING_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX TSCSTRMEXT_IDX1 ON TESTSCRIPT_STRING_M_EXT (TESTSCRIPT_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX TSCSTRMEXT_IDX2 ON TESTSCRIPT_STRING_M_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX TSCINTEXT_IDX1 ON TESTSCRIPT_INT_EXT (TESTSCRIPT_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX TSCINTEXT_IDX2 ON TESTSCRIPT_INT_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX TSCTIMEEXT_IDX1 ON TESTSCRIPT_TIMESTAMP_EXT (TESTSCRIPT_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX TSCTIMEEXT_IDX2 ON TESTSCRIPT_TIMESTAMP_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX TSUSTREXT_IDX1 ON TESTSUITE_STRING_EXT (TESTSUITE_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX TSUSTREXT_IDX2 ON TESTSUITE_STRING_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX TSUSTRMEXT_IDX1 ON TESTSUITE_STRING_M_EXT (TESTSUITE_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX TSUSTRMEXT_IDX2 ON TESTSUITE_STRING_M_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX TSUINTEXT_IDX1 ON TESTSUITE_INT_EXT (TESTSUITE_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX TSUINTEXT_IDX2 ON TESTSUITE_INT_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX TSUTIMEEXT_IDX1 ON TESTSUITE_TIMESTAMP_EXT (TESTSUITE_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX TSUTIMEEXT_IDX2 ON TESTSUITE_TIMESTAMP_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX EXCRESSTREXT_IDX1 ON EXECRES_STRING_EXT (EXECUTION_RESULT_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX EXCRESSTREXT_IDX2 ON EXECRES_STRING_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX EXCRESSTRMEXT_IDX1 ON EXECRES_STRING_M_EXT (EXECUTION_RESULT_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX EXCRESSTRMEXT_IDX2 ON EXECRES_STRING_M_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX EXCRESINTEXT_IDX1 ON EXECRES_INT_EXT (EXECUTION_RESULT_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX EXCRESINTEXT_IDX2 ON EXECRES_INT_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX EXCRESTIMEEXT_IDX1 ON EXECRES_TIMESTAMP_EXT (EXECUTION_RESULT_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX EXCRESTIMEEXT_IDX2 ON EXECRES_TIMESTAMP_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX TSULOGSTREXT_IDX1 ON TESTSUITELOG_STRING_EXT (TESTSUITELOG_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX TSULOGSTREXT_IDX2 ON TESTSUITELOG_STRING_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX TSULOGSTRMEXT_IDX1 ON TESTSUITELOG_STRING_M_EXT (TESTSUITELOG_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX TSULOGSTRMEXT_IDX2 ON TESTSUITELOG_STRING_M_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX TSULOGINTEXT_IDX1 ON TESTSUITELOG_INT_EXT (TESTSUITELOG_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX TSULOGINTEXT_IDX2 ON TESTSUITELOG_INT_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX TSULOGTIMEEXT_IDX1 ON TESTSUITELOG_TIMESTAMP_EXT (TESTSUITELOG_ID ASC, NAME ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX TSULOGTIMEEXT_IDX2 ON TESTSUITELOG_TIMESTAMP_EXT (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX ITERDET_IDX1 ON ITERATION_EXEC_DETAIL (ITERATION_ID ASC) REVERSE TABLESPACE VNF_IDX;
CREATE INDEX ITERDET_IDX2 ON ITERATION_EXEC_DETAIL (ISSOFTDELETED ASC) REVERSE TABLESPACE VNF_IDX;

ALTER TABLE KEYWORD ADD CONSTRAINT KEYWORD_PK PRIMARY KEY (KEYWORD_ID) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE KEYWORD_CLASSIFICATION ADD CONSTRAINT KWCLASS_PK PRIMARY KEY (KEYWORD_CLASS_ID) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE KEYWORD_SCRIPT_LOOKUP ADD CONSTRAINT KWSCRIPT_PK PRIMARY KEY (KEYWORD_ID, TESTSCRIPT_ID) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE QUALITY_OBJECTIVE ADD CONSTRAINT QOBJ_PK PRIMARY KEY (OBJECTIVE_ID) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE OBJECTIVE_CLASSIFICATION ADD CONSTRAINT QOBJCLASS_PK PRIMARY KEY (OBJECTIVE_CLASS_ID) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE TESTPLAN_OBJECTIVESTATUS ADD CONSTRAINT TPOBJSTA_PK PRIMARY KEY (TESTPLAN_OBJECTIVESTATUS_ID) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE TESTPLAN_OBJECTIVE_LOOKUP ADD CONSTRAINT TPOBJ_PK PRIMARY KEY (TESTPLAN_ID, OBJECTIVE_ID) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE LABREQUEST ADD CONSTRAINT LABREQ_PK PRIMARY KEY (LABREQUEST_ID) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE LABREQUEST_CLASSIFICATION ADD CONSTRAINT REQCLASS_PK PRIMARY KEY (LABREQUEST_CLASS_ID) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE LABREQUEST_CHANGESTATE ADD CONSTRAINT REQCS_PK PRIMARY KEY (CHANGESTATE_ID) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE RESERVATION_LABREQUEST_LOOKUP ADD CONSTRAINT RESVREQ_PK PRIMARY KEY (RESERVATION_ID, LABREQUEST_ID) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE TESTPLAN_STRING_EXT ADD CONSTRAINT TPSTREXT_PK PRIMARY KEY (TESTPLAN_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE TESTPLAN_STRING_M_EXT ADD CONSTRAINT TPSTRMEXT_PK PRIMARY KEY (TESTPLAN_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE TESTPLAN_INT_EXT ADD CONSTRAINT TPINTEXT_PK PRIMARY KEY (TESTPLAN_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE TESTPLAN_TIMESTAMP_EXT ADD CONSTRAINT TPTIMEEXT_PK PRIMARY KEY (TESTPLAN_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE TESTCASE_STRING_EXT ADD CONSTRAINT TCSTREXT_PK PRIMARY KEY (TESTCASE_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE TESTCASE_STRING_M_EXT ADD CONSTRAINT TCSTRMEXT_PK PRIMARY KEY (TESTCASE_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE TESTCASE_INT_EXT ADD CONSTRAINT TCINTEXT_PK PRIMARY KEY (TESTCASE_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE TESTCASE_TIMESTAMP_EXT ADD CONSTRAINT TCTIMEEXT_PK PRIMARY KEY (TESTCASE_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE TESTSCRIPT_STRING_EXT ADD CONSTRAINT TSCSTREXT_PK PRIMARY KEY (TESTSCRIPT_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE TESTSCRIPT_STRING_M_EXT ADD CONSTRAINT TSCSTRMEXT_PK PRIMARY KEY (TESTSCRIPT_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE TESTSCRIPT_INT_EXT ADD CONSTRAINT TSCINTEXT_PK PRIMARY KEY (TESTSCRIPT_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE TESTSCRIPT_TIMESTAMP_EXT ADD CONSTRAINT TSCTIMEEXT_PK PRIMARY KEY (TESTSCRIPT_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE TESTSUITE_STRING_EXT ADD CONSTRAINT TSUSTREXT_PK PRIMARY KEY (TESTSUITE_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE TESTSUITE_STRING_M_EXT ADD CONSTRAINT TSUSTRMEXT_PK PRIMARY KEY (TESTSUITE_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE TESTSUITE_INT_EXT ADD CONSTRAINT TSUINTEXT_PK PRIMARY KEY (TESTSUITE_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE TESTSUITE_TIMESTAMP_EXT ADD CONSTRAINT TSUTIMEEXT_PK PRIMARY KEY (TESTSUITE_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE EXECRES_STRING_EXT ADD CONSTRAINT EXCRESSTREXT_PK PRIMARY KEY (EXECUTION_RESULT_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE EXECRES_STRING_M_EXT ADD CONSTRAINT EXCRESSTRMEXT_PK PRIMARY KEY (EXECUTION_RESULT_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE EXECRES_INT_EXT ADD CONSTRAINT EXCRESINTEXT_PK PRIMARY KEY (EXECUTION_RESULT_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE EXECRES_TIMESTAMP_EXT ADD CONSTRAINT EXCRESTIMEEXT_PK PRIMARY KEY (EXECUTION_RESULT_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE TESTSUITELOG_STRING_EXT ADD CONSTRAINT TSULOGSTREXT_PK PRIMARY KEY (TESTSUITELOG_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE TESTSUITELOG_STRING_M_EXT ADD CONSTRAINT TSULOGSTRMEXT_PK PRIMARY KEY (TESTSUITELOG_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE TESTSUITELOG_INT_EXT ADD CONSTRAINT TSULOGINTEXT_PK PRIMARY KEY (TESTSUITELOG_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE TESTSUITELOG_TIMESTAMP_EXT ADD CONSTRAINT TSULOGTIMEEXT_PK PRIMARY KEY (TESTSUITELOG_ID, IDENTIFIER) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE ITERATION_EXEC_DETAIL ADD CONSTRAINT ITERDET_PK PRIMARY KEY (ITER_EXEC_DETAIL_ID) USING INDEX TABLESPACE  VNF_IDX;

ALTER TABLE KEYWORD ADD CONSTRAINT KEYWORD_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES  &&NF_SCHEMA..PROJECT (PROJECT_ID);

ALTER TABLE KEYWORD ADD CONSTRAINT KEYWORD_FK2 FOREIGN KEY (KEYWORD_CLASS_ID)
	REFERENCES KEYWORD_CLASSIFICATION (KEYWORD_CLASS_ID);
	
ALTER TABLE KEYWORD ADD CONSTRAINT KEYWORD_FK3 FOREIGN KEY (DEFAULT_SCRIPT_ID)
	REFERENCES &&NF_SCHEMA..TESTSCRIPT (TESTSCRIPT_ID);
	
ALTER TABLE KEYWORD_SCRIPT_LOOKUP ADD CONSTRAINT KWSCRIPT_FK1 FOREIGN KEY (KEYWORD_ID)
	REFERENCES KEYWORD (KEYWORD_ID);
	
ALTER TABLE KEYWORD_SCRIPT_LOOKUP ADD CONSTRAINT KWSCRIPT_FK2 FOREIGN KEY (TESTSCRIPT_ID)
	REFERENCES  &&NF_SCHEMA..TESTSCRIPT (TESTSCRIPT_ID);
	
ALTER TABLE QUALITY_OBJECTIVE ADD CONSTRAINT QOBJ_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES  &&NF_SCHEMA..PROJECT (PROJECT_ID);

ALTER TABLE QUALITY_OBJECTIVE ADD CONSTRAINT QOBJ_FK2 FOREIGN KEY (CREATOR_ID)
	REFERENCES  &&NF_SCHEMA.."RESOURCE" (RESOURCE_ID);

ALTER TABLE QUALITY_OBJECTIVE ADD CONSTRAINT QOBJ_FK3 FOREIGN KEY (OBJECTIVE_CLASS_ID)
	REFERENCES OBJECTIVE_CLASSIFICATION (OBJECTIVE_CLASS_ID);
	
ALTER TABLE TESTPLAN_OBJECTIVESTATUS ADD CONSTRAINT TPOBJSTA_FK1 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES &&NF_SCHEMA..TESTPLAN (TESTPLAN_ID) ON DELETE CASCADE;

ALTER TABLE TESTPLAN_OBJECTIVESTATUS ADD CONSTRAINT TPOBJSTA_FK2 FOREIGN KEY (OBJECTIVE_ID)
	REFERENCES QUALITY_OBJECTIVE (OBJECTIVE_ID);

ALTER TABLE TESTPLAN_OBJECTIVE_LOOKUP ADD CONSTRAINT TPOBJ_FK1 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES  &&NF_SCHEMA..TESTPLAN (TESTPLAN_ID);

ALTER TABLE TESTPLAN_OBJECTIVE_LOOKUP ADD CONSTRAINT TPOBJ_FK2 FOREIGN KEY (OBJECTIVE_ID)
	REFERENCES QUALITY_OBJECTIVE (OBJECTIVE_ID);
	
ALTER TABLE LABREQUEST ADD CONSTRAINT LABREQ_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES  &&NF_SCHEMA..PROJECT (PROJECT_ID);

ALTER TABLE LABREQUEST ADD CONSTRAINT LABREQ_FK2 FOREIGN KEY (REQUESTER_ID)
	REFERENCES  &&NF_SCHEMA.."RESOURCE" (RESOURCE_ID);

ALTER TABLE LABREQUEST ADD CONSTRAINT LABREQ_FK3 FOREIGN KEY (FULFILLER_ID)
	REFERENCES  &&NF_SCHEMA.."RESOURCE" (RESOURCE_ID);

ALTER TABLE LABREQUEST ADD CONSTRAINT LABREQ_FK4 FOREIGN KEY (LABREQUEST_CLASS_ID)
	REFERENCES LABREQUEST_CLASSIFICATION (LABREQUEST_CLASS_ID);
	
ALTER TABLE LABREQUEST_CHANGESTATE ADD CONSTRAINT REQCS_FK1 FOREIGN KEY (LABREQUEST_ID)
	REFERENCES LABREQUEST (LABREQUEST_ID) ON DELETE CASCADE;

ALTER TABLE LABREQUEST_CHANGESTATE ADD CONSTRAINT REQCS_FK2 FOREIGN KEY (USER_ID)
	REFERENCES &&NF_SCHEMA.."RESOURCE" (RESOURCE_ID);
	
ALTER TABLE RESERVATION_LABREQUEST_LOOKUP ADD CONSTRAINT RESVREQ_FK1 FOREIGN KEY (RESERVATION_ID)
	REFERENCES  &&NF_SCHEMA..RESERVATION (RESERVATION_ID);
	
ALTER TABLE RESERVATION_LABREQUEST_LOOKUP ADD CONSTRAINT RESVREQ_FK2 FOREIGN KEY (LABREQUEST_ID)
	REFERENCES LABREQUEST (LABREQUEST_ID);
	
ALTER TABLE TESTPLAN_STRING_EXT ADD CONSTRAINT TPSTREXT_FK1 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES &&NF_SCHEMA..TESTPLAN (TESTPLAN_ID) ON DELETE CASCADE;
	
ALTER TABLE TESTPLAN_STRING_M_EXT ADD CONSTRAINT TPSTRMEXT_FK1 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES &&NF_SCHEMA..TESTPLAN (TESTPLAN_ID) ON DELETE CASCADE;
	
ALTER TABLE TESTPLAN_INT_EXT ADD CONSTRAINT TPINTEXT_FK1 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES &&NF_SCHEMA..TESTPLAN (TESTPLAN_ID) ON DELETE CASCADE;
	
ALTER TABLE TESTPLAN_TIMESTAMP_EXT ADD CONSTRAINT TPTIMEEXT_FK1 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES &&NF_SCHEMA..TESTPLAN (TESTPLAN_ID) ON DELETE CASCADE;
	
ALTER TABLE TESTCASE_STRING_EXT ADD CONSTRAINT TCSTREXT_FK1 FOREIGN KEY (TESTCASE_ID)
	REFERENCES &&NF_SCHEMA..TESTCASE (TESTCASE_ID) ON DELETE CASCADE;

ALTER TABLE TESTCASE_STRING_M_EXT ADD CONSTRAINT TCSTRMEXT_FK1 FOREIGN KEY (TESTCASE_ID)
	REFERENCES &&NF_SCHEMA..TESTCASE (TESTCASE_ID) ON DELETE CASCADE;
	
ALTER TABLE TESTCASE_INT_EXT ADD CONSTRAINT TCINTEXT_FK1 FOREIGN KEY (TESTCASE_ID)
	REFERENCES &&NF_SCHEMA..TESTCASE (TESTCASE_ID) ON DELETE CASCADE;
	
ALTER TABLE TESTCASE_TIMESTAMP_EXT ADD CONSTRAINT TCTIMEEXT_FK1 FOREIGN KEY (TESTCASE_ID)
	REFERENCES &&NF_SCHEMA..TESTCASE (TESTCASE_ID) ON DELETE CASCADE;
	
ALTER TABLE TESTSCRIPT_STRING_EXT ADD CONSTRAINT TSCSTREXT_FK1 FOREIGN KEY (TESTSCRIPT_ID)
	REFERENCES &&NF_SCHEMA..TESTSCRIPT (TESTSCRIPT_ID) ON DELETE CASCADE;
	
ALTER TABLE TESTSCRIPT_STRING_M_EXT ADD CONSTRAINT TSCSTRMEXT_FK1 FOREIGN KEY (TESTSCRIPT_ID)
	REFERENCES &&NF_SCHEMA..TESTSCRIPT (TESTSCRIPT_ID) ON DELETE CASCADE;
	
ALTER TABLE TESTSCRIPT_INT_EXT ADD CONSTRAINT TSCINTEXT_FK1 FOREIGN KEY (TESTSCRIPT_ID)
	REFERENCES &&NF_SCHEMA..TESTSCRIPT (TESTSCRIPT_ID) ON DELETE CASCADE;
	
ALTER TABLE TESTSCRIPT_TIMESTAMP_EXT ADD CONSTRAINT TSCTIMEEXT_FK1 FOREIGN KEY (TESTSCRIPT_ID)
	REFERENCES &&NF_SCHEMA..TESTSCRIPT (TESTSCRIPT_ID) ON DELETE CASCADE;
	
ALTER TABLE TESTSUITE_STRING_EXT ADD CONSTRAINT TSUSTREXT_FK1 FOREIGN KEY (TESTSUITE_ID)
	REFERENCES &&NF_SCHEMA..TESTSUITE (TESTSUITE_ID) ON DELETE CASCADE;
	
ALTER TABLE TESTSUITE_STRING_M_EXT ADD CONSTRAINT TSUSTRMEXT_FK1 FOREIGN KEY (TESTSUITE_ID)
	REFERENCES &&NF_SCHEMA..TESTSUITE (TESTSUITE_ID) ON DELETE CASCADE;
	
ALTER TABLE TESTSUITE_INT_EXT ADD CONSTRAINT TSUINTEXT_FK1 FOREIGN KEY (TESTSUITE_ID)
	REFERENCES &&NF_SCHEMA..TESTSUITE (TESTSUITE_ID) ON DELETE CASCADE;
	
ALTER TABLE TESTSUITE_TIMESTAMP_EXT ADD CONSTRAINT TSUTIMEEXT_FK1 FOREIGN KEY (TESTSUITE_ID)
	REFERENCES &&NF_SCHEMA..TESTSUITE (TESTSUITE_ID) ON DELETE CASCADE;
	
ALTER TABLE EXECRES_STRING_EXT ADD CONSTRAINT EXCRESSTREXT_FK1 FOREIGN KEY (EXECUTION_RESULT_ID)
	REFERENCES &&NF_SCHEMA..EXECUTION_RESULT (EXECUTION_RESULT_ID) ON DELETE CASCADE;
	
ALTER TABLE EXECRES_STRING_M_EXT ADD CONSTRAINT EXCRESSTRMEXT_FK1 FOREIGN KEY (EXECUTION_RESULT_ID)
	REFERENCES &&NF_SCHEMA..EXECUTION_RESULT (EXECUTION_RESULT_ID) ON DELETE CASCADE;
	
ALTER TABLE EXECRES_INT_EXT ADD CONSTRAINT EXCRESINTEXT_FK1 FOREIGN KEY (EXECUTION_RESULT_ID)
	REFERENCES &&NF_SCHEMA..EXECUTION_RESULT (EXECUTION_RESULT_ID) ON DELETE CASCADE;
	
ALTER TABLE EXECRES_TIMESTAMP_EXT ADD CONSTRAINT EXCRESTIMEEXT_FK1 FOREIGN KEY (EXECUTION_RESULT_ID)
	REFERENCES &&NF_SCHEMA..EXECUTION_RESULT (EXECUTION_RESULT_ID) ON DELETE CASCADE;
	
ALTER TABLE TESTSUITELOG_STRING_EXT ADD CONSTRAINT TSULOGSTREXT_FK1 FOREIGN KEY (TESTSUITELOG_ID)
	REFERENCES &&NF_SCHEMA..TESTSUITELOG (TESTSUITELOG_ID) ON DELETE CASCADE;
	
ALTER TABLE TESTSUITELOG_STRING_M_EXT ADD CONSTRAINT TSULOGSTRMEXT_FK1 FOREIGN KEY (TESTSUITELOG_ID)
	REFERENCES &&NF_SCHEMA..TESTSUITELOG (TESTSUITELOG_ID) ON DELETE CASCADE;
	
ALTER TABLE TESTSUITELOG_INT_EXT ADD CONSTRAINT TSULOGINTEXT_FK1 FOREIGN KEY (TESTSUITELOG_ID)
	REFERENCES &&NF_SCHEMA..TESTSUITELOG (TESTSUITELOG_ID) ON DELETE CASCADE;
	
ALTER TABLE TESTSUITELOG_TIMESTAMP_EXT ADD CONSTRAINT TSULOGTIMEEXT_FK1 FOREIGN KEY (TESTSUITELOG_ID)
	REFERENCES &&NF_SCHEMA..TESTSUITELOG (TESTSUITELOG_ID) ON DELETE CASCADE;
	
ALTER TABLE ITERATION_EXEC_DETAIL ADD CONSTRAINT ITERDET_FK1 FOREIGN KEY (ITERATION_ID)
	REFERENCES &&NF_SCHEMA..ITERATION (ITERATION_ID) ON DELETE CASCADE;
	
--LOOKUP HIERARCHY TRIGGERS

CREATE TRIGGER TRG_KWSCRD
	AFTER UPDATE OF REC_DATETIME ON KEYWORD

	FOR EACH ROW 
BEGIN
    DELETE FROM KEYWORD_SCRIPT_LOOKUP WHERE KEYWORD_ID=:NEW.KEYWORD_ID; 
END;
/

	
CREATE TRIGGER TRG_TPOBJSTAD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..TESTPLAN

	FOR EACH ROW 
BEGIN 
	UPDATE TESTPLAN_OBJECTIVESTATUS SET ISSOFTDELETED=1 WHERE TESTPLAN_ID=:NEW.TESTPLAN_ID;
END;
/


CREATE TRIGGER TRG_TPOBJD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..TESTPLAN

	FOR EACH ROW 
BEGIN 
    DELETE FROM TESTPLAN_OBJECTIVE_LOOKUP WHERE TESTPLAN_ID=:NEW.TESTPLAN_ID; 
END;
/

	
	
CREATE TRIGGER TRG_REQCSD
	AFTER UPDATE OF REC_DATETIME ON LABREQUEST

	FOR EACH ROW 
BEGIN 
    DELETE FROM LABREQUEST_CHANGESTATE WHERE LABREQUEST_ID=:NEW.LABREQUEST_ID; 
END;
/

	
CREATE TRIGGER TRG_RESVREQD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..RESERVATION

	FOR EACH ROW 
BEGIN 
    DELETE FROM RESERVATION_LABREQUEST_LOOKUP WHERE RESERVATION_ID=:NEW.RESERVATION_ID; 
END;
/

	
CREATE TRIGGER TRG_TPSTREXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..TESTPLAN

	FOR EACH ROW 
BEGIN 
	UPDATE TESTPLAN_STRING_EXT SET ISSOFTDELETED=1 WHERE TESTPLAN_ID=:NEW.TESTPLAN_ID;
END;
/

	
CREATE TRIGGER TRG_TPSTRMEXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..TESTPLAN

	FOR EACH ROW 
BEGIN 
	UPDATE TESTPLAN_STRING_M_EXT SET ISSOFTDELETED=1 WHERE TESTPLAN_ID=:NEW.TESTPLAN_ID;
END;
/

	
CREATE TRIGGER TRG_TPINTEXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..TESTPLAN

	FOR EACH ROW 
BEGIN 
	UPDATE TESTPLAN_INT_EXT SET ISSOFTDELETED=1 WHERE TESTPLAN_ID=:NEW.TESTPLAN_ID;
END;
/

	
CREATE TRIGGER TRG_TPTIMEEXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..TESTPLAN

	FOR EACH ROW 
BEGIN 
	UPDATE TESTPLAN_TIMESTAMP_EXT SET ISSOFTDELETED=1 WHERE TESTPLAN_ID=:NEW.TESTPLAN_ID;
END;
/

	
CREATE TRIGGER TRG_TCSTREXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..TESTCASE

	FOR EACH ROW 
BEGIN 
	UPDATE TESTCASE_STRING_EXT SET ISSOFTDELETED=1 WHERE TESTCASE_ID=:NEW.TESTCASE_ID;
END;
/

	
CREATE TRIGGER TRG_TCSTRMEXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..TESTCASE

	FOR EACH ROW 
BEGIN 
	UPDATE TESTCASE_STRING_M_EXT SET ISSOFTDELETED=1 WHERE TESTCASE_ID=:NEW.TESTCASE_ID;
END;
/

	
CREATE TRIGGER TRG_TCINTEXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..TESTCASE

	FOR EACH ROW 
BEGIN 
	UPDATE TESTCASE_INT_EXT SET ISSOFTDELETED=1 WHERE TESTCASE_ID=:NEW.TESTCASE_ID;
END;
/

	
CREATE TRIGGER TRG_TCTIMEEXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..TESTCASE

	FOR EACH ROW 
BEGIN 
	UPDATE TESTCASE_TIMESTAMP_EXT SET ISSOFTDELETED=1 WHERE TESTCASE_ID=:NEW.TESTCASE_ID;
END;
/


CREATE TRIGGER TRG_TSCSTREXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..TESTSCRIPT

	FOR EACH ROW 
BEGIN 
	UPDATE TESTSCRIPT_STRING_EXT SET ISSOFTDELETED=1 WHERE TESTSCRIPT_ID=:NEW.TESTSCRIPT_ID;
END;
/

	
CREATE TRIGGER TRG_TSCSTRMEXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..TESTSCRIPT

	FOR EACH ROW 
BEGIN 
	UPDATE TESTSCRIPT_STRING_M_EXT SET ISSOFTDELETED=1 WHERE TESTSCRIPT_ID=:NEW.TESTSCRIPT_ID;
END;
/

	
CREATE TRIGGER TRG_TSCINTEXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..TESTSCRIPT

	FOR EACH ROW 
BEGIN 
	UPDATE TESTSCRIPT_INT_EXT SET ISSOFTDELETED=1 WHERE TESTSCRIPT_ID=:NEW.TESTSCRIPT_ID;
END;
/

	
CREATE TRIGGER TRG_TSCTIMEEXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..TESTSCRIPT

	FOR EACH ROW 
BEGIN 
	UPDATE TESTSCRIPT_TIMESTAMP_EXT SET ISSOFTDELETED=1 WHERE TESTSCRIPT_ID=:NEW.TESTSCRIPT_ID;
END;
/

	
CREATE TRIGGER TRG_TSUSTREXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..TESTSUITE

	FOR EACH ROW 
BEGIN 
	UPDATE TESTSUITE_STRING_EXT SET ISSOFTDELETED=1 WHERE TESTSUITE_ID=:NEW.TESTSUITE_ID;
END;
/

	
CREATE TRIGGER TRG_TSUSTRMEXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..TESTSUITE

	FOR EACH ROW 
BEGIN 
	UPDATE TESTSUITE_STRING_M_EXT SET ISSOFTDELETED=1 WHERE TESTSUITE_ID=:NEW.TESTSUITE_ID;
END;
/

	
CREATE TRIGGER TRG_TSUINTEXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..TESTSUITE

	FOR EACH ROW 
BEGIN 
	UPDATE TESTSUITE_INT_EXT SET ISSOFTDELETED=1 WHERE TESTSUITE_ID=:NEW.TESTSUITE_ID;
END;
/

	
CREATE TRIGGER TRG_TSUTIMEEXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..TESTSUITE

	FOR EACH ROW 
BEGIN
	UPDATE TESTSUITE_TIMESTAMP_EXT SET ISSOFTDELETED=1 WHERE TESTSUITE_ID=:NEW.TESTSUITE_ID;
END;
/

	
CREATE TRIGGER TRG_EXCRESSTREXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..EXECUTION_RESULT

	FOR EACH ROW 
BEGIN 
	UPDATE EXECRES_STRING_EXT SET ISSOFTDELETED=1 WHERE EXECUTION_RESULT_ID=:NEW.EXECUTION_RESULT_ID;
END;
/

	
CREATE TRIGGER TRG_EXCRESSTRMEXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..EXECUTION_RESULT

	FOR EACH ROW 
BEGIN 
	UPDATE EXECRES_STRING_M_EXT SET ISSOFTDELETED=1 WHERE EXECUTION_RESULT_ID=:NEW.EXECUTION_RESULT_ID;
END;
/

	
CREATE TRIGGER TRG_EXCRESINTEXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..EXECUTION_RESULT

	FOR EACH ROW 
BEGIN 
	UPDATE EXECRES_INT_EXT SET ISSOFTDELETED=1 WHERE EXECUTION_RESULT_ID=:NEW.EXECUTION_RESULT_ID;
END;
/

	
CREATE TRIGGER TRG_EXCRESTIMEEXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..EXECUTION_RESULT

	FOR EACH ROW 
BEGIN 
	UPDATE EXECRES_TIMESTAMP_EXT SET ISSOFTDELETED=1 WHERE EXECUTION_RESULT_ID=:NEW.EXECUTION_RESULT_ID;
END;
/

	
CREATE TRIGGER TRG_TSULOGSTREXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..TESTSUITELOG

	FOR EACH ROW 
BEGIN 
	UPDATE TESTSUITELOG_STRING_EXT SET ISSOFTDELETED=1 WHERE TESTSUITELOG_ID=:NEW.TESTSUITELOG_ID;
END;
/

	
CREATE TRIGGER TRG_TSULOGSTRMEXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..TESTSUITELOG

	FOR EACH ROW 
BEGIN 
	UPDATE TESTSUITELOG_STRING_M_EXT SET ISSOFTDELETED=1 WHERE TESTSUITELOG_ID=:NEW.TESTSUITELOG_ID;
END;
/

	
CREATE TRIGGER TRG_TSULOGINTEXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..TESTSUITELOG

	FOR EACH ROW 
BEGIN 
	UPDATE TESTSUITELOG_INT_EXT SET ISSOFTDELETED=1 WHERE TESTSUITELOG_ID=:NEW.TESTSUITELOG_ID;
END;
/


CREATE TRIGGER TRG_TSULOGTIMEEXTD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..TESTSUITELOG

	FOR EACH ROW 
BEGIN 
	UPDATE TESTSUITELOG_TIMESTAMP_EXT SET ISSOFTDELETED=1 WHERE TESTSUITELOG_ID=:NEW.TESTSUITELOG_ID;
END;
/


CREATE TRIGGER TRG_ITERDETD
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..ITERATION

	FOR EACH ROW 
BEGIN 
	UPDATE ITERATION_EXEC_DETAIL SET ISSOFTDELETED=1 WHERE ITERATION_ID=:NEW.ITERATION_ID;
END;
/

CREATE TRIGGER TRG_REQUIATTRD 
	AFTER UPDATE OF REC_DATETIME ON  &&NF_SCHEMA..REQUIREMENT 
	
	FOR EACH ROW 
BEGIN 
	DELETE FROM RQRMENT_ENUMERATION WHERE REQUIREMENT_ID=:NEW.REQUIREMENT_ID;
END;
/

COMMIT;
