--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2010 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

--=============  Add views to the CALM model... views are added for optimization purpose and also to join cross-schema's

ALTER SESSION SET CURRENT_SCHEMA= &&CALM_SCHEMA;

CREATE VIEW VW_RQST_HISTORY (ACTIVATE_DATE, ASSIGNED_DATE, CLOSED_DATE, COMPONENT_ID, COMPONENT_NAME, CREATION_DATE, CUSTOMER_PRIORITY, DUPLICATE_DATE, EXTERNAL_ID, FIXEDINRELEASE_ID, FIXED_IN_RELEASE_NAME, IS_BLOCKING, ITERATION_ID, ITERATION_NAME, TEAM_ID, TEAM_NAME, PLANNED_WORK, ACTUAL_WORK, COMMENT_COUNT, SUBSCRIBER_COUNT, STORY_POINTS, TAGS, NAME, PLATFORM, REQUEST_PRIORITY_ID, REQUEST_PRIORITY, REQUEST_PRIORITY_EXTERNAL_ID, PROJECT_ID, PROJECT_NAME, REFERENCE_ID, RELEASE_ID, FOUND_IN_RELEASE_NAME, REQUEST_CLASS_ID, REQUEST_CLASS, REQUEST_HISTORY_ID, OWNER_ID, REQUEST_RESPONSIBLE, REQUEST_SOURCE, REQUEST_STATE_ID, REQUEST_STATE, REQUEST_STATE_EXTERNAL_ID, REQUEST_RESOLUTION_ID, REQUEST_RESOLUTION, REQUEST_RESOLUTION_EXTERNAL_ID, RESOLVED_DATE, REQUEST_SEVERITY_ID, REQUEST_SEVERITY, REQUEST_SEVERITY_EXTERNAL_ID, SLOC_CHANGE, REQUEST_STATUS_ID, REQUEST_STATUS, REQUEST_STATUS_EXTERNAL_ID, SUBMIT_DATE, URL, 
BUILD_ID, BUILD_NAME, PHASE_ID, PHASE_NAME, PROJECT_CATEGORY_ID, PROJECT_CATEGORY_NAME, EXTERNAL_KEY1, EXTERNAL_KEY2, REQUEST_TYPE_ID, REQUEST_TYPE, REQUEST_TYPE_EXTERNAL_ID, REQUEST_CATEGORY_ID, REQUEST_CATEGORY_NAME, RESOLVER_ID, RESOLVER_NAME, SUMMARY, REC_DATETIME, ISSOFTDELETED, PREV_REQUEST_HISTORY_ID) AS
 (SELECT R.ACTIVATE_DATE, R.ASSIGNED_DATE, R.CLOSED_DATE, R.COMPONENT_ID, C.NAME AS COMPONENT_NAME, R.CREATION_DATE, R.CUSTOMER_PRIORITY, R.DUPLICATE_DATE, R.EXTERNAL_ID, R.FIXEDINRELEASE_ID, RL.NAME AS FIXED_IN_RELEASE_NAME, R.IS_BLOCKING, R.ITERATION_ID, I.NAME AS ITERATION_NAME, R.TEAM_ID, T.NAME AS TEAM_NAME, R.PLANNED_WORK, R.ACTUAL_WORK, R.COMMENT_COUNT, R.SUBSCRIBER_COUNT, R.STORY_POINTS, R.TAGS, R.NAME, R.PLATFORM, R.REQUEST_PRIORITY_ID, RP.NAME AS REQUEST_PRIORITY, RP.EXTERNAL_ID AS REQUEST_PRIORITY_EXTERNAL_ID, R.PROJECT_ID, PJ.NAME AS PROJECT_NAME, R.REFERENCE_ID, R.RELEASE_ID, RL2.NAME AS FOUND_IN_RELEASE_NAME, 
 R.REQUEST_CLASS_ID, RQ.NAME AS REQUEST_CLASS, R.REQUEST_HISTORY_ID, R.OWNER_ID, PS.FULL_NAME AS REQUEST_RESPONSIBLE, R.REQUEST_SOURCE, R.REQUEST_STATE_ID, RST.NAME AS REQUEST_STATE, RST.EXTERNAL_ID AS REQUEST_STATE_EXTERNAL_ID, R.REQUEST_RESOLUTION_ID, RRES.NAME AS REQUEST_RESOLUTION, RRES.EXTERNAL_ID AS REQUEST_RESOLUTION_EXTERNAL_ID, R.RESOLVED_DATE, R.REQUEST_SEVERITY_ID, RSEV.NAME AS REQUEST_SEVERITY, RSEV.EXTERNAL_ID AS REQUEST_SEVERITY_EXTERNAL_ID, R.SLOC_CHANGE, R.REQUEST_STATUS_ID, RSTU.NAME AS REQUEST_STATUS, RSTU.EXTERNAL_ID AS  REQUEST_STATUS_EXTERNAL_ID, R.SUBMIT_DATE, R.URL, 
 R.BUILD_ID, B.NAME AS BUILD_NAME, R.PHASE_ID, PH.NAME AS PHASE_NAME, R.PROJECT_CATEGORY_ID, PC.NAME AS PROJECT_CATEGORY_NAME, R.EXTERNAL_KEY1, R.EXTERNAL_KEY2, R.REQUEST_TYPE_ID, RT.NAME REQUEST_TYPE, RT.EXTERNAL_ID AS REQUEST_TYPE_EXTERNAL_ID, R.REQUEST_CATEGORY_ID, RC.NAME AS REQUEST_CATEGORY_NAME, R.RESOLVER_ID, RS.FULL_NAME AS RESOLVER_NAME, R.SUMMARY, R.REC_DATETIME, R.ISSOFTDELETED, R.PREV_REQUEST_HISTORY_ID
  FROM  &&CALM_SCHEMA..REQUEST_HISTORY R 
  JOIN  &&NF_SCHEMA..ITERATION I ON I.ITERATION_ID=R.ITERATION_ID 
  JOIN  &&NF_SCHEMA..TEAM T ON T.TEAM_ID=R.TEAM_ID
  JOIN  &&NF_SCHEMA..PROJECT PJ ON PJ.PROJECT_ID=R.PROJECT_ID 
  JOIN  &&NF_SCHEMA..COMPONENT C ON C.COMPONENT_ID=R.COMPONENT_ID 
  JOIN  &&NF_SCHEMA..RELEASE RL ON RL.RELEASE_ID=R.FIXEDINRELEASE_ID 
  JOIN  &&NF_SCHEMA..RELEASE RL2 ON RL2.RELEASE_ID=R.RELEASE_ID 
  JOIN  &&NF_SCHEMA..REQUEST_CLASSIFICATION RQ ON RQ.REQUEST_CLASS_ID=R.REQUEST_CLASS_ID
  JOIN  &&NF_SCHEMA..REQUEST_CATEGORY RC ON RC.REQUEST_CATEGORY_ID=R.REQUEST_CATEGORY_ID
  JOIN  &&NF_SCHEMA..BUILD B ON B.BUILD_ID=R.BUILD_ID
  JOIN  &&NF_SCHEMA..PHASE PH ON PH.PHASE_ID=R.PHASE_ID
  JOIN  &&NF_SCHEMA..PROJECT_CATEGORY PC ON PC.PROJECT_CATEGORY_ID=R.PROJECT_CATEGORY_ID
  JOIN  &&NF_SCHEMA.."RESOURCE" PS ON PS.RESOURCE_ID=R.OWNER_ID
  JOIN  &&NF_SCHEMA.."RESOURCE" RS ON RS.RESOURCE_ID=R.RESOLVER_ID
  JOIN  &&NF_SCHEMA..REQUEST_STATE RST ON RST.REQUEST_STATE_ID=R.REQUEST_STATE_ID
  JOIN  &&NF_SCHEMA..REQUEST_STATUS RSTU ON RSTU.REQUEST_STATUS_ID=R.REQUEST_STATUS_ID
  JOIN  &&NF_SCHEMA..REQUEST_PRIORITY RP ON RP.REQUEST_PRIORITY_ID=R.REQUEST_PRIORITY_ID
  JOIN  &&NF_SCHEMA..REQUEST_RESOLUTION RRES ON RRES.REQUEST_RESOLUTION_ID=R.REQUEST_RESOLUTION_ID
  JOIN  &&NF_SCHEMA..REQUEST_SEVERITY RSEV ON RSEV.REQUEST_SEVERITY_ID=R.REQUEST_SEVERITY_ID
  JOIN  &&NF_SCHEMA..REQUEST_TYPE RT ON RT.REQUEST_TYPE_ID=R.REQUEST_TYPE_ID);

CREATE VIEW VW_RQST_BASELINE (REQUEST_HISTORY_ID, REC_DATETIME) AS
(SELECT B.REQUEST_HISTORY_ID, B.REC_DATETIME FROM  &&CALM_SCHEMA..REQUEST_BASELINE B);

CREATE VIEW VW_RQST_INT_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL) AS
(SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, VAL FROM  &&CALM_SCHEMA..REQUEST_INT_EXT E);

CREATE VIEW VW_RQST_LONG_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL) AS
(SELECT E.REQUEST_ID, E.NAME, ISSOFTDELETED, E.VAL FROM REQUEST_LONG_EXT E);

CREATE VIEW VW_RQST_BOOL_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL) AS
(SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL FROM  &&CALM_SCHEMA..REQUEST_BOOL_EXT E);

CREATE VIEW VW_RQST_STRING_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL, NUM_VAL) AS
(SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL, E.NUM_VAL FROM  &&CALM_SCHEMA..REQUEST_STRING_EXT E);

CREATE VIEW VW_RQST_STRING_M_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL, NUM_VAL) AS
(SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL, E.NUM_VAL FROM  &&CALM_SCHEMA..REQUEST_STRING_M_EXT E);

CREATE VIEW VW_RQST_STRING_L_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL, NUM_VAL) AS
(SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL, E.NUM_VAL FROM  &&CALM_SCHEMA..REQUEST_STRING_L_EXT E);

CREATE VIEW VW_RQST_TIMESTAMP_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL) AS
(SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL FROM  &&CALM_SCHEMA..REQUEST_TIMESTAMP_EXT E);

CREATE VIEW VW_RQST_DECIMAL_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL) AS
(SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL FROM  &&CALM_SCHEMA..REQUEST_DECIMAL_EXT E);

CREATE VIEW VW_RQST_HISTORY_INT_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL) AS
(SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL FROM  &&CALM_SCHEMA..REQUEST_HISTORY_INT_EXT E);

CREATE VIEW VW_RQST_HISTORY_LONG_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL) AS
(SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL FROM  &&CALM_SCHEMA..REQUEST_HISTORY_LONG_EXT E);

CREATE VIEW VW_RQST_HISTORY_BOOL_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL) AS
(SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL FROM  &&CALM_SCHEMA..REQUEST_HISTORY_BOOL_EXT E);

CREATE VIEW VW_RQST_HISTORY_STRING_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL, NUM_VAL) AS
(SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL, E.NUM_VAL FROM  &&CALM_SCHEMA..REQUEST_HISTORY_STRING_EXT E);

CREATE VIEW VW_RQST_HISTORY_STRING_M_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL, NUM_VAL) AS
(SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL, E.NUM_VAL FROM  &&CALM_SCHEMA..REQUEST_HISTORY_STRING_M_EXT E);

CREATE VIEW VW_RQST_HISTORY_STRING_L_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL, NUM_VAL) AS
(SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL, E.NUM_VAL FROM  &&CALM_SCHEMA..REQUEST_HISTORY_STRING_L_EXT E);

CREATE VIEW VW_RQST_HISTORY_TIMESTAMP_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL) AS
(SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL FROM  &&CALM_SCHEMA..REQUEST_HISTORY_TIMESTAMP_EXT E);

CREATE VIEW VW_RQST_HISTORY_DECIMAL_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL) AS
(SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL FROM  &&CALM_SCHEMA..REQUEST_HISTORY_DECIMAL_EXT E);

CREATE VIEW VW_RQST_ENUMERATION (REQUEST_ENUMERATION_ID, ENUMERATION_NAME, LITERAL_NAME, REFERENCE_ID, EXTERNAL_ID, PROJECT_ID, URL, EXTERNAL_KEY1, EXTERNAL_KEY2, SOURCE_ID, REC_DATETIME, ISSOFTDELETED) AS
(SELECT E.REQUEST_ENUMERATION_ID, E.ENUMERATION_NAME, E.LITERAL_NAME, E.REFERENCE_ID, E.EXTERNAL_ID, E.PROJECT_ID, URL, E.EXTERNAL_KEY1, E.EXTERNAL_KEY2, E.SOURCE_ID, E.REC_DATETIME, E.ISSOFTDELETED FROM  &&CALM_SCHEMA..REQUEST_ENUMERATION E);

CREATE VIEW VW_RQRMENT_HISTORY (REQUIREMENT_HISTORY_ID, NAME, REFERENCE_ID, EXTERNAL_ID, URL, PROJECT_ID, PROJECT_NAME, 
 REQUIREMENT_TYPE, CREATION_DATE, REVISION_DATE, EXTERNAL_KEY1, EXTERNAL_KEY2, REC_DATETIME, ISSOFTDELETED, PREV_REQUIREMENT_HISTORY_ID) AS
 (SELECT R.REQUIREMENT_HISTORY_ID, R.NAME, R.REFERENCE_ID, R.EXTERNAL_ID, R.URL, R.PROJECT_ID, PJ.NAME AS PROJECT_NAME, 
 R.REQUIREMENT_TYPE, R.CREATION_DATE, R.REVISION_DATE, R.EXTERNAL_KEY1, R.EXTERNAL_KEY2, R.REC_DATETIME, R.ISSOFTDELETED, R.PREV_REQUIREMENT_HISTORY_ID
  FROM &&CALM_SCHEMA..RQRMENT_HISTORY R 
  JOIN &&NF_SCHEMA..PROJECT PJ ON PJ.PROJECT_ID=R.PROJECT_ID);

CREATE VIEW VW_RQRMENT_STRING_EXT (REQUIREMENT_ID, NAME, IDENTIFIER, DATATYPE, TYPE_NAME, TYPE_IDENTIFIER, ISSOFTDELETED, VAL) AS
(SELECT E.REQUIREMENT_ID, A.NAME, A.IDENTIFIER, A.DATATYPE, T.NAME AS TYPENAME, T.IDENTIFIER AS TYPE_IDENTIFIER, E.ISSOFTDELETED, E.VAL 
  FROM &&CALM_SCHEMA..RQRMENT_STRING_EXT E 
  JOIN &&CALM_SCHEMA..RQRMENT_ATTRDEF A ON A.REQUIREMENT_ATTRDEF_ID=E.REQUIREMENT_ATTRDEF_ID 
  JOIN &&CALM_SCHEMA..RQRMENT_TYPE T ON T.REQUIREMENT_TYPE_ID=A.REQUIREMENT_TYPE_ID);

CREATE VIEW VW_RQRMENT_STRING_L_EXT (REQUIREMENT_ID, NAME, IDENTIFIER, DATATYPE, TYPE_NAME, TYPE_IDENTIFIER, ISSOFTDELETED, VAL) AS
(SELECT E.REQUIREMENT_ID, A.NAME, A.IDENTIFIER, A.DATATYPE, T.NAME AS TYPENAME, T.IDENTIFIER AS TYPE_IDENTIFIER, E.ISSOFTDELETED, E.VAL 
  FROM &&CALM_SCHEMA..RQRMENT_STRING_L_EXT E 
  JOIN &&CALM_SCHEMA..RQRMENT_ATTRDEF A ON A.REQUIREMENT_ATTRDEF_ID=E.REQUIREMENT_ATTRDEF_ID 
  JOIN &&CALM_SCHEMA..RQRMENT_TYPE T ON T.REQUIREMENT_TYPE_ID=A.REQUIREMENT_TYPE_ID);

CREATE VIEW VW_RQRMENT_INT_EXT (REQUIREMENT_ID, NAME, IDENTIFIER, DATATYPE, TYPE_NAME, TYPE_IDENTIFIER, ISSOFTDELETED, VAL) AS
(SELECT E.REQUIREMENT_ID, A.NAME, A.IDENTIFIER, A.DATATYPE, T.NAME AS TYPENAME, T.IDENTIFIER AS TYPE_IDENTIFIER, E.ISSOFTDELETED, E.VAL 
  FROM &&CALM_SCHEMA..RQRMENT_INT_EXT E 
  JOIN &&CALM_SCHEMA..RQRMENT_ATTRDEF A ON A.REQUIREMENT_ATTRDEF_ID=E.REQUIREMENT_ATTRDEF_ID 
  JOIN &&CALM_SCHEMA..RQRMENT_TYPE T ON T.REQUIREMENT_TYPE_ID=A.REQUIREMENT_TYPE_ID);

CREATE VIEW VW_RQRMENT_DECIMAL_EXT (REQUIREMENT_ID, NAME, IDENTIFIER, DATATYPE, TYPE_NAME, TYPE_IDENTIFIER, ISSOFTDELETED, VAL) AS
(SELECT E.REQUIREMENT_ID, A.NAME, A.IDENTIFIER, A.DATATYPE, T.NAME AS TYPENAME, T.IDENTIFIER AS TYPE_IDENTIFIER, E.ISSOFTDELETED, E.VAL 
  FROM &&CALM_SCHEMA..RQRMENT_DECIMAL_EXT E 
  JOIN &&CALM_SCHEMA..RQRMENT_ATTRDEF A ON A.REQUIREMENT_ATTRDEF_ID=E.REQUIREMENT_ATTRDEF_ID 
  JOIN &&CALM_SCHEMA..RQRMENT_TYPE T ON T.REQUIREMENT_TYPE_ID=A.REQUIREMENT_TYPE_ID);

CREATE VIEW VW_RQRMENT_BOOL_EXT (REQUIREMENT_ID, NAME, IDENTIFIER, DATATYPE, TYPE_NAME, TYPE_IDENTIFIER, ISSOFTDELETED, VAL) AS
(SELECT E.REQUIREMENT_ID, A.NAME, A.IDENTIFIER, A.DATATYPE, T.NAME AS TYPENAME, T.IDENTIFIER AS TYPE_IDENTIFIER, E.ISSOFTDELETED, E.VAL 
  FROM &&CALM_SCHEMA..RQRMENT_BOOL_EXT E 
  JOIN &&CALM_SCHEMA..RQRMENT_ATTRDEF A ON A.REQUIREMENT_ATTRDEF_ID=E.REQUIREMENT_ATTRDEF_ID 
  JOIN &&CALM_SCHEMA..RQRMENT_TYPE T ON T.REQUIREMENT_TYPE_ID=A.REQUIREMENT_TYPE_ID);

CREATE VIEW VW_RQRMENT_ENUMERATION (REQUIREMENT_ENUMERATION_ID, NAME, IDENTIFIER, DATATYPE, TYPE_NAME, TYPE_IDENTIFIER, LITERAL_NAME, REQUIREMENT_ID, EXTERNAL_ID, PROJECT_ID, ISSOFTDELETED) AS
(SELECT E.REQUIREMENT_ENUMERATION_ID, A.NAME, A.IDENTIFIER, A.DATATYPE, T.NAME AS TYPENAME, T.IDENTIFIER AS TYPE_IDENTIFIER, E.LITERAL_NAME, E.REQUIREMENT_ID, E.EXTERNAL_ID, E.PROJECT_ID, E.ISSOFTDELETED 
  FROM &&CALM_SCHEMA..RQRMENT_ENUMERATION E 
  JOIN &&CALM_SCHEMA..RQRMENT_ATTRDEF A ON A.REQUIREMENT_ATTRDEF_ID=E.REQUIREMENT_ATTRDEF_ID 
  JOIN &&CALM_SCHEMA..RQRMENT_TYPE T ON T.REQUIREMENT_TYPE_ID=A.REQUIREMENT_TYPE_ID);

CREATE VIEW VW_RQRMENT_HIS_STRING_EXT (REQUIREMENT_HISTORY_ID, NAME, IDENTIFIER, DATATYPE, TYPE_NAME, TYPE_IDENTIFIER, ISSOFTDELETED, VAL) AS
(SELECT E.REQUIREMENT_HISTORY_ID, A.NAME, A.IDENTIFIER, A.DATATYPE, T.NAME AS TYPENAME, T.IDENTIFIER AS TYPE_IDENTIFIER, E.ISSOFTDELETED, E.VAL 
  FROM &&CALM_SCHEMA..RQRMENT_HISTORY_STRING_EXT E 
  JOIN &&CALM_SCHEMA..RQRMENT_ATTRDEF A ON A.REQUIREMENT_ATTRDEF_ID=E.REQUIREMENT_ATTRDEF_ID 
  JOIN &&CALM_SCHEMA..RQRMENT_TYPE T ON T.REQUIREMENT_TYPE_ID=A.REQUIREMENT_TYPE_ID);

CREATE VIEW VW_RQRMENT_HIS_STRING_L_EXT (REQUIREMENT_HISTORY_ID, NAME, IDENTIFIER, DATATYPE, TYPE_NAME, TYPE_IDENTIFIER, ISSOFTDELETED, VAL) AS
(SELECT E.REQUIREMENT_HISTORY_ID, A.NAME, A.IDENTIFIER, A.DATATYPE, T.NAME AS TYPENAME, T.IDENTIFIER AS TYPE_IDENTIFIER, E.ISSOFTDELETED, E.VAL 
  FROM &&CALM_SCHEMA..RQRMENT_HISTORY_STRING_L_EXT E 
  JOIN &&CALM_SCHEMA..RQRMENT_ATTRDEF A ON A.REQUIREMENT_ATTRDEF_ID=E.REQUIREMENT_ATTRDEF_ID 
  JOIN &&CALM_SCHEMA..RQRMENT_TYPE T ON T.REQUIREMENT_TYPE_ID=A.REQUIREMENT_TYPE_ID);

CREATE VIEW VW_RQRMENT_HIS_INT_EXT (REQUIREMENT_HISTORY_ID, NAME, IDENTIFIER, DATATYPE, TYPE_NAME, TYPE_IDENTIFIER, ISSOFTDELETED, VAL) AS
(SELECT E.REQUIREMENT_HISTORY_ID, A.NAME, A.IDENTIFIER, A.DATATYPE, T.NAME AS TYPENAME, T.IDENTIFIER AS TYPE_IDENTIFIER, E.ISSOFTDELETED, E.VAL 
  FROM &&CALM_SCHEMA..RQRMENT_HISTORY_INT_EXT E 
  JOIN &&CALM_SCHEMA..RQRMENT_ATTRDEF A ON A.REQUIREMENT_ATTRDEF_ID=E.REQUIREMENT_ATTRDEF_ID 
  JOIN &&CALM_SCHEMA..RQRMENT_TYPE T ON T.REQUIREMENT_TYPE_ID=A.REQUIREMENT_TYPE_ID);

CREATE VIEW VW_RQRMENT_HIS_BOOL_EXT (REQUIREMENT_HISTORY_ID, NAME, IDENTIFIER, DATATYPE, TYPE_NAME, TYPE_IDENTIFIER, ISSOFTDELETED, VAL) AS
(SELECT E.REQUIREMENT_HISTORY_ID, A.NAME, A.IDENTIFIER, A.DATATYPE, T.NAME AS TYPENAME, T.IDENTIFIER AS TYPE_IDENTIFIER, E.ISSOFTDELETED, E.VAL 
  FROM &&CALM_SCHEMA..RQRMENT_HISTORY_BOOL_EXT E 
  JOIN &&CALM_SCHEMA..RQRMENT_ATTRDEF A ON A.REQUIREMENT_ATTRDEF_ID=E.REQUIREMENT_ATTRDEF_ID 
  JOIN &&CALM_SCHEMA..RQRMENT_TYPE T ON T.REQUIREMENT_TYPE_ID=A.REQUIREMENT_TYPE_ID);

CREATE VIEW VW_RQRMENT_HIS_DECIMAL_EXT (REQUIREMENT_HISTORY_ID, NAME, IDENTIFIER, DATATYPE, TYPE_NAME, TYPE_IDENTIFIER, ISSOFTDELETED, VAL) AS
(SELECT E.REQUIREMENT_HISTORY_ID, A.NAME, A.IDENTIFIER, A.DATATYPE, T.NAME AS TYPENAME, T.IDENTIFIER AS TYPE_IDENTIFIER, E.ISSOFTDELETED, E.VAL 
  FROM &&CALM_SCHEMA..RQRMENT_HISTORY_DECIMAL_EXT E 
  JOIN &&CALM_SCHEMA..RQRMENT_ATTRDEF A ON A.REQUIREMENT_ATTRDEF_ID=E.REQUIREMENT_ATTRDEF_ID 
  JOIN &&CALM_SCHEMA..RQRMENT_TYPE T ON T.REQUIREMENT_TYPE_ID=A.REQUIREMENT_TYPE_ID);
  
CREATE VIEW VW_KEYWORD (KEYWORD_ID, KEYWORD_CLASS_ID, TITLE, TAG, DEFAULT_SCRIPT_ID, URL, REFERENCE_ID, EXTERNAL_ID, PROJECT_ID, EXTERNAL_KEY1, EXTERNAL_KEY2, SOURCE_ID, LAST_UPDATED, REC_DATETIME, ISSOFTDELETED) AS
(SELECT K.KEYWORD_ID, KC.KEYWORD_CLASS_ID, K.TITLE, K.TAG, TS.TESTSCRIPT_ID AS DEFAULT_SCRIPT_ID, K.URL, K.REFERENCE_ID, K.EXTERNAL_ID, P.PROJECT_ID, K.EXTERNAL_KEY1, K.EXTERNAL_KEY2, K.SOURCE_ID, K.LAST_UPDATED, K.REC_DATETIME, K.ISSOFTDELETED
  FROM &&CALM_SCHEMA..KEYWORD K
  JOIN &&CALM_SCHEMA..KEYWORD_CLASSIFICATION KC ON KC.KEYWORD_CLASS_ID=K.KEYWORD_CLASS_ID
  JOIN &&NF_SCHEMA..TESTSCRIPT TS ON TS.TESTSCRIPT_ID=K.DEFAULT_SCRIPT_ID
  JOIN &&NF_SCHEMA..PROJECT P ON P.PROJECT_ID=K.PROJECT_ID);
  
CREATE VIEW VW_KEYWORD_CLASSIFICATION (KEYWORD_CLASS_ID, NAME, REC_DATETIME) AS
(SELECT KC.KEYWORD_CLASS_ID, KC.NAME, KC.REC_DATETIME 
  FROM &&CALM_SCHEMA..KEYWORD_CLASSIFICATION KC);
  
CREATE VIEW VW_KEYWORD_SCRIPT_LOOKUP (KEYWORD_ID, TESTSCRIPT_ID) AS
(SELECT K.KEYWORD_ID, TS.TESTSCRIPT_ID
  FROM &&CALM_SCHEMA..KEYWORD_SCRIPT_LOOKUP KSL
  JOIN &&CALM_SCHEMA..KEYWORD K ON K.KEYWORD_ID=KSL.KEYWORD_ID
  JOIN &&NF_SCHEMA..TESTSCRIPT TS ON TS.TESTSCRIPT_ID=KSL.TESTSCRIPT_ID);
  
CREATE VIEW VW_QUALITY_OBJECTIVE (OBJECTIVE_ID, OBJECTIVE_CLASS_ID, TITLE, DESCRIPTION, CREATOR_ID, OPERATOR, TARGET_VALUE, EVALUATOR_ID, URL, REFERENCE_ID, EXTERNAL_ID, PROJECT_ID, EXTERNAL_KEY1, EXTERNAL_KEY2, SOURCE_ID, LAST_UPDATED, REC_DATETIME, ISSOFTDELETED) AS
(SELECT Q.OBJECTIVE_ID, QC.OBJECTIVE_CLASS_ID, Q.TITLE, Q.DESCRIPTION, R.RESOURCE_ID AS CREATOR_ID, Q.OPERATOR, Q.TARGET_VALUE, Q.EVALUATOR_ID, Q.URL, Q.REFERENCE_ID, Q.EXTERNAL_ID, P.PROJECT_ID, Q.EXTERNAL_KEY1, Q.EXTERNAL_KEY2, Q.SOURCE_ID, Q.LAST_UPDATED, Q.REC_DATETIME, Q.ISSOFTDELETED
  FROM &&CALM_SCHEMA..QUALITY_OBJECTIVE Q
  JOIN &&CALM_SCHEMA..OBJECTIVE_CLASSIFICATION QC ON QC.OBJECTIVE_CLASS_ID=Q.OBJECTIVE_CLASS_ID
  JOIN &&NF_SCHEMA.."RESOURCE" R ON R.RESOURCE_ID=Q.CREATOR_ID
  JOIN &&NF_SCHEMA..PROJECT P ON P.PROJECT_ID=Q.PROJECT_ID);
  
CREATE VIEW VW_OBJECTIVE_CLASSIFICATION (OBJECTIVE_CLASS_ID, NAME, REC_DATETIME) AS
(SELECT QC.OBJECTIVE_CLASS_ID, QC.NAME, QC.REC_DATETIME
  FROM &&CALM_SCHEMA..OBJECTIVE_CLASSIFICATION QC);
  
CREATE VIEW VW_TESTPLAN_OBJECTIVESTATUS (TESTPLAN_OBJECTIVESTATUS_ID, TESTPLAN_ID, OBJECTIVE_ID, GROUP_ORDER, ACTUAL_VALUE, STATE, "COMMENT", ISSOFTDELETED) AS
(SELECT OS.TESTPLAN_OBJECTIVESTATUS_ID, TP.TESTPLAN_ID, Q.OBJECTIVE_ID, OS.GROUP_ORDER, OS.ACTUAL_VALUE, OS.STATE, OS."COMMENT", OS.ISSOFTDELETED
  FROM &&CALM_SCHEMA..TESTPLAN_OBJECTIVESTATUS OS
  JOIN &&NF_SCHEMA..TESTPLAN TP ON TP.TESTPLAN_ID=OS.TESTPLAN_ID
  JOIN &&CALM_SCHEMA..QUALITY_OBJECTIVE Q ON Q.OBJECTIVE_ID=OS.OBJECTIVE_ID);
  
CREATE VIEW VW_TESTPLAN_OBJECTIVE_LOOKUP (TESTPLAN_ID, OBJECTIVE_ID) AS
(SELECT TP.TESTPLAN_ID, Q.OBJECTIVE_ID
  FROM &&CALM_SCHEMA..TESTPLAN_OBJECTIVE_LOOKUP TPQL
  JOIN &&NF_SCHEMA..TESTPLAN TP ON TP.TESTPLAN_ID=TPQL.TESTPLAN_ID
  JOIN &&CALM_SCHEMA..QUALITY_OBJECTIVE Q ON Q.OBJECTIVE_ID=TPQL.OBJECTIVE_ID);

CREATE VIEW VW_LABREQUEST (LABREQUEST_ID, LABREQUEST_CLASS_ID, TITLE, SUMMARY, COMMENTS, CREATE_DATE, CONFIRMATION_DATE, REQUESTER_ID, FULFILLER_ID, PRIORITY, CURRENT_STATE, VISIBLE_ID, CONFIGURATION, RESERVE_FROM, RESERVE_TO, URL, REFERENCE_ID, EXTERNAL_ID, PROJECT_ID, EXTERNAL_KEY1, EXTERNAL_KEY2, SOURCE_ID, LAST_UPDATED, REC_DATETIME, ISSOFTDELETED) AS
(SELECT Q.LABREQUEST_ID, QC.LABREQUEST_CLASS_ID, Q.TITLE, Q.SUMMARY, Q.COMMENTS, Q.CREATE_DATE, Q.CONFIRMATION_DATE, REQER.RESOURCE_ID AS REQUESTER_ID, FFER.RESOURCE_ID AS FULFILLER_ID, Q.PRIORITY, Q.CURRENT_STATE, Q.VISIBLE_ID, Q.CONFIGURATION, Q.RESERVE_FROM, Q.RESERVE_TO, Q.URL, Q.REFERENCE_ID, Q.EXTERNAL_ID, P.PROJECT_ID, Q.EXTERNAL_KEY1, Q.EXTERNAL_KEY2, Q.SOURCE_ID, Q.LAST_UPDATED, Q.REC_DATETIME, Q.ISSOFTDELETED
  FROM &&CALM_SCHEMA..LABREQUEST Q
  JOIN &&CALM_SCHEMA..LABREQUEST_CLASSIFICATION QC ON QC.LABREQUEST_CLASS_ID=Q.LABREQUEST_CLASS_ID
  JOIN &&NF_SCHEMA.."RESOURCE" REQER ON REQER.RESOURCE_ID=Q.REQUESTER_ID
  JOIN &&NF_SCHEMA.."RESOURCE" FFER ON FFER.RESOURCE_ID=Q.FULFILLER_ID
  JOIN &&NF_SCHEMA..PROJECT P ON P.PROJECT_ID=Q.PROJECT_ID);
  
CREATE VIEW VW_LABREQUEST_CLASSIFICATION (LABREQUEST_CLASS_ID, NAME, REC_DATETIME) AS
(SELECT QC.LABREQUEST_CLASS_ID, QC.NAME, QC.REC_DATETIME
  FROM &&CALM_SCHEMA..LABREQUEST_CLASSIFICATION QC);
  
CREATE VIEW VW_LABREQUEST_CHANGESTATE (CHANGESTATE_ID, LABREQUEST_ID, STATE_UUID, FROM_STATE, TO_STATE, FROM_TIME, TO_TIME, USER_ID, ISSOFTDELETED) AS
(SELECT QS.CHANGESTATE_ID, Q.LABREQUEST_ID, QS.STATE_UUID, QS.FROM_STATE, QS.TO_STATE, QS.FROM_TIME, QS.TO_TIME, R.RESOURCE_ID AS USER_ID, QS.ISSOFTDELETED
  FROM &&CALM_SCHEMA..LABREQUEST_CHANGESTATE QS
  JOIN &&CALM_SCHEMA..LABREQUEST Q ON Q.LABREQUEST_ID=QS.LABREQUEST_ID
  JOIN &&NF_SCHEMA.."RESOURCE" R ON R.RESOURCE_ID=QS.USER_ID);
  
CREATE VIEW VW_RESERVATION_LABREQ_LOOKUP (RESERVATION_ID, LABREQUEST_ID) AS
(SELECT R.RESERVATION_ID, Q.LABREQUEST_ID
  FROM &&CALM_SCHEMA..RESERVATION_LABREQUEST_LOOKUP RQL
  JOIN &&NF_SCHEMA..RESERVATION R ON R.RESERVATION_ID=RQL.RESERVATION_ID
  JOIN &&CALM_SCHEMA..LABREQUEST Q ON Q.LABREQUEST_ID=RQL.LABREQUEST_ID);
  
CREATE VIEW VW_TESTPLAN_STRING_EXT (TESTPLAN_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT TP.TESTPLAN_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..TESTPLAN_STRING_EXT E
  JOIN &&NF_SCHEMA..TESTPLAN TP ON TP.TESTPLAN_ID=E.TESTPLAN_ID);
  
CREATE VIEW VW_TESTPLAN_STRING_M_EXT (TESTPLAN_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT TP.TESTPLAN_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..TESTPLAN_STRING_M_EXT E
  JOIN &&NF_SCHEMA..TESTPLAN TP ON TP.TESTPLAN_ID=E.TESTPLAN_ID);
  
CREATE VIEW VW_TESTPLAN_INT_EXT (TESTPLAN_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT TP.TESTPLAN_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..TESTPLAN_INT_EXT E
  JOIN &&NF_SCHEMA..TESTPLAN TP ON TP.TESTPLAN_ID=E.TESTPLAN_ID);
  
CREATE VIEW VW_TESTPLAN_TIMESTAMP_EXT (TESTPLAN_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT TP.TESTPLAN_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..TESTPLAN_TIMESTAMP_EXT E
  JOIN &&NF_SCHEMA..TESTPLAN TP ON TP.TESTPLAN_ID=E.TESTPLAN_ID);
  
CREATE VIEW VW_TESTCASE_STRING_EXT (TESTCASE_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT TC.TESTCASE_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..TESTCASE_STRING_EXT E
  JOIN &&NF_SCHEMA..TESTCASE TC ON TC.TESTCASE_ID=E.TESTCASE_ID);
  
CREATE VIEW VW_TESTCASE_STRING_M_EXT (TESTCASE_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT TC.TESTCASE_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..TESTCASE_STRING_M_EXT E
  JOIN &&NF_SCHEMA..TESTCASE TC ON TC.TESTCASE_ID=E.TESTCASE_ID);
  
CREATE VIEW VW_TESTCASE_INT_EXT (TESTCASE_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT TC.TESTCASE_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..TESTCASE_INT_EXT E
  JOIN &&NF_SCHEMA..TESTCASE TC ON TC.TESTCASE_ID=E.TESTCASE_ID);
  
CREATE VIEW VW_TESTCASE_TIMESTAMP_EXT (TESTCASE_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT TC.TESTCASE_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..TESTCASE_TIMESTAMP_EXT E
  JOIN &&NF_SCHEMA..TESTCASE TC ON TC.TESTCASE_ID=E.TESTCASE_ID);
  
CREATE VIEW VW_TESTSCRIPT_STRING_EXT (TESTSCRIPT_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT TS.TESTSCRIPT_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..TESTSCRIPT_STRING_EXT E
  JOIN &&NF_SCHEMA..TESTSCRIPT TS ON TS.TESTSCRIPT_ID=E.TESTSCRIPT_ID);
  
CREATE VIEW VW_TESTSCRIPT_STRING_M_EXT (TESTSCRIPT_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT TS.TESTSCRIPT_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..TESTSCRIPT_STRING_M_EXT E
  JOIN &&NF_SCHEMA..TESTSCRIPT TS ON TS.TESTSCRIPT_ID=E.TESTSCRIPT_ID);
  
CREATE VIEW VW_TESTSCRIPT_INT_EXT (TESTSCRIPT_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT TS.TESTSCRIPT_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..TESTSCRIPT_INT_EXT E
  JOIN &&NF_SCHEMA..TESTSCRIPT TS ON TS.TESTSCRIPT_ID=E.TESTSCRIPT_ID);
  
CREATE VIEW VW_TESTSCRIPT_TIMESTAMP_EXT (TESTSCRIPT_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT TS.TESTSCRIPT_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..TESTSCRIPT_TIMESTAMP_EXT E
  JOIN &&NF_SCHEMA..TESTSCRIPT TS ON TS.TESTSCRIPT_ID=E.TESTSCRIPT_ID);
  
CREATE VIEW VW_TESTSUITE_STRING_EXT (TESTSUITE_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT TS.TESTSUITE_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..TESTSUITE_STRING_EXT E
  JOIN &&NF_SCHEMA..TESTSUITE TS ON TS.TESTSUITE_ID=E.TESTSUITE_ID);
  
CREATE VIEW VW_TESTSUITE_STRING_M_EXT (TESTSUITE_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT TS.TESTSUITE_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..TESTSUITE_STRING_M_EXT E
  JOIN &&NF_SCHEMA..TESTSUITE TS ON TS.TESTSUITE_ID=E.TESTSUITE_ID);
  
CREATE VIEW VW_TESTSUITE_INT_EXT (TESTSUITE_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT TS.TESTSUITE_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..TESTSUITE_INT_EXT E
  JOIN &&NF_SCHEMA..TESTSUITE TS ON TS.TESTSUITE_ID=E.TESTSUITE_ID);
  
CREATE VIEW VW_TESTSUITE_TIMESTAMP_EXT (TESTSUITE_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT TS.TESTSUITE_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..TESTSUITE_TIMESTAMP_EXT E
  JOIN &&NF_SCHEMA..TESTSUITE TS ON TS.TESTSUITE_ID=E.TESTSUITE_ID);
  
CREATE VIEW VW_EXECRES_STRING_EXT (EXECUTION_RESULT_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT ER.EXECUTION_RESULT_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..EXECRES_STRING_EXT E
  JOIN &&NF_SCHEMA..EXECUTION_RESULT ER ON ER.EXECUTION_RESULT_ID=E.EXECUTION_RESULT_ID);
  
CREATE VIEW VW_EXECRES_STRING_M_EXT (EXECUTION_RESULT_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT ER.EXECUTION_RESULT_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..EXECRES_STRING_M_EXT E
  JOIN &&NF_SCHEMA..EXECUTION_RESULT ER ON ER.EXECUTION_RESULT_ID=E.EXECUTION_RESULT_ID);
  
CREATE VIEW VW_EXECRES_INT_EXT (EXECUTION_RESULT_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT ER.EXECUTION_RESULT_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..EXECRES_INT_EXT E
  JOIN &&NF_SCHEMA..EXECUTION_RESULT ER ON ER.EXECUTION_RESULT_ID=E.EXECUTION_RESULT_ID);
  
CREATE VIEW VW_EXECRES_TIMESTAMP_EXT (EXECUTION_RESULT_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT ER.EXECUTION_RESULT_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..EXECRES_TIMESTAMP_EXT E
  JOIN &&NF_SCHEMA..EXECUTION_RESULT ER ON ER.EXECUTION_RESULT_ID=E.EXECUTION_RESULT_ID);
  
CREATE VIEW VW_TESTSUITELOG_STRING_EXT (TESTSUITELOG_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT TSL.TESTSUITELOG_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..TESTSUITELOG_STRING_EXT E
  JOIN &&NF_SCHEMA..TESTSUITELOG TSL ON TSL.TESTSUITELOG_ID=E.TESTSUITELOG_ID);
  
CREATE VIEW VW_TESTSUITELOG_STRING_M_EXT (TESTSUITELOG_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT TSL.TESTSUITELOG_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..TESTSUITELOG_STRING_M_EXT E
  JOIN &&NF_SCHEMA..TESTSUITELOG TSL ON TSL.TESTSUITELOG_ID=E.TESTSUITELOG_ID);
  
CREATE VIEW VW_TESTSUITELOG_INT_EXT (TESTSUITELOG_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT TSL.TESTSUITELOG_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..TESTSUITELOG_INT_EXT E
  JOIN &&NF_SCHEMA..TESTSUITELOG TSL ON TSL.TESTSUITELOG_ID=E.TESTSUITELOG_ID);
  
CREATE VIEW VW_TESTSUITELOG_TIMESTAMP_EXT (TESTSUITELOG_ID, IDENTIFIER, NAME, VAR, ISSOFTDELETED) AS
(SELECT TSL.TESTSUITELOG_ID, E.IDENTIFIER, E.NAME, E.VAR, E.ISSOFTDELETED
  FROM &&CALM_SCHEMA..TESTSUITELOG_TIMESTAMP_EXT E
  JOIN &&NF_SCHEMA..TESTSUITELOG TSL ON TSL.TESTSUITELOG_ID=E.TESTSUITELOG_ID);
  
CREATE VIEW VW_ITERATION_EXEC_DETAIL (ITER_EXEC_DETAIL_ID, ITERATION_ID, "COMMENT", EXEC_DATE, POINT_ATTEMPTED, POINT_COMPLETED, ISSOFTDELETED) AS
(SELECT D.ITER_EXEC_DETAIL_ID, I.ITERATION_ID, D."COMMENT", D.EXEC_DATE, D.POINT_ATTEMPTED, D.POINT_COMPLETED, D.ISSOFTDELETED
  FROM &&CALM_SCHEMA..ITERATION_EXEC_DETAIL D
  JOIN &&NF_SCHEMA..ITERATION I ON I.ITERATION_ID=D.ITERATION_ID);

CREATE VIEW VW_RQRMNT_EXT_LINK (EXTERNAL_ID, PRED_REQUIREMENT_ID, PRED_REQUIREMENT_NAME, LINK_TYPE_ID, LINK_TYPE, EXTERNAL_LABEL, EXTERNAL_URL) AS
(SELECT EL.EXTERNAL_ID, EL.PRED_REQUIREMENT_ID, R.NAME AS PRED_REQUIREMENT_NAME, EL.LINK_TYPE_ID, LT.NAME AS LINK_TYPE, EL.EXTERNAL_LABEL, EL.EXTERNAL_URL
  FROM &&CALM_SCHEMA..REQUIREMENT_EXTERNAL_LINK EL
  JOIN &&NF_SCHEMA..REQUIREMENT R ON R.REQUIREMENT_ID=EL.PRED_REQUIREMENT_ID
  JOIN &&NF_SCHEMA..REQUIREMENT_LINK_TYPE LT ON LT.LINK_TYPE_ID=EL.LINK_TYPE_ID);

CREATE VIEW VW_RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID,	REQUIREMENT_TYPE_ID, REQUIREMENT_TYPE_NAME, IDENTIFIER,	NAME, DATATYPE,	IS_ENUMERATION, ISSOFTDELETED, PROJECT_ID, PROJECT_NAME) AS
(SELECT AD.REQUIREMENT_ATTRDEF_ID,	RT.REQUIREMENT_TYPE_ID, RT.NAME AS REQUIREMENT_TYPE_NAME, AD.IDENTIFIER, AD.NAME, AD.DATATYPE, AD.IS_ENUMERATION, AD.ISSOFTDELETED, PJ.PROJECT_ID, PJ.NAME AS PROJECT_NAME
  FROM &&CALM_SCHEMA..RQRMENT_ATTRDEF AD
  JOIN &&CALM_SCHEMA..RQRMENT_TYPE_ATTRDEF MAP ON AD.REQUIREMENT_ATTRDEF_ID = MAP.REQUIREMENT_ATTRDEF_ID
  JOIN &&CALM_SCHEMA..RQRMENT_TYPE RT ON MAP.REQUIREMENT_TYPE_ID = RT.REQUIREMENT_TYPE_ID
  JOIN &&NF_SCHEMA..PROJECT PJ ON PJ.PROJECT_ID = RT.PROJECT_ID);

CREATE VIEW VW_RQRMENT_TYPE (REQUIREMENT_TYPE_ID, IDENTIFIER, NAME, PROJECT_ID, PROJECT_NAME, ISSOFTDELETED) AS
(SELECT RT.REQUIREMENT_TYPE_ID, RT.IDENTIFIER, RT.NAME, RT.PROJECT_ID, PJ.NAME AS PROJECT_NAME, RT.ISSOFTDELETED
  FROM &&CALM_SCHEMA..RQRMENT_TYPE RT 
  JOIN &&NF_SCHEMA..PROJECT PJ ON PJ.PROJECT_ID=RT.PROJECT_ID);

COMMIT;

