ALTER SESSION SET CURRENT_SCHEMA= CONFIG;

INSERT INTO SYSCONFIG_INFO(INFO_ID,NAME,DISPLAY_NAME,INT_VALUE,CHAR_VALUE) SELECT 6 AS INFO_ID,'VERSION' AS NAME,'Insight Warehouse Version' AS DISPLAY_NAME,1 AS INT_VALUE,'1.0' AS CHAR_VALUE FROM DUAL WHERE NOT EXISTS(SELECT INFO_ID FROM SYSCONFIG_INFO WHERE INFO_ID=6);

INSERT INTO SYSCONFIG_INFO(INFO_ID,NAME,DISPLAY_NAME,INT_VALUE,CHAR_VALUE) SELECT 7 AS INFO_ID,'UPDATE_TARGET' AS NAME,'Insight Warehouse Update' AS DISPLAY_NAME,0 AS INT_VALUE,'1.0.0.2' AS CHAR_VALUE FROM DUAL WHERE NOT EXISTS(SELECT INFO_ID FROM SYSCONFIG_INFO WHERE INFO_ID=7);

UPDATE CONFIG.SYSCONFIG_INFO SET CHAR_VALUE='1.0.0.2' WHERE INFO_ID=7;

MERGE INTO CONFIG.SYSCONFIG_INFO M USING (SELECT 8 AS INFO_ID,'MIGRATION_STATUS' AS NAME,'Insight Warehouse Migration Status' AS DISPLAY_NAME,0 AS INT_VALUE,'' AS CHAR_VALUE FROM DUAL) MM ON (M.INFO_ID=MM.INFO_ID) WHEN MATCHED THEN UPDATE SET M.NAME=MM.NAME,M.DISPLAY_NAME=MM.DISPLAY_NAME,M.INT_VALUE=MM.INT_VALUE,M.CHAR_VALUE=MM.CHAR_VALUE,M.REC_DATETIME=CURRENT_TIMESTAMP WHEN NOT MATCHED THEN INSERT (INFO_ID,NAME,DISPLAY_NAME,INT_VALUE) VALUES(8,'MIGRATION_STATUS','Insight Warehouse Migration Status',0);


CREATE TABLE RIODS.CHARGECODE ( CHARGECODE_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'Charge Code Name Missing' NOT NULL, PARENT_CHARGECODE_ID INTEGER DEFAULT -1 NOT NULL, CHARGECODE_STATE VARCHAR(255), EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL, EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL, URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;  
 ALTER TABLE RIODS.CHARGECODE ADD CONSTRAINT CHARGECODE_PK PRIMARY KEY(CHARGECODE_ID) USING INDEX TABLESPACE  VNF_IDX;   
 MERGE INTO RIODS.CHARGECODE M USING (SELECT -1 CHARGECODE_ID, 'Info not available' NAME FROM DUAL) MM ON (M.CHARGECODE_ID = MM.CHARGECODE_ID)  WHEN NOT MATCHED THEN INSERT (CHARGECODE_ID,NAME) VALUES (-1,'Info not available'); 
 CREATE INDEX RIODS.CHARGECODE_IDX1 ON RIODS.CHARGECODE (SOURCE_ID,ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;  
 CREATE INDEX RIODS.CHARGECODE_IDX2 ON RIODS.CHARGECODE (EXTERNAL_KEY1)  REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.CHARGECODE_IDX3 ON RIODS.CHARGECODE (EXTERNAL_KEY2) REVERSE TABLESPACE VNF_IDX;  
 CREATE INDEX RIODS.CHARGECODE_IDX4 ON RIODS.CHARGECODE (EXTERNAL_KEY1,SOURCE_ID) REVERSE TABLESPACE VNF_IDX;  
 CREATE INDEX RIODS.CHARGECODE_IDX5 ON RIODS.CHARGECODE (EXTERNAL_KEY2,SOURCE_ID) REVERSE TABLESPACE VNF_IDX;  
 CREATE TABLE RIODS.CITY ( CITY_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'City Name Missing' NOT NULL, PROVINCE_STATE_ID INTEGER DEFAULT -1 NOT NULL, EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL, EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL, URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;
 ALTER TABLE RIODS.CITY ADD CONSTRAINT CITY_PK PRIMARY KEY(CITY_ID) USING INDEX TABLESPACE  VNF_IDX; 
 MERGE INTO RIODS.CITY M USING (SELECT -1 CITY_ID, 'Info not available' NAME FROM DUAL) MM ON (M.CITY_ID = MM.CITY_ID)  WHEN NOT MATCHED THEN INSERT (CITY_ID,NAME) VALUES (-1,'Info not available');
 CREATE INDEX RIODS.CITY_IDX1 ON RIODS.CITY (SOURCE_ID,ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;    
 CREATE INDEX RIODS.CITY_IDX2 ON RIODS.CITY (EXTERNAL_KEY1) REVERSE TABLESPACE VNF_IDX;    
 CREATE INDEX RIODS.CITY_IDX3 ON RIODS.CITY (EXTERNAL_KEY2) REVERSE TABLESPACE VNF_IDX;    
 CREATE INDEX RIODS.CITY_IDX4 ON RIODS.CITY (EXTERNAL_KEY1,SOURCE_ID) REVERSE TABLESPACE VNF_IDX;    
 CREATE INDEX RIODS.CITY_IDX5 ON RIODS.CITY (EXTERNAL_KEY2,SOURCE_ID) REVERSE TABLESPACE VNF_IDX;    
 CREATE TABLE RIODS.COMPETENCY ( COMPETENCY_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Competency Name Missing' NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), URL VARCHAR(2048), EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL, EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K; 
 ALTER TABLE RIODS.COMPETENCY ADD CONSTRAINT COMPETENCY_PK PRIMARY KEY(COMPETENCY_ID) USING INDEX TABLESPACE  VNF_IDX;   
 MERGE INTO RIODS.COMPETENCY M USING (SELECT -1 COMPETENCY_ID, 'Info not available' NAME FROM DUAL) MM ON (M.COMPETENCY_ID = MM.COMPETENCY_ID)  WHEN NOT MATCHED THEN INSERT (COMPETENCY_ID,NAME) VALUES (-1,'Info not available'); 
 CREATE INDEX RIODS.COMPETENCY_IDX1 ON RIODS.COMPETENCY (SOURCE_ID,ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;  
 CREATE INDEX RIODS.COMPETENCY_IDX2 ON RIODS.COMPETENCY (EXTERNAL_KEY1) REVERSE TABLESPACE VNF_IDX;  
 CREATE INDEX RIODS.COMPETENCY_IDX3 ON RIODS.COMPETENCY (EXTERNAL_KEY2) REVERSE TABLESPACE VNF_IDX;  
 CREATE INDEX RIODS.COMPETENCY_IDX4 ON RIODS.COMPETENCY (EXTERNAL_KEY1,SOURCE_ID) REVERSE TABLESPACE VNF_IDX;  
 CREATE INDEX RIODS.COMPETENCY_IDX5 ON RIODS.COMPETENCY (EXTERNAL_KEY2,SOURCE_ID) REVERSE TABLESPACE VNF_IDX;  
 CREATE TABLE RIODS.COUNTRY ( COUNTRY_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'Country Name Missing' NOT NULL, TERRITORY_ID INTEGER DEFAULT -1 NOT NULL, EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL, EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL, URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;   
 ALTER TABLE RIODS.COUNTRY ADD CONSTRAINT COUNTRY_PK PRIMARY KEY(COUNTRY_ID) USING INDEX TABLESPACE  VNF_IDX;  
 MERGE INTO RIODS.COUNTRY M USING (SELECT -1 COUNTRY_ID, 'Info not available' NAME FROM DUAL) MM ON (M.COUNTRY_ID = MM.COUNTRY_ID)  WHEN NOT MATCHED THEN INSERT (COUNTRY_ID,NAME) VALUES (-1,'Info not available');   
 CREATE INDEX RIODS.COUNTRY_IDX1 ON RIODS.COUNTRY (SOURCE_ID,ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.COUNTRY_IDX2 ON RIODS.COUNTRY (EXTERNAL_KEY1) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.COUNTRY_IDX3 ON RIODS.COUNTRY (EXTERNAL_KEY2) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.COUNTRY_IDX4 ON RIODS.COUNTRY (EXTERNAL_KEY1,SOURCE_ID) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.COUNTRY_IDX5 ON RIODS.COUNTRY (EXTERNAL_KEY2,SOURCE_ID) REVERSE TABLESPACE VNF_IDX; 
 CREATE TABLE RIODS.ITERATION_BASELINE ( BASELINE_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Iteration Baseline Name Missing' NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), ITERATION_ID INTEGER DEFAULT -1 NOT NULL, BASELINE_DATE TIMESTAMP, PLANNED_START DATE, PLANNED_FINISH DATE, PLANNED_WORK INTEGER, BASELINE_WORK_COMPLETED INTEGER, PLANNED_COST DECIMAL(18,2), BASELINE_COST_COMPLETED DECIMAL(18,2), PLANNED_DURATION INTEGER, URL VARCHAR(2048), EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL, EXTERNAL_KEY2 CHAR(80) DEFAULT '-1' NOT NULL, SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;    
 ALTER TABLE RIODS.ITERATION_BASELINE ADD CONSTRAINT ITERBASELINE_PK PRIMARY KEY(BASELINE_ID, ITERATION_ID) USING INDEX TABLESPACE  VNF_IDX;  
 CREATE INDEX RIODS.ITERBASELINE_IDX1 ON RIODS.ITERATION_BASELINE (SOURCE_ID,ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;  
 CREATE INDEX RIODS.ITERBASELINE_IDX2 ON RIODS.ITERATION_BASELINE (EXTERNAL_KEY1) REVERSE TABLESPACE VNF_IDX;  
 CREATE INDEX RIODS.ITERBASELINE_IDX3 ON RIODS.ITERATION_BASELINE (EXTERNAL_KEY2) REVERSE TABLESPACE VNF_IDX;  
 CREATE INDEX RIODS.ITERBASELINE_IDX4 ON RIODS.ITERATION_BASELINE (EXTERNAL_KEY1,SOURCE_ID) REVERSE TABLESPACE VNF_IDX;  
 CREATE INDEX RIODS.ITERBASELINE_IDX5 ON RIODS.ITERATION_BASELINE (EXTERNAL_KEY2,SOURCE_ID) REVERSE TABLESPACE VNF_IDX;  
 CREATE TABLE RIODS.ITERATION_DETAIL ( ITERATION_ID INTEGER NOT NULL, ACTUAL_DURATION INTEGER DEFAULT 0 NOT NULL, ACTUAL_WORK INTEGER DEFAULT 0 NOT NULL, ACTUAL_WORK_VARIANCE INTEGER DEFAULT 0 NOT NULL, ACTUAL_START_VARIANCE INTEGER DEFAULT 0 NOT NULL, ACTUAL_FINISH_VARIANCE INTEGER DEFAULT 0 NOT NULL, ACTUAL_START DATE, ACTUAL_FINISH DATE, ACTUAL_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, ACTUAL_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, BASELINE_DURATION INTEGER DEFAULT 0 NOT NULL, BASELINE_WORK INTEGER DEFAULT 0 NOT NULL, BASELINE_WORK_VARIANCE INTEGER DEFAULT 0 NOT NULL, BASELINE_FINISH_VARIANCE INTEGER DEFAULT 0 NOT NULL, BASELINE_START_VARIANCE INTEGER DEFAULT 0 NOT NULL, BASELINE_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, BASELINE_START DATE, BASELINE_FINISH DATE, PLANNED_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, PLANNED_DURATION INTEGER DEFAULT 0 NOT NULL, PLANNED_WORK INTEGER DEFAULT 0 NOT NULL, WORK_VARIANCE INTEGER DEFAULT 0 NOT NULL, START_VARIANCE INTEGER DEFAULT 0 NOT NULL, FINISH_VARIANCE INTEGER DEFAULT 0 NOT NULL, DURATION_VARIANCE INTEGER DEFAULT 0 NOT NULL, PLANNED_START DATE, PLANNED_FINISH DATE, PERCENT_COMPLETE DECIMAL(5,2), PERCENT_WORK_COMPLETE DECIMAL(5,2) )  TABLESPACE VNF_32K; 
 ALTER TABLE RIODS.ITERATION_DETAIL ADD CONSTRAINT ITERDET_PK PRIMARY KEY(ITERATION_ID) USING INDEX TABLESPACE  VNF_IDX; 
 CREATE TABLE RIODS.OPERATING_TERRITORY ( TERRITORY_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'Territory Name Missing' NOT NULL, EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL, EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL, URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K; 
 ALTER TABLE RIODS.OPERATING_TERRITORY ADD CONSTRAINT OPTERRITORY_PK PRIMARY KEY(TERRITORY_ID) USING INDEX TABLESPACE  VNF_IDX;  
 MERGE INTO RIODS.OPERATING_TERRITORY M USING (SELECT -1 TERRITORY_ID, 'Info not available' NAME FROM DUAL) MM ON (M.TERRITORY_ID = MM.TERRITORY_ID)  WHEN NOT MATCHED THEN INSERT (TERRITORY_ID,NAME) VALUES (-1,'Info not available');   
 CREATE INDEX RIODS.OPERTERRI_IDX1 ON RIODS.OPERATING_TERRITORY (SOURCE_ID,ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;    
 CREATE INDEX RIODS.OPERTERRI_IDX2 ON RIODS.OPERATING_TERRITORY (EXTERNAL_KEY1) REVERSE TABLESPACE VNF_IDX;    
 CREATE INDEX RIODS.OPERTERRI_IDX3 ON RIODS.OPERATING_TERRITORY (EXTERNAL_KEY2) REVERSE TABLESPACE VNF_IDX;    
 CREATE INDEX RIODS.OPERTERRI_IDX4 ON RIODS.OPERATING_TERRITORY (EXTERNAL_KEY1,SOURCE_ID) REVERSE TABLESPACE VNF_IDX;    
 CREATE INDEX RIODS.OPERTERRI_IDX5 ON RIODS.OPERATING_TERRITORY (EXTERNAL_KEY2,SOURCE_ID) REVERSE TABLESPACE VNF_IDX;    
 CREATE TABLE RIODS.ORGANIZATION ( ORGANIZATION_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'Organization Name Missing' NOT NULL, EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL, EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL, URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;  
 ALTER TABLE RIODS.ORGANIZATION ADD CONSTRAINT ORGANIZATION_PK PRIMARY KEY(ORGANIZATION_ID) USING INDEX TABLESPACE  VNF_IDX;     
 MERGE INTO RIODS.ORGANIZATION M USING (SELECT -1 ORGANIZATION_ID, 'Info not available' NAME FROM DUAL) MM ON (M.ORGANIZATION_ID = MM.ORGANIZATION_ID)  WHEN NOT MATCHED THEN INSERT (ORGANIZATION_ID,NAME) VALUES (-1,'Info not available');      
 CREATE TABLE RIODS.PROFILE ( PROFILE_ID INTEGER NOT NULL, NAME VARCHAR(50) DEFAULT 'Profile Name Missing' NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), RATE DECIMAL(18,2), CREATION_DATE DATE, EXPERIENCE_IN_MONTHS INTEGER, CITY_ID INTEGER DEFAULT -1 NOT NULL, ORGANIZATION_ID INTEGER DEFAULT -1 NOT NULL, URL VARCHAR(2048), EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL, EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K; 
 ALTER TABLE RIODS.PROFILE ADD CONSTRAINT PROFILE_PK PRIMARY KEY(PROFILE_ID) USING INDEX TABLESPACE  VNF_IDX;  
 MERGE INTO RIODS.PROFILE M USING (SELECT -1 PROFILE_ID, 'Info not available' NAME FROM DUAL) MM ON (M.PROFILE_ID = MM.PROFILE_ID)  WHEN NOT MATCHED THEN INSERT (PROFILE_ID,NAME) VALUES (-1,'Info not available');   
 CREATE TABLE RIODS.PROFILE_COMPETENCY_LOOKUP ( PROFILE_ID INTEGER NOT NULL, COMPETENCY_ID INTEGER NOT NULL )  TABLESPACE VNF_32K;  
 ALTER TABLE RIODS.PROFILE_COMPETENCY_LOOKUP ADD CONSTRAINT PROCOMPETENCY_PK PRIMARY KEY(PROFILE_ID, COMPETENCY_ID) USING INDEX TABLESPACE  VNF_IDX; 
 CREATE TABLE RIODS.SKILL ( SKILL_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Skill Name Missing' NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), URL VARCHAR(2048), EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL, EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL)  TABLESPACE VNF_32K;    
 ALTER TABLE RIODS.SKILL ADD CONSTRAINT SKILL_PK PRIMARY KEY(SKILL_ID) USING INDEX TABLESPACE  VNF_IDX; 
 MERGE INTO RIODS.SKILL M USING (SELECT -1 SKILL_ID, 'Info not available' NAME FROM DUAL) MM ON (M.SKILL_ID = MM.SKILL_ID)  WHEN NOT MATCHED THEN INSERT (SKILL_ID,NAME) VALUES (-1,'Info not available');   
 CREATE INDEX RIODS.SKILL_IDX1 ON RIODS.SKILL (SOURCE_ID,ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;  
 CREATE INDEX RIODS.SKILL_IDX2 ON RIODS.SKILL (EXTERNAL_KEY1) REVERSE TABLESPACE VNF_IDX;  
 CREATE INDEX RIODS.SKILL_IDX3 ON RIODS.SKILL (EXTERNAL_KEY2) REVERSE TABLESPACE VNF_IDX;  
 CREATE INDEX RIODS.SKILL_IDX4 ON RIODS.SKILL (EXTERNAL_KEY1,SOURCE_ID) REVERSE TABLESPACE VNF_IDX;  
 CREATE INDEX RIODS.SKILL_IDX5 ON RIODS.SKILL (EXTERNAL_KEY2,SOURCE_ID) REVERSE TABLESPACE VNF_IDX;  
 CREATE TABLE RIODS.PROGRAM ( PROGRAM_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Program Name Missing' NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), PROGRAM_MANAGER INTEGER DEFAULT -1 NOT NULL, URL VARCHAR(2048), EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL, EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;
 ALTER TABLE RIODS.PROGRAM ADD CONSTRAINT PROGRAM_PK PRIMARY KEY(PROGRAM_ID) USING INDEX TABLESPACE  VNF_IDX;  
 MERGE INTO RIODS.PROGRAM M USING (SELECT -1 PROGRAM_ID, 'Info not available' NAME FROM DUAL) MM ON (M.PROGRAM_ID = MM.PROGRAM_ID)  WHEN NOT MATCHED THEN INSERT (PROGRAM_ID,NAME) VALUES (-1,'Info not available');   
 CREATE INDEX RIODS.PROGRAM_IDX1 ON RIODS.PROGRAM (SOURCE_ID,ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.PROGRAM_IDX2 ON RIODS.PROGRAM (EXTERNAL_KEY1) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.PROGRAM_IDX3 ON RIODS.PROGRAM (EXTERNAL_KEY2) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.PROGRAM_IDX4 ON RIODS.PROGRAM (EXTERNAL_KEY1,SOURCE_ID) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.PROGRAM_IDX5 ON RIODS.PROGRAM (EXTERNAL_KEY2,SOURCE_ID) REVERSE TABLESPACE VNF_IDX; 
 CREATE TABLE RIODS.PROGRAM_DETAIL ( PROGRAM_ID INTEGER NOT NULL, CURRENCY_ID INTEGER DEFAULT -1 NOT NULL, ACTUAL_BUDGET DECIMAL(18,2) DEFAULT 0.00 NOT NULL, CURRENT_BUDGET DECIMAL(18,2) DEFAULT 0.00 NOT NULL, PLANNED_BUDGET DECIMAL(18,2) DEFAULT 0.00 NOT NULL, ACTUAL_VARIANCE INTEGER DEFAULT 0, ACTUAL_START DATE, ACTUAL_FINISH DATE, PLANNED_START DATE, PLANNED_FINISH DATE, ACWP DECIMAL(18,2) DEFAULT 0.00 NOT NULL, BAC DECIMAL(18,2) DEFAULT 0.00 NOT NULL, BCWP DECIMAL(18,2) DEFAULT 0.00 NOT NULL, BCWS DECIMAL(18,2) DEFAULT 0.00 NOT NULL, EAC DECIMAL(18,2) DEFAULT 0.00 NOT NULL, EV_ETC DECIMAL(18,2) DEFAULT 0.00 NOT NULL, EV_FLAG DECIMAL(18,2) DEFAULT 0.00 NOT NULL, ACTUAL_DURATION INTEGER DEFAULT 0 NOT NULL, ACTUAL_WORK INTEGER DEFAULT 0 NOT NULL, ACTUAL_WORK_VARIANCE INTEGER DEFAULT 0 NOT NULL, ACTUAL_START_VARIANCE INTEGER DEFAULT 0 NOT NULL, ACTUAL_FINISH_VARIANCE INTEGER DEFAULT 0 NOT NULL, ACTUAL_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, ACTUAL_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, PLANNED_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, PLANNED_DURATION INTEGER DEFAULT 0 NOT NULL, PLANNED_WORK INTEGER DEFAULT 0 NOT NULL, WORK_VARIANCE INTEGER DEFAULT 0 NOT NULL, START_VARIANCE INTEGER DEFAULT 0 NOT NULL, FINISH_VARIANCE INTEGER DEFAULT 0 NOT NULL, DURATION_VARIANCE INTEGER DEFAULT 0 NOT NULL, PERCENT_COMPLETE DECIMAL(5,2) DEFAULT 0.00 NOT NULL, PERCENT_WORK_COMPLETE DECIMAL(5,2) DEFAULT 0.00 )  TABLESPACE VNF_32K;
 ALTER TABLE RIODS.PROGRAM_DETAIL ADD CONSTRAINT PROGRAMDT_PK PRIMARY KEY(PROGRAM_ID) USING INDEX TABLESPACE  VNF_IDX;   
 CREATE TABLE RIODS.PROJECT_ALLOCATION ( PROJECT_ALLOCATION_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Project Assignment Name Missing' NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), PROJECT_ID INTEGER DEFAULT -1 NOT NULL, OWNER_ID INTEGER DEFAULT -1 NOT NULL, PROFILE_ID INTEGER DEFAULT -1 NOT NULL, PLANNED_START DATE, PLANNED_FINISH DATE, ACTUAL_START DATE, ACTUAL_FINISH DATE, PLANNED_WORK INTEGER DEFAULT 0 NOT NULL, ACTUAL_WORK INTEGER DEFAULT 0 NOT NULL, PLANNED_DURATION INTEGER, ACTUAL_DURATION INTEGER, PERCENT_COMPLETE DECIMAL(5,2), PERCENT_WORK_COMPLETE DECIMAL(5,2), ALLOTED_WORK INTEGER, UNITS INTEGER, URL VARCHAR(2048), EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL, EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;      
 ALTER TABLE RIODS.PROJECT_ALLOCATION ADD CONSTRAINT PROJALLO_PK PRIMARY KEY(PROJECT_ALLOCATION_ID) USING INDEX TABLESPACE  VNF_IDX;
 CREATE INDEX RIODS.PROJALLOC_IDX1 ON RIODS.PROJECT_ALLOCATION (SOURCE_ID,ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;     
 CREATE INDEX RIODS.PROJALLOC_IDX2 ON RIODS.PROJECT_ALLOCATION (EXTERNAL_KEY1) REVERSE TABLESPACE VNF_IDX;     
 CREATE INDEX RIODS.PROJALLOC_IDX3 ON RIODS.PROJECT_ALLOCATION (EXTERNAL_KEY2) REVERSE TABLESPACE VNF_IDX;     
 CREATE INDEX RIODS.PROJALLOC_IDX4 ON RIODS.PROJECT_ALLOCATION (EXTERNAL_KEY1,SOURCE_ID) REVERSE TABLESPACE VNF_IDX;     
 CREATE INDEX RIODS.PROJALLOC_IDX5 ON RIODS.PROJECT_ALLOCATION (EXTERNAL_KEY2,SOURCE_ID) REVERSE TABLESPACE VNF_IDX;     
 CREATE TABLE RIODS.PROVINCE_STATE ( PROVINCE_STATE_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'Province or State Name Missing' NOT NULL, COUNTRY_ID INTEGER DEFAULT -1 NOT NULL, EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL, EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL, URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;  
 ALTER TABLE RIODS.PROVINCE_STATE ADD CONSTRAINT PROVSTATE_PK PRIMARY KEY(PROVINCE_STATE_ID) USING INDEX TABLESPACE  VNF_IDX;    
 MERGE INTO RIODS.PROVINCE_STATE M USING (SELECT -1 PROVINCE_STATE_ID, 'Info not available' NAME FROM DUAL) MM ON (M.PROVINCE_STATE_ID = MM.PROVINCE_STATE_ID)  WHEN NOT MATCHED THEN INSERT (PROVINCE_STATE_ID,NAME) VALUES (-1,'Info not available');      
 CREATE INDEX RIODS.PROVSTATE_IDX1 ON RIODS.PROVINCE_STATE (SOURCE_ID,ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;  
 CREATE INDEX RIODS.PROVSTATE_IDX2 ON RIODS.PROVINCE_STATE (EXTERNAL_KEY1) REVERSE TABLESPACE VNF_IDX;  
 CREATE INDEX RIODS.PROVSTATE_IDX3 ON RIODS.PROVINCE_STATE (EXTERNAL_KEY2) REVERSE TABLESPACE VNF_IDX;  
 CREATE INDEX RIODS.PROVSTATE_IDX4 ON RIODS.PROVINCE_STATE (EXTERNAL_KEY1,SOURCE_ID) REVERSE TABLESPACE VNF_IDX;  
 CREATE INDEX RIODS.PROVSTATE_IDX5 ON RIODS.PROVINCE_STATE (EXTERNAL_KEY2,SOURCE_ID) REVERSE TABLESPACE VNF_IDX;  
 CREATE TABLE RIODS.RESOURCE_COMPETENCY_LOOKUP ( RESOURCE_ID INTEGER NOT NULL, COMPETENCY_ID INTEGER NOT NULL )  TABLESPACE VNF_32K;
 ALTER TABLE RIODS.RESOURCE_COMPETENCY_LOOKUP ADD CONSTRAINT RESCOMPETENCY_PK PRIMARY KEY(RESOURCE_ID, COMPETENCY_ID) USING INDEX TABLESPACE  VNF_IDX;  
 CREATE TABLE RIODS.RESOURCE_SKILL_LOOKUP ( RESOURCE_ID INTEGER NOT NULL, SKILL_ID INTEGER NOT NULL )  TABLESPACE VNF_32K;
 ALTER TABLE RIODS.RESOURCE_SKILL_LOOKUP ADD CONSTRAINT RESSKILL_PK PRIMARY KEY(RESOURCE_ID, SKILL_ID) USING INDEX TABLESPACE  VNF_IDX;    
 CREATE TABLE RIODS.PROFILE_SKILL_LOOKUP ( PROFILE_ID INTEGER NOT NULL, SKILL_ID INTEGER NOT NULL )  TABLESPACE VNF_32K; 
 ALTER TABLE RIODS.PROFILE_SKILL_LOOKUP ADD CONSTRAINT PROSKILL_PK PRIMARY KEY(PROFILE_ID, SKILL_ID) USING INDEX TABLESPACE  VNF_IDX;      
 CREATE TABLE RIODS.TASK_BASELINE ( BASELINE_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Baseline Name Missing' NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), TASK_ID INTEGER DEFAULT -1 NOT NULL, BASELINE_DATE TIMESTAMP, PLANNED_START DATE, PLANNED_FINISH DATE, PLANNED_WORK INTEGER, PLANNED_COST DECIMAL(18,2), PLANNED_DURATION INTEGER, URL VARCHAR(2048), EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL, EXTERNAL_KEY2 CHAR(80) DEFAULT '-1' NOT NULL, SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;
 ALTER TABLE RIODS.TASK_BASELINE ADD CONSTRAINT TASKBL_PK PRIMARY KEY(BASELINE_ID, TASK_ID) USING INDEX TABLESPACE  VNF_IDX;     
 CREATE INDEX RIODS.TASK_BASE_IDX1 ON RIODS.TASK_BASELINE (SOURCE_ID,ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.TASK_BASE_IDX2 ON RIODS.TASK_BASELINE (EXTERNAL_KEY1) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.TASK_BASE_IDX3 ON RIODS.TASK_BASELINE (EXTERNAL_KEY2) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.TASK_BASE_IDX4 ON RIODS.TASK_BASELINE (EXTERNAL_KEY1,SOURCE_ID) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.TASK_BASE_IDX5 ON RIODS.TASK_BASELINE (EXTERNAL_KEY2,SOURCE_ID) REVERSE TABLESPACE VNF_IDX;
 CREATE TABLE RIODS.TEMP_BASELINE ( BASELINE_ID VARCHAR(256), NAME VARCHAR(256), BASELINE_DATE TIMESTAMP, PARENT_ID VARCHAR(256), PARENT_TITLE VARCHAR(256), PLANNED_SCHEDULE_ID VARCHAR(256), PLANNED_START DATE, PLANNED_FINISH DATE, PLANNED_WORK INTEGER, PLANNED_COST DECIMAL(18,2), PLANNED_DURATION INTEGER, URL VARCHAR(2048), DATASOURCE_ID VARCHAR(36) )  TABLESPACE VNF_32K;  
 CREATE TABLE RIODS.TEMP_CALENDAR ( IDREF CHAR(40) NOT NULL, ADOPTED_CALENDAR CHAR(40), USER_IDREF CHAR(40), SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL, HOURSPERDAY DECIMAL(5,2) )  TABLESPACE VNF_32K;    
 CREATE TABLE RIODS.TEMP_CAL_EXCEPTION_RANGE ( FROMDATE DATE, TODATE DATE, HOURSBLOCKED DECIMAL(5,2), EXCEPTIONTYPE VARCHAR(255), DAYOFWEEK VARCHAR(255), DURATION INTEGER, EFFORT INTEGER, IDREF CHAR(40), CALENDAR_IDREF CHAR(40), DAYOFMONTH INTEGER, MONTHOFYEAR INTEGER, SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP )  TABLESPACE VNF_32K; 
 CREATE TABLE RIODS.TEMP_POOL_HIERARCHY ( POOL_ID INTEGER NOT NULL, "LEVEL" INTEGER NOT NULL )  TABLESPACE VNF_32K;      
 CREATE TABLE RIODS.TEMP_PROJECT_CALENDAR ( PROJECT_IDREF CHAR(40) NOT NULL, CALENDAR_IDREF CHAR(40) NOT NULL )  TABLESPACE VNF_32K;
 CREATE TABLE RIODS.TEMP_PROJECT_CALENDAR_EXCEP ( PROJECT_ID INTEGER NOT NULL, EXCEPTION_DATE DATE NOT NULL, EXCEPTION_MINUTES INTEGER NOT NULL, EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL, EXTERNAL_KEY2 CHAR(80) DEFAULT '-1' NOT NULL, SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VNF_32K;  
 CREATE TABLE RIODS.TEMP_RESOURCE_CALENDAR ( RESOURCE_ID INTEGER NOT NULL, MINUTES_PER_DAY INTEGER NOT NULL )  TABLESPACE VNF_32K;  
 CREATE TABLE RIODS.TEMP_RESOURCE_CALENDAR_EXCEP ( RESOURCE_ID INTEGER NOT NULL, EXCEPTION_DATE DATE NOT NULL, EXCEPTION_MINUTES INTEGER NOT NULL, EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL, EXTERNAL_KEY2 CHAR(80) DEFAULT '-1' NOT NULL, SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VNF_32K;
 CREATE TABLE RIODS.TIMECODE ( TIMECODE_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'Charge Code Name Missing' NOT NULL, PARENT_TIMECODE_ID INTEGER DEFAULT -1 NOT NULL, EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL, EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL, URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K; 
 ALTER TABLE RIODS.TIMECODE ADD CONSTRAINT TIMECODE_PK PRIMARY KEY(TIMECODE_ID) USING INDEX TABLESPACE  VNF_IDX;  
 MERGE INTO RIODS.TIMECODE M USING (SELECT -1 TIMECODE_ID, 'Info not available' NAME FROM DUAL) MM ON (M.TIMECODE_ID = MM.TIMECODE_ID)  WHEN NOT MATCHED THEN INSERT (TIMECODE_ID,NAME) VALUES (-1,'Info not available'); 
 CREATE TABLE RIODS.TIMESHEET ( TIMESHEET_ID INTEGER NOT NULL, TIMESHEET_REPORTING_WEEK DATE, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), ACTIVITY_ID INTEGER DEFAULT -1 NOT NULL, ADDITIONAL_WORK INTEGER, BILLABLE_HOURS INTEGER, NON_BILLABLE_HOURS INTEGER, APPROVER_ID INTEGER DEFAULT -1 NOT NULL, TIMESHEET_STATE VARCHAR(255), PERCENT_COMPLETE DECIMAL(18,2), LAST_APPROVAL_DATE DATE, REGULAR_TIME INTEGER, OVERTIME INTEGER, MONDAY_DATE DATE, TUESDAY_DATE DATE, WEDNESDAY_DATE DATE, THURSDAY_DATE DATE, FRIDAY_DATE DATE, SATURDAY_DATE DATE, SUNDAY_DATE DATE, MONDAY_REGULAR_TIME INTEGER DEFAULT 0, TUESDAY_REGULAR_TIME INTEGER DEFAULT 0, WEDNESDAY_REGULAR_TIME INTEGER DEFAULT 0, THURSDAY_REGULAR_TIME INTEGER DEFAULT 0, FRIDAY_REGULAR_TIME INTEGER DEFAULT 0, SATURDAY_REGULAR_TIME INTEGER DEFAULT 0, SUNDAY_REGULAR_TIME INTEGER DEFAULT 0, MONDAY_OVT INTEGER DEFAULT 0, TUESDAY_OVT INTEGER DEFAULT 0, WEDNESDAY_OVT INTEGER DEFAULT 0, THURSDAY_OVT INTEGER DEFAULT 0, FRIDAY_OVT INTEGER DEFAULT 0, SATURDAY_OVT INTEGER DEFAULT 0, SUNDAY_OVT INTEGER DEFAULT 0, URL VARCHAR(2048), EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL, EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;    
 ALTER TABLE RIODS.TIMESHEET ADD CONSTRAINT TIMESHEET_PK PRIMARY KEY(TIMESHEET_ID) USING INDEX TABLESPACE  VNF_IDX;      
 CREATE TABLE RIODS.TIMESHEET_TIMECODE_LOOKUP ( TIMESHEET_ID INTEGER NOT NULL, TIMECODE_ID INTEGER NOT NULL )  TABLESPACE VNF_32K;  
 ALTER TABLE RIODS.TIMESHEET_TIMECODE_LOOKUP ADD CONSTRAINT TSTC_PK PRIMARY KEY(TIMESHEET_ID, TIMECODE_ID) USING INDEX TABLESPACE  VNF_IDX;
 CREATE TRIGGER RIODS.TRG_COMPPRO AFTER UPDATE OF REC_DATETIME ON RIODS.PROFILE FOR EACH ROW BEGIN DELETE FROM RIODS.PROFILE_COMPETENCY_LOOKUP WHERE PROFILE_ID=:NEW.PROFILE_ID; END;
/                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER RIODS.TRG_SKILLPRO AFTER UPDATE OF REC_DATETIME ON RIODS.PROFILE FOR EACH ROW BEGIN DELETE FROM RIODS.PROFILE_SKILL_LOOKUP WHERE PROFILE_ID=:NEW.PROFILE_ID; END;
/                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
 CREATE TRIGGER RIODS.TRG_COMPRES AFTER UPDATE OF REC_DATETIME ON RIODS."RESOURCE" FOR EACH ROW BEGIN DELETE FROM RIODS.RESOURCE_COMPETENCY_LOOKUP WHERE RESOURCE_ID=:NEW.RESOURCE_ID; END;
/                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
 CREATE TRIGGER RIODS.TRG_SKILLRES AFTER UPDATE OF REC_DATETIME ON RIODS."RESOURCE" FOR EACH ROW BEGIN DELETE FROM RIODS.RESOURCE_SKILL_LOOKUP WHERE RESOURCE_ID=:NEW.RESOURCE_ID; END;
/                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
 CREATE TRIGGER RIODS.TRG_TSTC AFTER UPDATE OF REC_DATETIME ON RIODS.TIMESHEET FOR EACH ROW BEGIN DELETE FROM RIODS.TIMESHEET_TIMECODE_LOOKUP WHERE TIMESHEET_ID=:NEW.TIMESHEET_ID; END;
/                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
 CREATE TABLE RIDW.D_BASELINE ( BASELINE_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Info not available' )  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.D_BASELINE ADD CONSTRAINT D_BASELINE_PK PRIMARY KEY(BASELINE_ID) USING INDEX TABLESPACE  VSTR_IDX;     
 MERGE INTO RIDW.D_BASELINE M USING (SELECT -1 BASELINE_ID, 'Info not available' NAME FROM DUAL) MM ON (M.BASELINE_ID = MM.BASELINE_ID)  WHEN NOT MATCHED THEN INSERT (BASELINE_ID,NAME) VALUES (-1,'Info not available');
 GRANT SELECT ON RIDW.D_BASELINE TO  RPTUSER;
 CREATE TABLE RIDW.D_CHARGECODE ( CHARGECODE_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Info not available' )  TABLESPACE VSTR_32K;   
 ALTER TABLE RIDW.D_CHARGECODE ADD CONSTRAINT D_CHARGECODE_PK PRIMARY KEY(CHARGECODE_ID) USING INDEX TABLESPACE  VSTR_IDX;
 MERGE INTO RIDW.D_CHARGECODE M USING (SELECT -1 CHARGECODE_ID, 'Info not available' NAME FROM DUAL) MM ON (M.CHARGECODE_ID = MM.CHARGECODE_ID)  WHEN NOT MATCHED THEN INSERT (CHARGECODE_ID,NAME) VALUES (-1,'Info not available');
 GRANT SELECT ON RIDW.D_CHARGECODE TO  RPTUSER;      
 CREATE TABLE RIDW.D_CITY ( CITY_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'City Name Missing' NOT NULL, PROVINCE_STATE_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;  
 ALTER TABLE RIDW.D_CITY ADD CONSTRAINT D_CITY_PK PRIMARY KEY(CITY_ID) USING INDEX TABLESPACE  VSTR_IDX;
 MERGE INTO RIDW.D_CITY M USING (SELECT -1 CITY_ID, 'Info not available' NAME, -1 PROVINCE_STATE_ID FROM DUAL) MM ON (M.CITY_ID = MM.CITY_ID)  WHEN NOT MATCHED THEN INSERT (CITY_ID,NAME,PROVINCE_STATE_ID) VALUES (-1,'Info not available',-1);  
 GRANT SELECT ON RIDW.D_CITY TO  RPTUSER;    
 CREATE TABLE RIDW.D_COMPETENCY ( COMPETENCY_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Info not available' )  TABLESPACE VSTR_32K;   
 ALTER TABLE RIDW.D_COMPETENCY ADD CONSTRAINT D_COMPETENCY_PK PRIMARY KEY(COMPETENCY_ID) USING INDEX TABLESPACE  VSTR_IDX;
 MERGE INTO RIDW.D_COMPETENCY M USING (SELECT -1 COMPETENCY_ID, 'Info not available' NAME FROM DUAL) MM ON (M.COMPETENCY_ID = MM.COMPETENCY_ID)  WHEN NOT MATCHED THEN INSERT (COMPETENCY_ID,NAME) VALUES (-1,'Info not available');
 GRANT SELECT ON RIDW.D_COMPETENCY TO  RPTUSER;      
 CREATE TABLE RIDW.D_COUNTRY ( COUNTRY_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Country Name Missing' NOT NULL, TERRITORY_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;     
 ALTER TABLE RIDW.D_COUNTRY ADD CONSTRAINT D_COUNTRY_PK PRIMARY KEY(COUNTRY_ID) USING INDEX TABLESPACE  VSTR_IDX; 
 MERGE INTO RIDW.D_COUNTRY M USING (SELECT -1 COUNTRY_ID, 'Info not available' NAME, -1 TERRITORY_ID FROM DUAL) MM ON (M.COUNTRY_ID = MM.COUNTRY_ID)  WHEN NOT MATCHED THEN INSERT (COUNTRY_ID,NAME,TERRITORY_ID) VALUES (-1,'Info not available',-1);
 GRANT SELECT ON RIDW.D_COUNTRY TO  RPTUSER; 
 CREATE TABLE RIDW.D_IMPACT_RANK ( IMPACT_RANK_ID INTEGER NOT NULL, NAME VARCHAR(255) NOT NULL )  TABLESPACE VSTR_32K;   
 ALTER TABLE RIDW.D_IMPACT_RANK ADD CONSTRAINT D_IMPRNK_PK PRIMARY KEY(IMPACT_RANK_ID) USING INDEX TABLESPACE  VSTR_IDX; 
 MERGE INTO RIDW.D_IMPACT_RANK M USING (SELECT -1 IMPACT_RANK_ID, 'Info not available' NAME FROM DUAL) MM ON (M.IMPACT_RANK_ID = MM.IMPACT_RANK_ID)  WHEN NOT MATCHED THEN INSERT (IMPACT_RANK_ID,NAME) VALUES (-1,'Info not available');  
 GRANT SELECT ON RIDW.D_IMPACT_RANK TO  RPTUSER;     
 CREATE TABLE RIDW.D_OPERATING_TERRITORY ( TERRITORY_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Territory Name Missing' )  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.D_OPERATING_TERRITORY ADD CONSTRAINT D_OPTERRITORY_PK PRIMARY KEY(TERRITORY_ID) USING INDEX TABLESPACE  VSTR_IDX; 
 MERGE INTO RIDW.D_OPERATING_TERRITORY M USING (SELECT -1 TERRITORY_ID, 'Info not available' NAME FROM DUAL) MM ON (M.TERRITORY_ID = MM.TERRITORY_ID)  WHEN NOT MATCHED THEN INSERT (TERRITORY_ID,NAME) VALUES (-1,'Info not available');  
 GRANT SELECT ON RIDW.D_OPERATING_TERRITORY TO  RPTUSER;
 CREATE TABLE RIDW.D_ORGANIZATION ( ORGANIZATION_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'City Name Missing' )  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.D_ORGANIZATION ADD CONSTRAINT D_ORGANIZATION_PK PRIMARY KEY(ORGANIZATION_ID) USING INDEX TABLESPACE  VSTR_IDX; 
 MERGE INTO RIDW.D_ORGANIZATION M USING (SELECT -1 ORGANIZATION_ID, 'Info not available' NAME FROM DUAL) MM ON (M.ORGANIZATION_ID = MM.ORGANIZATION_ID)  WHEN NOT MATCHED THEN INSERT (ORGANIZATION_ID,NAME) VALUES (-1,'Info not available');     
 GRANT SELECT ON RIDW.D_ORGANIZATION TO  RPTUSER;    
 CREATE TABLE RIDW.D_POOL ( POOL_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Info not available' )  TABLESPACE VSTR_32K;     
 ALTER TABLE RIDW.D_POOL ADD CONSTRAINT D_POOL_PK PRIMARY KEY(POOL_ID) USING INDEX TABLESPACE  VSTR_IDX;
 MERGE INTO RIDW.D_POOL M USING (SELECT -1 POOL_ID, 'Info not available' NAME FROM DUAL) MM ON (M.POOL_ID = MM.POOL_ID)  WHEN NOT MATCHED THEN INSERT (POOL_ID,NAME) VALUES (-1,'Info not available');
 GRANT SELECT ON RIDW.D_POOL TO  RPTUSER;    
 CREATE TABLE RIDW.D_PROBABILITY_COST_RANK ( PROBABILITY_COST_RANK_ID INTEGER NOT NULL, NAME VARCHAR(255) NOT NULL )  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.D_PROBABILITY_COST_RANK ADD CONSTRAINT D_PROBCSTRNK_PK PRIMARY KEY(PROBABILITY_COST_RANK_ID) USING INDEX TABLESPACE  VSTR_IDX;     
 MERGE INTO RIDW.D_PROBABILITY_COST_RANK M USING (SELECT -1 PROBABILITY_COST_RANK_ID, 'Info not available' NAME FROM DUAL) MM ON (M.PROBABILITY_COST_RANK_ID = MM.PROBABILITY_COST_RANK_ID)  WHEN NOT MATCHED THEN INSERT (PROBABILITY_COST_RANK_ID,NAME) VALUES (-1,'Info not available'); 
 GRANT SELECT ON RIDW.D_PROBABILITY_COST_RANK TO  RPTUSER;     
 CREATE TABLE RIDW.D_PROBABILITY_RANK ( PROBABILITY_RANK_ID INTEGER NOT NULL, NAME VARCHAR(255) NOT NULL )  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.D_PROBABILITY_RANK ADD CONSTRAINT D_PROBRNK_PK PRIMARY KEY(PROBABILITY_RANK_ID) USING INDEX TABLESPACE  VSTR_IDX; 
 MERGE INTO RIDW.D_PROBABILITY_RANK M USING (SELECT -1 PROBABILITY_RANK_ID, 'Info not available' NAME FROM DUAL) MM ON (M.PROBABILITY_RANK_ID = MM.PROBABILITY_RANK_ID)  WHEN NOT MATCHED THEN INSERT (PROBABILITY_RANK_ID,NAME) VALUES (-1,'Info not available');     
 GRANT SELECT ON RIDW.D_PROBABILITY_RANK TO  RPTUSER;
 CREATE TABLE RIDW.D_PROJECT_ALLOCATION ( PROJECT_ALLOCATION_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Info not available' )  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.D_PROJECT_ALLOCATION ADD CONSTRAINT D_PROJALLO_PK PRIMARY KEY(PROJECT_ALLOCATION_ID) USING INDEX TABLESPACE  VSTR_IDX;   
 MERGE INTO RIDW.D_PROJECT_ALLOCATION M USING (SELECT -1 PROJECT_ALLOCATION_ID, 'Info not available' NAME FROM DUAL) MM ON (M.PROJECT_ALLOCATION_ID = MM.PROJECT_ALLOCATION_ID)  WHEN NOT MATCHED THEN INSERT (PROJECT_ALLOCATION_ID,NAME) VALUES (-1,'Info not available');     
 GRANT SELECT ON RIDW.D_PROJECT_ALLOCATION TO  RPTUSER; 
 CREATE TABLE RIDW.D_PROVINCE_STATE ( PROVINCE_STATE_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Province or State Name Missing' NOT NULL, COUNTRY_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;   
 ALTER TABLE RIDW.D_PROVINCE_STATE ADD CONSTRAINT D_PROVSTATE_PK PRIMARY KEY(PROVINCE_STATE_ID) USING INDEX TABLESPACE  VSTR_IDX;
 MERGE INTO RIDW.D_PROVINCE_STATE M USING (SELECT -1 PROVINCE_STATE_ID, 'Info not available' NAME, -1 COUNTRY_ID FROM DUAL) MM ON (M.PROVINCE_STATE_ID = MM.PROVINCE_STATE_ID)  WHEN NOT MATCHED THEN INSERT (PROVINCE_STATE_ID,NAME,COUNTRY_ID) VALUES (-1,'Info not available',-1);    
 GRANT SELECT ON RIDW.D_PROVINCE_STATE TO  RPTUSER;  
 CREATE TABLE RIDW.D_RISK ( RISK_ID INTEGER NOT NULL, NAME VARCHAR(255) NOT NULL )  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.D_RISK ADD CONSTRAINT D_RISK_PK PRIMARY KEY(RISK_ID) USING INDEX TABLESPACE  VSTR_IDX;
 MERGE INTO RIDW.D_RISK M USING (SELECT -1 RISK_ID, 'Info not available' NAME FROM DUAL) MM ON (M.RISK_ID = MM.RISK_ID)  WHEN NOT MATCHED THEN INSERT (RISK_ID,NAME) VALUES (-1,'Info not available');
 GRANT SELECT ON RIDW.D_RISK TO  RPTUSER;    
 CREATE TABLE RIDW.D_RISK_STATE ( STATE_ID INTEGER NOT NULL, NAME VARCHAR(255) NOT NULL )  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.D_RISK_STATE ADD CONSTRAINT D_RISKSTATE_PK PRIMARY KEY(STATE_ID) USING INDEX TABLESPACE  VSTR_IDX;     
 MERGE INTO RIDW.D_RISK_STATE M USING (SELECT -1 STATE_ID, 'Info not available' NAME FROM DUAL) MM ON (M.STATE_ID = MM.STATE_ID)  WHEN NOT MATCHED THEN INSERT (STATE_ID,NAME) VALUES (-1,'Info not available');
 GRANT SELECT ON RIDW.D_RISK_STATE TO  RPTUSER;      
 CREATE TABLE RIDW.D_SCORE_RANK ( SCORE_RANK_ID INTEGER NOT NULL, NAME VARCHAR(255) NOT NULL )  TABLESPACE VSTR_32K;     
 ALTER TABLE RIDW.D_SCORE_RANK ADD CONSTRAINT D_SCORERNK_PK PRIMARY KEY(SCORE_RANK_ID) USING INDEX TABLESPACE  VSTR_IDX; 
 MERGE INTO RIDW.D_SCORE_RANK M USING (SELECT -1 SCORE_RANK_ID, 'Info not available' NAME FROM DUAL) MM ON (M.SCORE_RANK_ID = MM.SCORE_RANK_ID)  WHEN NOT MATCHED THEN INSERT (SCORE_RANK_ID,NAME) VALUES (-1,'Info not available');
 GRANT SELECT ON RIDW.D_SCORE_RANK TO  RPTUSER;      
 CREATE TABLE RIDW.D_SKILL ( SKILL_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Info not available' )  TABLESPACE VSTR_32K;   
 ALTER TABLE RIDW.D_SKILL ADD CONSTRAINT D_SKILL_PK PRIMARY KEY(SKILL_ID) USING INDEX TABLESPACE  VSTR_IDX;    
 MERGE INTO RIDW.D_SKILL M USING (SELECT -1 SKILL_ID, 'Info not available' NAME FROM DUAL) MM ON (M.SKILL_ID = MM.SKILL_ID)  WHEN NOT MATCHED THEN INSERT (SKILL_ID,NAME) VALUES (-1,'Info not available');  
 GRANT SELECT ON RIDW.D_SKILL TO  RPTUSER;   
 CREATE TABLE RIDW.D_TIMECODE ( TIMECODE_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Info not available' )  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.D_TIMECODE ADD CONSTRAINT D_TIMECODE_PK PRIMARY KEY(TIMECODE_ID) USING INDEX TABLESPACE  VSTR_IDX;     
 MERGE INTO RIDW.D_TIMECODE M USING (SELECT -1 TIMECODE_ID, 'Info not available' NAME FROM DUAL) MM ON (M.TIMECODE_ID = MM.TIMECODE_ID)  WHEN NOT MATCHED THEN INSERT (TIMECODE_ID,NAME) VALUES (-1,'Info not available');
 GRANT SELECT ON RIDW.D_TIMECODE TO  RPTUSER;
 CREATE TABLE RIDW.D_TIMESHEET_STATE ( STATE_ID INTEGER NOT NULL, NAME VARCHAR(255) NOT NULL )  TABLESPACE VSTR_32K;     
 ALTER TABLE RIDW.D_TIMESHEET_STATE ADD CONSTRAINT D_TIMESHEETST_PK PRIMARY KEY(STATE_ID) USING INDEX TABLESPACE  VSTR_IDX;      
 MERGE INTO RIDW.D_TIMESHEET_STATE M USING (SELECT -1 STATE_ID, 'Info not available' NAME FROM DUAL) MM ON (M.STATE_ID = MM.STATE_ID)  WHEN NOT MATCHED THEN INSERT (STATE_ID,NAME) VALUES (-1,'Info not available');  
 GRANT SELECT ON RIDW.D_TIMESHEET_STATE TO  RPTUSER; 
 CREATE TABLE RIDW.F_C_RISK_METRICS ( F_RISKMET_ID INTEGER NOT NULL, DATE_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, STATE_ID INTEGER NOT NULL, PRIORITY_ID INTEGER NOT NULL, OWNER_ID INTEGER NOT NULL, RELEASE_ID INTEGER NOT NULL, IMPACT_RANK_ID INTEGER NOT NULL, PROBABILITY_RANK_ID INTEGER NOT NULL, PROBABILITY_COST_RANK_ID INTEGER NOT NULL, SCORE_RANK_ID INTEGER NOT NULL, TOTAL_RISKS INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K;      
 ALTER TABLE RIDW.F_C_RISK_METRICS ADD CONSTRAINT F_C_RISKMET_PK PRIMARY KEY(F_RISKMET_ID) USING INDEX TABLESPACE  VSTR_IDX;     
 GRANT SELECT ON RIDW.F_C_RISK_METRICS TO  RPTUSER;  
 CREATE TABLE RIDW.F_C_TASK_ITE_VARIANCE_METRICS ( F_TASKVAR_MET_ID INTEGER NOT NULL, DATE_ID INTEGER NOT NULL, BASELINE_ID INTEGER NOT NULL, ITERATION_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, ACTUAL_FINISH_VARIANCE INTEGER DEFAULT 0 NOT NULL, PLANNED_FINISH_VARIANCE INTEGER DEFAULT 0 NOT NULL, BASELINE_FINISH_VARIANCE INTEGER DEFAULT 0 NOT NULL, ACTUAL_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, PLANNED_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, BASELINE_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_ACTUAL_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_PLANNED_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_BASELINE_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, ACTUAL_WORK_VARIANCE INTEGER DEFAULT 0 NOT NULL, PLANNED_WORK_VARIANCE INTEGER DEFAULT 0 NOT NULL, BASELINE_WORK_VARIANCE INTEGER DEFAULT 0 NOT NULL, TOTAL_ACTUAL_WORK INTEGER DEFAULT 0 NOT NULL, TOTAL_PLANNED_WORK INTEGER DEFAULT 0 NOT NULL, TOTAL_BASELINE_WORK INTEGER DEFAULT 0 NOT NULL, BASELINE_DURATION INTEGER DEFAULT 0 NOT NULL, ACTUAL_DURATION INTEGER DEFAULT 0 NOT NULL, PLANNED_DURATION INTEGER DEFAULT 0 NOT NULL, TOTAL_TASKS INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K;  
 ALTER TABLE RIDW.F_C_TASK_ITE_VARIANCE_METRICS ADD CONSTRAINT FCTSKITVARMET_PK PRIMARY KEY(F_TASKVAR_MET_ID) USING INDEX TABLESPACE  VSTR_IDX;      
 GRANT SELECT ON RIDW.F_C_TASK_ITE_VARIANCE_METRICS TO  RPTUSER;  
 CREATE TABLE RIDW.F_C_TASK_PRO_VARIANCE_METRICS ( F_TASKVAR_MET_ID INTEGER NOT NULL, DATE_ID INTEGER NOT NULL, BASELINE_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, ACTUAL_FINISH_VARIANCE INTEGER DEFAULT 0 NOT NULL, PLANNED_FINISH_VARIANCE INTEGER DEFAULT 0 NOT NULL, BASELINE_FINISH_VARIANCE INTEGER DEFAULT 0 NOT NULL, ACTUAL_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, PLANNED_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, BASELINE_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_ACTUAL_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_PLANNED_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_BASELINE_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, ACTUAL_WORK_VARIANCE INTEGER DEFAULT 0 NOT NULL, PLANNED_WORK_VARIANCE INTEGER DEFAULT 0 NOT NULL, BASELINE_WORK_VARIANCE INTEGER DEFAULT 0 NOT NULL, TOTAL_ACTUAL_WORK INTEGER DEFAULT 0 NOT NULL, TOTAL_PLANNED_WORK INTEGER DEFAULT 0 NOT NULL, TOTAL_BASELINE_WORK INTEGER DEFAULT 0 NOT NULL, BASELINE_DURATION INTEGER DEFAULT 0 NOT NULL, ACTUAL_DURATION INTEGER DEFAULT 0 NOT NULL, PLANNED_DURATION INTEGER DEFAULT 0 NOT NULL, TOTAL_TASKS INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K;     
 ALTER TABLE RIDW.F_C_TASK_PRO_VARIANCE_METRICS ADD CONSTRAINT FCTSKPRVARMET_PK PRIMARY KEY(F_TASKVAR_MET_ID) USING INDEX TABLESPACE  VSTR_IDX;      
 GRANT SELECT ON RIDW.F_C_TASK_PRO_VARIANCE_METRICS TO  RPTUSER;  
 CREATE TABLE RIDW.F_MISSING_TIMESHEET_METRICS ( TIMESHEET_METRICS_ID INTEGER NOT NULL, WEEK_ID INTEGER NOT NULL, RESOURCE_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, CHARGECODE_ID INTEGER NOT NULL, POOL_ID INTEGER NOT NULL, CITY_ID INTEGER NOT NULL, ORGANIZATION_ID INTEGER NOT NULL, TOTAL_WORK INTEGER DEFAULT 0 NOT NULL, TOTAL_TIMESHEETS INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.F_MISSING_TIMESHEET_METRICS ADD CONSTRAINT F_MISSTIMSH_PK PRIMARY KEY(TIMESHEET_METRICS_ID) USING INDEX TABLESPACE  VSTR_IDX;      
 GRANT SELECT ON RIDW.F_MISSING_TIMESHEET_METRICS TO  RPTUSER; 
 CREATE TABLE RIDW.F_MO_COPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INTEGER NOT NULL, MONTH_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, CITY_ID INTEGER NOT NULL, ORGANIZATION_ID INTEGER NOT NULL, COMPETENCY_ID INTEGER NOT NULL, TOTAL_DEMAND INTEGER DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INTEGER DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.F_MO_COPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_MCOPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID) USING INDEX TABLESPACE  VSTR_IDX; 
 GRANT SELECT ON RIDW.F_MO_COPROJ_RESDEMSUP_METRICS TO  RPTUSER;  
 CREATE TABLE RIDW.F_MO_CORESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INTEGER NOT NULL, MONTH_ID INTEGER NOT NULL, POOL_ID INTEGER NOT NULL, CITY_ID INTEGER NOT NULL, ORGANIZATION_ID INTEGER NOT NULL, COMPETENCY_ID INTEGER NOT NULL, TOTAL_AVAILABILITY INTEGER DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INTEGER DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INTEGER DEFAULT 0 NOT NULL, TOTAL_ACTUAL INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K;     
 ALTER TABLE RIDW.F_MO_CORESOURCE_UTIL_METRICS ADD CONSTRAINT F_MCORESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID) USING INDEX TABLESPACE  VSTR_IDX;
 GRANT SELECT ON RIDW.F_MO_CORESOURCE_UTIL_METRICS TO  RPTUSER;
 CREATE TABLE RIDW.F_MO_PROJ_RESDEMSUPP_METRICS ( F_PROJDS_MET_ID INTEGER NOT NULL, MONTH_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, CITY_ID INTEGER NOT NULL, ORGANIZATION_ID INTEGER NOT NULL, TOTAL_DEMAND INTEGER DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INTEGER DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K;      
 ALTER TABLE RIDW.F_MO_PROJ_RESDEMSUPP_METRICS ADD CONSTRAINT F_MPJRESDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID) USING INDEX TABLESPACE  VSTR_IDX; 
 GRANT SELECT ON RIDW.F_MO_PROJ_RESDEMSUPP_METRICS TO  RPTUSER;
 CREATE TABLE RIDW.F_MO_RESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INTEGER NOT NULL, MONTH_ID INTEGER NOT NULL, POOL_ID INTEGER NOT NULL, CITY_ID INTEGER NOT NULL, ORGANIZATION_ID INTEGER NOT NULL, TOTAL_AVAILABILITY INTEGER DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INTEGER DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INTEGER DEFAULT 0 NOT NULL, TOTAL_ACTUAL INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.F_MO_RESOURCE_UTIL_METRICS ADD CONSTRAINT F_MRESUTILMET_PK PRIMARY KEY(F_RESUTIL_MET_ID) USING INDEX TABLESPACE  VSTR_IDX;  
 GRANT SELECT ON RIDW.F_MO_RESOURCE_UTIL_METRICS TO  RPTUSER;  
 CREATE TABLE RIDW.F_MO_SCPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INTEGER NOT NULL, MONTH_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, CITY_ID INTEGER NOT NULL, ORGANIZATION_ID INTEGER NOT NULL, SKILL_ID INTEGER NOT NULL, COMPETENCY_ID INTEGER NOT NULL, TOTAL_DEMAND INTEGER DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INTEGER DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K;  
 ALTER TABLE RIDW.F_MO_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_MSCPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID) USING INDEX TABLESPACE  VSTR_IDX; 
 GRANT SELECT ON RIDW.F_MO_SCPROJ_RESDEMSUP_METRICS TO  RPTUSER;  
 CREATE TABLE RIDW.F_MO_SCRESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INTEGER NOT NULL, MONTH_ID INTEGER NOT NULL, POOL_ID INTEGER NOT NULL, CITY_ID INTEGER NOT NULL, ORGANIZATION_ID INTEGER NOT NULL, SKILL_ID INTEGER NOT NULL, COMPETENCY_ID INTEGER NOT NULL, TOTAL_AVAILABILITY INTEGER DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INTEGER DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INTEGER DEFAULT 0 NOT NULL, TOTAL_ACTUAL INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K;      
 ALTER TABLE RIDW.F_MO_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT F_MSCRESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID) USING INDEX TABLESPACE  VSTR_IDX;
 GRANT SELECT ON RIDW.F_MO_SCRESOURCE_UTIL_METRICS TO  RPTUSER;
 CREATE TABLE RIDW.F_MO_SKPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INTEGER NOT NULL, MONTH_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, CITY_ID INTEGER NOT NULL, ORGANIZATION_ID INTEGER NOT NULL, SKILL_ID INTEGER NOT NULL, TOTAL_DEMAND INTEGER DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INTEGER DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K;      
 ALTER TABLE RIDW.F_MO_SKPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_MSKPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID) USING INDEX TABLESPACE  VSTR_IDX; 
 GRANT SELECT ON RIDW.F_MO_SKPROJ_RESDEMSUP_METRICS TO  RPTUSER;  
 CREATE TABLE RIDW.F_MO_SKRESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INTEGER NOT NULL, MONTH_ID INTEGER NOT NULL, POOL_ID INTEGER NOT NULL, CITY_ID INTEGER NOT NULL, ORGANIZATION_ID INTEGER NOT NULL, SKILL_ID INTEGER NOT NULL, TOTAL_AVAILABILITY INTEGER DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INTEGER DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INTEGER DEFAULT 0 NOT NULL, TOTAL_ACTUAL INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.F_MO_SKRESOURCE_UTIL_METRICS ADD CONSTRAINT F_MSKRESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID) USING INDEX TABLESPACE  VSTR_IDX;
 GRANT SELECT ON RIDW.F_MO_SKRESOURCE_UTIL_METRICS TO  RPTUSER;
 CREATE TABLE RIDW.F_RISK_METRICS ( F_RISKMET_ID INTEGER NOT NULL, DATE_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, STATE_ID INTEGER NOT NULL, PRIORITY_ID INTEGER NOT NULL, OWNER_ID INTEGER NOT NULL, RELEASE_ID INTEGER NOT NULL, IMPACT_RANK_ID INTEGER NOT NULL, PROBABILITY_RANK_ID INTEGER NOT NULL, PROBABILITY_COST_RANK_ID INTEGER NOT NULL, SCORE_RANK_ID INTEGER NOT NULL, TOTAL_RISKS INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.F_RISK_METRICS ADD CONSTRAINT F_RISKMET_PK PRIMARY KEY(F_RISKMET_ID) USING INDEX TABLESPACE  VSTR_IDX; 
 GRANT SELECT ON RIDW.F_RISK_METRICS TO  RPTUSER;    
 CREATE TABLE RIDW.F_TASK_ITER_VARIANCE_METRICS ( F_TASKVAR_MET_ID INTEGER NOT NULL, DATE_ID INTEGER NOT NULL, BASELINE_ID INTEGER NOT NULL, ITERATION_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, ACTUAL_FINISH_VARIANCE INTEGER DEFAULT 0 NOT NULL, PLANNED_FINISH_VARIANCE INTEGER DEFAULT 0 NOT NULL, BASELINE_FINISH_VARIANCE INTEGER DEFAULT 0 NOT NULL, ACTUAL_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, PLANNED_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, BASELINE_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_ACTUAL_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_PLANNED_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_BASELINE_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, ACTUAL_WORK_VARIANCE INTEGER DEFAULT 0 NOT NULL, PLANNED_WORK_VARIANCE INTEGER DEFAULT 0 NOT NULL, BASELINE_WORK_VARIANCE INTEGER DEFAULT 0 NOT NULL, TOTAL_ACTUAL_WORK INTEGER DEFAULT 0 NOT NULL, TOTAL_PLANNED_WORK INTEGER DEFAULT 0 NOT NULL, TOTAL_BASELINE_WORK INTEGER DEFAULT 0 NOT NULL, BASELINE_DURATION INTEGER DEFAULT 0 NOT NULL, ACTUAL_DURATION INTEGER DEFAULT 0 NOT NULL, PLANNED_DURATION INTEGER DEFAULT 0 NOT NULL, TOTAL_TASKS INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K;   
 ALTER TABLE RIDW.F_TASK_ITER_VARIANCE_METRICS ADD CONSTRAINT FTSKITVARMET_PK PRIMARY KEY(F_TASKVAR_MET_ID) USING INDEX TABLESPACE  VSTR_IDX; 
 GRANT SELECT ON RIDW.F_TASK_ITER_VARIANCE_METRICS TO  RPTUSER;
 CREATE TABLE RIDW.F_TASK_PROJ_VARIANCE_METRICS ( F_TASKVAR_MET_ID INTEGER NOT NULL, DATE_ID INTEGER NOT NULL, BASELINE_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, ACTUAL_FINISH_VARIANCE INTEGER DEFAULT 0 NOT NULL, PLANNED_FINISH_VARIANCE INTEGER DEFAULT 0 NOT NULL, BASELINE_FINISH_VARIANCE INTEGER DEFAULT 0 NOT NULL, ACTUAL_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, PLANNED_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, BASELINE_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_ACTUAL_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_PLANNED_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_BASELINE_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, ACTUAL_WORK_VARIANCE INTEGER DEFAULT 0 NOT NULL, PLANNED_WORK_VARIANCE INTEGER DEFAULT 0 NOT NULL, BASELINE_WORK_VARIANCE INTEGER DEFAULT 0 NOT NULL, TOTAL_ACTUAL_WORK INTEGER DEFAULT 0 NOT NULL, TOTAL_PLANNED_WORK INTEGER DEFAULT 0 NOT NULL, TOTAL_BASELINE_WORK INTEGER DEFAULT 0 NOT NULL, BASELINE_DURATION INTEGER DEFAULT 0 NOT NULL, ACTUAL_DURATION INTEGER DEFAULT 0 NOT NULL, PLANNED_DURATION INTEGER DEFAULT 0 NOT NULL, TOTAL_TASKS INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K;      
 ALTER TABLE RIDW.F_TASK_PROJ_VARIANCE_METRICS ADD CONSTRAINT FTSKPRJVARMET_PK PRIMARY KEY(F_TASKVAR_MET_ID) USING INDEX TABLESPACE  VSTR_IDX;
 GRANT SELECT ON RIDW.F_TASK_PROJ_VARIANCE_METRICS TO  RPTUSER;
 CREATE TABLE RIDW.F_TIMESHEET_METRICS ( TIMESHEET_METRICS_ID INTEGER NOT NULL, DATE_ID INTEGER NOT NULL, STATE_ID INTEGER NOT NULL, RESOURCE_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, CHARGECODE_ID INTEGER NOT NULL, POOL_ID INTEGER NOT NULL, CITY_ID INTEGER NOT NULL, ORGANIZATION_ID INTEGER NOT NULL, TOTAL_WORK INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K;    
 ALTER TABLE RIDW.F_TIMESHEET_METRICS ADD CONSTRAINT F_TIMESH_PK PRIMARY KEY(TIMESHEET_METRICS_ID) USING INDEX TABLESPACE  VSTR_IDX;
 GRANT SELECT ON RIDW.F_TIMESHEET_METRICS TO  RPTUSER;  
 CREATE TABLE RIDW.F_TIMESHEET_TIMECODE_METRICS ( TIMESHEET_METRICS_ID INTEGER NOT NULL, DATE_ID INTEGER NOT NULL, STATE_ID INTEGER NOT NULL, RESOURCE_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, CHARGECODE_ID INTEGER NOT NULL, POOL_ID INTEGER NOT NULL, CITY_ID INTEGER NOT NULL, ORGANIZATION_ID INTEGER NOT NULL, TIMECODE_ID INTEGER NOT NULL, TOTAL_WORK INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K;   
 ALTER TABLE RIDW.F_TIMESHEET_TIMECODE_METRICS ADD CONSTRAINT F_TIMESHTC_PK PRIMARY KEY(TIMESHEET_METRICS_ID) USING INDEX TABLESPACE  VSTR_IDX;      
 GRANT SELECT ON RIDW.F_TIMESHEET_TIMECODE_METRICS TO  RPTUSER;
 CREATE TABLE RIDW.F_WK_COPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INTEGER NOT NULL, WEEK_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, CITY_ID INTEGER NOT NULL, ORGANIZATION_ID INTEGER NOT NULL, COMPETENCY_ID INTEGER NOT NULL, TOTAL_DEMAND INTEGER DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INTEGER DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K;  
 ALTER TABLE RIDW.F_WK_COPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_WCOPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID) USING INDEX TABLESPACE  VSTR_IDX; 
 GRANT SELECT ON RIDW.F_WK_COPROJ_RESDEMSUP_METRICS TO  RPTUSER;  
 CREATE TABLE RIDW.F_WK_CORESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INTEGER NOT NULL, WEEK_ID INTEGER NOT NULL, POOL_ID INTEGER NOT NULL, CITY_ID INTEGER NOT NULL, ORGANIZATION_ID INTEGER NOT NULL, COMPETENCY_ID INTEGER NOT NULL, TOTAL_AVAILABILITY INTEGER DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INTEGER DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INTEGER DEFAULT 0 NOT NULL, TOTAL_ACTUAL INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K;      
 ALTER TABLE RIDW.F_WK_CORESOURCE_UTIL_METRICS ADD CONSTRAINT F_WCORESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID) USING INDEX TABLESPACE  VSTR_IDX;
 GRANT SELECT ON RIDW.F_WK_CORESOURCE_UTIL_METRICS TO  RPTUSER;
 CREATE TABLE RIDW.F_WK_PROJ_RESDEMSUPP_METRICS ( F_PROJDS_MET_ID INTEGER NOT NULL, WEEK_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, CITY_ID INTEGER NOT NULL, ORGANIZATION_ID INTEGER NOT NULL, TOTAL_DEMAND INTEGER DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INTEGER DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.F_WK_PROJ_RESDEMSUPP_METRICS ADD CONSTRAINT F_WPJRESDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID) USING INDEX TABLESPACE  VSTR_IDX; 
 GRANT SELECT ON RIDW.F_WK_PROJ_RESDEMSUPP_METRICS TO  RPTUSER;
 CREATE TABLE RIDW.F_WK_RESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INTEGER NOT NULL, WEEK_ID INTEGER NOT NULL, POOL_ID INTEGER NOT NULL, CITY_ID INTEGER NOT NULL, ORGANIZATION_ID INTEGER NOT NULL, TOTAL_AVAILABILITY INTEGER DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INTEGER DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INTEGER DEFAULT 0 NOT NULL, TOTAL_ACTUAL INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K;  
 ALTER TABLE RIDW.F_WK_RESOURCE_UTIL_METRICS ADD CONSTRAINT F_WRESUTILMET_PK PRIMARY KEY(F_RESUTIL_MET_ID) USING INDEX TABLESPACE  VSTR_IDX;  
 GRANT SELECT ON RIDW.F_WK_RESOURCE_UTIL_METRICS TO  RPTUSER;  
 CREATE TABLE RIDW.F_WK_SCPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INTEGER NOT NULL, WEEK_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, CITY_ID INTEGER NOT NULL, ORGANIZATION_ID INTEGER NOT NULL, SKILL_ID INTEGER NOT NULL, COMPETENCY_ID INTEGER NOT NULL, TOTAL_DEMAND INTEGER DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INTEGER DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K;   
 ALTER TABLE RIDW.F_WK_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_WSCPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID) USING INDEX TABLESPACE  VSTR_IDX; 
 GRANT SELECT ON RIDW.F_WK_SCPROJ_RESDEMSUP_METRICS TO  RPTUSER;  
 CREATE TABLE RIDW.F_WK_SCRESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INTEGER NOT NULL, WEEK_ID INTEGER NOT NULL, POOL_ID INTEGER NOT NULL, CITY_ID INTEGER NOT NULL, ORGANIZATION_ID INTEGER NOT NULL, SKILL_ID INTEGER NOT NULL, COMPETENCY_ID INTEGER NOT NULL, TOTAL_AVAILABILITY INTEGER DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INTEGER DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INTEGER DEFAULT 0 NOT NULL, TOTAL_ACTUAL INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.F_WK_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT F_WSCRESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID) USING INDEX TABLESPACE  VSTR_IDX;
 GRANT SELECT ON RIDW.F_WK_SCRESOURCE_UTIL_METRICS TO  RPTUSER;
 CREATE TABLE RIDW.F_WK_SKPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INTEGER NOT NULL, WEEK_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, CITY_ID INTEGER NOT NULL, ORGANIZATION_ID INTEGER NOT NULL, SKILL_ID INTEGER NOT NULL, TOTAL_DEMAND INTEGER DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INTEGER DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.F_WK_SKPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_WSKPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID) USING INDEX TABLESPACE  VSTR_IDX; 
 GRANT SELECT ON RIDW.F_WK_SKPROJ_RESDEMSUP_METRICS TO  RPTUSER;  
 CREATE TABLE RIDW.F_WK_SKRESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INTEGER NOT NULL, WEEK_ID INTEGER NOT NULL, POOL_ID INTEGER NOT NULL, CITY_ID INTEGER NOT NULL, ORGANIZATION_ID INTEGER NOT NULL, SKILL_ID INTEGER NOT NULL, TOTAL_AVAILABILITY INTEGER DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INTEGER DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INTEGER DEFAULT 0 NOT NULL, TOTAL_ACTUAL INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL)  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.F_WK_SKRESOURCE_UTIL_METRICS ADD CONSTRAINT F_WSKRESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID) USING INDEX TABLESPACE  VSTR_IDX;
 GRANT SELECT ON RIDW.F_WK_SKRESOURCE_UTIL_METRICS TO  RPTUSER;
 CREATE TABLE RIDW.H_MISSING_TIMESHEET_METRICS ( TIMESHEET_METRICS_ID INTEGER NOT NULL, ACTIVITY_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;  
 ALTER TABLE RIDW.H_MISSING_TIMESHEET_METRICS ADD CONSTRAINT H_MISSTIMSH_PK PRIMARY KEY(TIMESHEET_METRICS_ID, ACTIVITY_ID) USING INDEX TABLESPACE  VSTR_IDX;   
 GRANT SELECT ON RIDW.H_MISSING_TIMESHEET_METRICS TO  RPTUSER; 
 CREATE TABLE RIDW.H_MO_COPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INTEGER NOT NULL, PROJECT_ALLOCATION_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;  
 ALTER TABLE RIDW.H_MO_COPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_MCOPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID, PROJECT_ALLOCATION_ID) USING INDEX TABLESPACE  VSTR_IDX;   
 GRANT SELECT ON RIDW.H_MO_COPROJ_RESDEMSUP_METRICS TO  RPTUSER;  
 CREATE TABLE RIDW.H_MO_CORESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INTEGER NOT NULL, RESOURCE_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;  
 ALTER TABLE RIDW.H_MO_CORESOURCE_UTIL_METRICS ADD CONSTRAINT H_MCORESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID, RESOURCE_ID) USING INDEX TABLESPACE  VSTR_IDX;    
 GRANT SELECT ON RIDW.H_MO_CORESOURCE_UTIL_METRICS TO  RPTUSER;
 CREATE TABLE RIDW.H_MO_PROJ_RESDEMSUPP_METRICS ( F_PROJDS_MET_ID INTEGER NOT NULL, PROJECT_ALLOCATION_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;   
 ALTER TABLE RIDW.H_MO_PROJ_RESDEMSUPP_METRICS ADD CONSTRAINT H_MPJRESDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID, PROJECT_ALLOCATION_ID) USING INDEX TABLESPACE  VSTR_IDX;   
 GRANT SELECT ON RIDW.H_MO_PROJ_RESDEMSUPP_METRICS TO  RPTUSER;
 CREATE TABLE RIDW.H_MO_RESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INTEGER NOT NULL, RESOURCE_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;    
 ALTER TABLE RIDW.H_MO_RESOURCE_UTIL_METRICS ADD CONSTRAINT H_MRESUTILMET_PK PRIMARY KEY(F_RESUTIL_MET_ID, RESOURCE_ID) USING INDEX TABLESPACE  VSTR_IDX;      
 GRANT SELECT ON RIDW.H_MO_RESOURCE_UTIL_METRICS TO  RPTUSER;  
 CREATE TABLE RIDW.H_MO_SCPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INTEGER NOT NULL, PROJECT_ALLOCATION_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;  
 ALTER TABLE RIDW.H_MO_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_MSCPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID, PROJECT_ALLOCATION_ID) USING INDEX TABLESPACE  VSTR_IDX;   
 GRANT SELECT ON RIDW.H_MO_SCPROJ_RESDEMSUP_METRICS TO  RPTUSER;  
 CREATE TABLE RIDW.H_MO_SCRESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INTEGER NOT NULL, RESOURCE_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;  
 ALTER TABLE RIDW.H_MO_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT H_MSCRESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID, RESOURCE_ID) USING INDEX TABLESPACE  VSTR_IDX;    
 GRANT SELECT ON RIDW.H_MO_SCRESOURCE_UTIL_METRICS TO  RPTUSER;
 CREATE TABLE RIDW.H_MO_SKPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INTEGER NOT NULL, PROJECT_ALLOCATION_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;  
 ALTER TABLE RIDW.H_MO_SKPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_MSKPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID, PROJECT_ALLOCATION_ID) USING INDEX TABLESPACE  VSTR_IDX;   
 GRANT SELECT ON RIDW.H_MO_SKPROJ_RESDEMSUP_METRICS TO  RPTUSER;  
 CREATE TABLE RIDW.H_MO_SKRESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INTEGER NOT NULL, RESOURCE_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;  
 ALTER TABLE RIDW.H_MO_SKRESOURCE_UTIL_METRICS ADD CONSTRAINT H_MSKRESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID, RESOURCE_ID) USING INDEX TABLESPACE  VSTR_IDX;    
 GRANT SELECT ON RIDW.H_MO_SKRESOURCE_UTIL_METRICS TO  RPTUSER;
 CREATE TABLE RIDW.H_RISK_METRICS ( F_RISKMET_ID INTEGER NOT NULL, RISK_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;      
 ALTER TABLE RIDW.H_RISK_METRICS ADD CONSTRAINT H_RISKMET_PK PRIMARY KEY(F_RISKMET_ID, RISK_ID) USING INDEX TABLESPACE  VSTR_IDX;
 GRANT SELECT ON RIDW.H_RISK_METRICS TO  RPTUSER;    
 CREATE TABLE RIDW.H_TASK_ITER_VARIANCE_METRICS ( F_TASKVAR_MET_ID INTEGER NOT NULL, TASK_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;      
 ALTER TABLE RIDW.H_TASK_ITER_VARIANCE_METRICS ADD CONSTRAINT HTSKITVARMET_PK PRIMARY KEY(F_TASKVAR_MET_ID, TASK_ID) USING INDEX TABLESPACE  VSTR_IDX;  
 GRANT SELECT ON RIDW.H_TASK_ITER_VARIANCE_METRICS TO  RPTUSER;
 CREATE TABLE RIDW.H_TASK_PROJ_VARIANCE_METRICS ( F_TASKVAR_MET_ID INTEGER NOT NULL, TASK_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;      
 ALTER TABLE RIDW.H_TASK_PROJ_VARIANCE_METRICS ADD CONSTRAINT HTSKPRJVARME_PK PRIMARY KEY(F_TASKVAR_MET_ID, TASK_ID) USING INDEX TABLESPACE  VSTR_IDX;  
 GRANT SELECT ON RIDW.H_TASK_PROJ_VARIANCE_METRICS TO  RPTUSER;
 CREATE TABLE RIDW.H_TIMESHEET_METRICS ( TIMESHEET_METRICS_ID INTEGER NOT NULL, ACTIVITY_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.H_TIMESHEET_METRICS ADD CONSTRAINT H_TIMESH_PK PRIMARY KEY(TIMESHEET_METRICS_ID, ACTIVITY_ID) USING INDEX TABLESPACE  VSTR_IDX;    
 GRANT SELECT ON RIDW.H_TIMESHEET_METRICS TO  RPTUSER;  
 CREATE TABLE RIDW.H_TIMESHEET_TIMECODE_METRICS ( TIMESHEET_METRICS_ID INTEGER NOT NULL, ACTIVITY_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.H_TIMESHEET_TIMECODE_METRICS ADD CONSTRAINT H_TIMESHTC_PK PRIMARY KEY(TIMESHEET_METRICS_ID, ACTIVITY_ID) USING INDEX TABLESPACE  VSTR_IDX;   
 GRANT SELECT ON RIDW.H_TIMESHEET_TIMECODE_METRICS TO  RPTUSER;
 CREATE TABLE RIDW.H_WK_COPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INTEGER NOT NULL, PROJECT_ALLOCATION_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;  
 ALTER TABLE RIDW.H_WK_COPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_WCOPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID, PROJECT_ALLOCATION_ID) USING INDEX TABLESPACE  VSTR_IDX;   
 GRANT SELECT ON RIDW.H_WK_COPROJ_RESDEMSUP_METRICS TO  RPTUSER;  
 CREATE TABLE RIDW.H_WK_CORESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INTEGER NOT NULL, RESOURCE_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;  
 ALTER TABLE RIDW.H_WK_CORESOURCE_UTIL_METRICS ADD CONSTRAINT H_WCORESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID, RESOURCE_ID) USING INDEX TABLESPACE  VSTR_IDX;    
 GRANT SELECT ON RIDW.H_WK_CORESOURCE_UTIL_METRICS TO  RPTUSER;
 CREATE TABLE RIDW.H_WK_PROJ_RESDEMSUPP_METRICS ( F_PROJDS_MET_ID INTEGER NOT NULL, PROJECT_ALLOCATION_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;   
 ALTER TABLE RIDW.H_WK_PROJ_RESDEMSUPP_METRICS ADD CONSTRAINT H_WPJRESDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID, PROJECT_ALLOCATION_ID) USING INDEX TABLESPACE  VSTR_IDX;   
 GRANT SELECT ON RIDW.H_WK_PROJ_RESDEMSUPP_METRICS TO  RPTUSER;
 CREATE TABLE RIDW.H_WK_RESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INTEGER NOT NULL, RESOURCE_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;    
 ALTER TABLE RIDW.H_WK_RESOURCE_UTIL_METRICS ADD CONSTRAINT H_WRESUTILMET_PK PRIMARY KEY(F_RESUTIL_MET_ID, RESOURCE_ID) USING INDEX TABLESPACE  VSTR_IDX;      
 GRANT SELECT ON RIDW.H_WK_RESOURCE_UTIL_METRICS TO  RPTUSER;  
 CREATE TABLE RIDW.H_WK_SCPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INTEGER NOT NULL, PROJECT_ALLOCATION_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;  
 ALTER TABLE RIDW.H_WK_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_WSCPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID, PROJECT_ALLOCATION_ID) USING INDEX TABLESPACE  VSTR_IDX;   
 GRANT SELECT ON RIDW.H_WK_SCPROJ_RESDEMSUP_METRICS TO  RPTUSER;  
 CREATE TABLE RIDW.H_WK_SCRESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INTEGER NOT NULL, RESOURCE_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;  
 ALTER TABLE RIDW.H_WK_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT H_WSCRESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID, RESOURCE_ID) USING INDEX TABLESPACE  VSTR_IDX;    
 GRANT SELECT ON RIDW.H_WK_SCRESOURCE_UTIL_METRICS TO  RPTUSER;
 CREATE TABLE RIDW.H_WK_SKPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INTEGER NOT NULL, PROJECT_ALLOCATION_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;  
 ALTER TABLE RIDW.H_WK_SKPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_WSKPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID, PROJECT_ALLOCATION_ID) USING INDEX TABLESPACE  VSTR_IDX;   
 GRANT SELECT ON RIDW.H_WK_SKPROJ_RESDEMSUP_METRICS TO  RPTUSER;  
 CREATE TABLE RIDW.H_WK_SKRESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INTEGER NOT NULL, RESOURCE_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;  
 ALTER TABLE RIDW.H_WK_SKRESOURCE_UTIL_METRICS ADD CONSTRAINT H_WSKRESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID, RESOURCE_ID) USING INDEX TABLESPACE  VSTR_IDX;    
 GRANT SELECT ON RIDW.H_WK_SKRESOURCE_UTIL_METRICS TO  RPTUSER;
 ALTER TABLE RIODS.ACTIVITY ADD PROFILE_ID INTEGER DEFAULT -1 NOT NULL;  
 ALTER TABLE RIODS.ACTIVITY ADD CHARGECODE_ID INTEGER DEFAULT -1 NOT NULL;  
 ALTER TABLE RIODS.ACTIVITY_DETAIL ADD PERCENT_COMPLETE DECIMAL(5,2);    
 ALTER TABLE RIODS.ACTIVITY_DETAIL ADD PERCENT_WORK_COMPLETE DECIMAL(5,2);  
 ALTER TABLE RIODS.ACTIVITY_DETAIL ADD PLANNED_DURATION INTEGER;  
 ALTER TABLE RIODS.ACTIVITY_DETAIL ADD ACTUAL_DURATION INTEGER;
 ALTER TABLE RIODS.POOL ADD PARENT_POOL_ID INTEGER DEFAULT -1 NOT NULL;  
 ALTER TABLE RIODS.POOL ADD POOL_TYPE VARCHAR(255);  
 ALTER TABLE RIODS.PROJECT ADD PROGRAM_ID INTEGER DEFAULT -1 NOT NULL;   
 ALTER TABLE RIODS.PROJECT ADD PRIORITY VARCHAR(255);
 ALTER TABLE RIODS.PROJECT ADD STATUS VARCHAR(255);  
 ALTER TABLE RIODS.PROJECT_BASELINE ADD BASELINE_DATE TIMESTAMP;  
 ALTER TABLE RIODS.PROJECT_BASELINE ADD PLANNED_START DATE;    
 ALTER TABLE RIODS.PROJECT_BASELINE ADD PLANNED_FINISH DATE;   
 ALTER TABLE RIODS.PROJECT_BASELINE ADD PLANNED_WORK INTEGER;  
 ALTER TABLE RIODS.PROJECT_BASELINE ADD BASELINE_WORK_COMPLETED INTEGER; 
 ALTER TABLE RIODS.PROJECT_BASELINE ADD PLANNED_COST DECIMAL(18,2);      
 ALTER TABLE RIODS.PROJECT_BASELINE ADD BASELINE_COST_COMPLETED DECIMAL(18,2);     
 ALTER TABLE RIODS.PROJECT_BASELINE ADD PLANNED_DURATION INTEGER; 
 ALTER TABLE RIODS.PROJECT_DETAIL ADD ACTUAL_DURATION INTEGER DEFAULT 0 NOT NULL;  
 ALTER TABLE RIODS.PROJECT_DETAIL ADD ACTUAL_WORK INTEGER DEFAULT 0 NOT NULL;      
 ALTER TABLE RIODS.PROJECT_DETAIL ADD ACTUAL_WORK_VARIANCE INTEGER DEFAULT 0 NOT NULL;     
 ALTER TABLE RIODS.PROJECT_DETAIL ADD ACTUAL_START_VARIANCE INTEGER DEFAULT 0 NOT NULL;    
 ALTER TABLE RIODS.PROJECT_DETAIL ADD ACTUAL_FINISH_VARIANCE INTEGER DEFAULT 0 NOT NULL;   
 ALTER TABLE RIODS.PROJECT_DETAIL ADD ACTUAL_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL;     
 ALTER TABLE RIODS.PROJECT_DETAIL ADD ACTUAL_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL;      
 ALTER TABLE RIODS.PROJECT_DETAIL ADD BASELINE_DURATION INTEGER DEFAULT 0 NOT NULL;
 ALTER TABLE RIODS.PROJECT_DETAIL ADD BASELINE_WORK INTEGER DEFAULT 0 NOT NULL;    
 ALTER TABLE RIODS.PROJECT_DETAIL ADD BASELINE_WORK_VARIANCE INTEGER DEFAULT 0 NOT NULL;   
 ALTER TABLE RIODS.PROJECT_DETAIL ADD BASELINE_START_VARIANCE INTEGER DEFAULT 0 NOT NULL;  
 ALTER TABLE RIODS.PROJECT_DETAIL ADD BASELINE_FINISH_VARIANCE INTEGER DEFAULT 0 NOT NULL; 
 ALTER TABLE RIODS.PROJECT_DETAIL ADD BASELINE_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL;    
 ALTER TABLE RIODS.PROJECT_DETAIL ADD PLANNED_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL;    
 ALTER TABLE RIODS.PROJECT_DETAIL ADD COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL;   
 ALTER TABLE RIODS.PROJECT_DETAIL ADD PLANNED_DURATION INTEGER DEFAULT 0 NOT NULL; 
 ALTER TABLE RIODS.PROJECT_DETAIL ADD PLANNED_WORK INTEGER DEFAULT 0 NOT NULL;     
 ALTER TABLE RIODS.PROJECT_DETAIL ADD WORK_VARIANCE INTEGER DEFAULT 0 NOT NULL;    
 ALTER TABLE RIODS.PROJECT_DETAIL ADD START_VARIANCE INTEGER DEFAULT 0 NOT NULL;   
 ALTER TABLE RIODS.PROJECT_DETAIL ADD FINISH_VARIANCE INTEGER DEFAULT 0 NOT NULL;  
 ALTER TABLE RIODS.PROJECT_DETAIL ADD DURATION_VARIANCE INTEGER DEFAULT 0 NOT NULL;
 ALTER TABLE RIODS.PROJECT_DETAIL ADD PERCENT_COMPLETE DECIMAL(5,2) DEFAULT 0.00 NOT NULL; 
 ALTER TABLE RIODS.PROJECT_DETAIL ADD PERCENT_WORK_COMPLETE DECIMAL(5,2) DEFAULT 0.00 NOT NULL;      
 ALTER TABLE RIODS."RESOURCE" ADD CITY_ID INTEGER DEFAULT -1 NOT NULL;   
 ALTER TABLE RIODS."RESOURCE" ADD ORGANIZATION_ID INTEGER DEFAULT -1 NOT NULL;     
 ALTER TABLE RIODS."RESOURCE" ADD EFFECTIVE_DATE DATE;  
 ALTER TABLE RIODS."RESOURCE" ADD DISCONTINUE_DATE DATE;
 ALTER TABLE RIODS."RESOURCE" ADD TIME_PER_DAY INTEGER; 
 ALTER TABLE RIODS.RISK ADD IMPACT INTEGER;  
 ALTER TABLE RIODS.RISK ADD PROBABILITY INTEGER;     
 ALTER TABLE RIODS.RISK ADD PROBABILITY_COST DECIMAL(18,2);    
 ALTER TABLE RIODS.RISK ADD RISK_SCORE DECIMAL(18,2);
 ALTER TABLE RIODS.TASK_DETAIL ADD ACTUAL_FINISH_VARIANCE INTEGER;
 ALTER TABLE RIODS.TASK_DETAIL ADD BASELINE_FINISH_VARIANCE INTEGER;     
 ALTER TABLE RIODS.TASK_DETAIL ADD ACTUAL_WORK_VARIANCE INTEGER;  
 ALTER TABLE RIODS.TASK_DETAIL ADD BASELINE_WORK_VARIANCE INTEGER;
 ALTER TABLE RIODS.TASK_DETAIL ADD ACTUAL_START_VARIANCE INTEGER; 
 ALTER TABLE RIODS.TASK_DETAIL ADD BASELINE_START_VARIANCE INTEGER;      
 ALTER TABLE RIODS.TASK_DETAIL ADD WORK_VARIANCE INTEGER;      
 ALTER TABLE RIODS.BUILD MODIFY BUILDING_TIME NUMBER(20);      
 ALTER TABLE RIODS.BUILD MODIFY WAITING_TIME NUMBER(20);
 ALTER TABLE RIODS.PROJECT_BASELINE MODIFY EXTERNAL_KEY2 CHAR(80);
 MERGE INTO RIODS.ACTIVITY_CLASSIFICATION M USING (SELECT (SELECT MAX(ACTIVITY_CLASS_ID) +1 FROM RIODS.ACTIVITY_CLASSIFICATION) ACTIVITY_CLASS_ID, 'Project Conductor Assignment' NAME FROM DUAL) MM ON (M.NAME = MM.NAME)  WHEN NOT MATCHED THEN INSERT (ACTIVITY_CLASS_ID,NAME) VALUES (MM.ACTIVITY_CLASS_ID,MM.NAME);
 MERGE INTO RIODS.PROJECT_CLASSIFICATION M USING (SELECT(SELECT MAX(PROJECT_CLASS_ID)+1 FROM RIODS.PROJECT_CLASSIFICATION) PROJECT_CLASS_ID, 'Project Conductor Project' NAME FROM DUAL) MM ON (M.NAME = MM.NAME)  WHEN NOT MATCHED THEN INSERT (PROJECT_CLASS_ID,NAME) VALUES (MM.PROJECT_CLASS_ID,MM.NAME);
 MERGE INTO RIODS.REQUIREMENT_CLASSIFICATION M USING (SELECT (SELECT MAX(REQUIREMENT_CLASS_ID)+1 FROM RIODS.REQUIREMENT_CLASSIFICATION) REQUIREMENT_CLASS_ID, 'Doors Requirement' NAME FROM DUAL) MM ON (M.NAME = MM.NAME)  WHEN NOT MATCHED THEN INSERT (REQUIREMENT_CLASS_ID,NAME) VALUES (MM.REQUIREMENT_CLASS_ID,MM.NAME); 
  ALTER TABLE RIODS.CITY  ADD CONSTRAINT CITY_FK1 FOREIGN KEY  (PROVINCE_STATE_ID) REFERENCES RIODS.PROVINCE_STATE  (PROVINCE_STATE_ID);   
  ALTER TABLE RIODS.COUNTRY  ADD CONSTRAINT COUNTRY_FK1 FOREIGN KEY  (TERRITORY_ID) REFERENCES RIODS.OPERATING_TERRITORY  (TERRITORY_ID);  
  ALTER TABLE RIODS.ITERATION_BASELINE  ADD CONSTRAINT ITERBASELINE_FK2 FOREIGN KEY  (ITERATION_ID) REFERENCES RIODS.ITERATION  (ITERATION_ID);      
  ALTER TABLE RIODS.ITERATION_BASELINE  ADD CONSTRAINT ITERBASELINE_FK3 FOREIGN KEY  (BASELINE_ID) REFERENCES RIODS.PROJECT_BASELINE  (BASELINE_ID); 
  ALTER TABLE RIODS.ITERATION_DETAIL  ADD CONSTRAINT ITERDET_FK1 FOREIGN KEY  (ITERATION_ID) REFERENCES RIODS.ITERATION  (ITERATION_ID);   
  ALTER TABLE RIODS.PROFILE  ADD CONSTRAINT PROFILE_FK1 FOREIGN KEY  (CITY_ID) REFERENCES RIODS.CITY  (CITY_ID);  
  ALTER TABLE RIODS.PROFILE  ADD CONSTRAINT PROFILE_FK2 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIODS.ORGANIZATION  (ORGANIZATION_ID);   
  ALTER TABLE RIODS.PROFILE_COMPETENCY_LOOKUP  ADD CONSTRAINT PROCOMPETENCY_FK1 FOREIGN KEY  (COMPETENCY_ID) REFERENCES RIODS.COMPETENCY  (COMPETENCY_ID);     
  ALTER TABLE RIODS.PROFILE_COMPETENCY_LOOKUP  ADD CONSTRAINT PROCOMPETENCY_FK2 FOREIGN KEY  (PROFILE_ID) REFERENCES RIODS.PROFILE  (PROFILE_ID);    
  ALTER TABLE RIODS.PROFILE_SKILL_LOOKUP  ADD CONSTRAINT PROSKILL_FK1 FOREIGN KEY  (SKILL_ID) REFERENCES RIODS.SKILL  (SKILL_ID);
  ALTER TABLE RIODS.PROFILE_SKILL_LOOKUP  ADD CONSTRAINT PROSKILL_FK2 FOREIGN KEY  (PROFILE_ID) REFERENCES RIODS.PROFILE  (PROFILE_ID);    
  ALTER TABLE RIODS.PROGRAM  ADD CONSTRAINT PROGRAM_FK1 FOREIGN KEY  (PROGRAM_MANAGER) REFERENCES RIODS."RESOURCE"  (RESOURCE_ID);  
  ALTER TABLE RIODS.PROGRAM_DETAIL  ADD CONSTRAINT PROGRAM_DETAIL_FK1 FOREIGN KEY  (PROGRAM_ID) REFERENCES RIODS.PROGRAM  (PROGRAM_ID);    
  ALTER TABLE RIODS.PROJECT_ALLOCATION  ADD CONSTRAINT PROJALLO_FK1 FOREIGN KEY  (PROJECT_ID) REFERENCES RIODS.PROJECT  (PROJECT_ID);      
  ALTER TABLE RIODS.PROJECT_ALLOCATION  ADD CONSTRAINT PROJALLO_FK2 FOREIGN KEY  (OWNER_ID) REFERENCES RIODS."RESOURCE"  (RESOURCE_ID);    
  ALTER TABLE RIODS.PROJECT_ALLOCATION  ADD CONSTRAINT PROJALLO_FK3 FOREIGN KEY  (PROFILE_ID) REFERENCES RIODS.PROFILE  (PROFILE_ID);      
  ALTER TABLE RIODS.PROVINCE_STATE  ADD CONSTRAINT PROVSTATE_FK1 FOREIGN KEY  (COUNTRY_ID) REFERENCES RIODS.COUNTRY  (COUNTRY_ID);  
  ALTER TABLE RIODS.RESOURCE_COMPETENCY_LOOKUP  ADD CONSTRAINT RESCOMPETENCY_FK FOREIGN KEY  (COMPETENCY_ID) REFERENCES RIODS.COMPETENCY  (COMPETENCY_ID);     
  ALTER TABLE RIODS.RESOURCE_COMPETENCY_LOOKUP  ADD CONSTRAINT RESCOMPETENCY_FK1 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIODS."RESOURCE"  (RESOURCE_ID); 
  ALTER TABLE RIODS.RESOURCE_SKILL_LOOKUP  ADD CONSTRAINT RESSKILL_FK FOREIGN KEY  (SKILL_ID) REFERENCES RIODS.SKILL  (SKILL_ID);
  ALTER TABLE RIODS.RESOURCE_SKILL_LOOKUP  ADD CONSTRAINT RESSKILL_FK1 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIODS."RESOURCE"  (RESOURCE_ID); 
  ALTER TABLE RIODS.TASK_BASELINE  ADD CONSTRAINT TASKBL_FK1 FOREIGN KEY  (TASK_ID) REFERENCES RIODS.TASK  (TASK_ID);    
  ALTER TABLE RIODS.TASK_BASELINE  ADD CONSTRAINT TASKBL_FK2 FOREIGN KEY  (BASELINE_ID) REFERENCES RIODS.PROJECT_BASELINE  (BASELINE_ID);  
  ALTER TABLE RIODS.TIMESHEET  ADD CONSTRAINT TIMESHEET_FK1 FOREIGN KEY  (ACTIVITY_ID) REFERENCES RIODS.ACTIVITY  (ACTIVITY_ID); 
  ALTER TABLE RIODS.TIMESHEET  ADD CONSTRAINT TIMESHEET_FK2 FOREIGN KEY  (APPROVER_ID) REFERENCES RIODS."RESOURCE"  (RESOURCE_ID);  
  ALTER TABLE RIODS.TIMESHEET_TIMECODE_LOOKUP  ADD CONSTRAINT TSTC_FK1 FOREIGN KEY  (TIMESHEET_ID) REFERENCES RIODS.TIMESHEET  (TIMESHEET_ID);
  ALTER TABLE RIODS.TIMESHEET_TIMECODE_LOOKUP  ADD CONSTRAINT TSTC_FK2 FOREIGN KEY  (TIMECODE_ID) REFERENCES RIODS.TIMECODE  (TIMECODE_ID);
  ALTER TABLE RIDW.F_C_RISK_METRICS  ADD CONSTRAINT F_C_RISKMET_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID);    
  ALTER TABLE RIDW.F_C_RISK_METRICS  ADD CONSTRAINT F_C_RISKMET_FK10 FOREIGN KEY  (SCORE_RANK_ID) REFERENCES RIDW.D_SCORE_RANK  (SCORE_RANK_ID);     
  ALTER TABLE RIDW.F_C_RISK_METRICS  ADD CONSTRAINT F_C_RISKMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID);     
  ALTER TABLE RIDW.F_C_RISK_METRICS  ADD CONSTRAINT F_C_RISKMET_FK3 FOREIGN KEY  (STATE_ID) REFERENCES RIDW.D_RISK_STATE  (STATE_ID);      
  ALTER TABLE RIDW.F_C_RISK_METRICS  ADD CONSTRAINT F_C_RISKMET_FK4 FOREIGN KEY  (PRIORITY_ID) REFERENCES RIDW.D_PRIORITY  (PRIORITY_ID);  
  ALTER TABLE RIDW.F_C_RISK_METRICS  ADD CONSTRAINT F_C_RISKMET_FK5 FOREIGN KEY  (OWNER_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID);     
  ALTER TABLE RIDW.F_C_RISK_METRICS  ADD CONSTRAINT F_C_RISKMET_FK6 FOREIGN KEY  (RELEASE_ID) REFERENCES RIDW.D_RELEASE  (RELEASE_ID);     
  ALTER TABLE RIDW.F_C_RISK_METRICS  ADD CONSTRAINT F_C_RISKMET_FK7 FOREIGN KEY  (IMPACT_RANK_ID) REFERENCES RIDW.D_IMPACT_RANK  (IMPACT_RANK_ID);   
  ALTER TABLE RIDW.F_C_RISK_METRICS  ADD CONSTRAINT F_C_RISKMET_FK8 FOREIGN KEY  (PROBABILITY_RANK_ID) REFERENCES RIDW.D_PROBABILITY_RANK  (PROBABILITY_RANK_ID);      
  ALTER TABLE RIDW.F_C_RISK_METRICS  ADD CONSTRAINT F_C_RISKMET_FK9 FOREIGN KEY  (PROBABILITY_COST_RANK_ID) REFERENCES RIDW.D_PROBABILITY_COST_RANK  (PROBABILITY_COST_RANK_ID); 
  ALTER TABLE RIDW.F_C_TASK_ITE_VARIANCE_METRICS  ADD CONSTRAINT FCTSKITVARMET_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID);  
  ALTER TABLE RIDW.F_C_TASK_ITE_VARIANCE_METRICS  ADD CONSTRAINT FCTSKITVARMET_FK2 FOREIGN KEY  (BASELINE_ID) REFERENCES RIDW.D_BASELINE  (BASELINE_ID);
  ALTER TABLE RIDW.F_C_TASK_ITE_VARIANCE_METRICS  ADD CONSTRAINT FCTSKITVARMET_FK3 FOREIGN KEY  (ITERATION_ID) REFERENCES RIDW.D_ITERATION  (ITERATION_ID);    
  ALTER TABLE RIDW.F_C_TASK_ITE_VARIANCE_METRICS  ADD CONSTRAINT FCTSKITVARMET_FK4 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID);
  ALTER TABLE RIDW.F_C_TASK_PRO_VARIANCE_METRICS  ADD CONSTRAINT FCTSKPRVARMET_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID);  
  ALTER TABLE RIDW.F_C_TASK_PRO_VARIANCE_METRICS  ADD CONSTRAINT FCTSKPRVARMET_FK2 FOREIGN KEY  (BASELINE_ID) REFERENCES RIDW.D_BASELINE  (BASELINE_ID);
  ALTER TABLE RIDW.F_C_TASK_PRO_VARIANCE_METRICS  ADD CONSTRAINT FCTSKPRVARMET_FK3 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID);
  ALTER TABLE RIDW.F_MISSING_TIMESHEET_METRICS  ADD CONSTRAINT F_MISSTIMSH_FK1 FOREIGN KEY  (WEEK_ID) REFERENCES RIDW.D_DATE  (DATE_ID);   
  ALTER TABLE RIDW.F_MISSING_TIMESHEET_METRICS  ADD CONSTRAINT F_MISSTIMSH_FK3 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID); 
  ALTER TABLE RIDW.F_MISSING_TIMESHEET_METRICS  ADD CONSTRAINT F_MISSTIMSH_FK4 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID);    
  ALTER TABLE RIDW.F_MISSING_TIMESHEET_METRICS  ADD CONSTRAINT F_MISSTIMSH_FK5 FOREIGN KEY  (CHARGECODE_ID) REFERENCES RIDW.D_CHARGECODE  (CHARGECODE_ID);     
  ALTER TABLE RIDW.F_MISSING_TIMESHEET_METRICS  ADD CONSTRAINT F_MISSTIMSH_FK6 FOREIGN KEY  (POOL_ID) REFERENCES RIDW.D_POOL  (POOL_ID);   
  ALTER TABLE RIDW.F_MISSING_TIMESHEET_METRICS  ADD CONSTRAINT F_MISSTIMSH_FK7 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID);   
  ALTER TABLE RIDW.F_MISSING_TIMESHEET_METRICS  ADD CONSTRAINT F_MISSTIMSH_FK8 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID);
  ALTER TABLE RIDW.F_MO_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MCOPRDSMET_FK1 FOREIGN KEY  (MONTH_ID) REFERENCES RIDW.D_DATE  (DATE_ID);  
  ALTER TABLE RIDW.F_MO_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MCOPRDSMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID); 
  ALTER TABLE RIDW.F_MO_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MCOPRDSMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID);
  ALTER TABLE RIDW.F_MO_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MCOPRDSMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID);    
  ALTER TABLE RIDW.F_MO_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MCOPRDSMET_FK5 FOREIGN KEY  (COMPETENCY_ID) REFERENCES RIDW.D_COMPETENCY  (COMPETENCY_ID);  
  ALTER TABLE RIDW.F_MO_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MCORESUTMET_FK1 FOREIGN KEY  (MONTH_ID) REFERENCES RIDW.D_DATE  (DATE_ID);  
  ALTER TABLE RIDW.F_MO_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MCORESUTMET_FK2 FOREIGN KEY  (POOL_ID) REFERENCES RIDW.D_POOL  (POOL_ID);
  ALTER TABLE RIDW.F_MO_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MCORESUTMET_FK4 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID);
  ALTER TABLE RIDW.F_MO_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MCORESUTMET_FK5 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID);    
  ALTER TABLE RIDW.F_MO_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MCORESUTMET_FK6 FOREIGN KEY  (COMPETENCY_ID) REFERENCES RIDW.D_COMPETENCY  (COMPETENCY_ID);  
  ALTER TABLE RIDW.F_MO_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT F_MPJRESDSMET_FK1 FOREIGN KEY  (MONTH_ID) REFERENCES RIDW.D_DATE  (DATE_ID);  
  ALTER TABLE RIDW.F_MO_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT F_MPJRESDSMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID); 
  ALTER TABLE RIDW.F_MO_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT F_MPJRESDSMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID);
  ALTER TABLE RIDW.F_MO_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT F_MPJRESDSMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID);    
  ALTER TABLE RIDW.F_MO_RESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MRESUTILMETT_FK1 FOREIGN KEY  (MONTH_ID) REFERENCES RIDW.D_DATE  (DATE_ID);
  ALTER TABLE RIDW.F_MO_RESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MRESUTILMET_FK2 FOREIGN KEY  (POOL_ID) REFERENCES RIDW.D_POOL  (POOL_ID);  
  ALTER TABLE RIDW.F_MO_RESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MRESUTILMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID);  
  ALTER TABLE RIDW.F_MO_RESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MRESUTILMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID);      
  ALTER TABLE RIDW.F_MO_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MSCPRDSMET_FK1 FOREIGN KEY  (MONTH_ID) REFERENCES RIDW.D_DATE  (DATE_ID);  
  ALTER TABLE RIDW.F_MO_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MSCPRDSMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID); 
  ALTER TABLE RIDW.F_MO_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MSCPRDSMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID);
  ALTER TABLE RIDW.F_MO_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MSCPRDSMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID);    
  ALTER TABLE RIDW.F_MO_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MSCPRDSMET_FK5 FOREIGN KEY  (SKILL_ID) REFERENCES RIDW.D_SKILL  (SKILL_ID);
  ALTER TABLE RIDW.F_MO_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MSCPRDSMET_FK6 FOREIGN KEY  (COMPETENCY_ID) REFERENCES RIDW.D_COMPETENCY  (COMPETENCY_ID);  
  ALTER TABLE RIDW.F_MO_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MSCRESUTMET_FK1 FOREIGN KEY  (MONTH_ID) REFERENCES RIDW.D_DATE  (DATE_ID);  
  ALTER TABLE RIDW.F_MO_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MSCRESUTMET_FK2 FOREIGN KEY  (POOL_ID) REFERENCES RIDW.D_POOL  (POOL_ID);
  ALTER TABLE RIDW.F_MO_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MSCRESUTMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID);
  ALTER TABLE RIDW.F_MO_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MSCRESUTMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID);    
  ALTER TABLE RIDW.F_MO_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MSCRESUTMET_FK5 FOREIGN KEY  (SKILL_ID) REFERENCES RIDW.D_SKILL  (SKILL_ID);
  ALTER TABLE RIDW.F_MO_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MSCRESUTMET_FK6 FOREIGN KEY  (COMPETENCY_ID) REFERENCES RIDW.D_COMPETENCY  (COMPETENCY_ID);  
  ALTER TABLE RIDW.F_MO_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MSKPRDSMET_FK1 FOREIGN KEY  (MONTH_ID) REFERENCES RIDW.D_DATE  (DATE_ID);  
  ALTER TABLE RIDW.F_MO_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MSKPRDSMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID); 
  ALTER TABLE RIDW.F_MO_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MSKPRDSMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID);
  ALTER TABLE RIDW.F_MO_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MSKPRDSMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID);    
  ALTER TABLE RIDW.F_MO_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MSKPRDSMET_FK5 FOREIGN KEY  (SKILL_ID) REFERENCES RIDW.D_SKILL  (SKILL_ID);
  ALTER TABLE RIDW.F_MO_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MSKRESUTMET_FK1 FOREIGN KEY  (MONTH_ID) REFERENCES RIDW.D_DATE  (DATE_ID);  
  ALTER TABLE RIDW.F_MO_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MSKRESUTMET_FK2 FOREIGN KEY  (POOL_ID) REFERENCES RIDW.D_POOL  (POOL_ID);
  ALTER TABLE RIDW.F_MO_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MSKRESUTMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID);
  ALTER TABLE RIDW.F_MO_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MSKRESUTMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID);    
  ALTER TABLE RIDW.F_MO_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MSKRESUTMET_FK5 FOREIGN KEY  (SKILL_ID) REFERENCES RIDW.D_SKILL  (SKILL_ID);
  ALTER TABLE RIDW.F_RISK_METRICS  ADD CONSTRAINT F_RISKMET_FK9 FOREIGN KEY  (PROBABILITY_COST_RANK_ID) REFERENCES RIDW.D_PROBABILITY_COST_RANK  (PROBABILITY_COST_RANK_ID);     
  ALTER TABLE RIDW.F_RISK_METRICS  ADD CONSTRAINT F_RISKMET_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID);
  ALTER TABLE RIDW.F_RISK_METRICS  ADD CONSTRAINT F_RISKMET_FK10 FOREIGN KEY  (SCORE_RANK_ID) REFERENCES RIDW.D_SCORE_RANK  (SCORE_RANK_ID);  
  ALTER TABLE RIDW.F_RISK_METRICS  ADD CONSTRAINT F_RISKMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID);  
  ALTER TABLE RIDW.F_RISK_METRICS  ADD CONSTRAINT F_RISKMET_FK3 FOREIGN KEY  (STATE_ID) REFERENCES RIDW.D_RISK_STATE  (STATE_ID);
  ALTER TABLE RIDW.F_RISK_METRICS  ADD CONSTRAINT F_RISKMET_FK4 FOREIGN KEY  (PRIORITY_ID) REFERENCES RIDW.D_PRIORITY  (PRIORITY_ID);      
  ALTER TABLE RIDW.F_RISK_METRICS  ADD CONSTRAINT F_RISKMET_FK5 FOREIGN KEY  (OWNER_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID);  
  ALTER TABLE RIDW.F_RISK_METRICS  ADD CONSTRAINT F_RISKMET_FK6 FOREIGN KEY  (RELEASE_ID) REFERENCES RIDW.D_RELEASE  (RELEASE_ID);  
  ALTER TABLE RIDW.F_RISK_METRICS  ADD CONSTRAINT F_RISKMET_FK7 FOREIGN KEY  (IMPACT_RANK_ID) REFERENCES RIDW.D_IMPACT_RANK  (IMPACT_RANK_ID);
  ALTER TABLE RIDW.F_RISK_METRICS  ADD CONSTRAINT F_RISKMET_FK8 FOREIGN KEY  (PROBABILITY_RANK_ID) REFERENCES RIDW.D_PROBABILITY_RANK  (PROBABILITY_RANK_ID);  
  ALTER TABLE RIDW.F_TASK_ITER_VARIANCE_METRICS  ADD CONSTRAINT FTSKITVARMET_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID); 
  ALTER TABLE RIDW.F_TASK_ITER_VARIANCE_METRICS  ADD CONSTRAINT FTSKITVARMET_FK2 FOREIGN KEY  (BASELINE_ID) REFERENCES RIDW.D_BASELINE  (BASELINE_ID);  
  ALTER TABLE RIDW.F_TASK_ITER_VARIANCE_METRICS  ADD CONSTRAINT FTSKITVARMET_FK3 FOREIGN KEY  (ITERATION_ID) REFERENCES RIDW.D_ITERATION  (ITERATION_ID);      
  ALTER TABLE RIDW.F_TASK_ITER_VARIANCE_METRICS  ADD CONSTRAINT FTSKITVARMET_FK4 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID);  
  ALTER TABLE RIDW.F_TASK_PROJ_VARIANCE_METRICS  ADD CONSTRAINT FTSKPRJVARMET_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID);
  ALTER TABLE RIDW.F_TASK_PROJ_VARIANCE_METRICS  ADD CONSTRAINT FTSKPRJVARMET_FK2 FOREIGN KEY  (BASELINE_ID) REFERENCES RIDW.D_BASELINE  (BASELINE_ID); 
  ALTER TABLE RIDW.F_TASK_PROJ_VARIANCE_METRICS  ADD CONSTRAINT FTSKPRJVARMET_FK3 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID); 
  ALTER TABLE RIDW.F_TIMESHEET_METRICS  ADD CONSTRAINT F_TIMESH_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID);    
  ALTER TABLE RIDW.F_TIMESHEET_METRICS  ADD CONSTRAINT F_TIMESH_FK2 FOREIGN KEY  (STATE_ID) REFERENCES RIDW.D_TIMESHEET_STATE  (STATE_ID); 
  ALTER TABLE RIDW.F_TIMESHEET_METRICS  ADD CONSTRAINT F_TIMESH_FK3 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID);  
  ALTER TABLE RIDW.F_TIMESHEET_METRICS  ADD CONSTRAINT F_TIMESH_FK4 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID);     
  ALTER TABLE RIDW.F_TIMESHEET_METRICS  ADD CONSTRAINT F_TIMESH_FK5 FOREIGN KEY  (CHARGECODE_ID) REFERENCES RIDW.D_CHARGECODE  (CHARGECODE_ID);      
  ALTER TABLE RIDW.F_TIMESHEET_METRICS  ADD CONSTRAINT F_TIMESH_FK6 FOREIGN KEY  (POOL_ID) REFERENCES RIDW.D_POOL  (POOL_ID);    
  ALTER TABLE RIDW.F_TIMESHEET_METRICS  ADD CONSTRAINT F_TIMESH_FK7 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID);    
  ALTER TABLE RIDW.F_TIMESHEET_METRICS  ADD CONSTRAINT F_TIMESH_FK8 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID);
  ALTER TABLE RIDW.F_TIMESHEET_TIMECODE_METRICS  ADD CONSTRAINT F_TIMESHTC_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID);   
  ALTER TABLE RIDW.F_TIMESHEET_TIMECODE_METRICS  ADD CONSTRAINT F_TIMESHTC_FK2 FOREIGN KEY  (STATE_ID) REFERENCES RIDW.D_TIMESHEET_STATE  (STATE_ID);
  ALTER TABLE RIDW.F_TIMESHEET_TIMECODE_METRICS  ADD CONSTRAINT F_TIMESHTC_FK3 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID); 
  ALTER TABLE RIDW.F_TIMESHEET_TIMECODE_METRICS  ADD CONSTRAINT F_TIMESHTC_FK4 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID);    
  ALTER TABLE RIDW.F_TIMESHEET_TIMECODE_METRICS  ADD CONSTRAINT F_TIMESHTC_FK5 FOREIGN KEY  (CHARGECODE_ID) REFERENCES RIDW.D_CHARGECODE  (CHARGECODE_ID);     
  ALTER TABLE RIDW.F_TIMESHEET_TIMECODE_METRICS  ADD CONSTRAINT F_TIMESHTC_FK6 FOREIGN KEY  (TIMECODE_ID) REFERENCES RIDW.D_TIMECODE  (TIMECODE_ID); 
  ALTER TABLE RIDW.F_TIMESHEET_TIMECODE_METRICS  ADD CONSTRAINT F_TIMESHTC_FK7 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID);
  ALTER TABLE RIDW.F_TIMESHEET_TIMECODE_METRICS  ADD CONSTRAINT F_TIMESHTC_FK8 FOREIGN KEY  (POOL_ID) REFERENCES RIDW.D_POOL  (POOL_ID);   
  ALTER TABLE RIDW.F_TIMESHEET_TIMECODE_METRICS  ADD CONSTRAINT F_TIMESHTC_FK9 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID);   
  ALTER TABLE RIDW.F_WK_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WCOPRDSMET_FK1 FOREIGN KEY  (WEEK_ID) REFERENCES RIDW.D_DATE  (DATE_ID);
  ALTER TABLE RIDW.F_WK_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WCOPRDSMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID); 
  ALTER TABLE RIDW.F_WK_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WCOPRDSMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID);
  ALTER TABLE RIDW.F_WK_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WCOPRDSMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID);    
  ALTER TABLE RIDW.F_WK_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WCOPRDSMET_FK5 FOREIGN KEY  (COMPETENCY_ID) REFERENCES RIDW.D_COMPETENCY  (COMPETENCY_ID);  
  ALTER TABLE RIDW.F_WK_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WCORESUTMET_FK1 FOREIGN KEY  (WEEK_ID) REFERENCES RIDW.D_DATE  (DATE_ID);
  ALTER TABLE RIDW.F_WK_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WCORESUTMET_FK2 FOREIGN KEY  (POOL_ID) REFERENCES RIDW.D_POOL  (POOL_ID);
  ALTER TABLE RIDW.F_WK_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WCORESUTMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID);
  ALTER TABLE RIDW.F_WK_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WCORESUTMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID);    
  ALTER TABLE RIDW.F_WK_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WCORESUTMET_FK5 FOREIGN KEY  (COMPETENCY_ID) REFERENCES RIDW.D_COMPETENCY  (COMPETENCY_ID);  
  ALTER TABLE RIDW.F_WK_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT F_WPJRESDSMET_FK1 FOREIGN KEY  (WEEK_ID) REFERENCES RIDW.D_DATE  (DATE_ID);
  ALTER TABLE RIDW.F_WK_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT F_WPJRESDSMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID); 
  ALTER TABLE RIDW.F_WK_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT F_WPJRESDSMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID);
  ALTER TABLE RIDW.F_WK_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT F_WPJRESDSMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID);    
  ALTER TABLE RIDW.F_WK_RESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WRESUTILMET_FK1 FOREIGN KEY  (WEEK_ID) REFERENCES RIDW.D_DATE  (DATE_ID);  
  ALTER TABLE RIDW.F_WK_RESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WRESUTILMET_FK2 FOREIGN KEY  (POOL_ID) REFERENCES RIDW.D_POOL  (POOL_ID);  
  ALTER TABLE RIDW.F_WK_RESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WRESUTILMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID);  
  ALTER TABLE RIDW.F_WK_RESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WRESUTILMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID);      
  ALTER TABLE RIDW.F_WK_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WSCPRDSMET_FK1 FOREIGN KEY  (WEEK_ID) REFERENCES RIDW.D_DATE  (DATE_ID);
  ALTER TABLE RIDW.F_WK_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WSCPRDSMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID); 
  ALTER TABLE RIDW.F_WK_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WSCPRDSMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID);
  ALTER TABLE RIDW.F_WK_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WSCPRDSMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID);    
  ALTER TABLE RIDW.F_WK_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WSCPRDSMET_FK5 FOREIGN KEY  (SKILL_ID) REFERENCES RIDW.D_SKILL  (SKILL_ID);
  ALTER TABLE RIDW.F_WK_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WSCPRDSMET_FK6 FOREIGN KEY  (COMPETENCY_ID) REFERENCES RIDW.D_COMPETENCY  (COMPETENCY_ID);  
  ALTER TABLE RIDW.F_WK_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WSCRESUTMET_FK1 FOREIGN KEY  (WEEK_ID) REFERENCES RIDW.D_DATE  (DATE_ID);
  ALTER TABLE RIDW.F_WK_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WSCRESUTMET_FK2 FOREIGN KEY  (POOL_ID) REFERENCES RIDW.D_POOL  (POOL_ID);
  ALTER TABLE RIDW.F_WK_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WSCRESUTMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID);
  ALTER TABLE RIDW.F_WK_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WSCRESUTMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID);    
  ALTER TABLE RIDW.F_WK_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WSCRESUTMET_FK5 FOREIGN KEY  (SKILL_ID) REFERENCES RIDW.D_SKILL  (SKILL_ID);
  ALTER TABLE RIDW.F_WK_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WSCRESUTMET_FK6 FOREIGN KEY  (COMPETENCY_ID) REFERENCES RIDW.D_COMPETENCY  (COMPETENCY_ID);  
  ALTER TABLE RIDW.F_WK_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WSKPRDSMET_FK1 FOREIGN KEY  (WEEK_ID) REFERENCES RIDW.D_DATE  (DATE_ID);
  ALTER TABLE RIDW.F_WK_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WSKPRDSMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID); 
  ALTER TABLE RIDW.F_WK_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WSKPRDSMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID);
  ALTER TABLE RIDW.F_WK_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WSKPRDSMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID);    
  ALTER TABLE RIDW.F_WK_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WSKPRDSMET_FK5 FOREIGN KEY  (SKILL_ID) REFERENCES RIDW.D_SKILL  (SKILL_ID);
  ALTER TABLE RIDW.F_WK_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WSKRESUTMET_FK1 FOREIGN KEY  (WEEK_ID) REFERENCES RIDW.D_DATE  (DATE_ID);
  ALTER TABLE RIDW.F_WK_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WSKRESUTMET_FK2 FOREIGN KEY  (POOL_ID) REFERENCES RIDW.D_POOL  (POOL_ID);
  ALTER TABLE RIDW.F_WK_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WSKRESUTMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID);
  ALTER TABLE RIDW.F_WK_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WSKRESUTMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID);    
  ALTER TABLE RIDW.F_WK_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WSKRESUTMET_FK5 FOREIGN KEY  (SKILL_ID) REFERENCES RIDW.D_SKILL  (SKILL_ID);
  ALTER TABLE RIDW.H_MISSING_TIMESHEET_METRICS  ADD CONSTRAINT H_MISSTIMSH_FK1 FOREIGN KEY  (TIMESHEET_METRICS_ID) REFERENCES RIDW.F_MISSING_TIMESHEET_METRICS  (TIMESHEET_METRICS_ID) ON DELETE CASCADE;    
  ALTER TABLE RIDW.H_MISSING_TIMESHEET_METRICS  ADD CONSTRAINT H_MISSTIMSH_FK2 FOREIGN KEY  (ACTIVITY_ID) REFERENCES RIDW.D_ACTIVITY  (ACTIVITY_ID) ON DELETE CASCADE; 
  ALTER TABLE RIDW.H_MO_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_MCOPRDSMET_FK1 FOREIGN KEY  (F_PROJDS_MET_ID) REFERENCES RIDW.F_MO_COPROJ_RESDEMSUP_METRICS  (F_PROJDS_MET_ID) ON DELETE CASCADE; 
  ALTER TABLE RIDW.H_MO_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_MCOPRDSMET_FK2 FOREIGN KEY  (PROJECT_ALLOCATION_ID) REFERENCES RIDW.D_PROJECT_ALLOCATION  (PROJECT_ALLOCATION_ID) ON DELETE CASCADE;      
  ALTER TABLE RIDW.H_MO_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT H_MCORESUTMET_FK1 FOREIGN KEY  (F_RESUTIL_MET_ID) REFERENCES RIDW.F_MO_CORESOURCE_UTIL_METRICS  (F_RESUTIL_MET_ID) ON DELETE CASCADE;
  ALTER TABLE RIDW.H_MO_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT H_MCORESUTMET_FK2 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID) ON DELETE CASCADE; 
  ALTER TABLE RIDW.H_MO_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT H_MPJRESDSMET_FK1 FOREIGN KEY  (F_PROJDS_MET_ID) REFERENCES RIDW.F_MO_PROJ_RESDEMSUPP_METRICS  (F_PROJDS_MET_ID) ON DELETE CASCADE;  
  ALTER TABLE RIDW.H_MO_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT H_MPJRESDSMET_FK2 FOREIGN KEY  (PROJECT_ALLOCATION_ID) REFERENCES RIDW.D_PROJECT_ALLOCATION  (PROJECT_ALLOCATION_ID) ON DELETE CASCADE;      
  ALTER TABLE RIDW.H_MO_RESOURCE_UTIL_METRICS  ADD CONSTRAINT H_MRESUTILMET_FK1 FOREIGN KEY  (F_RESUTIL_MET_ID) REFERENCES RIDW.F_MO_RESOURCE_UTIL_METRICS  (F_RESUTIL_MET_ID) ON DELETE CASCADE;    
  ALTER TABLE RIDW.H_MO_RESOURCE_UTIL_METRICS  ADD CONSTRAINT H_MRESUTILMET_FK2 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID) ON DELETE CASCADE;
  ALTER TABLE RIDW.H_MO_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_MSCPRDSMET_FK1 FOREIGN KEY  (F_PROJDS_MET_ID) REFERENCES RIDW.F_MO_SCPROJ_RESDEMSUP_METRICS  (F_PROJDS_MET_ID) ON DELETE CASCADE; 
  ALTER TABLE RIDW.H_MO_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_MSCPRDSMET_FK2 FOREIGN KEY  (PROJECT_ALLOCATION_ID) REFERENCES RIDW.D_PROJECT_ALLOCATION  (PROJECT_ALLOCATION_ID) ON DELETE CASCADE;      
  ALTER TABLE RIDW.H_MO_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT H_MSCRESUTMET_FK1 FOREIGN KEY  (F_RESUTIL_MET_ID) REFERENCES RIDW.F_MO_SCRESOURCE_UTIL_METRICS  (F_RESUTIL_MET_ID) ON DELETE CASCADE;
  ALTER TABLE RIDW.H_MO_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT H_MSCRESUTMET_FK2 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID) ON DELETE CASCADE; 
  ALTER TABLE RIDW.H_MO_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_MSKPRDSMET_FK1 FOREIGN KEY  (F_PROJDS_MET_ID) REFERENCES RIDW.F_MO_SKPROJ_RESDEMSUP_METRICS  (F_PROJDS_MET_ID) ON DELETE CASCADE; 
  ALTER TABLE RIDW.H_MO_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_MSKPRDSMET_FK2 FOREIGN KEY  (PROJECT_ALLOCATION_ID) REFERENCES RIDW.D_PROJECT_ALLOCATION  (PROJECT_ALLOCATION_ID) ON DELETE CASCADE;      
  ALTER TABLE RIDW.H_MO_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT H_MSKRESUTMET_FK1 FOREIGN KEY  (F_RESUTIL_MET_ID) REFERENCES RIDW.F_MO_SKRESOURCE_UTIL_METRICS  (F_RESUTIL_MET_ID) ON DELETE CASCADE;
  ALTER TABLE RIDW.H_MO_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT H_MSKRESUTMET_FK2 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID) ON DELETE CASCADE; 
  ALTER TABLE RIDW.H_RISK_METRICS  ADD CONSTRAINT H_RISKMET_FK1 FOREIGN KEY  (F_RISKMET_ID) REFERENCES RIDW.F_RISK_METRICS  (F_RISKMET_ID) ON DELETE CASCADE;  
  ALTER TABLE RIDW.H_RISK_METRICS  ADD CONSTRAINT H_RISKMET_FK2 FOREIGN KEY  (RISK_ID) REFERENCES RIDW.D_RISK  (RISK_ID) ON DELETE CASCADE;
  ALTER TABLE RIDW.H_TASK_ITER_VARIANCE_METRICS  ADD CONSTRAINT HTSKITVARMET_FK1 FOREIGN KEY  (F_TASKVAR_MET_ID) REFERENCES RIDW.F_TASK_ITER_VARIANCE_METRICS  (F_TASKVAR_MET_ID) ON DELETE CASCADE; 
  ALTER TABLE RIDW.H_TASK_ITER_VARIANCE_METRICS  ADD CONSTRAINT HTSKITVARMET_FK2 FOREIGN KEY  (TASK_ID) REFERENCES RIDW.D_TASK  (TASK_ID) ON DELETE CASCADE;   
  ALTER TABLE RIDW.H_TASK_PROJ_VARIANCE_METRICS  ADD CONSTRAINT HTSKPRJVARME_FK1 FOREIGN KEY  (F_TASKVAR_MET_ID) REFERENCES RIDW.F_TASK_PROJ_VARIANCE_METRICS  (F_TASKVAR_MET_ID) ON DELETE CASCADE; 
  ALTER TABLE RIDW.H_TASK_PROJ_VARIANCE_METRICS  ADD CONSTRAINT HTSKPRJVARME_FK2 FOREIGN KEY  (TASK_ID) REFERENCES RIDW.D_TASK  (TASK_ID) ON DELETE CASCADE;   
  ALTER TABLE RIDW.H_TIMESHEET_METRICS  ADD CONSTRAINT H_TIMESH_FK1 FOREIGN KEY  (TIMESHEET_METRICS_ID) REFERENCES RIDW.F_TIMESHEET_METRICS  (TIMESHEET_METRICS_ID) ON DELETE CASCADE;     
  ALTER TABLE RIDW.H_TIMESHEET_METRICS  ADD CONSTRAINT H_TIMESH_FK2 FOREIGN KEY  (ACTIVITY_ID) REFERENCES RIDW.D_ACTIVITY  (ACTIVITY_ID) ON DELETE CASCADE;    
  ALTER TABLE RIDW.H_TIMESHEET_TIMECODE_METRICS  ADD CONSTRAINT H_TIMESHTC_FK1 FOREIGN KEY  (TIMESHEET_METRICS_ID) REFERENCES RIDW.F_TIMESHEET_TIMECODE_METRICS  (TIMESHEET_METRICS_ID) ON DELETE CASCADE;   
  ALTER TABLE RIDW.H_TIMESHEET_TIMECODE_METRICS  ADD CONSTRAINT H_TIMESHTC_FK2 FOREIGN KEY  (ACTIVITY_ID) REFERENCES RIDW.D_ACTIVITY  (ACTIVITY_ID) ON DELETE CASCADE; 
  ALTER TABLE RIDW.H_WK_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_WCOPRDSMET_FK1 FOREIGN KEY  (F_PROJDS_MET_ID) REFERENCES RIDW.F_WK_COPROJ_RESDEMSUP_METRICS  (F_PROJDS_MET_ID) ON DELETE CASCADE; 
  ALTER TABLE RIDW.H_WK_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_WCOPRDSMET_FK2 FOREIGN KEY  (PROJECT_ALLOCATION_ID) REFERENCES RIDW.D_PROJECT_ALLOCATION  (PROJECT_ALLOCATION_ID) ON DELETE CASCADE;      
  ALTER TABLE RIDW.H_WK_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT H_WCORESUTMET_FK1 FOREIGN KEY  (F_RESUTIL_MET_ID) REFERENCES RIDW.F_WK_CORESOURCE_UTIL_METRICS  (F_RESUTIL_MET_ID) ON DELETE CASCADE;
  ALTER TABLE RIDW.H_WK_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT H_WCORESUTMET_FK2 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID) ON DELETE CASCADE; 
  ALTER TABLE RIDW.H_WK_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT H_WPJRESDSMET_FK1 FOREIGN KEY  (F_PROJDS_MET_ID) REFERENCES RIDW.F_WK_PROJ_RESDEMSUPP_METRICS  (F_PROJDS_MET_ID) ON DELETE CASCADE;  
  ALTER TABLE RIDW.H_WK_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT H_WPJRESDSMET_FK2 FOREIGN KEY  (PROJECT_ALLOCATION_ID) REFERENCES RIDW.D_PROJECT_ALLOCATION  (PROJECT_ALLOCATION_ID) ON DELETE CASCADE;      
  ALTER TABLE RIDW.H_WK_RESOURCE_UTIL_METRICS  ADD CONSTRAINT H_WRESUTILMET_FK1 FOREIGN KEY  (F_RESUTIL_MET_ID) REFERENCES RIDW.F_WK_RESOURCE_UTIL_METRICS  (F_RESUTIL_MET_ID) ON DELETE CASCADE;    
  ALTER TABLE RIDW.H_WK_RESOURCE_UTIL_METRICS  ADD CONSTRAINT H_WRESUTILMET_FK2 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID) ON DELETE CASCADE;
  ALTER TABLE RIDW.H_WK_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_WSCPRDSMET_FK1 FOREIGN KEY  (F_PROJDS_MET_ID) REFERENCES RIDW.F_WK_SCPROJ_RESDEMSUP_METRICS  (F_PROJDS_MET_ID) ON DELETE CASCADE; 
  ALTER TABLE RIDW.H_WK_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_WSCPRDSMET_FK2 FOREIGN KEY  (PROJECT_ALLOCATION_ID) REFERENCES RIDW.D_PROJECT_ALLOCATION  (PROJECT_ALLOCATION_ID) ON DELETE CASCADE;      
  ALTER TABLE RIDW.H_WK_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT H_WSCRESUTMET_FK1 FOREIGN KEY  (F_RESUTIL_MET_ID) REFERENCES RIDW.F_WK_SCRESOURCE_UTIL_METRICS  (F_RESUTIL_MET_ID) ON DELETE CASCADE;
  ALTER TABLE RIDW.H_WK_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT H_WSCRESUTMET_FK2 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID) ON DELETE CASCADE; 
  ALTER TABLE RIDW.H_WK_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_WSKPRDSMET_FK1 FOREIGN KEY  (F_PROJDS_MET_ID) REFERENCES RIDW.F_WK_SKPROJ_RESDEMSUP_METRICS  (F_PROJDS_MET_ID) ON DELETE CASCADE; 
  ALTER TABLE RIDW.H_WK_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_WSKPRDSMET_FK2 FOREIGN KEY  (PROJECT_ALLOCATION_ID) REFERENCES RIDW.D_PROJECT_ALLOCATION  (PROJECT_ALLOCATION_ID) ON DELETE CASCADE;      
  ALTER TABLE RIDW.H_WK_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT H_WSKRESUTMET_FK1 FOREIGN KEY  (F_RESUTIL_MET_ID) REFERENCES RIDW.F_WK_SKRESOURCE_UTIL_METRICS  (F_RESUTIL_MET_ID) ON DELETE CASCADE;
  ALTER TABLE RIDW.H_WK_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT H_WSKRESUTMET_FK2 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID) ON DELETE CASCADE; 
 CREATE VIEW RIDW.VW_CHARGECODE (CHARGECODE_ID,REFERENCE_ID,EXTERNAL_ID,NAME,PARENT_CHARGECODE_ID,CHARGECODE_STATE,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED) AS (SELECT CHARGECODE_ID,REFERENCE_ID,EXTERNAL_ID,NAME,PARENT_CHARGECODE_ID,CHARGECODE_STATE,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED FROM RIODS.CHARGECODE);
 GRANT SELECT ON RIDW.VW_CHARGECODE TO  RPTUSER;     
 CREATE VIEW RIDW.VW_CITY (CITY_ID,REFERENCE_ID,EXTERNAL_ID,NAME,PROVINCE_STATE_ID,PROVINCE_STATE_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,ISSOFTDELETED) AS (SELECT C.CITY_ID,C.REFERENCE_ID,C.EXTERNAL_ID,C.NAME,C.PROVINCE_STATE_ID,P.NAME AS PROVINCE_STATE_NAME, C.EXTERNAL_KEY1,C.EXTERNAL_KEY2,C.SOURCE_ID,C.URL,C.ISSOFTDELETED FROM RIODS.CITY C JOIN RIODS.PROVINCE_STATE P ON P.PROVINCE_STATE_ID=C.PROVINCE_STATE_ID); 
 GRANT SELECT ON RIDW.VW_CITY TO  RPTUSER;   
 CREATE VIEW RIDW.VW_COMPETENCY (EXTERNAL_ID, NAME, COMPETENCY_ID, REFERENCE_ID,URL, EXTERNAL_KEY1, EXTERNAL_KEY2) AS (SELECT EXTERNAL_ID,NAME,COMPETENCY_ID,REFERENCE_ID,URL,EXTERNAL_KEY1,EXTERNAL_KEY2 FROM RIODS.COMPETENCY);
 GRANT SELECT ON RIDW.VW_COMPETENCY TO  RPTUSER;     
 CREATE VIEW RIDW.VW_COUNTRY(COUNTRY_ID,REFERENCE_ID,EXTERNAL_ID,NAME,TERRITORY_ID,TERRITORY_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,ISSOFTDELETED) AS (SELECT C.COUNTRY_ID,C.REFERENCE_ID,C.EXTERNAL_ID,C.NAME,C.TERRITORY_ID,T.NAME AS TERRITORY_NAME,C.EXTERNAL_KEY1,C.EXTERNAL_KEY2,C.SOURCE_ID,C.URL,C.ISSOFTDELETED FROM RIODS.COUNTRY C JOIN RIODS.OPERATING_TERRITORY T ON T.TERRITORY_ID=C.TERRITORY_ID);      
 GRANT SELECT ON RIDW.VW_COUNTRY TO  RPTUSER;
 CREATE VIEW RIDW.VW_ITERATION_BASELINE (BASELINE_ID, EXTERNAL_ID, NAME, ITERATION_ID,REFERENCE_ID, URL, BASELINE_DATE, PLANNED_START, PLANNED_FINISH, PLANNED_WORK,BASELINE_WORK_COMPLETED, PLANNED_COST, BASELINE_COST_COMPLETED, PLANNED_DURATION,EXTERNAL_KEY1, EXTERNAL_KEY2) AS (SELECT P.BASELINE_ID, P.EXTERNAL_ID,P.NAME, P.ITERATION_ID, P.REFERENCE_ID, P.URL, P.BASELINE_DATE, P.PLANNED_START,P.PLANNED_FINISH, P.PLANNED_WORK,P.BASELINE_WORK_COMPLETED,P.PLANNED_COST,P.BASELINE_COST_COMPLETED, P.PLANNED_DURATION, P.EXTERNAL_KEY1,P.EXTERNAL_KEY2 FROM RIODS.ITERATION_BASELINE P);    
 GRANT SELECT ON RIDW.VW_ITERATION_BASELINE TO  RPTUSER;
 CREATE VIEW RIDW.VW_ITERATION_DETAIL (ITERATION_ID,ITERATION_NAME,ACTUAL_DURATION,ACTUAL_WORK,ACTUAL_WORK_VARIANCE,ACTUAL_START_VARIANCE,ACTUAL_FINISH_VARIANCE,ACTUAL_START,ACTUAL_FINISH,ACTUAL_COST,ACTUAL_COST_VARIANCE,BASELINE_DURATION,BASELINE_WORK,BASELINE_WORK_VARIANCE,BASELINE_FINISH_VARIANCE,BASELINE_START_VARIANCE,BASELINE_COST_VARIANCE,BASELINE_START,BASELINE_FINISH,PLANNED_COST,COST_VARIANCE,PLANNED_DURATION,PLANNED_WORK,WORK_VARIANCE,START_VARIANCE,FINISH_VARIANCE,DURATION_VARIANCE,PLANNED_START,PLANNED_FINISH,PERCENT_COMPLETE,PERCENT_WORK_COMPLETE) AS (SELECT I.ITERATION_ID,IT.NAME ITERATION_NAME,I.ACTUAL_DURATION,I.ACTUAL_WORK,I.ACTUAL_WORK_VARIANCE,I.ACTUAL_START_VARIANCE,I.ACTUAL_FINISH_VARIANCE,I.ACTUAL_START,I.ACTUAL_FINISH,I.ACTUAL_COST,I.ACTUAL_COST_VARIANCE,I.BASELINE_DURATION,I.BASELINE_WORK,I.BASELINE_WORK_VARIANCE,I.BASELINE_FINISH_VARIANCE,I.BASELINE_START_VARIANCE,I.BASELINE_COST_VARIANCE,I.BASELINE_START,I.BASELINE_FINISH,I.PLANNED_COST,I.COST_VARIANCE,I.PLANNED_DURATION,I.PLANNED_WORK,I.WORK_VARIANCE,I.START_VARIANCE,I.FINISH_VARIANCE,I.DURATION_VARIANCE,I.PLANNED_START,I.PLANNED_FINISH,I.PERCENT_COMPLETE,I.PERCENT_WORK_COMPLETE FROM RIODS.ITERATION_DETAIL I JOIN RIODS.ITERATION IT ON IT.ITERATION_ID=I.ITERATION_ID);     
 GRANT SELECT ON RIDW.VW_ITERATION_DETAIL TO  RPTUSER;  
 CREATE VIEW RIDW.VW_OPERATING_TERRITORY (TERRITORY_ID,REFERENCE_ID,EXTERNAL_ID,NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,ISSOFTDELETED) AS (SELECT TERRITORY_ID,REFERENCE_ID,EXTERNAL_ID,NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,ISSOFTDELETED FROM RIODS.OPERATING_TERRITORY);
 GRANT SELECT ON RIDW.VW_OPERATING_TERRITORY TO  RPTUSER;      
 CREATE VIEW RIDW.VW_ORGANIZATION(ORGANIZATION_ID,REFERENCE_ID,EXTERNAL_ID, NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,ISSOFTDELETED) AS (SELECT ORGANIZATION_ID,REFERENCE_ID,EXTERNAL_ID,NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,ISSOFTDELETED FROM RIODS.ORGANIZATION);     
 GRANT SELECT ON RIDW.VW_ORGANIZATION TO  RPTUSER;   
 CREATE VIEW RIDW.VW_PROFILE (PROFILE_ID, NAME, REFERENCE_ID, EXTERNAL_ID, RATE,EXPERIENCE_IN_MONTHS, URL, EXTERNAL_KEY1, EXTERNAL_KEY2,CITY_ID,CITY_NAME,ORGANIZATION_ID,ORGANIZATION_NAME) AS ( SELECT P.PROFILE_ID, P.NAME, P.REFERENCE_ID, P.EXTERNAL_ID, P.RATE, P.EXPERIENCE_IN_MONTHS, P.URL, P.EXTERNAL_KEY1, P.EXTERNAL_KEY2,P.CITY_ID,C.NAME AS CITY_NAME,P.ORGANIZATION_ID,O.NAME ORGANIZATION_NAME FROM RIODS.PROFILE P JOIN RIODS.CITY C ON C.CITY_ID=P.CITY_ID JOIN RIODS.ORGANIZATION O ON O.ORGANIZATION_ID=P.ORGANIZATION_ID);  
 GRANT SELECT ON RIDW.VW_PROFILE TO  RPTUSER;
 CREATE VIEW RIDW.VW_PROFILE_COMPETENCY_LOOKUP (COMPETENCY_ID, COMPETENCY_NAME,PROFILE_ID, PROFILE_NAME) AS ( SELECT PC.COMPETENCY_ID, C.NAME COMPETENCY_NAME,PC.PROFILE_ID, P.NAME PROFILE_NAME FROM RIODS.PROFILE_COMPETENCY_LOOKUP PC JOIN RIODS.COMPETENCY C ON PC.COMPETENCY_ID=C.COMPETENCY_ID JOIN RIODS.PROFILE P ON P.PROFILE_ID=PC.PROFILE_ID);    
 GRANT SELECT ON RIDW.VW_PROFILE_COMPETENCY_LOOKUP TO  RPTUSER;
 CREATE VIEW RIDW.VW_PROFILE_SKILL_LOOKUP (SKILL_ID, SKILL_NAME, PROFILE_ID, PROFILE_NAME) AS ( SELECT PS.SKILL_ID, S.NAME SKILL_NAME, PS.PROFILE_ID, P.NAME ASPROFILE_NAME FROM RIODS.PROFILE_SKILL_LOOKUP PS JOIN RIODS.SKILL S ON PS.SKILL_ID=S.SKILL_ID JOIN RIODS.PROFILE P ON P.PROFILE_ID=PS.PROFILE_ID);
 GRANT SELECT ON RIDW.VW_PROFILE_SKILL_LOOKUP TO  RPTUSER;     
 CREATE VIEW RIDW.VW_PROGRAM (PROGRAM_ID,NAME,REFERENCE_ID,EXTERNAL_ID,PROGRAM_MANAGER_ID,PROGRAM_MANAGER,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,ISSOFTDELETED,SOURCE_ID) AS (SELECT PR.PROGRAM_ID,PR.NAME,PR.REFERENCE_ID,PR.EXTERNAL_ID,PR.PROGRAM_MANAGER AS PROGRAM_MANAGER_ID,R.FULL_NAME PROGRAM_MANAGER,PR.URL,PR.EXTERNAL_KEY1,PR.EXTERNAL_KEY2,PR.ISSOFTDELETED,PR.SOURCE_ID FROM RIODS.PROGRAM PR JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=PR.PROGRAM_MANAGER);   
 GRANT SELECT ON RIDW.VW_PROGRAM TO  RPTUSER;
 CREATE VIEW RIDW.VW_PROGRAM_DETAIL (PROGRAM_ID, PROGRAM_NAME,CURRENCY_ID,CURRENCY,ACTUAL_BUDGET,CURRENT_BUDGET,PLANNED_BUDGET,ACTUAL_VARIANCE,PLANNED_START,PLANNED_FINISH,ACWP,BAC,BCWP,BCWS,EAC, EV_ETC,EV_FLAG, ACTUAL_DURATION,ACTUAL_WORK,ACTUAL_WORK_VARIANCE,ACTUAL_START_VARIANCE,ACTUAL_FINISH_VARIANCE,ACTUAL_COST,ACTUAL_START,ACTUAL_FINISH,ACTUAL_COST_VARIANCE,PLANNED_COST, COST_VARIANCE,PLANNED_DURATION,PLANNED_WORK, WORK_VARIANCE,START_VARIANCE,FINISH_VARIANCE,DURATION_VARIANCE,PERCENT_COMPLETE,PERCENT_WORK_COMPLETE) AS (SELECT PR.PROGRAM_ID,P.NAME PROGRAM_NAME,PR.CURRENCY_ID,C.NAME ASCURRENCY,PR.ACTUAL_BUDGET,PR.CURRENT_BUDGET,PR.PLANNED_BUDGET,PR.ACTUAL_VARIANCE,PR.PLANNED_START,PR.PLANNED_FINISH,PR.ACWP,PR.BAC,PR.BCWP,PR.BCWS,PR.EAC,PR.EV_ETC,PR.EV_FLAG,PR.ACTUAL_DURATION,PR.ACTUAL_WORK,PR.ACTUAL_WORK_VARIANCE,PR.ACTUAL_START_VARIANCE,PR.ACTUAL_FINISH_VARIANCE,PR.ACTUAL_COST,PR.ACTUAL_START,PR.ACTUAL_FINISH,PR.ACTUAL_COST_VARIANCE,PR.PLANNED_COST,PR.COST_VARIANCE,PR.PLANNED_DURATION,PR.PLANNED_WORK,PR.WORK_VARIANCE,PR.START_VARIANCE,PR.FINISH_VARIANCE,PR.DURATION_VARIANCE,PR.PERCENT_COMPLETE,PR.PERCENT_WORK_COMPLETE FROM RIODS.PROGRAM_DETAIL PR JOIN RIODS.PROGRAM P ON P.PROGRAM_ID=PR.PROGRAM_ID JOIN RIODS.CURRENCY C ON C.CURRENCY_ID=PR.CURRENCY_ID);  
 GRANT SELECT ON RIDW.VW_PROGRAM_DETAIL TO  RPTUSER; 
 CREATE VIEW RIDW.VW_PROJECT_ALLOCATION(PROJECT_ALLOCATION_ID,NAME,REFERENCE_ID,EXTERNAL_ID,PROJECT_ID,PROJECT_NAME,OWNER_ID,OWNER_NAME,PLANNED_START,PLANNED_FINISH,ACTUAL_START,ACTUAL_FINISH,PLANNED_WORK,ACTUAL_WORK,PLANNED_DURATION,ACTUAL_DURATION,PERCENT_COMPLETE,PERCENT_WORK_COMPLETE,ALLOTED_WORK,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,ISSOFTDELETED,PROFILE_ID,PROFILE_NAME,UNITS) AS (SELECT PA.PROJECT_ALLOCATION_ID,PA.NAME,PA.REFERENCE_ID,PA.EXTERNAL_ID,PA.PROJECT_ID,P.NAME AS PROJECT_NAME,PA.OWNER_ID,R.FULL_NAME OWNER_NAME,PA.PLANNED_START,PA.PLANNED_FINISH,PA.ACTUAL_START,PA.ACTUAL_FINISH,PA.PLANNED_WORK,PA.ACTUAL_WORK,PA.PLANNED_DURATION,PA.ACTUAL_DURATION,PA.PERCENT_COMPLETE,PA.PERCENT_WORK_COMPLETE,PA.ALLOTED_WORK,PA.URL,PA.EXTERNAL_KEY1,PA.EXTERNAL_KEY2,PA.SOURCE_ID,PA.ISSOFTDELETED,PA.PROFILE_ID,PF.NAME AS PROFILE_NAME,PA.UNITS FROM RIODS.PROJECT_ALLOCATION PA JOIN RIODS.PROJECT P ON P.PROJECT_ID =PA.PROJECT_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=PA.OWNER_ID JOIN RIODS.PROFILE PF ON PF.PROFILE_ID=PA.PROFILE_ID);      
 GRANT SELECT ON RIDW.VW_PROJECT_ALLOCATION TO  RPTUSER;
 CREATE VIEW RIDW.VW_PROVINCE_STATE (PROVINCE_STATE_ID,REFERENCE_ID,EXTERNAL_ID,NAME,COUNTRY_ID,COUNTRY_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,ISSOFTDELETED) AS (SELECT P.PROVINCE_STATE_ID,P.REFERENCE_ID,P.EXTERNAL_ID,P.NAME,P.COUNTRY_ID,C.NAME AS COUNTRY_NAME,P.EXTERNAL_KEY1,P.EXTERNAL_KEY2,P.SOURCE_ID,P.URL,P.ISSOFTDELETED FROM RIODS.PROVINCE_STATE P JOIN RIODS.COUNTRY C ON C.COUNTRY_ID=P.COUNTRY_ID); 
 GRANT SELECT ON RIDW.VW_PROVINCE_STATE TO  RPTUSER; 
 CREATE VIEW RIDW.VW_RESOURCE_COMPETENCY_LOOKUP (COMPETENCY_ID, COMPETENCY_NAME,RESOURCE_ID, RESOURCE_NAME) AS ( SELECT RS.COMPETENCY_ID, S.NAME COMPETENCY_NAME,RS.RESOURCE_ID, R.NAME RESOURCE_NAME FROM RIODS.RESOURCE_COMPETENCY_LOOKUP RS JOIN RIODS.COMPETENCY S ON RS.COMPETENCY_ID=S.COMPETENCY_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=RS.RESOURCE_ID); 
 GRANT SELECT ON RIDW.VW_RESOURCE_COMPETENCY_LOOKUP TO  RPTUSER;  
 CREATE VIEW RIDW.VW_RESOURCE_SKILL_LOOKUP (SKILL_ID, SKILL_NAME, RESOURCE_ID,RESOURCE_NAME) AS ( SELECT RS.SKILL_ID, S.NAME SKILL_NAME, RS.RESOURCE_ID,R.NAME RESOURCE_NAME FROM RIODS.RESOURCE_SKILL_LOOKUP RS JOIN RIODS.SKILL S ON RS.SKILL_ID=S.SKILL_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=RS.RESOURCE_ID);
 GRANT SELECT ON RIDW.VW_RESOURCE_SKILL_LOOKUP TO  RPTUSER;    
 CREATE VIEW RIDW.VW_SKILL (EXTERNAL_ID, NAME, SKILL_ID, REFERENCE_ID, URL, EXTERNAL_KEY1,EXTERNAL_KEY2) AS (SELECT EXTERNAL_ID,NAME,SKILL_ID,REFERENCE_ID,URL,EXTERNAL_KEY1,EXTERNAL_KEY2 FROM RIODS.SKILL);
 GRANT SELECT ON RIDW.VW_SKILL TO  RPTUSER;  
 CREATE VIEW RIDW.VW_TASK_BASELINE (BASELINE_ID, NAME, REFERENCE_ID, EXTERNAL_ID,TASK_ID, BASELINE_DATE, PLANNED_START, PLANNED_FINISH, PLANNED_WORK, PLANNED_COST,PLANNED_DURATION, URL, EXTERNAL_KEY1, EXTERNAL_KEY2) AS (SELECT T.BASELINE_ID,T.NAME, T.REFERENCE_ID, T.EXTERNAL_ID, T.TASK_ID, T.BASELINE_DATE, T.PLANNED_START,T.PLANNED_FINISH, T.PLANNED_WORK, T.PLANNED_COST, T.PLANNED_DURATION, T.URL,T.EXTERNAL_KEY1, T.EXTERNAL_KEY2 FROM RIODS.TASK_BASELINE T);  
 GRANT SELECT ON RIDW.VW_TASK_BASELINE TO  RPTUSER;  
 CREATE VIEW RIDW.VW_TIMECODE (TIMECODE_ID,REFERENCE_ID,EXTERNAL_ID,NAME,PARENT_TIMECODE_ID,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED) AS (SELECT TIMECODE_ID,REFERENCE_ID,EXTERNAL_ID,NAME,PARENT_TIMECODE_ID,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED FROM RIODS.TIMECODE);     
 GRANT SELECT ON RIDW.VW_TIMECODE TO  RPTUSER;
 CREATE VIEW RIDW.VW_TIMESHEET (TIMESHEET_ID,TIMESHEET_REPORTING_WEEK,REFERENCE_ID,EXTERNAL_ID,ACTIVITY_ID,ACTIVITY_NAME,ADDITIONAL_WORK,BILLABLE_HOURS,NON_BILLABLE_HOURS,APPROVER_ID,APPROVER_NAME,TIMESHEET_STATE,PERCENT_COMPLETE,LAST_APPROVAL_DATE,REGULAR_TIME,OVERTIME,MONDAY_DATE,TUESDAY_DATE,WEDNESDAY_DATE,THURSDAY_DATE,FRIDAY_DATE,SATURDAY_DATE,SUNDAY_DATE,MONDAY_REGULAR_TIME,TUESDAY_REGULAR_TIME,WEDNESDAY_REGULAR_TIME,THURSDAY_REGULAR_TIME,FRIDAY_REGULAR_TIME,SATURDAY_REGULAR_TIME,SUNDAY_REGULAR_TIME,MONDAY_OVT,TUESDAY_OVT,WEDNESDAY_OVT,THURSDAY_OVT,FRIDAY_OVT,SATURDAY_OVT,SUNDAY_OVT,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,REC_DATETIME,ISSOFTDELETED) AS (SELECT TIMESHEET_ID,T.TIMESHEET_REPORTING_WEEK,T.REFERENCE_ID,T.EXTERNAL_ID,T.ACTIVITY_ID,A.NAME AS ACTIVITY_NAME,T.ADDITIONAL_WORK,T.BILLABLE_HOURS,T.NON_BILLABLE_HOURS,T.APPROVER_ID,R.FULL_NAME AS APPROVER_NAME,T.TIMESHEET_STATE, T.PERCENT_COMPLETE,T.LAST_APPROVAL_DATE,T.REGULAR_TIME,T.OVERTIME,T.MONDAY_DATE,T.TUESDAY_DATE,T.WEDNESDAY_DATE,T.THURSDAY_DATE,T.FRIDAY_DATE,T.SATURDAY_DATE,T.SUNDAY_DATE,T.MONDAY_REGULAR_TIME,T.TUESDAY_REGULAR_TIME,T.WEDNESDAY_REGULAR_TIME,T.THURSDAY_REGULAR_TIME,T.FRIDAY_REGULAR_TIME,T.SATURDAY_REGULAR_TIME,T.SUNDAY_REGULAR_TIME,T.MONDAY_OVT,T.TUESDAY_OVT,T.WEDNESDAY_OVT,T.THURSDAY_OVT,T.FRIDAY_OVT,T.SATURDAY_OVT,T.SUNDAY_OVT,T.URL,T.EXTERNAL_KEY1,T.EXTERNAL_KEY2,T.SOURCE_ID,T.REC_DATETIME,T.ISSOFTDELETED FROM RIODS.TIMESHEET T JOIN RIODS.ACTIVITY A ON A.ACTIVITY_ID=T.ACTIVITY_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=T.APPROVER_ID);
 GRANT SELECT ON RIDW.VW_TIMESHEET TO  RPTUSER;      
 CREATE VIEW RIDW.VW_TIMESHEET_TIMECODE_LOOKUP (TIMESHEET_ID, TIMESHEET_REPORTING_WEEK,TIMECODE_ID, NAME) AS (SELECT T.TIMESHEET_ID, TS.TIMESHEET_REPORTING_WEEK,T.TIMECODE_ID, TC.NAME FROM RIODS.TIMESHEET_TIMECODE_LOOKUP T JOIN RIODS.TIMESHEET TS ON T.TIMESHEET_ID = TS.TIMESHEET_ID JOIN RIODS.TIMECODE TC ON T.TIMECODE_ID= TC.TIMECODE_ID);  
 GRANT SELECT ON RIDW.VW_TIMESHEET_TIMECODE_LOOKUP TO  RPTUSER;
 DROP VIEW RIDW.VW_ACTIVITY;
 CREATE VIEW RIDW.VW_ACTIVITY (ACTIVITY_ID, EXTERNAL_ID, REFERENCE_ID, NAME, TASK_ID, TASK_NAME,OWNER_ID, OWNER_FULLNAME, PROFILE_ID, PROFILE_NAME, FAILED_BUILD, VALIDATION_BUILD, NOTEST_BUILD, FILE_STREAM_ID, FILE_STREAM_NAME, RESOLUTION_CODE, CHARGECODE_ID, CHARGECODE_NAME, URL, ACTIVITY_STATE,ACTIVITY_TYPE,CREATION_DATE,PRIORITY,PROJECT_ID,PROJECT_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,ACTIVITY_CLASS_ID,ACTIVITY_CLASS_NAME,STATUS,RESOLUTION) AS (SELECT A.ACTIVITY_ID, A.EXTERNAL_ID, A.REFERENCE_ID, A.NAME, A.TASK_ID, T.NAME TASK_NAME,A.OWNER_ID,R.FULL_NAME OWNER_FULLNAME, PR.PROFILE_ID, PR.NAME PROFILE_NAME, A.FAILED_BUILD, A.VALIDATION_BUILD, A.NOTEST_BUILD, A.FILE_STREAM_ID, S.NAME FILE_STREAM_NAME, A.RESOLUTION_CODE, C.CHARGECODE_ID, C.NAME,A.URL, A.ACTIVITY_STATE,A.ACTIVITY_TYPE,A.CREATION_DATE,A.PRIORITY,A.PROJECT_ID,P.NAME PROJECT_NAME,A.EXTERNAL_KEY1,A.EXTERNAL_KEY2,A.ACTIVITY_CLASS_ID,AC.NAME ACTIVITY_CLASS_NAME,A.STATUS,A.RESOLUTION FROM RIODS.ACTIVITY A JOIN RIODS.TASK T ON T.TASK_ID=A.TASK_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=A.OWNER_ID JOIN RIODS.PROFILE PR ON PR.PROFILE_ID=A.PROFILE_ID JOIN RIODS.FILE_STREAM S ON S.FILE_STREAM_ID=A.FILE_STREAM_ID JOIN RIODS.PROJECT P ON P.PROJECT_ID=A.PROJECT_ID JOIN RIODS.ACTIVITY_CLASSIFICATION AC ON AC.ACTIVITY_CLASS_ID=A.ACTIVITY_CLASS_ID JOIN RIODS.CHARGECODE C ON C.CHARGECODE_ID=A.CHARGECODE_ID);  
 GRANT SELECT ON RIDW.VW_ACTIVITY TO  RPTUSER;
 DROP VIEW RIDW.VW_ACTIVITY_DETAIL;
 CREATE VIEW RIDW.VW_ACTIVITY_DETAIL (ACTIVITY_ID,ACTIVITY_NAME,ACTUAL_COST,ACTUAL_FINISH,ACTUAL_OVT_COST,ACTUAL_OVT_WORK,ACTUAL_START,ACTUAL_WORK,ACWP,BASELINE_COST,BASELINE_FINISH,BASELINE_START,BASELINE_WORK,BCWP,BCWS,DELAY,EAC,EXTERNAL_ID,FINISH_VARIANCE,IS_CONFIRMED,IS_OVERALLOCATED,OWNER_ID,OWNER_NAME,PLANNED_COST,PLANNED_FINISH,PLANNED_OVT_WORK,PLANNED_START,PLANNED_WORK,REFERENCE_ID,REGULAR_WORK,REMAINING_COST,REMAINING_OVT_COST,REMAINING_OVT_WORK,REMAINING_WORK,RESOURCE_TYPE,START_VARIANCE,TASK_ID,TASK_NAME,UNITS,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,PERCENT_COMPLETE,PERCENT_WORK_COMPLETE,PLANNED_DURATION,ACTUAL_DURATION) AS (SELECT A.ACTIVITY_ID,AA.NAME ACTIVITY_NAME,A.ACTUAL_COST,A.ACTUAL_FINISH,A.ACTUAL_OVT_COST,A.ACTUAL_OVT_WORK,A.ACTUAL_START,A.ACTUAL_WORK,A.ACWP,A.BASELINE_COST,A.BASELINE_FINISH,A.BASELINE_START,A.BASELINE_WORK,A.BCWP,A.BCWS,A.DELAY,A.EAC,AA.EXTERNAL_ID,A.FINISH_VARIANCE,A.IS_CONFIRMED,A.IS_OVERALLOCATED,AA.OWNER_ID,R.FULL_NAME OWNER_NAME,A.PLANNED_COST,A.PLANNED_FINISH,A.PLANNED_OVT_WORK,A.PLANNED_START,A.PLANNED_WORK,AA.REFERENCE_ID,A.REGULAR_WORK,A.REMAINING_COST,A.REMAINING_OVT_COST,A.REMAINING_OVT_WORK,A.REMAINING_WORK,A.RESOURCE_TYPE,A.START_VARIANCE,AA.TASK_ID,T.NAME TASK_NAME,A.UNITS,AA.URL,AA.EXTERNAL_KEY1,AA.EXTERNAL_KEY2,A.PERCENT_COMPLETE,A.PERCENT_WORK_COMPLETE,A.PLANNED_DURATION,A.ACTUAL_DURATION FROM RIODS.ACTIVITY_DETAIL A JOIN RIODS.ACTIVITY AA ON A.ACTIVITY_ID=AA.ACTIVITY_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=AA.OWNER_ID JOIN RIODS.TASK T ON T.TASK_ID=AA.TASK_ID);
 GRANT SELECT ON RIDW.VW_ACTIVITY_DETAIL TO  RPTUSER;
 DROP VIEW RIDW.VW_POOL; 
 CREATE VIEW RIDW.VW_POOL (EXTERNAL_ID,NAME,POOL_ID,POOL_TYPE,PARENT_POOL_ID, PARENT_POOL_NAME,REFERENCE_ID,URL,EXTERNAL_KEY1,EXTERNAL_KEY2) AS (SELECT P.EXTERNAL_ID,P.NAME,P.POOL_ID,P.POOL_TYPE,P.PARENT_POOL_ID, PP.NAME PARENT_POOL_NAME,P.REFERENCE_ID,P.URL,P.EXTERNAL_KEY1,P.EXTERNAL_KEY2 FROM RIODS.POOL P JOIN RIODS.POOL PP ON PP.POOL_ID=P.PARENT_POOL_ID);
 GRANT SELECT ON RIDW.VW_POOL TO  RPTUSER;   
 DROP VIEW RIDW.VW_PROJECT; 
 CREATE VIEW RIDW.VW_PROJECT (EXTERNAL_ID, NAME, PROJECT_ID, PROGRAM_ID, PROGRAM_NAME, PROJECT_MANAGER, MANAGER_NAME, REFERENCE_ID, URL, END_DATE,START_DATE,PROJECT_CATEGORY_ID,PROJECT_CATEGORY_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,PROJECT_CLASS_ID,PROJECT_CLASS_NAME,SHIP_DATE,PRIORITY,STATUS) AS (SELECT  P.EXTERNAL_ID, P.NAME, P.PROJECT_ID, P.PROGRAM_ID, PR.NAME, P.PROJECT_MANAGER,R.FULL_NAME MANAGER_NAME, P.REFERENCE_ID, P.URL, P.END_DATE,P.START_DATE,P.PROJECT_CATEGORY_ID,PC.NAME PROJECT_CATEGORY_NAME,P.EXTERNAL_KEY1,P.EXTERNAL_KEY2,P.PROJECT_CLASS_ID,PL.NAME PROJECT_CLASS_NAME,P.SHIP_DATE,P.PRIORITY,P.STATUS FROM RIODS.PROJECT P JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=P.PROJECT_MANAGER JOIN RIODS.PROJECT_CATEGORY PC ON PC.PROJECT_CATEGORY_ID=P.PROJECT_CATEGORY_ID JOIN RIODS.PROJECT_CLASSIFICATION PL ON PL.PROJECT_CLASS_ID=P.PROJECT_CLASS_ID JOIN RIODS.PROGRAM PR ON PR.PROGRAM_ID=P.PROGRAM_ID);   
 GRANT SELECT ON RIDW.VW_PROJECT TO  RPTUSER;
 DROP VIEW RIDW.VW_PROJECT_BASELINE;  
 CREATE VIEW RIDW.VW_PROJECT_BASELINE (BASELINE_ID, EXTERNAL_ID, FILE_STREAM_ID, FILE_NAME, NAME, OWNER_ID, PROJECT_ID, REFERENCE_ID, URL, BASELINE_DATE, PLANNED_START, PLANNED_FINISH, PLANNED_WORK,BASELINE_WORK_COMPLETED, PLANNED_COST,BASELINE_COST_COMPLETED, PLANNED_DURATION, EXTERNAL_KEY1, EXTERNAL_KEY2) AS (SELECT P.BASELINE_ID, P.EXTERNAL_ID, P.FILE_STREAM_ID,F.NAME FILE_NAME, P.NAME, P.OWNER_ID, P.PROJECT_ID, P.REFERENCE_ID, P.URL, P.BASELINE_DATE, P.PLANNED_START, P.PLANNED_FINISH, P.PLANNED_WORK,P.BASELINE_WORK_COMPLETED,P.PLANNED_COST, P.BASELINE_COST_COMPLETED,P.PLANNED_DURATION, P.EXTERNAL_KEY1,P.EXTERNAL_KEY2 FROM RIODS.PROJECT_BASELINE P LEFT JOIN RIODS.FILE_STREAM F ON F.FILE_STREAM_ID=P.FILE_STREAM_ID);  
 GRANT SELECT ON RIDW.VW_PROJECT_BASELINE TO  RPTUSER;  
 DROP VIEW RIDW.VW_PROJECT_DETAIL; 
 CREATE VIEW RIDW.VW_PROJECT_DETAIL (ACTUAL_BUDGET, ACTUAL_FINISH, ACTUAL_START, ACTUAL_VARIANCE, ACWP, BAC, BASELINE_COST, BASELINE_ESTIMATED_COST, BASELINE_ESTIMATED_FINISH, BASELINE_ESTIMATED_START, BASELINE_FINISH, BASELINE_START, BASELINE_VARIANCE, BCWP, BCWS, CURRENCY_ID, CURRENT_BUDGET, EAC, EV_ETC, EV_FLAG, PLANNED_BUDGET, PLANNED_FINISH, PLANNED_START, PROJECT_ID, ACTUAL_DURATION, ACTUAL_WORK, ACTUAL_WORK_VARIANCE, ACTUAL_START_VARIANCE, ACTUAL_FINISH_VARIANCE, ACTUAL_COST, ACTUAL_COST_VARIANCE, BASELINE_DURATION, BASELINE_WORK, BASELINE_WORK_VARIANCE, BASELINE_START_VARIANCE, BASELINE_FINISH_VARIANCE, BASELINE_COST_VARIANCE, PLANNED_COST, COST_VARIANCE, PLANNED_DURATION, PLANNED_WORK, WORK_VARIANCE, START_VARIANCE, FINISH_VARIANCE, DURATION_VARIANCE, PROJECT_NAME, URL, EXTERNAL_KEY1, EXTERNAL_KEY2,PERCENT_COMPLETE,PERCENT_WORK_COMPLETE) AS (SELECT  P.ACTUAL_BUDGET, P.ACTUAL_FINISH, P.ACTUAL_START, P.ACTUAL_VARIANCE, P.ACWP, P.BAC, P.BASELINE_COST, P.BASELINE_ESTIMATED_COST, P.BASELINE_ESTIMATED_FINISH, P.BASELINE_ESTIMATED_START, P.BASELINE_FINISH, P.BASELINE_START, P.BASELINE_VARIANCE, P.BCWP, P.BCWS, P.CURRENCY_ID, P.CURRENT_BUDGET, P.EAC, P.EV_ETC, P.EV_FLAG, P.PLANNED_BUDGET, P.PLANNED_FINISH, P.PLANNED_START, P.PROJECT_ID,P.ACTUAL_DURATION, P.ACTUAL_WORK, P.ACTUAL_WORK_VARIANCE, P.ACTUAL_START_VARIANCE ,P.ACTUAL_FINISH_VARIANCE, P.ACTUAL_COST ,P.ACTUAL_COST_VARIANCE, P.BASELINE_DURATION ,P.BASELINE_WORK ,P.BASELINE_WORK_VARIANCE ,P.BASELINE_START_VARIANCE ,	P.BASELINE_FINISH_VARIANCE ,P.BASELINE_COST_VARIANCE,P.PLANNED_COST ,P.COST_VARIANCE,P.PLANNED_DURATION ,P.PLANNED_WORK ,P.WORK_VARIANCE,P.START_VARIANCE ,	P.FINISH_VARIANCE ,P.DURATION_VARIANCE,  R.NAME PROJECT_NAME, R.URL,R.EXTERNAL_KEY1,R.EXTERNAL_KEY2,P.PERCENT_COMPLETE,P.PERCENT_WORK_COMPLETE FROM RIODS.PROJECT_DETAIL P JOIN RIODS.PROJECT R ON R.PROJECT_ID=P.PROJECT_ID);  
 GRANT SELECT ON RIDW.VW_PROJECT_DETAIL TO  RPTUSER; 
 DROP VIEW RIDW.VW_REQUEST; 
 CREATE VIEW RIDW.VW_REQUEST (ACTIVATE_DATE, ASSIGNED_DATE, CLOSED_DATE, COMPONENT_ID, COMPONENT_NAME, CREATION_DATE, CUSTOMER_PRIORITY, DUPLICATE_DATE, EXTERNAL_ID, FIXEDINRELEASE_ID, FIXED_IN_RELEASE_NAME, IS_BLOCKING, ITERATION_ID, ITERATION_NAME, TEAM_ID, TEAM_NAME, PLANNED_WORK, ACTUAL_WORK, COMMENT_COUNT, SUBSCRIBER_COUNT, STORY_POINTS, TAGS, NAME, PLATFORM, PRIORITY, PROJECT_ID, PROJECT_NAME, REFERENCE_ID, RELEASE_ID, FOUND_IN_RELEASE_NAME, REQUEST_CLASS_ID, REQUEST_TYPE_NAME, REQUEST_ID, OWNER_ID, REQUEST_RESPONSIBLE, REQUEST_SOURCE, REQUEST_STATE, RESOLUTION, RESOLVED_DATE, SEVERITY, SLOC_CHANGE, STATUS,SUBMIT_DATE, URL, BUILD_ID,BUILD_NAME,PHASE_ID,PHASE_NAME,PROJECT_CATEGORY_ID, PROJECT_CATEGORY_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,REQUEST_TYPE,REQUEST_CATEGORY_ID,REQUEST_CATEGORY_NAME,RESOLVER_ID,RESOLVER_NAME,SUMMARY) AS (SELECT R.ACTIVATE_DATE, R.ASSIGNED_DATE, R.CLOSED_DATE, R.COMPONENT_ID,C.NAME COMPONENT_NAME, R.CREATION_DATE, R.CUSTOMER_PRIORITY, R.DUPLICATE_DATE, R.EXTERNAL_ID, R.FIXEDINRELEASE_ID,RL.NAME FIXED_IN_RELEASE_NAME, R.IS_BLOCKING, R.ITERATION_ID,I.NAME ITERATION_NAME, R.TEAM_ID, T.NAME TEAM_NAME,R.PLANNED_WORK, R.ACTUAL_WORK, R.COMMENT_COUNT, R.SUBSCRIBER_COUNT, R.STORY_POINTS, R.TAGS, R.NAME, R.PLATFORM, R.PRIORITY, R.PROJECT_ID, PJ.NAME PROJECT_NAME,R.REFERENCE_ID, R.RELEASE_ID,RL2.NAME FOUND_IN_RELEASE_NAME, R.REQUEST_CLASS_ID,RQ.NAME REQUEST_TYPE_NAME, R.REQUEST_ID, R.OWNER_ID,PS.FULL_NAME REQUEST_RESPONSIBLE, R.REQUEST_SOURCE, R.REQUEST_STATE, R.RESOLUTION,R.RESOLVED_DATE, R.SEVERITY, R.SLOC_CHANGE, R.STATUS, R.SUBMIT_DATE, R.URL, R.BUILD_ID,B.NAME BUILD_NAME,R.PHASE_ID,PH.NAME PHASE_NAME,R.PROJECT_CATEGORY_ID,PC.NAME PROJECT_CATEGORY_NAME,R.EXTERNAL_KEY1,R.EXTERNAL_KEY2,R.REQUEST_TYPE,R.REQUEST_CATEGORY_ID,RC.NAME REQUEST_CATEGORY_NAME,R.RESOLVER_ID,RS.FULL_NAME RESOLVER_NAME,R.SUMMARY 
 FROM RIODS.REQUEST R JOIN RIODS.ITERATION I ON I.ITERATION_ID=R.ITERATION_ID JOIN RIODS.TEAM T ON T.TEAM_ID=R.TEAM_ID JOIN RIODS.PROJECT PJ ON PJ.PROJECT_ID=R.PROJECT_ID JOIN RIODS.COMPONENT C ON C.COMPONENT_ID=R.COMPONENT_ID JOIN RIODS.RELEASE RL ON RL.RELEASE_ID=R.FIXEDINRELEASE_ID JOIN RIODS.RELEASE RL2 ON RL2.RELEASE_ID=R.RELEASE_ID JOIN RIODS.REQUEST_CLASSIFICATION RQ ON RQ.REQUEST_CLASS_ID=R.REQUEST_CLASS_ID JOIN RIODS.REQUEST_CATEGORY RC ON RC.REQUEST_CATEGORY_ID=R.REQUEST_CATEGORY_ID JOIN RIODS.BUILD B ON B.BUILD_ID=R.BUILD_ID JOIN RIODS.PHASE PH ON PH.PHASE_ID=R.PHASE_ID JOIN RIODS.PROJECT_CATEGORY PC ON PC.PROJECT_CATEGORY_ID=R.PROJECT_CATEGORY_ID JOIN RIODS."RESOURCE" PS ON PS.RESOURCE_ID=R.OWNER_ID JOIN RIODS."RESOURCE" RS ON RS.RESOURCE_ID=R.RESOLVER_ID); 
 GRANT SELECT ON RIDW.VW_REQUEST TO  RPTUSER;
 DROP VIEW RIDW.VW_RESOURCE;
 CREATE VIEW RIDW.VW_RESOURCE (EXTERNAL_ID, FIRST_NAME, FULL_NAME, LAST_NAME, MIDDLE_INITIAL, NAME, RESOURCE_ID, REFERENCE_ID, URL, OVERTIME_RATE,TIME_PER_DAY,POOL_ID,POOL_NAME,RESOURCE_TYPE,STANDARD_RATE,EFFECTIVE_DATE,DISCONTINUE_DATE,EXTERNAL_KEY1,EXTERNAL_KEY2,CITY_ID,CITY_NAME,ORGANIZATION_ID,ORGANIZATION_NAME) AS (SELECT P.EXTERNAL_ID, P.FIRST_NAME, P.FULL_NAME, P.LAST_NAME, P.MIDDLE_INITIAL, P.NAME, P.RESOURCE_ID, P.REFERENCE_ID, P.URL, P.OVERTIME_RATE,P.TIME_PER_DAY,P.POOL_ID,PL.NAME POOL_NAME,P.RESOURCE_TYPE,P.STANDARD_RATE,P.EFFECTIVE_DATE,P.DISCONTINUE_DATE,P.EXTERNAL_KEY1,P.EXTERNAL_KEY2,P.CITY_ID,C.NAME CITY_NAME,P.ORGANIZATION_ID,O.NAME ORGANIZATION_NAME FROM RIODS."RESOURCE" P JOIN RIODS.POOL PL ON PL.POOL_ID=P.POOL_ID JOIN RIODS.CITY C ON C.CITY_ID=P.CITY_ID JOIN RIODS.ORGANIZATION O ON O.ORGANIZATION_ID=P.ORGANIZATION_ID);
 GRANT SELECT ON RIDW.VW_RESOURCE TO  RPTUSER;
 DROP VIEW RIDW.VW_RISK; 
 CREATE VIEW RIDW.VW_RISK (RISK_ID,NAME,REFERENCE_ID,EXTERNAL_ID,PROJECT_ID,PROJECT_NAME,REQUIREMENT_ID,REQUIREMENT_NAME,PRIORITY,RISK_STATE,OCCURED_DATETIME , IMPACT,IMPACT_RANK,PROBABILITY,PROBABILITY_RANK,OWNER_ID,OWNER_NAME,RELEASE_ID,RELEASE_NAME,ITERATION_ID,ITERATION_NAME,TARGET_DATE ,CREATION_DATE ,CLOSE_DATE , IMPACT_CATEGORY,CONSEQUENCE_COST,RISK_MANAGEMENT_ACTION,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,PROBABILITY_COST,RISK_SCORE) AS (SELECT R.RISK_ID,R.NAME,R.REFERENCE_ID,R.EXTERNAL_ID,R.PROJECT_ID,P.NAME PROJECT_NAME,R.REQUIREMENT_ID,RQ.NAME REQUIREMENT_NAME,R.PRIORITY,R.RISK_STATE,R.OCCURED_DATETIME ,R.IMPACT, R.IMPACT_RANK,R.PROBABILITY,R.PROBABILITY_RANK,R.OWNER_ID,RE.FULL_NAME OWNER_NAME,R.RELEASE_ID,RL.NAME RELEASE_NAME,R.ITERATION_ID,I.NAME ITERATION_NAME,R.TARGET_DATE ,R.CREATION_DATE ,R.CLOSE_DATE , R.IMPACT_CATEGORY,R.CONSEQUENCE_COST,R.RISK_MANAGEMENT_ACTION,R.URL,R.EXTERNAL_KEY1,R.EXTERNAL_KEY2,R.PROBABILITY_COST,R.RISK_SCORE FROM RIODS.RISK R JOIN RIODS.PROJECT P ON P.PROJECT_ID=R.PROJECT_ID JOIN RIODS.REQUIREMENT RQ ON RQ.REQUIREMENT_ID=R.REQUIREMENT_ID JOIN RIODS."RESOURCE" RE ON RE.RESOURCE_ID = R.OWNER_ID JOIN RIODS.RELEASE RL ON RL.RELEASE_ID=R.RELEASE_ID JOIN RIODS.ITERATION I ON I.ITERATION_ID =R.ITERATION_ID);
 GRANT SELECT ON RIDW.VW_RISK TO  RPTUSER;   
 DROP VIEW RIDW.VW_TASK_DETAIL;    
 CREATE VIEW RIDW.VW_TASK_DETAIL (ACTUAL_WORK, ACTUAL_FINISH, ACTUAL_START, PLANNED_WORK, PLANNED_FINISH, PLANNED_START, PRIORITY, TASK_ID, URL, NAME, ACTUAL_COST, ACTUAL_OVT_COST, ACTUAL_OVT_WORK, ACWP, BASELINE_COST, BASELINE_DURATION, BASELINE_FINISH, BASELINE_START, BASELINE_WORK, BCWP, BCWS, CONSTRAINT_DATE, CONSTRAINT_TYPE, DEADLINE, DURATION_VARIANCE, EAC, EARLY_FINISH, EARLY_START, FINISH_VARIANCE, LATE_FINISH, LATE_START, PERCENT_COMPLETE, PERCENT_WORK_COMPLETE, PLANNED_COST, PLANNED_DURATION, PLANNED_OVT_COST, PLANNED_OVT_WORK, REGULAR_WORK, REMAINING_COST, REMAINING_DURATION, REMAINING_OVT_COST, REMAINING_OVT_WORK, REMAINING_WORK, START_VARIANCE, VAC, WBS_CODE, ACTUAL_FINISH_VARIANCE, BASELINE_FINISH_VARIANCE, ACTUAL_WORK_VARIANCE, BASELINE_WORK_VARIANCE, ACTUAL_START_VARIANCE, BASELINE_START_VARIANCE, WORK_VARIANCE, EXTERNAL_KEY1, EXTERNAL_KEY2) AS ( SELECT T.ACTUAL_WORK, T.ACTUAL_FINISH, T.ACTUAL_START, T.PLANNED_WORK, T.PLANNED_FINISH, T.PLANNED_START, TS.PRIORITY, T.TASK_ID, TS.URL, TS.NAME, T.ACTUAL_COST,T.ACTUAL_OVT_COST,T.ACTUAL_OVT_WORK,T.ACWP,T.BASELINE_COST,T.BASELINE_DURATION,T.BASELINE_FINISH,T.BASELINE_START, T.BASELINE_WORK,T.BCWP,T.BCWS,T.CONSTRAINT_DATE,T.CONSTRAINT_TYPE,T.DEADLINE,T.DURATION_VARIANCE,T.EAC,T.EARLY_FINISH,T.EARLY_START,T.FINISH_VARIANCE,T. LATE_FINISH,T.LATE_START,T.PERCENT_COMPLETE,T.PERCENT_WORK_COMPLETE,T.PLANNED_COST,T.PLANNED_DURATION,T.PLANNED_OVT_COST,T.PLANNED_OVT_WORK,T.REGULAR_WORK,T. REMAINING_COST,T.REMAINING_DURATION,T.REMAINING_OVT_COST,T.REMAINING_OVT_WORK,T.REMAINING_WORK,T.START_VARIANCE,T.VAC,T.WBS_CODE, T.ACTUAL_FINISH_VARIANCE, T.BASELINE_FINISH_VARIANCE, T.ACTUAL_WORK_VARIANCE, T.BASELINE_WORK_VARIANCE,T.ACTUAL_START_VARIANCE, T.BASELINE_START_VARIANCE, T.WORK_VARIANCE, TS.EXTERNAL_KEY1,TS.EXTERNAL_KEY2 FROM RIODS.TASK_DETAIL T JOIN RIODS.TASK TS ON TS.TASK_ID=T.TASK_ID);  
 GRANT SELECT ON RIDW.VW_TASK_DETAIL TO  RPTUSER;    
 MERGE INTO RIODS.TASK_CLASSIFICATION M USING (SELECT 'Project Conductor Task' NAME, 1 TASK_CLASS_ID FROM DUAL) MM ON (M.TASK_CLASS_ID = MM.TASK_CLASS_ID) WHEN MATCHED THEN UPDATE SET M.NAME = MM.NAME WHEN NOT MATCHED THEN INSERT (NAME,TASK_CLASS_ID) VALUES ('Project Conductor Task',1);    
 MERGE INTO RIODS.TASK_CLASSIFICATION M USING (SELECT 'Project Conductor Story' NAME, 2 TASK_CLASS_ID FROM DUAL) MM ON (M.TASK_CLASS_ID = MM.TASK_CLASS_ID) WHEN MATCHED THEN UPDATE SET M.NAME = MM.NAME WHEN NOT MATCHED THEN INSERT (NAME,TASK_CLASS_ID) VALUES ('Project Conductor Story',2);  
 MERGE INTO RIODS.TASK_CLASSIFICATION M USING (SELECT 'Project Conductor CR Task' NAME, 3 TASK_CLASS_ID FROM DUAL) MM ON (M.TASK_CLASS_ID = MM.TASK_CLASS_ID) WHEN MATCHED THEN UPDATE SET M.NAME = MM.NAME WHEN NOT MATCHED THEN INSERT (NAME,TASK_CLASS_ID) VALUES ('Project Conductor CR Task',3); 
 MERGE INTO RIODS.TASK_CLASSIFICATION M USING (SELECT 'Project Conductor Summary Task' NAME, 4 TASK_CLASS_ID FROM DUAL) MM ON (M.TASK_CLASS_ID = MM.TASK_CLASS_ID) WHEN MATCHED THEN UPDATE SET M.NAME = MM.NAME WHEN NOT MATCHED THEN INSERT (NAME,TASK_CLASS_ID) VALUES ('Project Conductor Summary Task',4); 
 MERGE INTO RIODS.TASK_CLASSIFICATION M USING (SELECT 'Project Conductor Issue Task' NAME, 5 TASK_CLASS_ID FROM DUAL) MM ON (M.TASK_CLASS_ID = MM.TASK_CLASS_ID) WHEN MATCHED THEN UPDATE SET M.NAME = MM.NAME WHEN NOT MATCHED THEN INSERT (NAME,TASK_CLASS_ID) VALUES ('Project Conductor Issue Task',5);  
 MERGE INTO RIODS.TASK_CLASSIFICATION M USING (SELECT 'Project Conductor Defect Task' NAME, 6 TASK_CLASS_ID FROM DUAL) MM ON (M.TASK_CLASS_ID = MM.TASK_CLASS_ID) WHEN MATCHED THEN UPDATE SET M.NAME = MM.NAME WHEN NOT MATCHED THEN INSERT (NAME,TASK_CLASS_ID) VALUES ('Project Conductor Defect Task',6);
 CREATE TABLE RIODS.TEMP_REQUIREMENT(CREATED_ON DATE,CREATED_BY VARCHAR (255),REQUIREMENT_NAME VARCHAR (255),IDENTIFIER VARCHAR (255),LAST_MODIFIED_ON DATE,COMPONENT VARCHAR (255),DIFFICULTY VARCHAR (255),REQUIREMENT_TYPE VARCHAR (255),ACTUAL_ITERATION VARCHAR (255),CUSTOMER_PRIORITY VARCHAR (255),PLANNED_ITERATION VARCHAR (255),PLATFORM VARCHAR (255),PRIORITY VARCHAR (255),PROJECT_ID VARCHAR (255),STABILITY VARCHAR (255),STATE VARCHAR (255),STATUS VARCHAR (255),URL VARCHAR (255),DATASOURCE_ID VARCHAR (255),CHILD_ID INTEGER,PARENT_ID  INTEGER,SOURCE_ID VARCHAR (255),TARGET_ID  INTEGER) TABLESPACE VNF_32K;   
 UPDATE RIODS.TASK_CATEGORY SET NAME ='Info not available' WHERE TASK_CATEGORY_ID=-1;      
 UPDATE RIODS.TASK_CLASSIFICATION SET NAME ='Info not available' WHERE TASK_CLASS_ID=-1;   
  ALTER TABLE RIDW.H_BUILD_REQU_FAIL  ADD CONSTRAINT  H_BLD_REQUFAIL_FK1 FOREIGN KEY (BUILD_METRIC_ID)	REFERENCES RIDW.F_BUILD_REQU_METRICS (BUILD_METRIC_ID) ON DELETE CASCADE; 
  ALTER TABLE RIDW.H_BUILD_REQU_FAIL  ADD CONSTRAINT  H_BLD_REQUFAIL_FK2 FOREIGN KEY (BUILD_ID) REFERENCES RIDW.D_BUILD (BUILD_ID) ON DELETE CASCADE;
  ALTER TABLE RIDW.H_BUILD_REQU_PASS  ADD CONSTRAINT  H_BLD_REQUPASS_FK1 FOREIGN KEY (BUILD_METRIC_ID) REFERENCES RIDW.F_BUILD_REQU_METRICS (BUILD_METRIC_ID) ON DELETE CASCADE; 
  ALTER TABLE RIDW.H_BUILD_REQU_PASS  ADD CONSTRAINT  H_BLD_REQUPASS_FK2 FOREIGN KEY (BUILD_ID) REFERENCES RIDW.D_BUILD (BUILD_ID) ON DELETE CASCADE;
UPDATE CONFIG.SYSCONFIG_INFO SET CHAR_VALUE='1.0.0.2' WHERE INFO_ID=6;
UPDATE CONFIG.SYSCONFIG_INFO SET INT_VALUE=1  WHERE INFO_ID=8;