@echo off

rem Oracle version database is bein deployed on
rem A value of 1 indicates 10G, 2 indicates 11g

SET ORA_VERSION=2

rem If ORACLE_HOME is not defined as an environment variable,
rem set the value for ORACLE_HOME

SET ORACLE_HOME=%ORACLE_HOME%

rem If ORACLE_BASE is not defined as an environment variable,
rem set the value for ORACLE_BASE


SET ORACLE_BASE=%ORACLE_BASE%

rem Default Rational Reporting database ALIAS instance to use. 
rem if a different value is required change the value of DBNAME
rem Not accepting the default implies changes in the connection information
rem defined on the Cognos BI server and Data Manager ETL

SET ORACLE_SID=RIDW

rem Default account to use to execute the database installation.
rem If a different value is required change the value of DBUSER
rem Make sure to make the appropriate changes in the Data Manager credentials
rem for the "Rational Data Warehouse" connection 

SET DBA_USER=RIDBA

rem Default account to use for the report executions.
rem If a different value is required change the value of REP_USER.
rem Not accepting the defaults implies that RIDW connection
rem in the Cognos BI server will have to be changed

SET REP_USER=RPTUSER

rem Default path for the table space files.
rem Change the value of DATA_HOME to any suitable value for your system

SET DATA_HOME=%USERPROFILE%\databases

rem Default start year from which to populate the 
rem date dimension in the data mart.  If the default is not suitable 
rem change the value of START_YEAR to any sensible value required.

SET START_YEAR=2008

rem Default end year up to which to populate the 
rem date dimension in the data mart.  If the default is not suitable 
rem change the value of END_YEAR to any sensible value required.
rem END_YEAR must be greater than the value specified for START_YEAR

SET END_YEAR=2012

rem Oracle Listener port
SET PORT=1521

rem Do not change the values below

SET NF_SCHEMA=RIODS


SET RIASSET_SCHEMA=RIASSET


SET RISCHK_SCHEMA=RISCHK


SET STAR_SCHEMA=RIDW


SET CALM_SCHEMA=RICALM