#!/bin/ksh

# Oracle version database is bein deployed on
# A value of 1 indicates 10G, 2 indicates 11g

export ORA_VERSION=2

# If ORACLE_HOME is not defined as an environment variable,
# export the value for ORACLE_HOME

export ORACLE_HOME=$ORACLE_HOME

# If ORACLE_BASE is not defined as an environment variable,
# export the value for ORACLE_BASE


export ORACLE_BASE=$ORACLE_BASE

# Default Rational Reporting database ALIAS instance to use. 
# if a different value is required change the value of DBNAME
# Not accepting the default implies changes in the connection information
# defined on the Cognos BI server and Data Manager ETL

export ORACLE_SID=RIDW

# Default account to use to execute the database installation.
# If a different value is required change the value of DBUSER
# Make sure to make the appropriate changes in the Data Manager credentials
# for the "Rational Data Warehouse" connection 

export DBA_USER=RIDBA

# Default account to use for the report executions.
# If a different value is required change the value of REP_USER.
# Not accepting the defaults implies that RIDW connection
# in the Cognos BI server will have to be changed

export REP_USER=RPTUSER

# Default path for the table space files.
# Change the value of DATA_HOME to any suitable value for your system

export DATA_HOME=$HOME/databases

# Default start year from which to populate the 
# date dimension in the data mart.  If the default is not suitable 
# change the value of START_YEAR to any sensible value required.

export START_YEAR=2008

# Default end year up to which to populate the 
# date dimension in the data mart.  If the default is not suitable 
# change the value of END_YEAR to any sensible value required.
# END_YEAR must be greater than the value specified for START_YEAR

export END_YEAR=2012

# Oracle Listener port
export PORT=1521

# Do not change the values below

export NF_SCHEMA=RIODS

export RIASSET_SCHEMA=RIASSET


export RISCHK_SCHEMA=RISCHK


export STAR_SCHEMA=RIDW

export CALM_SCHEMA=RICALM