ALTER SESSION SET CURRENT_SCHEMA= CONFIG;

INSERT INTO SYSCONFIG_INFO(INFO_ID,NAME,DISPLAY_NAME,INT_VALUE,CHAR_VALUE) SELECT 6 AS INFO_ID,'VERSION' AS NAME,'Insight Warehouse Version' AS DISPLAY_NAME,1 AS INT_VALUE,'1.0' AS CHAR_VALUE FROM DUAL WHERE NOT EXISTS(SELECT INFO_ID FROM SYSCONFIG_INFO WHERE INFO_ID=6);

INSERT INTO SYSCONFIG_INFO(INFO_ID,NAME,DISPLAY_NAME,INT_VALUE,CHAR_VALUE) SELECT 7 AS INFO_ID,'UPDATE_TARGET' AS NAME,'Insight Warehouse Update' AS DISPLAY_NAME,0 AS INT_VALUE,'1.0.1.1' AS CHAR_VALUE FROM DUAL WHERE NOT EXISTS(SELECT INFO_ID FROM SYSCONFIG_INFO WHERE INFO_ID=7);

UPDATE CONFIG.SYSCONFIG_INFO SET CHAR_VALUE='1.0.1.1' WHERE INFO_ID=7;

MERGE INTO CONFIG.SYSCONFIG_INFO M USING (SELECT 8 AS INFO_ID,'MIGRATION_STATUS' AS NAME,'Insight Warehouse Migration Status' AS DISPLAY_NAME,0 AS INT_VALUE,'' AS CHAR_VALUE FROM DUAL) MM ON (M.INFO_ID=MM.INFO_ID) WHEN MATCHED THEN UPDATE SET M.NAME=MM.NAME,M.DISPLAY_NAME=MM.DISPLAY_NAME,M.INT_VALUE=MM.INT_VALUE,M.CHAR_VALUE=MM.CHAR_VALUE,M.REC_DATETIME=CURRENT_TIMESTAMP WHEN NOT MATCHED THEN INSERT (INFO_ID,NAME,DISPLAY_NAME,INT_VALUE) VALUES(8,'MIGRATION_STATUS','Insight Warehouse Migration Status',0);



CREATE USER RIASSET  PROFILE DEFAULT IDENTIFIED BY nopassword PASSWORD EXPIRE DEFAULT TABLESPACE USERS ACCOUNT LOCK;
ALTER USER RIASSET QUOTA UNLIMITED ON VNF_32K;
ALTER USER RIASSET QUOTA UNLIMITED ON VNF_IDX;
ALTER USER RIASSET QUOTA UNLIMITED ON USERS;
ALTER USER RIASSET TEMPORARY TABLESPACE RIS_TEMP;

CREATE USER RISCHK  PROFILE DEFAULT IDENTIFIED BY nopassword PASSWORD EXPIRE DEFAULT TABLESPACE USERS ACCOUNT LOCK;
ALTER USER RISCHK QUOTA UNLIMITED ON VNF_32K;
ALTER USER RISCHK QUOTA UNLIMITED ON VNF_IDX;
ALTER USER RISCHK QUOTA UNLIMITED ON USERS;
ALTER USER RISCHK TEMPORARY TABLESPACE RIS_TEMP;

CREATE TABLE RIODS.REQUEST_TYPE ( REQUEST_TYPE_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Request Status Name Missing' NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), PROJECT_ID INTEGER DEFAULT -1 NOT NULL , URL VARCHAR(2048), EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;
 ALTER TABLE RIODS.REQUEST_TYPE ADD CONSTRAINT REQUTTYP_PK PRIMARY KEY(REQUEST_TYPE_ID)  USING INDEX TABLESPACE VNF_IDX;
 INSERT INTO RIODS.REQUEST_TYPE(REQUEST_TYPE_ID,NAME) VALUES (-1,'Info not available'); 
 INSERT INTO RIODS.REQUEST_TYPE (REQUEST_TYPE_ID,NAME) SELECT REQUEST_TYPE_ID,NAME  FROM RIDW.D_REQUEST_TYPE WHERE REQUEST_TYPE_ID<>-1; 
 CREATE TABLE RIODS.REQUEST_STATUS ( REQUEST_STATUS_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Request Status Name Missing' NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), PROJECT_ID INTEGER DEFAULT -1 NOT NULL , URL VARCHAR(2048), EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;
 ALTER TABLE RIODS.REQUEST_STATUS ADD CONSTRAINT REQUTSTUS_PK PRIMARY KEY(REQUEST_STATUS_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RIODS.REQUEST_STATUS  ADD CONSTRAINT REQUTSTUS_FK1 FOREIGN KEY  (PROJECT_ID) REFERENCES RIODS.PROJECT  (PROJECT_ID);
 INSERT INTO RIODS.REQUEST_STATUS(REQUEST_STATUS_ID,NAME) VALUES (-1,'Info not available'); 
 INSERT INTO RIODS.REQUEST_STATUS (REQUEST_STATUS_ID,NAME) SELECT STATUS_ID,NAME FROM RIDW.D_STATUS WHERE STATUS_ID<>-1;
 CREATE TABLE RIODS.REQUEST_PRIORITY ( REQUEST_PRIORITY_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Request Status Name Missing' NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), PROJECT_ID INTEGER DEFAULT -1 NOT NULL , URL VARCHAR(2048), EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;
 ALTER TABLE RIODS.REQUEST_PRIORITY ADD CONSTRAINT REQUTPR_PK PRIMARY KEY(REQUEST_PRIORITY_ID)  USING INDEX TABLESPACE VNF_IDX; 
 INSERT INTO RIODS.REQUEST_PRIORITY(REQUEST_PRIORITY_ID,NAME) VALUES (-1,'Info not available'); 
 INSERT INTO RIODS.REQUEST_PRIORITY (REQUEST_PRIORITY_ID,NAME) SELECT PRIORITY_ID,NAME FROM RIDW.D_PRIORITY WHERE PRIORITY_ID<>-1;
 CREATE TABLE RIODS.REQUEST_RESOLUTION ( REQUEST_RESOLUTION_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Request Status Name Missing' NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), PROJECT_ID INTEGER DEFAULT -1 NOT NULL , URL VARCHAR(2048), EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;
 ALTER TABLE RIODS.REQUEST_RESOLUTION ADD CONSTRAINT REQUTRES_PK PRIMARY KEY(REQUEST_RESOLUTION_ID)  USING INDEX TABLESPACE VNF_IDX;
 INSERT INTO RIODS.REQUEST_RESOLUTION(REQUEST_RESOLUTION_ID,NAME) VALUES (-1,'Info not available'); 
 INSERT INTO RIODS.REQUEST_RESOLUTION (REQUEST_RESOLUTION_ID,NAME) SELECT RESOLUTION_ID,NAME FROM RIDW.D_RESOLUTION WHERE RESOLUTION_ID<>-1;
 CREATE TABLE RIODS.REQUEST_SEVERITY ( REQUEST_SEVERITY_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Request Status Name Missing' NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), PROJECT_ID INTEGER DEFAULT -1 NOT NULL , URL VARCHAR(2048), EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;
 ALTER TABLE RIODS.REQUEST_SEVERITY ADD CONSTRAINT REQUTSV_PK PRIMARY KEY(REQUEST_SEVERITY_ID)  USING INDEX TABLESPACE VNF_IDX; 
 INSERT INTO RIODS.REQUEST_SEVERITY(REQUEST_SEVERITY_ID,NAME) VALUES (-1,'Info not available'); 
 INSERT INTO RIODS.REQUEST_SEVERITY (REQUEST_SEVERITY_ID,NAME) SELECT SEVERITY_ID,NAME FROM RIDW.D_SEVERITY WHERE SEVERITY_ID<>-1;
 CREATE TABLE RIODS.REQUEST_STATE ( REQUEST_STATE_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Request State Name Missing' NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), PROJECT_ID INTEGER DEFAULT -1 NOT NULL , URL VARCHAR(2048), EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K; 
 ALTER TABLE RIODS.REQUEST_STATE ADD CONSTRAINT REQUTST_PK PRIMARY KEY(REQUEST_STATE_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RIODS.REQUEST_STATE  ADD CONSTRAINT REQUTST_FK1 FOREIGN KEY  (PROJECT_ID) REFERENCES RIODS.PROJECT  (PROJECT_ID); 
 INSERT INTO RIODS.REQUEST_STATE(REQUEST_STATE_ID,NAME) VALUES (-1,'Info not available'); 
 INSERT INTO RIODS.REQUEST_STATE (REQUEST_STATE_ID,NAME) SELECT STATE_ID,NAME FROM RIDW.D_REQUEST_STATE WHERE STATE_ID<>-1; 
 DROP INDEX RIODS.ACTI_IDX1;
 DROP INDEX RIODS.ACTI_IDX2;
  CREATE INDEX RIODS.ACTI_IDX2 ON RIODS.ACTIVITY  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.ACTSTH_IDX1;
 DROP INDEX RIODS.ACTSTH_IDX2;
 DROP INDEX RIODS.ASETR_IDX1; 
 DROP INDEX RIODS.ASETR_IDX2; 
  CREATE INDEX RIODS.ASETR_IDX2 ON RIODS.ASSETREGISTRY  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.BUILD_IDX1; 
 DROP INDEX RIODS.BUILD_IDX2; 
  CREATE INDEX RIODS.BUILD_IDX7 ON RIODS.BUILD  (SOURCE_ID ASC,  NAME ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.BUILD_IDX2 ON RIODS.BUILD  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.BLD_CRESULT_IDX3 ON RIODS.BUILD_COMPILATION_RESULT  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.BLD_CRESULT_IDX4 ON RIODS.BUILD_COMPILATION_RESULT  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.BLD_CRESULT_IDX5 ON RIODS.BUILD_COMPILATION_RESULT  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.BLD_UEVENT_IDX3 ON RIODS.BUILD_UNIT_EVENT  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.BLD_UEVENT_IDX4 ON RIODS.BUILD_UNIT_EVENT  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.BLD_UEVENT_IDX5 ON RIODS.BUILD_UNIT_EVENT  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.BLD_URESULT_IDX3 ON RIODS.BUILD_UNIT_RESULT  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.BLD_URESULT_IDX4 ON RIODS.BUILD_UNIT_RESULT  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.BLD_URESULT_IDX5 ON RIODS.BUILD_UNIT_RESULT  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.CHARGECODE_IDX1;
 DROP INDEX RIODS.CHARGECODE_IDX2;
  CREATE INDEX RIODS.CHARGECODE_IDX2 ON RIODS.CHARGECODE  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.CITY_IDX1;
 DROP INDEX RIODS.CITY_IDX2;
  CREATE INDEX RIODS.CITY_IDX2 ON RIODS.CITY  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 ALTER TABLE RIODS."COMMENT" DROP CONSTRAINT COMMENT_FK1; 
 ALTER TABLE RIODS."COMMENT" ADD CONSTRAINT COMMENT_FK1 FOREIGN KEY(RESPONSE_COMMENT_ID)REFERENCES RIODS."COMMENT"(COMMENT_ID)ON DELETE CASCADE;
 DROP INDEX RIODS.COMMENT_IDX1; 
 DROP INDEX RIODS.COMMENT_IDX2; 
  CREATE INDEX RIODS.COMMENT_IDX2 ON RIODS."COMMENT"  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.COMPETENCY_IDX1;
 DROP INDEX RIODS.COMPETENCY_IDX2;
  CREATE INDEX RIODS.COMPETENCY_IDX2 ON RIODS.COMPETENCY  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.COMPONENT_IDX1; 
 DROP INDEX RIODS.COMPONENT_IDX2; 
  CREATE INDEX RIODS.COMPONENT_IDX6 ON RIODS.COMPONENT  (NAME ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.COMPONENT_IDX7 ON RIODS.COMPONENT  (SOURCE_ID ASC,  NAME ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.COMPONENT_IDX2 ON RIODS.COMPONENT  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.CONFIG_IDX1;
 DROP INDEX RIODS.CONFIG_IDX2;
  CREATE INDEX RIODS.CONFIG_IDX2 ON RIODS.CONFIGURATION  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
 DROP INDEX RIODS.CONFIGATT_IDX1; 
 DROP INDEX RIODS.CONFIGATT_IDX2; 
  CREATE INDEX RIODS.CONFIGATT_IDX2 ON RIODS.CONFIGURATION_ATTRIBUTE  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.COUNTRY_IDX1; 
 DROP INDEX RIODS.COUNTRY_IDX2; 
  CREATE INDEX RIODS.COUNTRY_IDX2 ON RIODS.COUNTRY  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.CURRENCY_IDX1;
 DROP INDEX RIODS.CURRENCY_IDX2;
  CREATE INDEX RIODS.CURRENCY_IDX2 ON RIODS.CURRENCY  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.CUSTOMER_IDX1;
 DROP INDEX RIODS.CUSTOMER_IDX2;
  CREATE INDEX RIODS.CUSTOMER_IDX6 ON RIODS.CUSTOMER  (SOURCE_ID ASC,  COMPANY_NAME ASC,  NAME ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.CUSTOMER_IDX2 ON RIODS.CUSTOMER  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 ALTER TABLE RIODS.EXECUTION_RESULT ADD SUITE_INDEX INTEGER;
 DROP INDEX RIODS.EXECRES_IDX1; 
 DROP INDEX RIODS.EXECRES_IDX2; 
  CREATE INDEX RIODS.EXECRES_IDX2 ON RIODS.EXECUTION_RESULT  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.EXECRES_IDX6 ON RIODS.EXECUTION_RESULT (ISSOFTDELETED ASC,EXECUTION_RESULT_ID ASC,ITERATION_ID ASC,PROJECT_ID ASC,EXECRES_CLASS_ID ASC,VERDICT ASC,TESTCASE_ID ASC)REVERSE TABLESPACE VNF_IDX;
 CREATE TABLE RIODS.EXECUTION_STEP_RESULT ( EXECUTION_STEP_RESULT_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'Test Suite Execution Step Name Missing' NOT NULL, EXECUTION_RESULT_ID INTEGER DEFAULT -1 NOT NULL , STEP_TYPE VARCHAR(255), DESCRIPTION VARCHAR(255), EXPECTED_RESULT VARCHAR(255), ACTUAL_RESULT VARCHAR(255), RESULT VARCHAR(255), START_TIME TIMESTAMP, END_TIME TIMESTAMP, EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K; 
 ALTER TABLE RIODS.EXECUTION_STEP_RESULT ADD CONSTRAINT EXECSTEP_PK PRIMARY KEY(EXECUTION_STEP_RESULT_ID)  USING INDEX TABLESPACE VNF_IDX;
  ALTER TABLE RIODS.EXECUTION_STEP_RESULT  ADD CONSTRAINT EXECSTEP_FK1 FOREIGN KEY  (EXECUTION_RESULT_ID) REFERENCES RIODS.EXECUTION_RESULT  (EXECUTION_RESULT_ID); 
  CREATE INDEX RIODS.EXECSTPRES_IDX3 ON RIODS.EXECUTION_STEP_RESULT  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.EXECSTPRES_IDX4 ON RIODS.EXECUTION_STEP_RESULT  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.EXECSTPRES_IDX5 ON RIODS.EXECUTION_STEP_RESULT  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.EXECSTPRES_IDX2 ON RIODS.EXECUTION_STEP_RESULT  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
 INSERT INTO RIODS.EXECUTION_STEP_RESULT(EXECUTION_STEP_RESULT_ID,NAME) VALUES (-1,'Info not available'); 
 CREATE TABLE RIODS.EXECSTEPRES_REQUEST_LOOKUP ( EXECUTION_STEP_RESULT_ID INTEGER NOT NULL, REQUEST_ID INTEGER NOT NULL )  TABLESPACE VNF_32K;
 ALTER TABLE RIODS.EXECSTEPRES_REQUEST_LOOKUP ADD CONSTRAINT EXCSTRSREQUELK_PK PRIMARY KEY(EXECUTION_STEP_RESULT_ID, REQUEST_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RIODS.EXECSTEPRES_REQUEST_LOOKUP  ADD CONSTRAINT EXCSTRSREQUELK_FK1 FOREIGN KEY  (EXECUTION_STEP_RESULT_ID) REFERENCES RIODS.EXECUTION_STEP_RESULT  (EXECUTION_STEP_RESULT_ID); 
  ALTER TABLE RIODS.EXECSTEPRES_REQUEST_LOOKUP  ADD CONSTRAINT EXCSTRSREQUELK_FK2 FOREIGN KEY  (REQUEST_ID) REFERENCES RIODS.REQUEST  (REQUEST_ID); 
 CREATE TRIGGER RIODS.TRG_ESRREQUE AFTER UPDATE OF REC_DATETIME ON RIODS.EXECUTION_STEP_RESULT   FOR EACH ROW BEGIN   DELETE FROM RIODS.EXECSTEPRES_REQUEST_LOOKUP WHERE EXECUTION_STEP_RESULT_ID=:NEW.EXECUTION_STEP_RESULT_ID; END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
 DROP INDEX RIODS.EXECWKI_TSTC_IDX2;
 DROP INDEX RIODS.EXECWKI_TSTC_IDX1;
  CREATE INDEX RIODS.EXECWKI_IDX2 ON RIODS.EXECUTION_WORKITEM  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.EXECWKI_IDX7 ON RIODS.EXECUTION_WORKITEM (EXECWORKITEM_ID ASC,TESTPLAN_ID ASC) REVERSE TABLESPACE VNF_IDX;
 CREATE TABLE RIODS.EXECWORKITEM_REQUEST_LOOKUP ( EXECWORKITEM_ID INTEGER NOT NULL, REQUEST_ID INTEGER NOT NULL )  TABLESPACE VNF_32K;
 ALTER TABLE RIODS.EXECWORKITEM_REQUEST_LOOKUP ADD CONSTRAINT EXWKITREQUE_PK PRIMARY KEY(EXECWORKITEM_ID, REQUEST_ID)  USING INDEX TABLESPACE VNF_IDX;
  ALTER TABLE RIODS.EXECWORKITEM_REQUEST_LOOKUP  ADD CONSTRAINT EXWKITREQUE_FK1 FOREIGN KEY  (EXECWORKITEM_ID) REFERENCES RIODS.EXECUTION_WORKITEM  (EXECWORKITEM_ID);
  ALTER TABLE RIODS.EXECWORKITEM_REQUEST_LOOKUP  ADD CONSTRAINT EXWKITREQUE_FK2 FOREIGN KEY  (REQUEST_ID) REFERENCES RIODS.REQUEST  (REQUEST_ID); 
 CREATE TRIGGER RIODS.TRG_EWIREQUE AFTER UPDATE OF REC_DATETIME ON RIODS.EXECUTION_WORKITEM   FOR EACH ROW BEGIN   DELETE FROM RIODS.EXECWORKITEM_REQUEST_LOOKUP WHERE EXECWORKITEM_ID=:NEW.EXECWORKITEM_ID; END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
 ALTER TABLE RIODS.FACTOR ADD DESCRIPTION VARCHAR(255); 
 ALTER TABLE RIODS.FACTOR ADD MITIGATION_ACTION VARCHAR(255); 
 ALTER TABLE RIODS.FACTOR ADD PROBABILITY INTEGER;
 ALTER TABLE RIODS.FACTOR ADD PROBABILITY_RANK VARCHAR(255);
 ALTER TABLE RIODS.FACTOR ADD WEIGHT INTEGER; 
 DROP INDEX RIODS.FACTOR_IDX1;
 DROP INDEX RIODS.FACTOR_IDX2;
  CREATE INDEX RIODS.FACTOR_IDX2 ON RIODS.FACTOR  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.FILE_IDX1;
 DROP INDEX RIODS.FILE_IDX2;
  CREATE INDEX RIODS.FILE_IDX2 ON RIODS."FILE"  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.FBASELINE_IDX3 ON RIODS.FILE_BASELINE  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.FBASELINE_IDX4 ON RIODS.FILE_BASELINE  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.FBASELINE_IDX5 ON RIODS.FILE_BASELINE  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.FBASELINE_IDX2 ON RIODS.FILE_BASELINE  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.FILESTR_IDX1; 
 DROP INDEX RIODS.FILESTR_IDX2; 
  CREATE INDEX RIODS.FILESTR_IDX2 ON RIODS.FILE_STREAM  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.FILEVER_IDX1; 
 DROP INDEX RIODS.FILEVER_IDX2; 
  CREATE INDEX RIODS.FILEVER_IDX2 ON RIODS.FILE_VERSION  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
 DROP INDEX RIODS.ITERATION_IDX1; 
 DROP INDEX RIODS.ITERATION_IDX2; 
  CREATE INDEX RIODS.ITERATION_IDX6 ON RIODS.ITERATION  (SOURCE_ID ASC,  NAME ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.ITERATION_IDX2 ON RIODS.ITERATION  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.ITERBASELINE_IDX1;
 DROP INDEX RIODS.ITERBASELINE_IDX2;
  CREATE INDEX RIODS.ITERBASELINE_IDX2 ON RIODS.ITERATION_BASELINE  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.JOB_IDX1; 
 DROP INDEX RIODS.JOB_IDX2; 
  CREATE INDEX RIODS.JOB_IDX2 ON RIODS.JOB  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.JOBRES_IDX1;
 DROP INDEX RIODS.JOBRES_IDX2;
  CREATE INDEX RIODS.JOBRES_IDX2 ON RIODS.JOB_RESULT  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.LABRES_IDX1;
 DROP INDEX RIODS.LABRES_IDX2;
  CREATE INDEX RIODS.LABRES_IDX2 ON RIODS.LAB_RESOURCE  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.OPERTERRI_IDX1; 
 DROP INDEX RIODS.OPERTERRI_IDX2; 
  CREATE INDEX RIODS.OPERTERRI_IDX2 ON RIODS.OPERATING_TERRITORY  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.ORGANIZATION_IDX3 ON RIODS.ORGANIZATION  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.ORGANIZATION_IDX4 ON RIODS.ORGANIZATION  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.ORGANIZATION_IDX5 ON RIODS.ORGANIZATION  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.ORGANIZATION_IDX2 ON RIODS.ORGANIZATION  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.PHASE_IDX1; 
 DROP INDEX RIODS.PHASE_IDX2; 
  CREATE INDEX RIODS.PHASE_IDX2 ON RIODS.PHASE  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.POOL_IDX1;
 DROP INDEX RIODS.POOL_IDX2;
  CREATE INDEX RIODS.POOL_IDX2 ON RIODS.POOL  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 CREATE TABLE RIODS.PORTFOLIO ( PORTFOLIO_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'Portfolio Name Missing' NOT NULL, EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;
 ALTER TABLE RIODS.PORTFOLIO ADD CONSTRAINT PORTFOLIO_PK PRIMARY KEY(PORTFOLIO_ID)  USING INDEX TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.PORTFOLIO_IDX3 ON RIODS.PORTFOLIO  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.PORTFOLIO_IDX4 ON RIODS.PORTFOLIO  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.PORTFOLIO_IDX5 ON RIODS.PORTFOLIO  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.PORTFOLIO_IDX2 ON RIODS.PORTFOLIO  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 INSERT INTO RIODS.PORTFOLIO(PORTFOLIO_ID,NAME) VALUES (-1,'Info not available'); 
 CREATE TABLE RIODS.PORTFOLIO_PROG_PROJ_LOOKUP ( PORTFOLIO_ID INTEGER NOT NULL, PROGRAM_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL )  TABLESPACE VNF_32K; 
 ALTER TABLE RIODS.PORTFOLIO_PROG_PROJ_LOOKUP ADD CONSTRAINT PORPROGPROJ_PK PRIMARY KEY(PORTFOLIO_ID, PROGRAM_ID, PROJECT_ID)  USING INDEX TABLESPACE VNF_IDX;
  ALTER TABLE RIODS.PORTFOLIO_PROG_PROJ_LOOKUP  ADD CONSTRAINT PORPROGPROJ_FK1 FOREIGN KEY  (PORTFOLIO_ID) REFERENCES RIODS.PORTFOLIO  (PORTFOLIO_ID);
  ALTER TABLE RIODS.PORTFOLIO_PROG_PROJ_LOOKUP  ADD CONSTRAINT PORPROGPROJ_FK2 FOREIGN KEY  (PROGRAM_ID) REFERENCES RIODS.PROGRAM  (PROGRAM_ID);
  ALTER TABLE RIODS.PORTFOLIO_PROG_PROJ_LOOKUP  ADD CONSTRAINT PORPROGPROJ_FK3 FOREIGN KEY  (PROJECT_ID) REFERENCES RIODS.PROJECT  (PROJECT_ID);
 CREATE TRIGGER RIODS.TRG_PORTPROGPRJ AFTER UPDATE OF REC_DATETIME ON RIODS.PORTFOLIO   FOR EACH ROW BEGIN   DELETE FROM RIODS.PORTFOLIO_PROG_PROJ_LOOKUP WHERE PORTFOLIO_ID=:NEW.PORTFOLIO_ID; END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
 DROP INDEX RIODS.PRODUCT_IDX1; 
 DROP INDEX RIODS.PRODUCT_IDX2; 
  CREATE INDEX RIODS.PRODUCT_IDX6 ON RIODS.PRODUCT  (SOURCE_ID ASC,  NAME ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.PRODUCT_IDX2 ON RIODS.PRODUCT  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.PROFILE_IDX3 ON RIODS.PROFILE  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.PROFILE_IDX4 ON RIODS.PROFILE  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.PROFILE_IDX5 ON RIODS.PROFILE  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.PROFILE_IDX2 ON RIODS.PROFILE  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.PROGRAM_IDX1; 
 DROP INDEX RIODS.PROGRAM_IDX2; 
  CREATE INDEX RIODS.PROGRAM_IDX2 ON RIODS.PROGRAM  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 ALTER TABLE RIODS.PROGRAM_DETAIL ADD ACTUAL_REVENUE DECIMAL(18,2) DEFAULT 0.00 NOT NULL; 
 ALTER TABLE RIODS.PROGRAM_DETAIL ADD BUDGETED_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL;
 ALTER TABLE RIODS.PROGRAM_DETAIL ADD BUDGETED_REVENUE DECIMAL(18,2) DEFAULT 0.00 NOT NULL; 
 ALTER TABLE RIODS.PROGRAM_DETAIL ADD INTERNAL_RATE_OF_RETURN DECIMAL(18,2) DEFAULT 0.00 NOT NULL;
 ALTER TABLE RIODS.PROGRAM_DETAIL ADD NET_PRESENT_VALUE DECIMAL(18,2) DEFAULT 0.00 NOT NULL;
 ALTER TABLE RIODS.PROGRAM_DETAIL ADD PLANNED_REVENUE DECIMAL(18,2) DEFAULT 0.00 NOT NULL;
 ALTER TABLE RIODS.PROJECT ADD FEASIBILITY VARCHAR(255);
 DROP INDEX RIODS.PROJECT_IDX1; 
 DROP INDEX RIODS.PROJECT_IDX2; 
  CREATE INDEX RIODS.PROJECT_IDX2 ON RIODS.PROJECT  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 ALTER TABLE RIODS.PROJECT_ALLOCATION ADD FRIDAY_UNITS INTEGER; 
 ALTER TABLE RIODS.PROJECT_ALLOCATION ADD MONDAY_UNITS INTEGER; 
 ALTER TABLE RIODS.PROJECT_ALLOCATION ADD SATURDAY_UNITS INTEGER; 
 ALTER TABLE RIODS.PROJECT_ALLOCATION ADD SUNDAY_UNITS INTEGER; 
 ALTER TABLE RIODS.PROJECT_ALLOCATION ADD THURSDAY_UNITS INTEGER; 
 ALTER TABLE RIODS.PROJECT_ALLOCATION ADD TUESDAY_UNITS INTEGER;
 ALTER TABLE RIODS.PROJECT_ALLOCATION ADD WEDNESDAY_UNITS INTEGER;
 DROP INDEX RIODS.PROJALLOC_IDX1; 
 DROP INDEX RIODS.PROJALLOC_IDX2; 
  CREATE INDEX RIODS.PROJALLOC_IDX2 ON RIODS.PROJECT_ALLOCATION  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
 DROP INDEX RIODS.PROJBASE_IDX1;
 DROP INDEX RIODS.PROJBASE_IDX2;
  CREATE INDEX RIODS.PROJBASE_IDX2 ON RIODS.PROJECT_BASELINE  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.PROJCAT_IDX1; 
 DROP INDEX RIODS.PROJCAT_IDX2; 
  CREATE INDEX RIODS.PROJCAT_IDX2 ON RIODS.PROJECT_CATEGORY  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
 ALTER TABLE RIODS.PROJECT_DETAIL ADD ACTUAL_REVENUE DECIMAL(18,2) DEFAULT 0.00 NOT NULL; 
 ALTER TABLE RIODS.PROJECT_DETAIL ADD BUDGETED_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL;
 ALTER TABLE RIODS.PROJECT_DETAIL ADD BUDGETED_REVENUE DECIMAL(18,2) DEFAULT 0.00 NOT NULL; 
 ALTER TABLE RIODS.PROJECT_DETAIL ADD INTERNAL_RATE_OF_RETURN DECIMAL(18,2) DEFAULT 0.00 NOT NULL;
 ALTER TABLE RIODS.PROJECT_DETAIL ADD NET_PRESENT_VALUE DECIMAL(18,2) DEFAULT 0.00 NOT NULL;
 ALTER TABLE RIODS.PROJECT_DETAIL ADD PLANNED_REVENUE DECIMAL(18,2) DEFAULT 0.00 NOT NULL;
 CREATE TABLE RIODS.PROJECT_RESOURCE_LOOKUP ( PROJECT_ID INTEGER NOT NULL, RESOURCE_ID INTEGER NOT NULL )  TABLESPACE VNF_32K;
 ALTER TABLE RIODS.PROJECT_RESOURCE_LOOKUP ADD CONSTRAINT PRJRESLK_PK PRIMARY KEY(PROJECT_ID, RESOURCE_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RIODS.PROJECT_RESOURCE_LOOKUP  ADD CONSTRAINT PRJRESLK_FK1 FOREIGN KEY  (PROJECT_ID) REFERENCES RIODS.PROJECT  (PROJECT_ID);
  ALTER TABLE RIODS.PROJECT_RESOURCE_LOOKUP  ADD CONSTRAINT PRJRESLK_FK2 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIODS."RESOURCE"  (RESOURCE_ID); 
 CREATE TRIGGER RIODS.TRG_PROJRES AFTER UPDATE OF REC_DATETIME ON RIODS.PROJECT   FOR EACH ROW BEGIN   DELETE FROM RIODS.PROJECT_RESOURCE_LOOKUP WHERE PROJECT_ID=:NEW.PROJECT_ID; END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
 DROP INDEX RIODS.PROJROLE_IDX1;
 DROP INDEX RIODS.PROJROLE_IDX2;
  CREATE INDEX RIODS.PROJROLE_IDX2 ON RIODS.PROJECT_ROLE  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.PROJTYPE_IDX1;
 DROP INDEX RIODS.PROJTYPE_IDX2;
  CREATE INDEX RIODS.PROJTYPE_IDX2 ON RIODS.PROJECT_TYPE  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.PROJWRKCFG_IDX1;
 DROP INDEX RIODS.PROJWRKCFG_IDX2;
  CREATE INDEX RIODS.PROJWRKCFG_IDX2 ON RIODS.PROJECT_WORKCONFIGURATION  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
 DROP INDEX RIODS.PROVSTATE_IDX1; 
 DROP INDEX RIODS.PROVSTATE_IDX2; 
  CREATE INDEX RIODS.PROVSTATE_IDX2 ON RIODS.PROVINCE_STATE  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
 DROP INDEX RIODS.RELEASE_IDX1; 
 DROP INDEX RIODS.RELEASE_IDX2; 
  CREATE INDEX RIODS.RELEASE_IDX6 ON RIODS.RELEASE  (SOURCE_ID ASC,  NAME ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.RELEASE_IDX2 ON RIODS.RELEASE  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 ALTER TABLE RIODS.REQUEST ADD REQUEST_PRIORITY_ID INTEGER DEFAULT -1 NOT NULL; 
 ALTER TABLE RIODS.REQUEST ADD REQUEST_RESOLUTION_ID INTEGER DEFAULT -1 NOT NULL; 
 ALTER TABLE RIODS.REQUEST ADD REQUEST_SEVERITY_ID INTEGER DEFAULT -1 NOT NULL; 
 ALTER TABLE RIODS.REQUEST ADD REQUEST_STATE_ID INTEGER DEFAULT -1 NOT NULL;
 ALTER TABLE RIODS.REQUEST ADD REQUEST_STATUS_ID INTEGER DEFAULT -1 NOT NULL; 
 ALTER TABLE RIODS.REQUEST ADD REQUEST_TYPE_ID INTEGER DEFAULT -1 NOT NULL; 
  ALTER TABLE RIODS.REQUEST  ADD CONSTRAINT REQUEST_FK14 FOREIGN KEY  (REQUEST_STATE_ID) REFERENCES RIODS.REQUEST_STATE  (REQUEST_STATE_ID);
  ALTER TABLE RIODS.REQUEST  ADD CONSTRAINT REQUEST_FK15 FOREIGN KEY  (REQUEST_STATUS_ID) REFERENCES RIODS.REQUEST_STATUS  (REQUEST_STATUS_ID); 
  ALTER TABLE RIODS.REQUEST  ADD CONSTRAINT REQUEST_FK16 FOREIGN KEY  (REQUEST_RESOLUTION_ID) REFERENCES RIODS.REQUEST_RESOLUTION  (REQUEST_RESOLUTION_ID); 
  ALTER TABLE RIODS.REQUEST  ADD CONSTRAINT REQUEST_FK17 FOREIGN KEY  (REQUEST_SEVERITY_ID) REFERENCES RIODS.REQUEST_SEVERITY  (REQUEST_SEVERITY_ID); 
  ALTER TABLE RIODS.REQUEST  ADD CONSTRAINT REQUEST_FK18 FOREIGN KEY  (REQUEST_PRIORITY_ID) REFERENCES RIODS.REQUEST_PRIORITY  (REQUEST_PRIORITY_ID); 
  ALTER TABLE RIODS.REQUEST  ADD CONSTRAINT REQUEST_FK19 FOREIGN KEY  (REQUEST_TYPE_ID) REFERENCES RIODS.REQUEST_TYPE  (REQUEST_TYPE_ID); 
 DROP INDEX RIODS.REQUEST_IDX1; 
 DROP INDEX RIODS.REQUEST_IDX12;
 DROP INDEX RIODS.REQUEST_IDX13;
 DROP INDEX RIODS.REQUEST_IDX2; 
  CREATE INDEX RIODS.REQUEST_IDX12 ON RIODS.REQUEST  (REQUEST_TYPE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.REQUEST_IDX13 ON RIODS.REQUEST  (REQUEST_STATUS_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.REQUEST_IDX2 ON RIODS.REQUEST  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 UPDATE RIODS.REQUEST R SET R.REQUEST_PRIORITY_ID=COALESCE((SELECT MIN(P.REQUEST_PRIORITY_ID) FROM RIODS.REQUEST_PRIORITY P WHERE LOWER(P.NAME)=LOWER(R.PRIORITY)),-1) WHERE R.REQUEST_ID<>-1;
 UPDATE RIODS.REQUEST R SET R.REQUEST_RESOLUTION_ID=COALESCE((SELECT MIN(P.REQUEST_RESOLUTION_ID) FROM RIODS.REQUEST_RESOLUTION P WHERE LOWER(P.NAME)=LOWER(R.RESOLUTION)),-1) WHERE R.REQUEST_ID<>-1;
 UPDATE RIODS.REQUEST R SET R.REQUEST_SEVERITY_ID=COALESCE((SELECT MIN(P.REQUEST_SEVERITY_ID) FROM RIODS.REQUEST_SEVERITY P WHERE LOWER(P.NAME)=LOWER(R.SEVERITY)),-1) WHERE R.REQUEST_ID<>-1;
 UPDATE RIODS.REQUEST R SET R.REQUEST_STATE_ID=COALESCE((SELECT MIN(P.REQUEST_STATE_ID) FROM RIODS.REQUEST_STATE P WHERE LOWER(P.NAME)=LOWER(R.REQUEST_STATE)),-1) WHERE R.REQUEST_ID<>-1;
 UPDATE RIODS.REQUEST R SET R.REQUEST_STATUS_ID=COALESCE((SELECT MIN(P.REQUEST_STATUS_ID) FROM RIODS.REQUEST_STATUS P WHERE LOWER(P.NAME)=LOWER(R.STATUS)),-1) WHERE R.REQUEST_ID<>-1;
 UPDATE RIODS.REQUEST R SET R.REQUEST_TYPE_ID=COALESCE((SELECT MIN(P.REQUEST_TYPE_ID) FROM RIODS.REQUEST_TYPE P WHERE LOWER(P.NAME)=LOWER(R.REQUEST_TYPE)),-1) WHERE R.REQUEST_ID<>-1;
 ALTER TABLE RIODS.REQUEST DROP COLUMN PRIORITY;
 ALTER TABLE RIODS.REQUEST DROP COLUMN REQUEST_STATE; 
 ALTER TABLE RIODS.REQUEST DROP COLUMN REQUEST_TYPE;
 ALTER TABLE RIODS.REQUEST DROP COLUMN RESOLUTION;
 ALTER TABLE RIODS.REQUEST DROP COLUMN SEVERITY;
 ALTER TABLE RIODS.REQUEST DROP COLUMN STATUS;
  CREATE INDEX RIODS.REQCAT_IDX3 ON RIODS.REQUEST_CATEGORY  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.REQCAT_IDX4 ON RIODS.REQUEST_CATEGORY  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.REQCAT_IDX5 ON RIODS.REQUEST_CATEGORY  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.REQCAT_IDX2 ON RIODS.REQUEST_CATEGORY  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 ALTER TABLE RIODS.REQUEST_CHANGE_HISTORY ADD PREV_REQUEST_PRIORITY_ID INTEGER DEFAULT -1 NOT NULL; 
 ALTER TABLE RIODS.REQUEST_CHANGE_HISTORY ADD PREV_REQUEST_SEVERITY_ID INTEGER DEFAULT -1 NOT NULL; 
 ALTER TABLE RIODS.REQUEST_CHANGE_HISTORY ADD PREV_REQUEST_STATE_ID INTEGER DEFAULT -1 NOT NULL;
 ALTER TABLE RIODS.REQUEST_CHANGE_HISTORY ADD PREV_REQUEST_STATUS_ID INTEGER DEFAULT -1 NOT NULL; 
 ALTER TABLE RIODS.REQUEST_CHANGE_HISTORY ADD PREV_REQUEST_TYPE_ID INTEGER DEFAULT -1 NOT NULL; 
  ALTER TABLE RIODS.REQUEST_CHANGE_HISTORY  ADD CONSTRAINT REQCGNGH_FK10 FOREIGN KEY  (PREV_REQUEST_SEVERITY_ID) REFERENCES RIODS.REQUEST_SEVERITY  (REQUEST_SEVERITY_ID);
  ALTER TABLE RIODS.REQUEST_CHANGE_HISTORY  ADD CONSTRAINT REQCGNGH_FK11 FOREIGN KEY  (PREV_REQUEST_TYPE_ID) REFERENCES RIODS.REQUEST_TYPE  (REQUEST_TYPE_ID);
  ALTER TABLE RIODS.REQUEST_CHANGE_HISTORY  ADD CONSTRAINT REQCGNGH_FK7 FOREIGN KEY  (PREV_REQUEST_STATE_ID) REFERENCES RIODS.REQUEST_STATE  (REQUEST_STATE_ID);
  ALTER TABLE RIODS.REQUEST_CHANGE_HISTORY  ADD CONSTRAINT REQCGNGH_FK8 FOREIGN KEY  (PREV_REQUEST_STATUS_ID) REFERENCES RIODS.REQUEST_STATUS  (REQUEST_STATUS_ID); 
  ALTER TABLE RIODS.REQUEST_CHANGE_HISTORY  ADD CONSTRAINT REQCGNGH_FK9 FOREIGN KEY  (PREV_REQUEST_PRIORITY_ID) REFERENCES RIODS.REQUEST_PRIORITY  (REQUEST_PRIORITY_ID); 
  CREATE INDEX RIODS.REQCGNGH_IDX3 ON RIODS.REQUEST_CHANGE_HISTORY  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.REQCGNGH_IDX4 ON RIODS.REQUEST_CHANGE_HISTORY  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.REQCGNGH_IDX5 ON RIODS.REQUEST_CHANGE_HISTORY  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 UPDATE RIODS.REQUEST_CHANGE_HISTORY R SET R.PREV_REQUEST_PRIORITY_ID=COALESCE((SELECT MIN(P.REQUEST_PRIORITY_ID) FROM RIODS.REQUEST_PRIORITY P WHERE LOWER(P.NAME)=LOWER(R.PREV_PRIORITY)),-1) WHERE R.REQUEST_ID<>-1; 
 UPDATE RIODS.REQUEST_CHANGE_HISTORY R SET R.PREV_REQUEST_SEVERITY_ID=COALESCE((SELECT MIN(P.REQUEST_SEVERITY_ID) FROM RIODS.REQUEST_SEVERITY P WHERE LOWER(P.NAME)=LOWER(R.PREV_SEVERITY)),-1) WHERE R.REQUEST_ID<>-1; 
 UPDATE RIODS.REQUEST_CHANGE_HISTORY R SET R.PREV_REQUEST_STATE_ID=COALESCE((SELECT MIN(P.REQUEST_STATE_ID) FROM RIODS.REQUEST_STATE P WHERE LOWER(P.NAME)=LOWER(R.PREV_STATE)),-1) WHERE R.REQUEST_ID<>-1; 
 UPDATE RIODS.REQUEST_CHANGE_HISTORY R SET R.PREV_REQUEST_TYPE_ID=COALESCE((SELECT MIN(P.REQUEST_TYPE_ID) FROM RIODS.REQUEST_TYPE P WHERE LOWER(P.NAME)=LOWER(R.PREV_REQUEST_TYPE)),-1) WHERE R.REQUEST_ID<>-1; 
 ALTER TABLE RIODS.REQUEST_CHANGE_HISTORY DROP COLUMN PREV_PRIORITY;
 ALTER TABLE RIODS.REQUEST_CHANGE_HISTORY DROP COLUMN PREV_REQUEST_TYPE;
 ALTER TABLE RIODS.REQUEST_CHANGE_HISTORY DROP COLUMN PREV_SEVERITY;
 ALTER TABLE RIODS.REQUEST_CHANGE_HISTORY DROP COLUMN PREV_STATE; 
 CREATE TABLE RIODS.REQUEST_LINK ( PRED_REQUEST_ID INTEGER NOT NULL, SUCC_REQUEST_ID INTEGER NOT NULL, LINK_TYPE VARCHAR(255) )  TABLESPACE VNF_32K;
 ALTER TABLE RIODS.REQUEST_LINK ADD CONSTRAINT REQULINK_PK PRIMARY KEY(PRED_REQUEST_ID, SUCC_REQUEST_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RIODS.REQUEST_LINK  ADD CONSTRAINT REQULINK_FK1 FOREIGN KEY  (PRED_REQUEST_ID) REFERENCES RIODS.REQUEST  (REQUEST_ID);
  ALTER TABLE RIODS.REQUEST_LINK  ADD CONSTRAINT REQULINK_FK2 FOREIGN KEY  (SUCC_REQUEST_ID) REFERENCES RIODS.REQUEST  (REQUEST_ID);
 ALTER TABLE RIODS.REQUEST_STATE_HISTORY ADD PREV_REQUEST_STATE_ID INTEGER DEFAULT -1 NOT NULL; 
 ALTER TABLE RIODS.REQUEST_STATE_HISTORY ADD PREV_REQUEST_STATUS_ID INTEGER DEFAULT -1 NOT NULL;
 ALTER TABLE RIODS.REQUEST_STATE_HISTORY ADD REQUEST_STATE_ID INTEGER DEFAULT -1 NOT NULL;
 ALTER TABLE RIODS.REQUEST_STATE_HISTORY ADD REQUEST_STATUS_ID INTEGER DEFAULT -1 NOT NULL; 
  ALTER TABLE RIODS.REQUEST_STATE_HISTORY  ADD CONSTRAINT REQSTATEHIST_FK2 FOREIGN KEY  (PREV_REQUEST_STATE_ID) REFERENCES RIODS.REQUEST_STATE  (REQUEST_STATE_ID); 
  ALTER TABLE RIODS.REQUEST_STATE_HISTORY  ADD CONSTRAINT REQSTATEHIST_FK3 FOREIGN KEY  (REQUEST_STATE_ID) REFERENCES RIODS.REQUEST_STATE  (REQUEST_STATE_ID);
  ALTER TABLE RIODS.REQUEST_STATE_HISTORY  ADD CONSTRAINT REQSTATEHIST_FK4 FOREIGN KEY  (PREV_REQUEST_STATUS_ID) REFERENCES RIODS.REQUEST_STATUS  (REQUEST_STATUS_ID);
  ALTER TABLE RIODS.REQUEST_STATE_HISTORY  ADD CONSTRAINT REQSTATEHIST_FK5 FOREIGN KEY  (REQUEST_STATUS_ID) REFERENCES RIODS.REQUEST_STATUS  (REQUEST_STATUS_ID); 
 DROP INDEX RIODS.REQSTH_IDX1;
 DROP INDEX RIODS.REQSTH_IDX2;
  CREATE INDEX RIODS.REQSTH_IDX6 ON RIODS.REQUEST_STATE_HISTORY  (REQUEST_ID ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 UPDATE RIODS.REQUEST_STATE_HISTORY R SET R.PREV_REQUEST_STATE_ID=COALESCE((SELECT MIN(P.REQUEST_STATE_ID) FROM RIODS.REQUEST_STATE P WHERE LOWER(P.NAME)=LOWER(R.PREV_REQUEST_STATE)),-1) WHERE R.REQUEST_ID<>-1;
 UPDATE RIODS.REQUEST_STATE_HISTORY R SET R.REQUEST_STATE_ID=COALESCE((SELECT MIN(P.REQUEST_STATE_ID) FROM RIODS.REQUEST_STATE P WHERE LOWER(P.NAME)=LOWER(R.REQUEST_STATE)),-1) WHERE R.REQUEST_ID<>-1;
 ALTER TABLE RIODS.REQUEST_STATE_HISTORY DROP COLUMN PREV_REQUEST_STATE;
 ALTER TABLE RIODS.REQUEST_STATE_HISTORY DROP COLUMN REQUEST_STATE; 
 CREATE TABLE RIODS.REQUEST_TESTCASE_LOOKUP ( REQUEST_ID INTEGER NOT NULL, TESTCASE_ID INTEGER NOT NULL )  TABLESPACE VNF_32K;
 ALTER TABLE RIODS.REQUEST_TESTCASE_LOOKUP ADD CONSTRAINT REQUTCASE_PK PRIMARY KEY(REQUEST_ID, TESTCASE_ID)  USING INDEX TABLESPACE VNF_IDX;
  ALTER TABLE RIODS.REQUEST_TESTCASE_LOOKUP  ADD CONSTRAINT REQUTCASE_FK1 FOREIGN KEY  (REQUEST_ID) REFERENCES RIODS.REQUEST  (REQUEST_ID); 
  ALTER TABLE RIODS.REQUEST_TESTCASE_LOOKUP  ADD CONSTRAINT REQUTCASE_FK2 FOREIGN KEY  (TESTCASE_ID) REFERENCES RIODS.TESTCASE  (TESTCASE_ID);
 CREATE TRIGGER RIODS.TRG_REQUTCASE AFTER UPDATE OF REC_DATETIME ON RIODS.REQUEST   FOR EACH ROW BEGIN   DELETE FROM RIODS.REQUEST_TESTCASE_LOOKUP WHERE REQUEST_ID=:NEW.REQUEST_ID; END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
 CREATE TABLE RIODS.REQUIREMENT_COLLECTION ( REQUIREMENT_COLLECTION_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Requirement Collection Name Missing' NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), PROJECT_ID INTEGER DEFAULT -1 NOT NULL , RELEASE_ID INTEGER DEFAULT -1 NOT NULL , PLANNED_ITERATION_ID INTEGER DEFAULT -1 NOT NULL , ACTUAL_ITERATION_ID INTEGER DEFAULT -1 NOT NULL , STATUS VARCHAR(255), COLLECTION_ORIGIN VARCHAR(255), COLLECTION_TYPE VARCHAR(255), COLLECTION_IMPACT VARCHAR(255), COLLECTION_TARGET VARCHAR(255), CREATION_DATE TIMESTAMP, EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K; 
 ALTER TABLE RIODS.REQUIREMENT_COLLECTION ADD CONSTRAINT REQUI_COLLECT_PK PRIMARY KEY(REQUIREMENT_COLLECTION_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RIODS.REQUIREMENT_COLLECTION  ADD CONSTRAINT REQUI_COLLECT_FK1 FOREIGN KEY  (RELEASE_ID) REFERENCES RIODS.RELEASE  (RELEASE_ID);
  ALTER TABLE RIODS.REQUIREMENT_COLLECTION  ADD CONSTRAINT REQUI_COLLECT_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIODS.PROJECT  (PROJECT_ID);
  ALTER TABLE RIODS.REQUIREMENT_COLLECTION  ADD CONSTRAINT REQUI_COLLECT_FK3 FOREIGN KEY  (PLANNED_ITERATION_ID) REFERENCES RIODS.ITERATION  (ITERATION_ID);
  ALTER TABLE RIODS.REQUIREMENT_COLLECTION  ADD CONSTRAINT REQUI_COLLECT_FK4 FOREIGN KEY  (ACTUAL_ITERATION_ID) REFERENCES RIODS.ITERATION  (ITERATION_ID); 
  CREATE INDEX RIODS.REQUI_COLLECT_IDX3 ON RIODS.REQUIREMENT_COLLECTION  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.REQUI_COLLECT_IDX4 ON RIODS.REQUIREMENT_COLLECTION  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.REQUI_COLLECT_IDX5 ON RIODS.REQUIREMENT_COLLECTION  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.REQUI_COLLECT_IDX2 ON RIODS.REQUIREMENT_COLLECTION  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
 INSERT INTO RIODS.REQUIREMENT_COLLECTION(REQUIREMENT_COLLECTION_ID,NAME) VALUES (-1,'Info not available'); 
 CREATE TABLE RIODS.REQUICOL_REQUIREMENT_LOOKUP ( REQUIREMENT_COLLECTION_ID INTEGER NOT NULL, REQUIREMENT_ID INTEGER NOT NULL )  TABLESPACE VNF_32K;
 ALTER TABLE RIODS.REQUICOL_REQUIREMENT_LOOKUP ADD CONSTRAINT REQUICOLLECT_PK PRIMARY KEY(REQUIREMENT_COLLECTION_ID, REQUIREMENT_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RIODS.REQUICOL_REQUIREMENT_LOOKUP  ADD CONSTRAINT REQUICOLLECT_FK1 FOREIGN KEY  (REQUIREMENT_COLLECTION_ID) REFERENCES RIODS.REQUIREMENT_COLLECTION  (REQUIREMENT_COLLECTION_ID); 
  ALTER TABLE RIODS.REQUICOL_REQUIREMENT_LOOKUP  ADD CONSTRAINT REQUICOLLECT_FK2 FOREIGN KEY  (REQUIREMENT_ID) REFERENCES RIODS.REQUIREMENT  (REQUIREMENT_ID);
 CREATE TRIGGER RIODS.TRG_REQUICOL AFTER UPDATE OF REC_DATETIME ON RIODS.REQUIREMENT_COLLECTION   FOR EACH ROW BEGIN   DELETE FROM RIODS.REQUICOL_REQUIREMENT_LOOKUP WHERE REQUIREMENT_COLLECTION_ID=:NEW.REQUIREMENT_COLLECTION_ID; END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
 CREATE TABLE RIODS.REQUICOL_TESTPLAN_LOOKUP ( REQUIREMENT_COLLECTION_ID INTEGER NOT NULL, TESTPLAN_ID INTEGER NOT NULL )  TABLESPACE VNF_32K;
 ALTER TABLE RIODS.REQUICOL_TESTPLAN_LOOKUP ADD CONSTRAINT REQUICOL_TESTP_PK PRIMARY KEY(REQUIREMENT_COLLECTION_ID, TESTPLAN_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RIODS.REQUICOL_TESTPLAN_LOOKUP  ADD CONSTRAINT REQUICOL_TESTP_FK1 FOREIGN KEY  (REQUIREMENT_COLLECTION_ID) REFERENCES RIODS.REQUIREMENT_COLLECTION  (REQUIREMENT_COLLECTION_ID);
  ALTER TABLE RIODS.REQUICOL_TESTPLAN_LOOKUP  ADD CONSTRAINT REQUICOL_TESTP_FK2 FOREIGN KEY  (TESTPLAN_ID) REFERENCES RIODS.TESTPLAN  (TESTPLAN_ID);
 CREATE TRIGGER RIODS.TRG_REQUICOLTP AFTER UPDATE OF REC_DATETIME ON RIODS.REQUIREMENT_COLLECTION   FOR EACH ROW BEGIN   DELETE FROM RIODS.REQUICOL_TESTPLAN_LOOKUP WHERE REQUIREMENT_COLLECTION_ID=:NEW.REQUIREMENT_COLLECTION_ID; END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
 DROP INDEX RIODS.REQUI_IDX1; 
 DROP INDEX RIODS.REQUI_IDX2; 
  CREATE INDEX RIODS.REQUI_IDX2 ON RIODS.REQUIREMENT  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 ALTER TABLE RIODS.REQUIREMENT_HIERARCHY ADD LINK_TYPE VARCHAR(255);
  CREATE INDEX RIODS.REQREV_IDX3 ON RIODS.REQUIREMENT_REVISION_HISTORY  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.REQREV_IDX4 ON RIODS.REQUIREMENT_REVISION_HISTORY  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.REQREV_IDX5 ON RIODS.REQUIREMENT_REVISION_HISTORY  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.RESERV_IDX1;
 DROP INDEX RIODS.RESERV_IDX2;
  CREATE INDEX RIODS.RESERV_IDX2 ON RIODS.RESERVATION  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
 DROP INDEX RIODS.RESOURCE_IDX1;
 DROP INDEX RIODS.RESOURCE_IDX2;
  CREATE INDEX RIODS.RESOURCE_IDX2 ON RIODS."RESOURCE"  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.RESGRP_IDX1;
 DROP INDEX RIODS.RESGRP_IDX2;
  CREATE INDEX RIODS.RESGRP_IDX2 ON RIODS.RESOURCE_GROUP  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.RISK_IDX1;
 DROP INDEX RIODS.RISK_IDX2;
  CREATE INDEX RIODS.RISK_IDX2 ON RIODS.RISK  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 CREATE TABLE RIODS.RISK_REQUEST_LOOKUP ( RISK_ID INTEGER NOT NULL, REQUEST_ID INTEGER NOT NULL )  TABLESPACE VNF_32K;
 ALTER TABLE RIODS.RISK_REQUEST_LOOKUP ADD CONSTRAINT RSKREQLK_PK PRIMARY KEY(RISK_ID, REQUEST_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RIODS.RISK_REQUEST_LOOKUP  ADD CONSTRAINT RSKREQLK_FK1 FOREIGN KEY  (RISK_ID) REFERENCES RIODS.RISK  (RISK_ID); 
  ALTER TABLE RIODS.RISK_REQUEST_LOOKUP  ADD CONSTRAINT RSKREQLK_FK2 FOREIGN KEY  (REQUEST_ID) REFERENCES RIODS.REQUEST  (REQUEST_ID);
 CREATE TRIGGER RIODS.TRG_RSKREQUST AFTER UPDATE OF REC_DATETIME ON RIODS.RISK   FOR EACH ROW BEGIN   DELETE FROM RIODS.RISK_REQUEST_LOOKUP WHERE RISK_ID=:NEW.RISK_ID; END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
 DROP INDEX RIODS.RISKSTH_IDX2; 
 DROP INDEX RIODS.RISKSTH_IDX1; 
 DROP INDEX RIODS.SKILL_IDX1; 
 DROP INDEX RIODS.SKILL_IDX2; 
  CREATE INDEX RIODS.SKILL_IDX2 ON RIODS.SKILL  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.TASK_IDX1;
 DROP INDEX RIODS.TASK_IDX2;
  CREATE INDEX RIODS.TASK_IDX2 ON RIODS.TASK  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.TASK_BASE_IDX1; 
 DROP INDEX RIODS.TASK_BASE_IDX2; 
  CREATE INDEX RIODS.TASK_BASE_IDX2 ON RIODS.TASK_BASELINE  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.TASKCAT_IDX1; 
 DROP INDEX RIODS.TASKCAT_IDX2; 
  CREATE INDEX RIODS.TASKCAT_IDX2 ON RIODS.TASK_CATEGORY  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.TSKSTH_IDX1;
 DROP INDEX RIODS.TSKSTH_IDX2;
 ALTER TABLE RIODS.TEAM ADD PROJECT_ID INTEGER DEFAULT -1 NOT NULL; 
  ALTER TABLE RIODS.TEAM  ADD CONSTRAINT CMPTEAM_FK1 FOREIGN KEY  (PROJECT_ID) REFERENCES RIODS.PROJECT  (PROJECT_ID);
 DROP INDEX RIODS.COMPTEAM_IDX1;
 DROP INDEX RIODS.COMPTEAM_IDX2;
  CREATE INDEX RIODS.COMPTEAM_IDX2 ON RIODS.TEAM  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 CREATE TABLE RIODS.TEAM_ROLE ( TEAM_ROLE_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Team Role Name Missing' NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), TEAM_ID INTEGER DEFAULT -1 NOT NULL , OWNER_ID INTEGER DEFAULT -1 NOT NULL , URL VARCHAR(2048), EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K; 
 ALTER TABLE RIODS.TEAM_ROLE ADD CONSTRAINT TEAMRL_PK PRIMARY KEY(TEAM_ROLE_ID)  USING INDEX TABLESPACE VNF_IDX;
  ALTER TABLE RIODS.TEAM_ROLE  ADD CONSTRAINT TEAMRL_FK1 FOREIGN KEY  (TEAM_ID) REFERENCES RIODS.TEAM  (TEAM_ID); 
 INSERT INTO RIODS.TEAM_ROLE(TEAM_ROLE_ID,NAME) VALUES (-1,'Info not available'); 
  CREATE INDEX RIODS.TMP_ACTIHIS_IDX ON RIODS.TEMP_ACTIVITY_HISTORY  (HISTORY_DBID ASC,  DATASOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 ALTER TABLE RIODS.TEMP_BASELINE ADD BASELINE_TYPE VARCHAR(255);
  CREATE INDEX RIODS.TMP_BSLINE_IDX ON RIODS.TEMP_BASELINE  (BASELINE_ID ASC,  PARENT_ID ASC,  DATASOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.TMP_CALENDAR_IDX ON RIODS.TEMP_CALENDAR  (IDREF ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.TMP_CALERAN_IDX ON RIODS.TEMP_CAL_EXCEPTION_RANGE  (IDREF ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.TMP_COMPNT_IDX ON RIODS.TEMP_COMPONENT  (BASELINEACTIVITIESUNIQUEID ASC,  COMPONENTUNIQUEID ASC,  BASELINEUNIQUEID ASC,  FILEELEMENTUNIQUEID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.TMP_FILEVER_IDX ON RIODS.TEMP_FILEVERSION  (UNIQUEID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.TMP_PROJ_IDX ON RIODS.TEMP_PROJECT  (VERSIONUNIQUEID ASC,  ACTIVITYUNIQUEID ASC,  PROJECTUNIQUEID ASC,  STREAMUNIQUEID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.TMP_PROJCAL_IDX ON RIODS.TEMP_PROJECT_CALENDAR  (PROJECT_IDREF ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.TMP_RPJ_CAL_EXC_IDX1 ON RIODS.TEMP_PROJECT_CALENDAR_EXCEP  (EXCEPTION_DATE ASC,  EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
 CREATE TABLE RIODS.TEMP_REQUEST ( REQUEST_CLASS_ID INTEGER DEFAULT -1 NOT NULL , NAME VARCHAR(255) DEFAULT 'Request Name Missing' NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), PROJECT_ID INTEGER DEFAULT -1 NOT NULL , COMPONENT_ID INTEGER DEFAULT -1 NOT NULL , BUILD_ID INTEGER DEFAULT -1 NOT NULL , PROJECT_CATEGORY_ID INTEGER DEFAULT -1 NOT NULL , PHASE_ID INTEGER DEFAULT -1 NOT NULL , SEVERITY VARCHAR(255), REQUEST_STATE VARCHAR(255), PRIORITY VARCHAR(255), PLATFORM VARCHAR(255), ITERATION_ID INTEGER DEFAULT -1 NOT NULL , RELEASE_ID INTEGER DEFAULT -1 NOT NULL , FIXEDINRELEASE_ID INTEGER DEFAULT -1 NOT NULL , SLOC_CHANGE INTEGER DEFAULT 0, OWNER_ID INTEGER DEFAULT -1 NOT NULL , REQUEST_CATEGORY_ID INTEGER DEFAULT -1 NOT NULL , TEAM_ID INTEGER DEFAULT -1 NOT NULL , RESOLVER_ID INTEGER DEFAULT -1 NOT NULL , IS_BLOCKING INTEGER DEFAULT 0 NOT NULL , REQUEST_SOURCE VARCHAR(255), CREATION_DATE TIMESTAMP, CLOSED_DATE TIMESTAMP, SUBMIT_DATE TIMESTAMP, RESOLVED_DATE TIMESTAMP, ASSIGNED_DATE TIMESTAMP, DUPLICATE_DATE TIMESTAMP, ACTIVATE_DATE TIMESTAMP, STATUS VARCHAR(255), CUSTOMER_PRIORITY VARCHAR(255), RESOLUTION VARCHAR(255), REQUEST_TYPE VARCHAR(255), PLANNED_WORK INTEGER, ACTUAL_WORK INTEGER, COMMENT_COUNT INTEGER, SUBSCRIBER_COUNT INTEGER, STORY_POINTS INTEGER, TAGS VARCHAR(255), SUMMARY VARCHAR(1000), URL VARCHAR(2048), EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K; 
 ALTER TABLE RIODS.TEMP_REQUEST_HISTORY ADD ENTITYDEF_ID INTEGER; 
  CREATE INDEX RIODS.TMPHISREQ_IDX6 ON RIODS.TEMP_REQUEST_HISTORY  (HISTORY_UUID_DBID ASC,  DATASOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.TMP_REQHIS_IDX ON RIODS.TEMP_REQUEST_HISTORY  (HISTORY_DBID ASC,  DATASOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 ALTER TABLE RIODS.TEMP_REQUIREMENT ADD CREATED_BY_URL VARCHAR(2048); 
 ALTER TABLE RIODS.TEMP_REQUIREMENT ADD DIFFICULTY2 VARCHAR(255); 
 ALTER TABLE RIODS.TEMP_REQUIREMENT ADD DIFFICULTY3 VARCHAR(255); 
 ALTER TABLE RIODS.TEMP_REQUIREMENT ADD IMPACT VARCHAR(255);
 ALTER TABLE RIODS.TEMP_REQUIREMENT ADD IMPLEMENTED_BY VARCHAR(40); 
 ALTER TABLE RIODS.TEMP_REQUIREMENT ADD INCOMING_LINK VARCHAR(40);
 ALTER TABLE RIODS.TEMP_REQUIREMENT ADD ORIGIN VARCHAR(255);
 ALTER TABLE RIODS.TEMP_REQUIREMENT ADD ORIGIN_TYPE VARCHAR(255); 
 ALTER TABLE RIODS.TEMP_REQUIREMENT ADD OUTGOING_LINK VARCHAR(40);
 ALTER TABLE RIODS.TEMP_REQUIREMENT ADD PRIORITY2 VARCHAR(255); 
 ALTER TABLE RIODS.TEMP_REQUIREMENT ADD PRIORITY3 VARCHAR(255); 
 ALTER TABLE RIODS.TEMP_REQUIREMENT ADD PROJECT_NAME VARCHAR(255);
 ALTER TABLE RIODS.TEMP_REQUIREMENT ADD PROJECT_URL VARCHAR(2048);
 ALTER TABLE RIODS.TEMP_REQUIREMENT ADD REFERENCE_ID VARCHAR(50); 
 ALTER TABLE RIODS.TEMP_REQUIREMENT ADD REQ_ARTIFACT VARCHAR(40); 
 ALTER TABLE RIODS.TEMP_REQUIREMENT ADD STABILITY2 VARCHAR(255);
 ALTER TABLE RIODS.TEMP_REQUIREMENT ADD STABILITY3 VARCHAR(255);
 ALTER TABLE RIODS.TEMP_REQUIREMENT ADD STATUS2 VARCHAR(255); 
 ALTER TABLE RIODS.TEMP_REQUIREMENT ADD STATUS3 VARCHAR(255); 
 ALTER TABLE RIODS.TEMP_REQUIREMENT ADD TARGET VARCHAR(255);
  CREATE INDEX RIODS.TMP_REQUI_IDX ON RIODS.TEMP_REQUIREMENT  (IDENTIFIER ASC,  DATASOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
 CREATE TABLE RIODS.TEMP_RESOURCE ( ID INTEGER, STATE VARCHAR(50), PROJECT VARCHAR(256), ROW_ID VARCHAR(20), COLUMNID VARCHAR(20), VALUE VARCHAR(20), DATASOURCE_ID VARCHAR(40) )  TABLESPACE VNF_32K;
  CREATE INDEX RIODS.TMP_RSC_IDX ON RIODS.TEMP_RESOURCE  (ID ASC,  ROW_ID ASC,  COLUMNID ASC,  DATASOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 ALTER TABLE RIODS.TEMP_RESOURCE_CALENDAR ADD FRIDAY_WORKTIME INTEGER;
 ALTER TABLE RIODS.TEMP_RESOURCE_CALENDAR ADD MONDAY_WORKTIME INTEGER;
 ALTER TABLE RIODS.TEMP_RESOURCE_CALENDAR ADD SATURDAY_WORKTIME INTEGER;
 ALTER TABLE RIODS.TEMP_RESOURCE_CALENDAR ADD SUNDAY_WORKTIME INTEGER;
 ALTER TABLE RIODS.TEMP_RESOURCE_CALENDAR ADD THURSDAY_WORKTIME INTEGER;
 ALTER TABLE RIODS.TEMP_RESOURCE_CALENDAR ADD TUESDAY_WORKTIME INTEGER; 
 ALTER TABLE RIODS.TEMP_RESOURCE_CALENDAR ADD WEDNESDAY_WORKTIME INTEGER; 
  CREATE INDEX RIODS.TMP_RESCAL_IDX ON RIODS.TEMP_RESOURCE_CALENDAR  (RESOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.TMP_RSC_CAL_EXC_IDX1 ON RIODS.TEMP_RESOURCE_CALENDAR_EXCEP  (EXCEPTION_DATE ASC,  EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.TMP_TASKHIS_IDX ON RIODS.TEMP_TASK_HISTORY  (HISTORY_DBID ASC,  DATASOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.TMP_CATEG_IDX ON RIODS.TEMP_TEST_CATEGORY  (DATASOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 CREATE TABLE RIODS.TEMP_TIMEGRID_HEAD ( COLUMN_ID VARCHAR(10), PROJECT_ID VARCHAR(40), CELL_ID VARCHAR(40), SHEET INTEGER, TIMESCALE VARCHAR(10), DATASOURCE_ID VARCHAR(36), YEAR INTEGER, QUARTER INTEGER, MONTH INTEGER )  TABLESPACE VNF_32K; 
 CREATE TABLE RIODS.TEMP_TIMESHEET ( TIMESHEET_DATE TIMESTAMP, ACTUAL_WORK INTEGER, ITEM_ID VARCHAR(255), TIMECODE VARCHAR(36), DATASOURCE_ID VARCHAR(36) )  TABLESPACE VNF_32K;
 CREATE TABLE RIODS.TEMP_TIMESHEET_REQUEST_LOOKUP ( TIMESHEET_ID VARCHAR(36), REQUEST_ID VARCHAR(36), DATASOURCE_ID VARCHAR(36) )  TABLESPACE VNF_32K;
 DROP INDEX RIODS.TESTCASE_IDX1;
 DROP INDEX RIODS.TESTCASE_IDX2;
  CREATE INDEX RIODS.TESTCASE_IDX2 ON RIODS.TESTCASE  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.TESTCASE_IDX6 ON RIODS.TESTCASE (TESTPLAN_ID ASC,TESTCASE_ID ASC) REVERSE TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.TESTPLAN_IDX1;
 DROP INDEX RIODS.TESTPLAN_IDX2;
  CREATE INDEX RIODS.TESTPLAN_IDX2 ON RIODS.TESTPLAN  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.TESTPLAN_IDX6 ON RIODS.TESTPLAN (TESTPLAN_ID ASC,ASSETREGISTRY_ID ASC)  REVERSE TABLESPACE VNF_IDX; 
 DROP INDEX RIODS.TESTSCRIPT_IDX1;
 DROP INDEX RIODS.TESTSCRIPT_IDX2;
  CREATE INDEX RIODS.TESTSCRIPT_IDX2 ON RIODS.TESTSCRIPT  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 ALTER TABLE RIODS.TESTSUITE ADD CREATOR_ID INTEGER DEFAULT -1 NOT NULL;
 ALTER TABLE RIODS.TESTSUITE ADD DESCRIPTION VARCHAR(255);
 ALTER TABLE RIODS.TESTSUITE ADD ISSEQUENTIAL SMALLINT; 
 ALTER TABLE RIODS.TESTSUITE ADD WEIGHT INTEGER;
  ALTER TABLE RIODS.TESTSUITE  ADD CONSTRAINT TESTSUITE_FK6 FOREIGN KEY  (CREATOR_ID) REFERENCES RIODS."RESOURCE"  (RESOURCE_ID); 
 DROP INDEX RIODS.TESTSUITE_IDX1; 
 DROP INDEX RIODS.TESTSUITE_IDX2; 
  CREATE INDEX RIODS.TESTSUITE_IDX2 ON RIODS.TESTSUITE  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 CREATE TABLE RIODS.TESTSUITE_EXECUTION_RECORD ( TESTSUITE_EXECRECORD_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'Test Suite Execution Record Name Missing' NOT NULL,PROJECT_ID INTEGER DEFAULT -1  NOT NULL, CREATOR_ID INTEGER DEFAULT -1 NOT NULL , OWNER_ID INTEGER DEFAULT -1 NOT NULL , TESTSUITE_ID INTEGER DEFAULT -1 NOT NULL , TESTPLAN_ID INTEGER DEFAULT -1 NOT NULL , ITERATION_ID INTEGER DEFAULT -1 NOT NULL , CONFIGURATION_ID INTEGER DEFAULT -1 NOT NULL , CURRENT_SUITELOG_ID INTEGER DEFAULT -1 NOT NULL , WEIGHT INTEGER,CREATION_DATE TIMESTAMP,LAST_UPDATED TIMESTAMP,ISSEQUENTIAL INTEGER, EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K; 
 ALTER TABLE RIODS.TESTSUITE_EXECUTION_RECORD ADD CONSTRAINT TSEXECREC_PK PRIMARY KEY(TESTSUITE_EXECRECORD_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RIODS.TESTSUITE_EXECUTION_RECORD  ADD CONSTRAINT TSEXECREC_FK1 FOREIGN KEY  (CREATOR_ID) REFERENCES RIODS."RESOURCE"  (RESOURCE_ID);
  ALTER TABLE RIODS.TESTSUITE_EXECUTION_RECORD  ADD CONSTRAINT TSEXECREC_FK2 FOREIGN KEY  (OWNER_ID) REFERENCES RIODS."RESOURCE"  (RESOURCE_ID);
  ALTER TABLE RIODS.TESTSUITE_EXECUTION_RECORD  ADD CONSTRAINT TSEXECREC_FK3 FOREIGN KEY  (TESTSUITE_ID) REFERENCES RIODS.TESTSUITE  (TESTSUITE_ID);
  ALTER TABLE RIODS.TESTSUITE_EXECUTION_RECORD  ADD CONSTRAINT TSEXECREC_FK4 FOREIGN KEY  (TESTPLAN_ID) REFERENCES RIODS.TESTPLAN  (TESTPLAN_ID); 
  ALTER TABLE RIODS.TESTSUITE_EXECUTION_RECORD  ADD CONSTRAINT TSEXECREC_FK5 FOREIGN KEY  (CONFIGURATION_ID) REFERENCES RIODS.CONFIGURATION  (CONFIGURATION_ID);
  ALTER TABLE RIODS.TESTSUITE_EXECUTION_RECORD ADD CONSTRAINT TSEXECREC_FK7 FOREIGN KEY (PROJECT_ID) REFERENCES RIODS.PROJECT (PROJECT_ID); 
  ALTER TABLE RIODS.TESTSUITE_EXECUTION_RECORD ADD CONSTRAINT TSEXECREC_FK8 FOREIGN KEY (ITERATION_ID) REFERENCES RIODS.ITERATION (ITERATION_ID); 
  CREATE INDEX RIODS.SUITEEXECREC_IDX3 ON RIODS.TESTSUITE_EXECUTION_RECORD  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.SUITEEXECREC_IDX4 ON RIODS.TESTSUITE_EXECUTION_RECORD  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.SUITEEXECREC_IDX5 ON RIODS.TESTSUITE_EXECUTION_RECORD  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.SUITEEXECREC_IDX2 ON RIODS.TESTSUITE_EXECUTION_RECORD  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 INSERT INTO RIODS.TESTSUITE_EXECUTION_RECORD(TESTSUITE_EXECRECORD_ID,NAME) VALUES (-1,'Info not available'); 
 CREATE TABLE RIODS.TESTSUITE_CATEGORY_LOOKUP ( TESTSUITE_ID INTEGER NOT NULL, TEST_CATEGORY_ID INTEGER NOT NULL )  TABLESPACE VNF_32K; 
 ALTER TABLE RIODS.TESTSUITE_CATEGORY_LOOKUP ADD CONSTRAINT TSTSUITECATLK_PK PRIMARY KEY(TESTSUITE_ID, TEST_CATEGORY_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RIODS.TESTSUITE_CATEGORY_LOOKUP  ADD CONSTRAINT TSTSUITECATLK_FK1 FOREIGN KEY  (TESTSUITE_ID) REFERENCES RIODS.TESTSUITE  (TESTSUITE_ID); 
  ALTER TABLE RIODS.TESTSUITE_CATEGORY_LOOKUP  ADD CONSTRAINT TSTSUITECATLK_FK2 FOREIGN KEY  (TEST_CATEGORY_ID) REFERENCES RIODS.TEST_CATEGORY  (TEST_CATEGORY_ID); 
 CREATE TRIGGER RIODS.TRG_TSCATLK AFTER UPDATE OF REC_DATETIME ON RIODS.TESTSUITE   FOR EACH ROW BEGIN   DELETE FROM RIODS.TESTSUITE_CATEGORY_LOOKUP WHERE TESTSUITE_ID=:NEW.TESTSUITE_ID; END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
 ALTER TABLE RIODS.TESTSUITELOG ADD TESTPLAN_ID INTEGER DEFAULT -1 NOT NULL;
 ALTER TABLE RIODS.TESTSUITELOG ADD TESTSUITE_EXECRECORD_ID INTEGER DEFAULT -1 NOT NULL;
 ALTER TABLE RIODS.TESTSUITELOG ADD WEIGHT INTEGER; 
 ALTER TABLE RIODS.TESTSUITELOG ADD POINTS_PASSED INTEGER;
 ALTER TABLE RIODS.TESTSUITELOG ADD POINTS_FAILED INTEGER;
 ALTER TABLE RIODS.TESTSUITELOG ADD POINTS_BLOCKED INTEGER; 
 ALTER TABLE RIODS.TESTSUITELOG ADD POINTS_INCONCLUSIVE INTEGER;
 ALTER TABLE RIODS.TESTSUITELOG ADD POINTS_ATTEMPTED INTEGER; 
 ALTER TABLE RIODS.TESTSUITELOG ADD POINTS_PERMFAILED INTEGER;
 DROP INDEX RIODS.TESTSUITELOG_IDX1;
 DROP INDEX RIODS.TESTSUITELOG_IDX2;
  CREATE INDEX RIODS.TESTSUITELOG_IDX2 ON RIODS.TESTSUITELOG  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 ALTER TABLE RIODS.TESTSUITELOG ADD CONSTRAINT  TESTSUITELOG_FK6 FOREIGN KEY (TESTPLAN_ID)	REFERENCES RIODS.TESTPLAN (TESTPLAN_ID); 
 ALTER TABLE RIODS.TESTSUITELOG ADD CONSTRAINT  TESTSUITELOG_FK7 FOREIGN KEY (TESTSUITE_EXECRECORD_ID) REFERENCES RIODS.TESTSUITE_EXECUTION_RECORD (TESTSUITE_EXECRECORD_ID); 
 CREATE TABLE RIODS.TESTSUITE_TESTPLAN_LOOKUP ( TESTSUITE_ID INTEGER NOT NULL, TESTPLAN_ID INTEGER NOT NULL )  TABLESPACE VNF_32K;
 ALTER TABLE RIODS.TESTSUITE_TESTPLAN_LOOKUP ADD CONSTRAINT TSTSUITETPLNLK_PK PRIMARY KEY(TESTSUITE_ID, TESTPLAN_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RIODS.TESTSUITE_TESTPLAN_LOOKUP  ADD CONSTRAINT TSTSUITETPLNLK_FK1 FOREIGN KEY  (TESTSUITE_ID) REFERENCES RIODS.TESTSUITE  (TESTSUITE_ID);
  ALTER TABLE RIODS.TESTSUITE_TESTPLAN_LOOKUP  ADD CONSTRAINT TSTSUITETPLNLK_FK2 FOREIGN KEY  (TESTPLAN_ID) REFERENCES RIODS.TESTPLAN  (TESTPLAN_ID); 
 CREATE TRIGGER RIODS.TRG_TSTPLTLK AFTER UPDATE OF REC_DATETIME ON RIODS.TESTSUITE   FOR EACH ROW BEGIN   DELETE FROM RIODS.TESTSUITE_TESTPLAN_LOOKUP WHERE TESTSUITE_ID=:NEW.TESTSUITE_ID; END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
 DROP INDEX RIODS.TESTTYPE_IDX1;
 DROP INDEX RIODS.TESTTYPE_IDX2;
  CREATE INDEX RIODS.TESTTYPE_IDX2 ON RIODS.TESTTYPE  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.TSTCAT_IDX3 ON RIODS.TEST_CATEGORY  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.TSTCAT_IDX4 ON RIODS.TEST_CATEGORY  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.TSTCAT_IDX5 ON RIODS.TEST_CATEGORY  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.TSTCAT_IDX6 ON RIODS.TEST_CATEGORY  (TERM ASC,  VALUE ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.TSTCAT_IDX2 ON RIODS.TEST_CATEGORY  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.TIMECODE_IDX3 ON RIODS.TIMECODE  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.TIMECODE_IDX4 ON RIODS.TIMECODE  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.TIMECODE_IDX5 ON RIODS.TIMECODE  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.TIMECODE_IDX2 ON RIODS.TIMECODE  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.TIMESHEET_IDX3 ON RIODS.TIMESHEET  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.TIMESHEET_IDX4 ON RIODS.TIMESHEET  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.TIMESHEET_IDX5 ON RIODS.TIMESHEET  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.TIMESHEET_IDX2 ON RIODS.TIMESHEET  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.UNT_TSTRES_IDX3 ON RIODS.UNIT_TEST_RESULT  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.UNT_TSTRES_IDX4 ON RIODS.UNIT_TEST_RESULT  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.UNT_TSTRES_IDX5 ON RIODS.UNIT_TEST_RESULT  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.UNT_TSTRES_IDX6 ON RIODS.UNIT_TEST_RESULT  (PROJECT_ID ASC,  TEAM_ID ASC,  BUILD_TYPE ASC,  COMPONENT_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
 INSERT INTO RIODS.BUILD_CLASSIFICATION(BUILD_CLASS_ID, NAME)				 		VALUES(4, 'RQM Build'); 
 INSERT INTO RIODS.PROJECT_CLASSIFICATION(PROJECT_CLASS_ID, NAME)				 		VALUES(12, 'MCIF Self-Check Project');
 INSERT INTO RIODS.PROJECT_CLASSIFICATION(PROJECT_CLASS_ID, NAME)				 		VALUES(11, 'RAM Project');
 INSERT INTO RIODS.PROJECT_CLASSIFICATION(PROJECT_CLASS_ID, NAME)				 		VALUES(9, 'Focal Point Project'); 
 INSERT INTO RIODS.PROJECT_CLASSIFICATION(PROJECT_CLASS_ID, NAME)				 		VALUES(10, 'RRC Project');
 INSERT INTO RIODS.REQUEST_CLASSIFICATION(REQUEST_CLASS_ID, NAME)				 		VALUES(8, 'Focal Point Change Request');
 INSERT INTO RIODS.REQUIREMENT_CLASSIFICATION(REQUIREMENT_CLASS_ID, NAME)				 		VALUES(24, 'Focal Point Requirement');
 INSERT INTO RIODS.REQUIREMENT_CLASSIFICATION(REQUIREMENT_CLASS_ID, NAME)				 		VALUES(23, 'RRC Requirement');
 INSERT INTO RIODS.REQUIREMENT_CLASSIFICATION(REQUIREMENT_CLASS_ID, NAME)				 		VALUES(25, 'ReqPro Requirement'); 
 CREATE TABLE RIODS.TESTSUITE_ELEMENT (TESTSUITE_ELEMENT_ID INTEGER NOT NULL,REFERENCE_ID VARCHAR(50),EXTERNAL_ID VARCHAR(100),NAME VARCHAR(255) DEFAULT 'Test Suite Element Name Missing' NOT NULL,TESTSUITE_ID INTEGER DEFAULT -1 NOT NULL,TESTCASE_ID INTEGER DEFAULT -1 NOT NULL,CONFIGURATION_ID INTEGER DEFAULT -1 NOT NULL,TESTSCRIPT_ID INTEGER DEFAULT -1 NOT NULL,ELEMENT_INDEX INTEGER,EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL,EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL,SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL,URL VARCHAR(2048),REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL)TABLESPACE VNF_32K;
 CREATE INDEX RIODS.TSTSELE_IDX3 ON RIODS.TESTSUITE_ELEMENT (EXTERNAL_KEY2) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.TSTSELE_IDX4 ON RIODS.TESTSUITE_ELEMENT (EXTERNAL_KEY1,SOURCE_ID) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.TSTSELE_IDX5 ON RIODS.TESTSUITE_ELEMENT (EXTERNAL_KEY2,SOURCE_ID) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.TSTSELE_IDX2 ON RIODS.TESTSUITE_ELEMENT (EXTERNAL_ID) REVERSE TABLESPACE VNF_IDX; 
 ALTER TABLE RIODS.TESTSUITE_ELEMENT ADD CONSTRAINT TSTSUITELE_PK PRIMARY KEY (TESTSUITE_ELEMENT_ID) USING INDEX TABLESPACE VNF_IDX;
 ALTER TABLE RIODS.TESTSUITE_ELEMENT ADD CONSTRAINT TSTSUITELE_FK1 FOREIGN KEY (TESTSUITE_ID) REFERENCES RIODS.TESTSUITE (TESTSUITE_ID);
 ALTER TABLE RIODS.TESTSUITE_ELEMENT ADD CONSTRAINT TSTSUITELE_FK2 FOREIGN KEY (TESTCASE_ID) REFERENCES RIODS.TESTCASE (TESTCASE_ID); 
 ALTER TABLE RIODS.TESTSUITE_ELEMENT ADD CONSTRAINT TSTSUITELE_FK3 FOREIGN KEY (CONFIGURATION_ID) REFERENCES RIODS.CONFIGURATION (CONFIGURATION_ID);
 ALTER TABLE RIODS.TESTSUITE_ELEMENT ADD CONSTRAINT TSTSUITELE_FK4 FOREIGN KEY (TESTSCRIPT_ID) REFERENCES RIODS.TESTSCRIPT (TESTSCRIPT_ID); 
 INSERT INTO RIODS.TESTSUITE_ELEMENT (TESTSUITE_ELEMENT_ID,NAME) VALUES (-1,'Info not available');
 GRANT REFERENCES ON RIODS.PROJECT TO RIASSET;
 GRANT REFERENCES ON RIODS.TEAM TO RIASSET; 
 GRANT REFERENCES ON RIODS."RESOURCE" TO RIASSET; 
 GRANT REFERENCES ON RIODS.REQUIREMENT TO RIASSET;
 GRANT REFERENCES ON RIODS.REQUEST TO RIASSET;
 GRANT REFERENCES ON RIODS.TESTPLAN TO RIASSET; 
 GRANT REFERENCES ON RIODS.TESTCASE TO RIASSET; 
 CREATE TABLE RIASSET.ACTION_TYPE ( ACTION_TYPE_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'Action Name Missing' NOT NULL, EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K; 
 ALTER TABLE RIASSET.ACTION_TYPE ADD CONSTRAINT ACTIONTP_PK PRIMARY KEY(ACTION_TYPE_ID)  USING INDEX TABLESPACE VNF_IDX;
  CREATE INDEX RIASSET.ACTTYPE_IDX3 ON RIASSET.ACTION_TYPE  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIASSET.ACTTYPE_IDX4 ON RIASSET.ACTION_TYPE  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIASSET.ACTTYPE_IDX5 ON RIASSET.ACTION_TYPE  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIASSET.ACTTYPE_IDX2 ON RIASSET.ACTION_TYPE  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 INSERT INTO RIASSET.ACTION_TYPE(ACTION_TYPE_ID,NAME) VALUES (-1,'Info not available'); 
 CREATE TABLE RIASSET.ASSET_TYPE ( ASSET_TYPE_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(80), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'Asset Type Name Missing' NOT NULL, EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(80) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K; 
 ALTER TABLE RIASSET.ASSET_TYPE ADD CONSTRAINT ASSETTP_PK PRIMARY KEY(ASSET_TYPE_ID)  USING INDEX TABLESPACE VNF_IDX; 
  CREATE INDEX RIASSET.ASSETTP_IDX5 ON RIASSET.ASSET_TYPE  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIASSET.ASSETTP_IDX3 ON RIASSET.ASSET_TYPE  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIASSET.ASSETTP_IDX2 ON RIASSET.ASSET_TYPE  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIASSET.ASSETTP_IDX4 ON RIASSET.ASSET_TYPE  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
 INSERT INTO RIASSET.ASSET_TYPE(ASSET_TYPE_ID,NAME) VALUES (-1,'Info not available'); 
 CREATE TABLE RIASSET.ASSET ( ASSET_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(80), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'Asset Name Missing' NOT NULL, PROJECT_ID INTEGER DEFAULT -1 NOT NULL , VERSION VARCHAR(255), ASSET_TYPE_ID INTEGER DEFAULT -1 NOT NULL, ASSET_STATE VARCHAR(255), LAST_MODIFIED TIMESTAMP, EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(80) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K; 
 ALTER TABLE RIASSET.ASSET ADD CONSTRAINT ASSET_PK PRIMARY KEY(ASSET_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RIASSET.ASSET  ADD CONSTRAINT ASSET_FK2 FOREIGN KEY  (ASSET_TYPE_ID) REFERENCES RIASSET.ASSET_TYPE  (ASSET_TYPE_ID);
  ALTER TABLE RIASSET.ASSET  ADD CONSTRAINT ASSET_FK1 FOREIGN KEY  (PROJECT_ID) REFERENCES RIODS.PROJECT  (PROJECT_ID); 
  CREATE INDEX RIASSET.ASSET_IDX3 ON RIASSET.ASSET  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIASSET.ASSET_IDX4 ON RIASSET.ASSET  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIASSET.ASSET_IDX5 ON RIASSET.ASSET  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIASSET.ASSET_IDX2 ON RIASSET.ASSET  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 INSERT INTO RIASSET.ASSET(ASSET_ID,NAME) VALUES (-1,'Info not available'); 
 CREATE TABLE RIASSET.ASSET_HISTORY ( HISTORY_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), ASSET_ID INTEGER NOT NULL, ACTION_TYPE_ID INTEGER DEFAULT -1 NOT NULL , RESOURCE_ID INTEGER DEFAULT -1 NOT NULL , ACTION_DATE TIMESTAMP, EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;
 ALTER TABLE RIASSET.ASSET_HISTORY ADD CONSTRAINT ASSETHIST_PK PRIMARY KEY(HISTORY_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RIASSET.ASSET_HISTORY  ADD CONSTRAINT ASSETHIST_FK1 FOREIGN KEY  (ASSET_ID) REFERENCES RIASSET.ASSET  (ASSET_ID); 
  ALTER TABLE RIASSET.ASSET_HISTORY  ADD CONSTRAINT ASSETHIST_FK2 FOREIGN KEY  (ACTION_TYPE_ID) REFERENCES RIASSET.ACTION_TYPE  (ACTION_TYPE_ID); 
  ALTER TABLE RIASSET.ASSET_HISTORY  ADD CONSTRAINT ASSETHIST_FK3 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIODS."RESOURCE"  (RESOURCE_ID);
  CREATE INDEX RIASSET.ASSETHIST_IDX3 ON RIASSET.ASSET_HISTORY  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIASSET.ASSETHIST_IDX4 ON RIASSET.ASSET_HISTORY  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIASSET.ASSETHIST_IDX5 ON RIASSET.ASSET_HISTORY  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIASSET.ASSETHIST_IDX2 ON RIASSET.ASSET_HISTORY  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 CREATE TABLE RIASSET.ASSET_LOOKUP ( PRED_ASSET_ID INTEGER NOT NULL, SUCC_ASSET_ID INTEGER NOT NULL, LINK_TYPE VARCHAR(255) )  TABLESPACE VNF_32K;
 ALTER TABLE RIASSET.ASSET_LOOKUP ADD CONSTRAINT ASSETLKUP_PK PRIMARY KEY(PRED_ASSET_ID, SUCC_ASSET_ID)  USING INDEX TABLESPACE VNF_IDX;
  ALTER TABLE RIASSET.ASSET_LOOKUP  ADD CONSTRAINT ASSETLKUP_FK1 FOREIGN KEY  (PRED_ASSET_ID) REFERENCES RIASSET.ASSET  (ASSET_ID); 
  ALTER TABLE RIASSET.ASSET_LOOKUP  ADD CONSTRAINT ASSETLKUP_FK2 FOREIGN KEY  (SUCC_ASSET_ID) REFERENCES RIASSET.ASSET  (ASSET_ID); 
 CREATE TRIGGER RIASSET.TRG_ASSETLK AFTER UPDATE OF REC_DATETIME ON RIASSET.ASSET                                                                   FOR EACH ROW                               BEGIN                                        DELETE FROM RIASSET.ASSET_LOOKUP WHERE (PRED_ASSET_ID=:NEW.ASSET_ID OR SUCC_ASSET_ID=:NEW.ASSET_ID); END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
 CREATE TABLE RIASSET.ASSET_ROLE ( ASSET_ROLE_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'Asset Role Name Missing' NOT NULL, PROJECT_ID INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;
 ALTER TABLE RIASSET.ASSET_ROLE ADD CONSTRAINT ASSETROLE_PK PRIMARY KEY(ASSET_ROLE_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RIASSET.ASSET_ROLE  ADD CONSTRAINT ASSETROLE_FK1 FOREIGN KEY  (PROJECT_ID) REFERENCES RIODS.PROJECT  (PROJECT_ID);
  CREATE INDEX RIASSET.ASSETROLE_IDX3 ON RIASSET.ASSET_ROLE  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIASSET.ASSETROLE_IDX4 ON RIASSET.ASSET_ROLE  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIASSET.ASSETROLE_IDX5 ON RIASSET.ASSET_ROLE  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIASSET.ASSETROLE_IDX2 ON RIASSET.ASSET_ROLE  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
 INSERT INTO RIASSET.ASSET_ROLE(ASSET_ROLE_ID,NAME) VALUES (-1,'Info not available'); 
 CREATE TABLE RIASSET.ASSET_ROLE_ASSIGNMENT_HISTORY ( HISTORY_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), ASSET_ROLE_ID INTEGER DEFAULT -1 NOT NULL , PROJECT_ID INTEGER DEFAULT -1 NOT NULL , TEAM_ID INTEGER DEFAULT -1 NOT NULL , ASSIGNEE_ID INTEGER DEFAULT -1 NOT NULL , ASSIGNER_ID INTEGER DEFAULT -1 NOT NULL , ACTION_TYPE_ID INTEGER DEFAULT -1 NOT NULL , ASSIGNMENT_DATE TIMESTAMP, EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;
 ALTER TABLE RIASSET.ASSET_ROLE_ASSIGNMENT_HISTORY ADD CONSTRAINT ASSETRLASSIH_PK PRIMARY KEY(HISTORY_ID)  USING INDEX TABLESPACE VNF_IDX;
  ALTER TABLE RIASSET.ASSET_ROLE_ASSIGNMENT_HISTORY  ADD CONSTRAINT ASSETRLASSIH_FK1 FOREIGN KEY  (ASSET_ROLE_ID) REFERENCES RIASSET.ASSET_ROLE  (ASSET_ROLE_ID); 
  ALTER TABLE RIASSET.ASSET_ROLE_ASSIGNMENT_HISTORY  ADD CONSTRAINT ASSETRLASSIH_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIODS.PROJECT  (PROJECT_ID);
  ALTER TABLE RIASSET.ASSET_ROLE_ASSIGNMENT_HISTORY  ADD CONSTRAINT ASSETRLASSIH_FK3 FOREIGN KEY  (TEAM_ID) REFERENCES RIODS.TEAM  (TEAM_ID); 
  ALTER TABLE RIASSET.ASSET_ROLE_ASSIGNMENT_HISTORY  ADD CONSTRAINT ASSETRLASSIH_FK4 FOREIGN KEY  (ASSIGNEE_ID) REFERENCES RIODS."RESOURCE"  (RESOURCE_ID); 
  ALTER TABLE RIASSET.ASSET_ROLE_ASSIGNMENT_HISTORY  ADD CONSTRAINT ASSETRLASSIH_FK5 FOREIGN KEY  (ASSIGNER_ID) REFERENCES RIODS."RESOURCE"  (RESOURCE_ID); 
  ALTER TABLE RIASSET.ASSET_ROLE_ASSIGNMENT_HISTORY  ADD CONSTRAINT ASSETRLASSIH_FK6 FOREIGN KEY  (ACTION_TYPE_ID) REFERENCES RIASSET.ACTION_TYPE  (ACTION_TYPE_ID);
  CREATE INDEX RIASSET.ASSETRLASSIH_IDX3 ON RIASSET.ASSET_ROLE_ASSIGNMENT_HISTORY  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIASSET.ASSETRLASSIH_IDX4 ON RIASSET.ASSET_ROLE_ASSIGNMENT_HISTORY  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIASSET.ASSETRLASSIH_IDX5 ON RIASSET.ASSET_ROLE_ASSIGNMENT_HISTORY  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIASSET.ASSETRLASSIH_IDX2 ON RIASSET.ASSET_ROLE_ASSIGNMENT_HISTORY  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
 CREATE TABLE RIASSET.ASSET_REQUEST_LOOKUP ( ASSET_ID INTEGER NOT NULL, REQUEST_ID INTEGER NOT NULL, LINK_TYPE VARCHAR(255) )  TABLESPACE VNF_32K;
 ALTER TABLE RIASSET.ASSET_REQUEST_LOOKUP ADD CONSTRAINT ASSEREQULK_PK PRIMARY KEY(ASSET_ID, REQUEST_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RIASSET.ASSET_REQUEST_LOOKUP  ADD CONSTRAINT ASSEREQULK_FK1 FOREIGN KEY  (ASSET_ID) REFERENCES RIASSET.ASSET  (ASSET_ID); 
  ALTER TABLE RIASSET.ASSET_REQUEST_LOOKUP  ADD CONSTRAINT ASSEREQULK_FK2 FOREIGN KEY  (REQUEST_ID) REFERENCES RIODS.REQUEST  (REQUEST_ID); 
 CREATE TRIGGER RIASSET.TRG_ASSREQUELK               AFTER UPDATE OF REC_DATETIME ON RIASSET.ASSET                                                                      FOR EACH ROW                               BEGIN                                        DELETE FROM RIASSET.ASSET_REQUEST_LOOKUP WHERE ASSET_ID=:NEW.ASSET_ID; END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
 CREATE TABLE RIASSET.ASSET_REQUIREMENT_LOOKUP ( ASSET_ID INTEGER NOT NULL, REQUIREMENT_ID INTEGER NOT NULL, LINK_TYPE VARCHAR(255) )  TABLESPACE VNF_32K;
 CREATE TRIGGER RIASSET.TRG_ASSREQUILK  AFTER UPDATE OF REC_DATETIME ON RIASSET.ASSET                                                                    FOR EACH ROW                               BEGIN                                        DELETE FROM RIASSET.ASSET_REQUIREMENT_LOOKUP WHERE ASSET_ID=:NEW.ASSET_ID; END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
 CREATE TABLE RIASSET.ASSET_RESOURCE_LOOKUP ( ASSET_ID INTEGER NOT NULL, OWNER_ID INTEGER NOT NULL )  TABLESPACE VNF_32K; 
 ALTER TABLE RIASSET.ASSET_RESOURCE_LOOKUP ADD CONSTRAINT ASSERESLK_PK PRIMARY KEY(ASSET_ID, OWNER_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RIASSET.ASSET_RESOURCE_LOOKUP  ADD CONSTRAINT ASSERESLK_FK1 FOREIGN KEY  (ASSET_ID) REFERENCES RIASSET.ASSET  (ASSET_ID); 
  ALTER TABLE RIASSET.ASSET_RESOURCE_LOOKUP  ADD CONSTRAINT ASSERESLK_FK2 FOREIGN KEY  (OWNER_ID) REFERENCES RIODS."RESOURCE"  (RESOURCE_ID); 
 CREATE TRIGGER RIASSET.TRG_ASSRESOULK  AFTER UPDATE OF REC_DATETIME ON RIASSET.ASSET                                                                     FOR EACH ROW                               BEGIN                                        DELETE FROM RIASSET.ASSET_RESOURCE_LOOKUP WHERE ASSET_ID=:NEW.ASSET_ID; END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
 CREATE TABLE RIASSET.ENTITLEMENT ( ENTITLEMENT_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'Entitlement Name Missing' NOT NULL, EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;
 ALTER TABLE RIASSET.ENTITLEMENT ADD CONSTRAINT ENTITLEMENT_PK PRIMARY KEY(ENTITLEMENT_ID)  USING INDEX TABLESPACE VNF_IDX; 
  CREATE INDEX RIASSET.ENTITLEMENT_IDX3 ON RIASSET.ENTITLEMENT  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIASSET.ENTITLEMENT_IDX4 ON RIASSET.ENTITLEMENT  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIASSET.ENTITLEMENT_IDX5 ON RIASSET.ENTITLEMENT  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIASSET.ENTITLEMENT_IDX2 ON RIASSET.ENTITLEMENT  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 INSERT INTO RIASSET.ENTITLEMENT(ENTITLEMENT_ID,NAME) VALUES (-1,'Info not available'); 
 CREATE TABLE RIASSET.ASSET_ROLE_ENTITLEMENT_LOOKUP ( ASSET_ROLE_ID INTEGER NOT NULL, ENTITLEMENT_ID INTEGER NOT NULL )  TABLESPACE VNF_32K;
 ALTER TABLE RIASSET.ASSET_ROLE_ENTITLEMENT_LOOKUP ADD CONSTRAINT ASSERLENTLK_PK PRIMARY KEY(ASSET_ROLE_ID, ENTITLEMENT_ID)  USING INDEX TABLESPACE VNF_IDX;
  ALTER TABLE RIASSET.ASSET_ROLE_ENTITLEMENT_LOOKUP  ADD CONSTRAINT ASSERLENTLK_FK1 FOREIGN KEY  (ASSET_ROLE_ID) REFERENCES RIASSET.ASSET_ROLE  (ASSET_ROLE_ID);
  ALTER TABLE RIASSET.ASSET_ROLE_ENTITLEMENT_LOOKUP  ADD CONSTRAINT ASSERLENTLK_FK2 FOREIGN KEY  (ENTITLEMENT_ID) REFERENCES RIASSET.ENTITLEMENT  (ENTITLEMENT_ID); 
 CREATE TRIGGER RIASSET.TRG_ASSENTITLK  AFTER UPDATE OF REC_DATETIME ON RIASSET.ASSET_ROLE                                                                   FOR EACH ROW                               BEGIN                                        DELETE FROM RIASSET.ASSET_ROLE_ENTITLEMENT_LOOKUP WHERE ASSET_ROLE_ID=:NEW.ASSET_ROLE_ID; END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TABLE RIASSET.ENTITLEMENT_HISTORY ( HISTORY_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), ASSET_ROLE_ID INTEGER DEFAULT -1 NOT NULL , ACTION_TYPE_ID INTEGER DEFAULT -1 NOT NULL , CHANGE_DATE TIMESTAMP, RESOURCE_ID INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K; 
 ALTER TABLE RIASSET.ENTITLEMENT_HISTORY ADD CONSTRAINT ENTITLEHIST_PK PRIMARY KEY(HISTORY_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RIASSET.ENTITLEMENT_HISTORY  ADD CONSTRAINT ENTITLEHIST_FK1 FOREIGN KEY  (ASSET_ROLE_ID) REFERENCES RIASSET.ASSET_ROLE  (ASSET_ROLE_ID);
  ALTER TABLE RIASSET.ENTITLEMENT_HISTORY  ADD CONSTRAINT ENTITLEHIST_FK2 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIODS."RESOURCE"  (RESOURCE_ID);
  ALTER TABLE RIASSET.ENTITLEMENT_HISTORY  ADD CONSTRAINT ENTITLEHIST_FK3 FOREIGN KEY  (ACTION_TYPE_ID) REFERENCES RIASSET.ACTION_TYPE  (ACTION_TYPE_ID); 
  CREATE INDEX RIASSET.ENTITHST_IDX3 ON RIASSET.ENTITLEMENT_HISTORY  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIASSET.ENTITHST_IDX4 ON RIASSET.ENTITLEMENT_HISTORY  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIASSET.ENTITHST_IDX5 ON RIASSET.ENTITLEMENT_HISTORY  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIASSET.ENTITHST_IDX2 ON RIASSET.ENTITLEMENT_HISTORY  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
 CREATE TABLE RIASSET.ENTITLEMENT_HISTORY_LOOKUP ( HISTORY_ID INTEGER NOT NULL, ENTITLEMENT_ID INTEGER NOT NULL, ENTITLEMENT_TYPE VARCHAR(255) NOT NULL )  TABLESPACE VNF_32K;
 ALTER TABLE RIASSET.ENTITLEMENT_HISTORY_LOOKUP ADD CONSTRAINT ENTHISTLK_PK PRIMARY KEY(HISTORY_ID, ENTITLEMENT_ID, ENTITLEMENT_TYPE)  USING INDEX TABLESPACE VNF_IDX;
  ALTER TABLE RIASSET.ENTITLEMENT_HISTORY_LOOKUP  ADD CONSTRAINT ENTHISTLK_FK1 FOREIGN KEY  (HISTORY_ID) REFERENCES RIASSET.ENTITLEMENT_HISTORY  (HISTORY_ID);
  ALTER TABLE RIASSET.ENTITLEMENT_HISTORY_LOOKUP  ADD CONSTRAINT ENTHISTLK_FK2 FOREIGN KEY  (ENTITLEMENT_ID) REFERENCES RIASSET.ENTITLEMENT  (ENTITLEMENT_ID);
 CREATE TABLE RIASSET.LICENSE_HISTORY ( HISTORY_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), ASSET_ID INTEGER DEFAULT -1 NOT NULL , ACTION_TYPE_ID INTEGER DEFAULT -1 NOT NULL , USAGE_DATE TIMESTAMP, RESOURCE_ID INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K; 
 ALTER TABLE RIASSET.LICENSE_HISTORY ADD CONSTRAINT LICENSEHIST_PK PRIMARY KEY(HISTORY_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RIASSET.LICENSE_HISTORY  ADD CONSTRAINT LICENSEHIST_FK1 FOREIGN KEY  (ASSET_ID) REFERENCES RIASSET.ASSET  (ASSET_ID); 
  ALTER TABLE RIASSET.LICENSE_HISTORY  ADD CONSTRAINT LICENSEHIST_FK2 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIODS."RESOURCE"  (RESOURCE_ID);
  ALTER TABLE RIASSET.LICENSE_HISTORY  ADD CONSTRAINT LICENSEHIST_FK3 FOREIGN KEY  (ACTION_TYPE_ID) REFERENCES RIASSET.ACTION_TYPE  (ACTION_TYPE_ID); 
  CREATE INDEX RIASSET.LICENSEH_IDX3 ON RIASSET.LICENSE_HISTORY  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIASSET.LICENSEH_IDX4 ON RIASSET.LICENSE_HISTORY  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIASSET.LICENSEH_IDX5 ON RIASSET.LICENSE_HISTORY  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIASSET.LICENSEH_IDX2 ON RIASSET.LICENSE_HISTORY  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
 CREATE TABLE RIASSET.ASSET_ROLE_RESOURCE_LOOKUP ( ASSET_ROLE_ID INTEGER NOT NULL, RESOURCE_ID INTEGER NOT NULL )  TABLESPACE VNF_32K;
 ALTER TABLE RIASSET.ASSET_ROLE_RESOURCE_LOOKUP ADD CONSTRAINT ASSETRLRESLK_PK PRIMARY KEY(ASSET_ROLE_ID, RESOURCE_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RIASSET.ASSET_ROLE_RESOURCE_LOOKUP  ADD CONSTRAINT ASSETRLRESLK_FK1 FOREIGN KEY  (ASSET_ROLE_ID) REFERENCES RIASSET.ASSET_ROLE  (ASSET_ROLE_ID);
  ALTER TABLE RIASSET.ASSET_ROLE_RESOURCE_LOOKUP  ADD CONSTRAINT ASSETRLRESLK_FK2 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIODS."RESOURCE"  (RESOURCE_ID);
 CREATE TRIGGER RIASSET.TRG_ASSRLRESELK  AFTER UPDATE OF REC_DATETIME ON RIASSET.ASSET_ROLE                                                                     FOR EACH ROW                               BEGIN                                        DELETE FROM RIASSET.ASSET_ROLE_RESOURCE_LOOKUP WHERE ASSET_ROLE_ID=:NEW.ASSET_ROLE_ID; END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TABLE RIASSET.ASSET_ROLE_TEAM_LOOKUP ( ASSET_ROLE_ID INTEGER NOT NULL, TEAM_ID INTEGER NOT NULL )  TABLESPACE VNF_32K;
 ALTER TABLE RIASSET.ASSET_ROLE_TEAM_LOOKUP ADD CONSTRAINT ASSETRLTEAMLK_PK PRIMARY KEY(ASSET_ROLE_ID, TEAM_ID)  USING INDEX TABLESPACE VNF_IDX;
  ALTER TABLE RIASSET.ASSET_ROLE_TEAM_LOOKUP  ADD CONSTRAINT ASSETRLTEAMLK_FK1 FOREIGN KEY  (ASSET_ROLE_ID) REFERENCES RIASSET.ASSET_ROLE  (ASSET_ROLE_ID); 
  ALTER TABLE RIASSET.ASSET_ROLE_TEAM_LOOKUP  ADD CONSTRAINT ASSETRLTEAMLK_FK2 FOREIGN KEY  (TEAM_ID) REFERENCES RIODS.TEAM  (TEAM_ID); 
 CREATE TRIGGER RIASSET.TRG_ASSRLTEAMLK  AFTER UPDATE OF REC_DATETIME ON RIASSET.ASSET_ROLE                                                                     FOR EACH ROW                               BEGIN                                        DELETE FROM RIASSET.ASSET_ROLE_TEAM_LOOKUP WHERE ASSET_ROLE_ID=:NEW.ASSET_ROLE_ID; END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
 CREATE TABLE RIASSET.ASSET_TESTCASE_LOOKUP ( ASSET_ID INTEGER NOT NULL, TESTCASE_ID INTEGER NOT NULL, LINK_TYPE VARCHAR(255) )  TABLESPACE VNF_32K;
 ALTER TABLE RIASSET.ASSET_TESTCASE_LOOKUP ADD CONSTRAINT ASSETCASELK_PK PRIMARY KEY(ASSET_ID, TESTCASE_ID)  USING INDEX TABLESPACE VNF_IDX;
  ALTER TABLE RIASSET.ASSET_TESTCASE_LOOKUP  ADD CONSTRAINT ASSETCASELK_FK1 FOREIGN KEY  (ASSET_ID) REFERENCES RIASSET.ASSET  (ASSET_ID); 
  ALTER TABLE RIASSET.ASSET_TESTCASE_LOOKUP  ADD CONSTRAINT ASSETCASELK_FK2 FOREIGN KEY  (TESTCASE_ID) REFERENCES RIODS.TESTCASE  (TESTCASE_ID);
 CREATE TRIGGER RIASSET.TRG_ASSTSTCASELK  AFTER UPDATE OF REC_DATETIME ON RIASSET.ASSET                                                                       FOR EACH ROW                               BEGIN                                        DELETE FROM RIASSET.ASSET_TESTCASE_LOOKUP WHERE ASSET_ID=:NEW.ASSET_ID; END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
 CREATE TABLE RIASSET.ASSET_TESTPLAN_LOOKUP ( ASSET_ID INTEGER NOT NULL, TESTPLAN_ID INTEGER NOT NULL, LINK_TYPE VARCHAR(255) )  TABLESPACE VNF_32K;
 ALTER TABLE RIASSET.ASSET_TESTPLAN_LOOKUP ADD CONSTRAINT ASSETPLANLK_PK PRIMARY KEY(ASSET_ID, TESTPLAN_ID)  USING INDEX TABLESPACE VNF_IDX;
  ALTER TABLE RIASSET.ASSET_TESTPLAN_LOOKUP  ADD CONSTRAINT ASSETPLANLK_FK1 FOREIGN KEY  (ASSET_ID) REFERENCES RIASSET.ASSET  (ASSET_ID); 
  ALTER TABLE RIASSET.ASSET_TESTPLAN_LOOKUP  ADD CONSTRAINT ASSETPLANLK_FK2 FOREIGN KEY  (TESTPLAN_ID) REFERENCES RIODS.TESTPLAN  (TESTPLAN_ID);
 CREATE TRIGGER RIASSET.TRG_TSTPLNLK  AFTER UPDATE OF REC_DATETIME ON RIASSET.ASSET                                                                     FOR EACH ROW                               BEGIN                                        DELETE FROM RIASSET.ASSET_TESTPLAN_LOOKUP WHERE ASSET_ID=:NEW.ASSET_ID; END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
 GRANT REFERENCES ON RIODS.PROJECT TO RISCHK; 
 GRANT REFERENCES ON RIODS."RESOURCE" TO RISCHK;
 GRANT REFERENCES ON RIODS.TEAM TO RISCHK;
 CREATE TABLE RISCHK.BALLOT ( BALLOT_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'Ballot Name Missing' NOT NULL, SESSION_ID INTEGER DEFAULT -1 NOT NULL , STATUS VARCHAR(25), SUBMISSIONTIME TIMESTAMP, SUBMITTER_ID INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;
 ALTER TABLE RISCHK.BALLOT ADD CONSTRAINT BALLOT_PK PRIMARY KEY(BALLOT_ID)  USING INDEX TABLESPACE VNF_IDX; 
 INSERT INTO RISCHK.BALLOT(BALLOT_ID,NAME) VALUES (-1,'Info not available');
 CREATE TABLE RISCHK.BALLOT_TAB ( BALLOT_TAB_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'Ballot Tab Name Missing' NOT NULL, EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;
 ALTER TABLE RISCHK.BALLOT_TAB ADD CONSTRAINT BALLOT_TAB_PK PRIMARY KEY(BALLOT_TAB_ID)  USING INDEX TABLESPACE VNF_IDX; 
  CREATE INDEX RISCHK.BALTAB_IDX3 ON RISCHK.BALLOT_TAB  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RISCHK.BALTAB_IDX4 ON RISCHK.BALLOT_TAB  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RISCHK.BALTAB_IDX5 ON RISCHK.BALLOT_TAB  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RISCHK.BALTAB_IDX2 ON RISCHK.BALLOT_TAB  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 INSERT INTO RISCHK.BALLOT_TAB(BALLOT_TAB_ID,NAME) VALUES (-1,'Info not available');
 CREATE TABLE RISCHK.SC_SCALE ( SCALE_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'Scale Name Missing' NOT NULL, TRUE_VALUE_DISPLAY VARCHAR(255), FALSE_VALUE_DISPLAY VARCHAR(255), INT_START_VALUE INTEGER, INT_END_VALUE INTEGER, DEC_START_VALUE DECIMAL(18,2), DEC_END_VALUE DECIMAL(18,2), PRECISION_VALUE INTEGER, TALKTHRESHOLDAVG BINARY_DOUBLE, TALKTHRESHOLDDEV BINARY_DOUBLE, TYPE VARCHAR(255), LENGTH INTEGER, EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K; 
 ALTER TABLE RISCHK.SC_SCALE ADD CONSTRAINT SCSCALE_PK PRIMARY KEY(SCALE_ID)  USING INDEX TABLESPACE VNF_IDX; 
  CREATE INDEX RISCHK.SCSCALE_IDX3 ON RISCHK.SC_SCALE  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RISCHK.SCSCALE_IDX4 ON RISCHK.SC_SCALE  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RISCHK.SCSCALE_IDX5 ON RISCHK.SC_SCALE  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RISCHK.SCSCALE_IDX2 ON RISCHK.SC_SCALE  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
 INSERT INTO RISCHK.SC_SCALE(SCALE_ID,NAME) VALUES (-1,'Info not available'); 
 CREATE TABLE RISCHK.BALLOT_DEFINITION ( BALLOT_DEFINITION_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'Ballot Definition Name Missing' NOT NULL, SCALE_ID INTEGER DEFAULT -1 NOT NULL , DESCRIPTION VARCHAR(1000), EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K; 
 ALTER TABLE RISCHK.BALLOT_DEFINITION ADD CONSTRAINT BALLOTDEF_PK PRIMARY KEY(BALLOT_DEFINITION_ID)  USING INDEX TABLESPACE VNF_IDX;
  ALTER TABLE RISCHK.BALLOT_DEFINITION  ADD CONSTRAINT BALLOTDEF_FK3 FOREIGN KEY  (SCALE_ID) REFERENCES RISCHK.SC_SCALE  (SCALE_ID);
 INSERT INTO RISCHK.BALLOT_DEFINITION(BALLOT_DEFINITION_ID,NAME) VALUES (-1,'Info not available');
 CREATE TABLE RISCHK.QUESTION ( QUESTION_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'Question Name Missing' NOT NULL, SCALE_ID INTEGER DEFAULT -1 NOT NULL , DESCRIPTION VARCHAR(1000), EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;
 ALTER TABLE RISCHK.QUESTION ADD CONSTRAINT QUESTION_PK PRIMARY KEY(QUESTION_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RISCHK.QUESTION  ADD CONSTRAINT QUESTION_FK3 FOREIGN KEY  (SCALE_ID) REFERENCES RISCHK.SC_SCALE  (SCALE_ID);
  CREATE INDEX RISCHK.QUESTION_IDX3 ON RISCHK.QUESTION  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RISCHK.QUESTION_IDX4 ON RISCHK.QUESTION  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RISCHK.QUESTION_IDX5 ON RISCHK.QUESTION  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RISCHK.QUESTION_IDX2 ON RISCHK.QUESTION  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 INSERT INTO RISCHK.QUESTION(QUESTION_ID,NAME) VALUES (-1,'Info not available');
 CREATE TABLE RISCHK.ANSWER ( ANSWER_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'Answer Name Missing' NOT NULL, QUESTION_ID INTEGER DEFAULT -1 NOT NULL , BALLOT_ID INTEGER DEFAULT -1 NOT NULL , BALLOT_TAB_ID INTEGER DEFAULT -1 NOT NULL , VALUE VARCHAR(255), EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;
 ALTER TABLE RISCHK.ANSWER ADD CONSTRAINT ANSWER_PK PRIMARY KEY(ANSWER_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RISCHK.ANSWER  ADD CONSTRAINT ANSWER_FK1 FOREIGN KEY  (QUESTION_ID) REFERENCES RISCHK.QUESTION  (QUESTION_ID);
  ALTER TABLE RISCHK.ANSWER  ADD CONSTRAINT ANSWER_FK2 FOREIGN KEY  (BALLOT_ID) REFERENCES RISCHK.BALLOT  (BALLOT_ID);
  ALTER TABLE RISCHK.ANSWER  ADD CONSTRAINT ANSWER_FK3 FOREIGN KEY  (BALLOT_TAB_ID) REFERENCES RISCHK.BALLOT_TAB  (BALLOT_TAB_ID);
  CREATE INDEX RISCHK.ANSWER_IDX3 ON RISCHK.ANSWER  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RISCHK.ANSWER_IDX4 ON RISCHK.ANSWER  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RISCHK.ANSWER_IDX5 ON RISCHK.ANSWER  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RISCHK.ANSWER_IDX2 ON RISCHK.ANSWER  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 INSERT INTO RISCHK.ANSWER(ANSWER_ID,NAME) VALUES (-1,'Info not available');
 CREATE TABLE RISCHK.SC_SESSION ( SESSION_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'Session Name Missing' NOT NULL, BALLOT_DEFINITION_ID INTEGER DEFAULT -1 NOT NULL , TEAM_ID INTEGER DEFAULT -1 NOT NULL , PROJECT_ID INTEGER DEFAULT -1 NOT NULL , STATUS VARCHAR(255), SESSION_DATE TIMESTAMP, BALLOT_COUNT INTEGER DEFAULT 0 NOT NULL , BALLOT_SUBMITTED INTEGER DEFAULT 0 NOT NULL , DESCRIPTION VARCHAR(1000), EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;
 ALTER TABLE RISCHK.SC_SESSION ADD CONSTRAINT SCSESS_PK PRIMARY KEY(SESSION_ID)  USING INDEX TABLESPACE VNF_IDX;
  ALTER TABLE RISCHK.SC_SESSION  ADD CONSTRAINT SCSESS_FK1 FOREIGN KEY  (PROJECT_ID) REFERENCES RIODS.PROJECT  (PROJECT_ID);
  ALTER TABLE RISCHK.SC_SESSION  ADD CONSTRAINT SCSESS_FK2 FOREIGN KEY  (TEAM_ID) REFERENCES RIODS.TEAM  (TEAM_ID); 
  ALTER TABLE RISCHK.SC_SESSION  ADD CONSTRAINT SCSESS_FK3 FOREIGN KEY  (BALLOT_DEFINITION_ID) REFERENCES RISCHK.BALLOT_DEFINITION  (BALLOT_DEFINITION_ID); 
  CREATE INDEX RISCHK.SCSESSION_IDX3 ON RISCHK.SC_SESSION  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RISCHK.SCSESSION_IDX4 ON RISCHK.SC_SESSION  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RISCHK.SCSESSION_IDX5 ON RISCHK.SC_SESSION  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RISCHK.SCSESSION_IDX2 ON RISCHK.SC_SESSION  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX;
 INSERT INTO RISCHK.SC_SESSION(SESSION_ID,NAME) VALUES (-1,'Info not available'); 
 CREATE TABLE RISCHK.SC_BALLOT_TAB_RESULT ( RESULT_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'Result Name Missing' NOT NULL, SESSION_ID INTEGER DEFAULT -1 NOT NULL , BALLOT_TAB_ID INTEGER DEFAULT -1 NOT NULL , STANDARD_DEV_VALUE DECIMAL(18,2), AVERAGE_VALUE DECIMAL(18,2), EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL , EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL , ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VNF_32K;
 ALTER TABLE RISCHK.SC_BALLOT_TAB_RESULT ADD CONSTRAINT SCRESULT_PK PRIMARY KEY(RESULT_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RISCHK.SC_BALLOT_TAB_RESULT  ADD CONSTRAINT SCRESULT_FK3 FOREIGN KEY  (SESSION_ID) REFERENCES RISCHK.SC_SESSION  (SESSION_ID);
  ALTER TABLE RISCHK.SC_BALLOT_TAB_RESULT  ADD CONSTRAINT SCRESULT_FK4 FOREIGN KEY  (BALLOT_TAB_ID) REFERENCES RISCHK.BALLOT_TAB  (BALLOT_TAB_ID);
  CREATE INDEX RISCHK.SCRESULT_IDX3 ON RISCHK.SC_BALLOT_TAB_RESULT  (EXTERNAL_KEY2 ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RISCHK.SCRESULT_IDX4 ON RISCHK.SC_BALLOT_TAB_RESULT  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RISCHK.SCRESULT_IDX5 ON RISCHK.SC_BALLOT_TAB_RESULT  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RISCHK.SCRESULT_IDX2 ON RISCHK.SC_BALLOT_TAB_RESULT  (EXTERNAL_ID ASC)  REVERSE  TABLESPACE VNF_IDX; 
 INSERT INTO RISCHK.SC_BALLOT_TAB_RESULT(RESULT_ID,NAME) VALUES (-1,'Info not available');
 CREATE TABLE RISCHK.BALLOTDEF_BALLOT_TAB_LOOKUP ( BALLOT_DEFINITION_ID INTEGER NOT NULL, BALLOT_TAB_ID INTEGER NOT NULL )  TABLESPACE VNF_32K; 
 ALTER TABLE RISCHK.BALLOTDEF_BALLOT_TAB_LOOKUP ADD CONSTRAINT BALDEFTAB_PK PRIMARY KEY(BALLOT_DEFINITION_ID, BALLOT_TAB_ID)  USING INDEX TABLESPACE VNF_IDX; 
  ALTER TABLE RISCHK.BALLOTDEF_BALLOT_TAB_LOOKUP  ADD CONSTRAINT BALDEFTAB_FK1 FOREIGN KEY  (BALLOT_DEFINITION_ID) REFERENCES RISCHK.BALLOT_DEFINITION  (BALLOT_DEFINITION_ID); 
  ALTER TABLE RISCHK.BALLOTDEF_BALLOT_TAB_LOOKUP  ADD CONSTRAINT BALDEFTAB_FK2 FOREIGN KEY  (BALLOT_TAB_ID) REFERENCES RISCHK.BALLOT_TAB  (BALLOT_TAB_ID);
 CREATE TRIGGER RISCHK.TRG_BALDEFBALTAB AFTER UPDATE OF REC_DATETIME ON RISCHK.BALLOT_DEFINITION                                                                   FOR EACH ROW                               BEGIN                                        DELETE FROM RISCHK.BALLOTDEF_BALLOT_TAB_LOOKUP WHERE BALLOT_DEFINITION_ID=:NEW.BALLOT_DEFINITION_ID; END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
 CREATE TABLE RISCHK.BALLOT_TAB_QUESTION_LOOKUP ( BALLOT_TAB_ID INTEGER NOT NULL, QUESTION_ID INTEGER NOT NULL, QUESTION_ORDER INTEGER )  TABLESPACE VNF_32K; 
 ALTER TABLE RISCHK.BALLOT_TAB_QUESTION_LOOKUP ADD CONSTRAINT BALTBQUELK_PK PRIMARY KEY(BALLOT_TAB_ID, QUESTION_ID)  USING INDEX TABLESPACE VNF_IDX;
  ALTER TABLE RISCHK.BALLOT_TAB_QUESTION_LOOKUP  ADD CONSTRAINT BALTBQUELK_FK1 FOREIGN KEY  (BALLOT_TAB_ID) REFERENCES RISCHK.BALLOT_TAB  (BALLOT_TAB_ID);
  ALTER TABLE RISCHK.BALLOT_TAB_QUESTION_LOOKUP  ADD CONSTRAINT BALTBQUELK_FK2 FOREIGN KEY  (QUESTION_ID) REFERENCES RISCHK.QUESTION  (QUESTION_ID);
 CREATE TRIGGER RISCHK.TRG_BALTABQUES AFTER UPDATE OF REC_DATETIME ON RISCHK.QUESTION                                                                   FOR EACH ROW                               BEGIN                                        DELETE FROM RISCHK.BALLOT_TAB_QUESTION_LOOKUP WHERE QUESTION_ID=:NEW.QUESTION_ID; END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
 CREATE TABLE RISCHK.SCSESSION_COFACILIT_LOOKUP ( SESSION_ID INTEGER NOT NULL, FACILITATOR_ID INTEGER NOT NULL )  TABLESPACE VNF_32K; 
 ALTER TABLE RISCHK.SCSESSION_COFACILIT_LOOKUP ADD CONSTRAINT SCSESSFASC_PK PRIMARY KEY(SESSION_ID, FACILITATOR_ID)  USING INDEX TABLESPACE VNF_IDX;
  ALTER TABLE RISCHK.SCSESSION_COFACILIT_LOOKUP  ADD CONSTRAINT SCSESSFASC_FK1 FOREIGN KEY  (SESSION_ID) REFERENCES RISCHK.SC_SESSION  (SESSION_ID);
  ALTER TABLE RISCHK.SCSESSION_COFACILIT_LOOKUP  ADD CONSTRAINT SCSESSFASC_FK2 FOREIGN KEY  (FACILITATOR_ID) REFERENCES RIODS."RESOURCE"  (RESOURCE_ID);
 CREATE TRIGGER RISCHK.TRG_SESCOFACILI AFTER UPDATE OF REC_DATETIME ON RISCHK.SC_SESSION                                                                   FOR EACH ROW                               BEGIN                                        DELETE FROM RISCHK.SCSESSION_COFACILIT_LOOKUP WHERE SESSION_ID=:NEW.SESSION_ID; END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
 CREATE TABLE RISCHK.SCSESSION_PARTICIPANT_LOOKUP ( SESSION_ID INTEGER NOT NULL, PARTICIPANT_ID INTEGER NOT NULL )  TABLESPACE VNF_32K; 
 ALTER TABLE RISCHK.SCSESSION_PARTICIPANT_LOOKUP ADD CONSTRAINT SCSESSPART_PK PRIMARY KEY(SESSION_ID, PARTICIPANT_ID)  USING INDEX TABLESPACE VNF_IDX;
  ALTER TABLE RISCHK.SCSESSION_PARTICIPANT_LOOKUP  ADD CONSTRAINT SCSESSPART_FK1 FOREIGN KEY  (SESSION_ID) REFERENCES RISCHK.SC_SESSION  (SESSION_ID);
  ALTER TABLE RISCHK.SCSESSION_PARTICIPANT_LOOKUP  ADD CONSTRAINT SCSESSPART_FK2 FOREIGN KEY  (PARTICIPANT_ID) REFERENCES RIODS."RESOURCE"  (RESOURCE_ID);
 CREATE TRIGGER RISCHK.TRG_SESPARTICI AFTER UPDATE OF REC_DATETIME ON RISCHK.SC_SESSION                                                                   FOR EACH ROW                               BEGIN                                        DELETE FROM RISCHK.SCSESSION_PARTICIPANT_LOOKUP WHERE SESSION_ID=:NEW.SESSION_ID; END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
 CREATE TABLE RIDW.D_ACTION_TYPE ( ACTION_TYPE_ID INTEGER NOT NULL, NAME VARCHAR(255), TYPE INTEGER, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.D_ACTION_TYPE ADD CONSTRAINT D_ACTION_TYPE_PK PRIMARY KEY(ACTION_TYPE_ID)  USING INDEX TABLESPACE VSTR_IDX; 
 INSERT INTO RIDW.D_ACTION_TYPE(ACTION_TYPE_ID,NAME) VALUES (-1,'Info not available');
 GRANT SELECT ON RIDW.D_ACTION_TYPE TO RPTUSER; 
 ALTER TABLE RIDW.D_ACTIVITY ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 CREATE TABLE RIDW.D_AGE_RANK ( AGE_RANK_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Age Rank Name Missing' NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.D_AGE_RANK ADD CONSTRAINT D_AGE_RANK_PK PRIMARY KEY(AGE_RANK_ID)  USING INDEX TABLESPACE VSTR_IDX;
 INSERT INTO RIDW.D_AGE_RANK(AGE_RANK_ID,NAME) VALUES (-1,'Info not available');
 GRANT SELECT ON RIDW.D_AGE_RANK TO RPTUSER;
 CREATE TABLE RIDW.D_ASSET ( ASSET_ID INTEGER NOT NULL, NAME VARCHAR(255), ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.D_ASSET ADD CONSTRAINT D_ASSET_PK PRIMARY KEY(ASSET_ID)  USING INDEX TABLESPACE VSTR_IDX; 
 INSERT INTO RIDW.D_ASSET(ASSET_ID,NAME) VALUES (-1,'Info not available');
 GRANT SELECT ON RIDW.D_ASSET TO RPTUSER; 
 ALTER TABLE RIDW.D_ASSETREGISTRY ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 CREATE TABLE RIDW.D_ASSET_TYPE ( ASSET_TYPE_ID INTEGER NOT NULL, NAME VARCHAR(255), ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.D_ASSET_TYPE ADD CONSTRAINT D_ASSETTP_PK PRIMARY KEY(ASSET_TYPE_ID)  USING INDEX TABLESPACE VSTR_IDX; 
 INSERT INTO RIDW.D_ASSET_TYPE(ASSET_TYPE_ID,NAME) VALUES (-1,'Info not available');
 GRANT SELECT ON RIDW.D_ASSET_TYPE TO RPTUSER;
 CREATE TABLE RIDW.D_BALLOT_TAB ( BALLOT_TAB_ID INTEGER NOT NULL, NAME VARCHAR(255) NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.D_BALLOT_TAB ADD CONSTRAINT D_BALLTAB_PK PRIMARY KEY(BALLOT_TAB_ID)  USING INDEX TABLESPACE VSTR_IDX; 
 INSERT INTO RIDW.D_BALLOT_TAB(BALLOT_TAB_ID,NAME) VALUES (-1,'Info not available');
 GRANT SELECT ON RIDW.D_BALLOT_TAB TO RPTUSER;
 ALTER TABLE RIDW.D_BASELINE ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_BUILD ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.D_BUILD_CLASSIFICATION ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_BUILD_TYPE ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_CHARGECODE ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_CITY ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_COMPETENCY ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_COMPONENT ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.D_CONFIGURATION ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.D_COUNTRY ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.D_CURRENCY ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_CUSTOMER ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_CUSTOMER_PRIORITY ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.D_DIFFICULTY ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_EXECUTION_RESULT ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_EXECUTION_WORKITEM ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_FACTOR ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_FILE ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_FILE_BASELINE ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.D_FILE_STREAM ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.D_FILE_VERSION ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_IMPACT_RANK ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.D_ITERATION ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.D_JOB ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.D_JOB_RESULT ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_LAB_RESOURCE ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_OPERATING_TERRITORY ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.D_ORGANIZATION ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_OS_TYPE ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.D_PLATFORM ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_POOL ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 CREATE TABLE RIDW.D_PORTFOLIO ( PORTFOLIO_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Portfolio Name Missing' NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.D_PORTFOLIO ADD CONSTRAINT D_PORTFOLIO_PK PRIMARY KEY(PORTFOLIO_ID)  USING INDEX TABLESPACE VSTR_IDX; 
 INSERT INTO RIDW.D_PORTFOLIO(PORTFOLIO_ID,NAME) VALUES (-1,'Info not available');
 GRANT SELECT ON RIDW.D_PORTFOLIO TO RPTUSER; 
 ALTER TABLE RIDW.D_PRIORITY ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_PROBABILITY_COST_RANK ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.D_PROBABILITY_RANK ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_PRODUCT ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.D_PROGRAM ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.D_PROJECT ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.D_PROJECT_ALLOCATION ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_PROVINCE_STATE ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_RELEASE ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.D_REQUEST ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.D_REQUEST_CATEGORY ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 CREATE TABLE RIDW.D_REQUEST_PRIORITY ( PRIORITY_ID INTEGER NOT NULL, NAME VARCHAR(255) NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.D_REQUEST_PRIORITY ADD CONSTRAINT D_REQPRIORITY_PK PRIMARY KEY(PRIORITY_ID)  USING INDEX TABLESPACE VSTR_IDX; 
 INSERT INTO RIDW.D_REQUEST_PRIORITY(PRIORITY_ID,NAME) VALUES (-1,'Info not available');
 INSERT INTO RIDW.D_REQUEST_PRIORITY(PRIORITY_ID,NAME) SELECT PRIORITY_ID,NAME FROM RIDW.D_PRIORITY WHERE PRIORITY_ID<>-1;
 GRANT SELECT ON RIDW.D_REQUEST_PRIORITY TO RPTUSER;
 CREATE TABLE RIDW.D_REQUEST_SEVERITY ( SEVERITY_ID INTEGER NOT NULL, NAME VARCHAR(255) NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.D_REQUEST_SEVERITY ADD CONSTRAINT D_REQSEVERITY_PK PRIMARY KEY(SEVERITY_ID)  USING INDEX TABLESPACE VSTR_IDX; 
 INSERT INTO RIDW.D_REQUEST_SEVERITY(SEVERITY_ID,NAME) VALUES (-1,'Info not available');
 INSERT INTO RIDW.D_REQUEST_SEVERITY(SEVERITY_ID,NAME) SELECT SEVERITY_ID,NAME FROM RIDW.D_SEVERITY WHERE SEVERITY_ID<>-1;
 GRANT SELECT ON RIDW.D_REQUEST_SEVERITY TO RPTUSER;
 ALTER TABLE RIDW.D_REQUEST_SOURCE ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 CREATE TABLE RIDW.D_REQUEST_STATUS ( STATUS_ID INTEGER NOT NULL, NAME VARCHAR(255) NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.D_REQUEST_STATUS ADD CONSTRAINT D_REQSTATUS_PK PRIMARY KEY(STATUS_ID)  USING INDEX TABLESPACE VSTR_IDX; 
 INSERT INTO RIDW.D_REQUEST_STATUS(STATUS_ID,NAME) VALUES (-1,'Info not available');
 INSERT INTO RIDW.D_REQUEST_STATUS(STATUS_ID,NAME) SELECT STATUS_ID,NAME FROM RIDW.D_STATUS WHERE STATUS_ID <> -1;
 GRANT SELECT ON RIDW.D_REQUEST_STATUS TO RPTUSER;
 ALTER TABLE RIDW.D_REQUEST_TYPE ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_REQUIREMENT ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 CREATE TABLE RIDW.D_REQUIREMENT_TYPE ( REQUIREMENT_TYPE_ID INTEGER NOT NULL, NAME VARCHAR(255), ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.D_REQUIREMENT_TYPE ADD CONSTRAINT D_REQUITYPE_PK PRIMARY KEY(REQUIREMENT_TYPE_ID)  USING INDEX TABLESPACE VSTR_IDX; 
 INSERT INTO RIDW.D_REQUIREMENT_TYPE(REQUIREMENT_TYPE_ID,NAME) VALUES (-1,'Info not available');
 GRANT SELECT ON RIDW.D_REQUIREMENT_TYPE TO RPTUSER;
 ALTER TABLE RIDW.D_RESOLUTION ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_RESOURCE ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_RESOURCE_GROUP ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_RISK ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_SCORE_RANK ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_SEVERITY ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_SKILL ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.D_STABILITY ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.D_TASK ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_TASK_TYPE ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.D_TEAM ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_TESTCASE ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_TESTPLAN ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_TESTSUITE ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.D_TESTSUITELOG ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_TIMECODE ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL; 
 ALTER TABLE RIDW.D_VERDICT ADD ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL;
 CREATE TABLE RIDW.BD_PORTFOLIO ( PORTFOLIO_ID INTEGER NOT NULL, PROGRAM_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.BD_PORTFOLIO ADD CONSTRAINT BD_PORTFOLIO_PK PRIMARY KEY(PORTFOLIO_ID, PROGRAM_ID, PROJECT_ID)  USING INDEX TABLESPACE VSTR_IDX; 
  ALTER TABLE RIDW.BD_PORTFOLIO  ADD CONSTRAINT BD_PORTFOLIO_FK1 FOREIGN KEY  (PORTFOLIO_ID) REFERENCES RIDW.D_PORTFOLIO  (PORTFOLIO_ID); 
  ALTER TABLE RIDW.BD_PORTFOLIO  ADD CONSTRAINT BD_PORTFOLIO_FK2 FOREIGN KEY  (PROGRAM_ID) REFERENCES RIDW.D_PROGRAM  (PROGRAM_ID); 
  ALTER TABLE RIDW.BD_PORTFOLIO  ADD CONSTRAINT BD_PORTFOLIO_FK3 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID); 
 GRANT SELECT ON RIDW.BD_PORTFOLIO TO RPTUSER;
 CREATE TABLE RIDW.F_ASSET_UTIL_DT_METRICS ( F_ASSET_METRIC_ID INTEGER NOT NULL, DATE_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, ACTION_TYPE_ID INTEGER NOT NULL, RESOURCE_ID INTEGER NOT NULL, ASSET_ID INTEGER NOT NULL, ASSET_TYPE_ID INTEGER NOT NULL, TOTAL_UTILIZATION INTEGER DEFAULT 0 NOT NULL , REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL  )  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.F_ASSET_UTIL_DT_METRICS ADD CONSTRAINT F_ASTUTDT_PK PRIMARY KEY(F_ASSET_METRIC_ID)  USING INDEX TABLESPACE VSTR_IDX;
  ALTER TABLE RIDW.F_ASSET_UTIL_DT_METRICS  ADD CONSTRAINT F_ASTUTDT_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID);
  ALTER TABLE RIDW.F_ASSET_UTIL_DT_METRICS  ADD CONSTRAINT F_ASTUTDT_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID); 
  ALTER TABLE RIDW.F_ASSET_UTIL_DT_METRICS  ADD CONSTRAINT F_ASTUTDT_FK3 FOREIGN KEY  (ACTION_TYPE_ID) REFERENCES RIDW.D_ACTION_TYPE  (ACTION_TYPE_ID); 
  ALTER TABLE RIDW.F_ASSET_UTIL_DT_METRICS  ADD CONSTRAINT F_ASTUTDT_FK4 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID);
  ALTER TABLE RIDW.F_ASSET_UTIL_DT_METRICS  ADD CONSTRAINT F_ASTUTDT_FK5 FOREIGN KEY  (ASSET_ID) REFERENCES RIDW.D_ASSET  (ASSET_ID); 
  ALTER TABLE RIDW.F_ASSET_UTIL_DT_METRICS  ADD CONSTRAINT F_ASTUTDT_FK6 FOREIGN KEY  (ASSET_TYPE_ID) REFERENCES RIDW.D_ASSET_TYPE  (ASSET_TYPE_ID);
 GRANT SELECT ON RIDW.F_ASSET_UTIL_DT_METRICS TO RPTUSER; 
  CREATE INDEX RIDW.F_BLDMETR_IDX ON RIDW.F_BUILD_METRICS  (DATE_ID ASC,  PROJECT_ID ASC,  COMPONENT_ID ASC,  BUILD_TYPE_ID ASC,  BUILD_CLASS_ID ASC)  REVERSE TABLESPACE VSTR_IDX; 
 ALTER TABLE RIDW.F_CHILDREQUIREMENT_METRICS ADD REQUIREMENT_TYPE_ID INTEGER DEFAULT -1  NOT NULL;
 ALTER TABLE RIDW.F_CHILDREQUIREMENT_METRICS MODIFY REQUIREMENT_TYPE_ID DEFAULT NULL; 
  ALTER TABLE RIDW.F_CHILDREQUIREMENT_METRICS  ADD CONSTRAINT F_CHREQM_FK8 FOREIGN KEY  (REQUIREMENT_TYPE_ID) REFERENCES RIDW.D_REQUIREMENT_TYPE  (REQUIREMENT_TYPE_ID);
 ALTER TABLE RIDW.F_C_CHILDREQUIREMENT_METRICS ADD REQUIREMENT_TYPE_ID INTEGER DEFAULT -1  NOT NULL;
 ALTER TABLE RIDW.F_C_CHILDREQUIREMENT_METRICS MODIFY REQUIREMENT_TYPE_ID DEFAULT NULL; 
  ALTER TABLE RIDW.F_C_CHILDREQUIREMENT_METRICS  ADD CONSTRAINT F_C_CHREQM_FK8 FOREIGN KEY  (REQUIREMENT_TYPE_ID) REFERENCES RIDW.D_REQUIREMENT_TYPE  (REQUIREMENT_TYPE_ID);
 CREATE TABLE RIDW.F_C_PROJECT_FINANCIAL_METRICS ( F_PROJFIN_METRIC_ID INTEGER NOT NULL, DATE_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, BUDGETED_REVENUE DECIMAL(18,2) DEFAULT 0.00 NOT NULL , PLANNED_REVENUE DECIMAL(18,2) DEFAULT 0.00 NOT NULL , ACTUAL_REVENUE DECIMAL(18,2) DEFAULT 0.00 NOT NULL , BUDGETED_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL , PLANNED_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL , ACTUAL_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL , NET_PRESENT_VALUE DECIMAL(18,2) DEFAULT 0.00 NOT NULL , INTERNAL_RATE_OF_RETURN DECIMAL(18,2) DEFAULT 0.00 NOT NULL , REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL  )  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.F_C_PROJECT_FINANCIAL_METRICS ADD CONSTRAINT F_CPRJFINMET_PK PRIMARY KEY(F_PROJFIN_METRIC_ID)  USING INDEX TABLESPACE VSTR_IDX; 
  ALTER TABLE RIDW.F_C_PROJECT_FINANCIAL_METRICS  ADD CONSTRAINT F_CPRJFINMET_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID); 
  ALTER TABLE RIDW.F_C_PROJECT_FINANCIAL_METRICS  ADD CONSTRAINT F_CPRJFINMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID);
 GRANT SELECT ON RIDW.F_C_PROJECT_FINANCIAL_METRICS TO RPTUSER; 
 ALTER TABLE RIDW.F_C_RELEASE_REQUEST_METRICS ADD TOTAL_WORK INTEGER DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.F_C_RELEASE_REQUEST_METRICS DROP CONSTRAINT F_C_RELREQ_FK6; 
 ALTER TABLE RIDW.F_C_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_C_RELREQ_FK6 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID);
 ALTER TABLE RIDW.F_C_REL_REQUEST_TURN_METRICS DROP CONSTRAINT F_C_RELREQTU_FK6;
 ALTER TABLE RIDW.F_C_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_C_RELREQTU_FK6 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID); 
 ALTER TABLE RIDW.F_C_REQUEST_AGING DROP CONSTRAINT F_C_REQ_AGD_FK6;
 ALTER TABLE RIDW.F_C_REQUEST_AGING DROP CONSTRAINT F_C_REQ_AGD_FK7;
 ALTER TABLE RIDW.F_C_REQUEST_AGING ADD CONSTRAINT F_C_REQ_AGD_FK6 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID); 
 ALTER TABLE RIDW.F_C_REQUEST_AGING ADD CONSTRAINT F_C_REQ_AGD_FK7 FOREIGN KEY(PRIORITY_ID)REFERENCES RIDW.D_REQUEST_PRIORITY(PRIORITY_ID); 
 ALTER TABLE RIDW.F_C_REQUEST_CUST_METRICS DROP CONSTRAINT F_CREQCU_MET_FK13; 
 ALTER TABLE RIDW.F_C_REQUEST_CUST_METRICS DROP CONSTRAINT F_CREQCU_MET_FK20; 
 ALTER TABLE RIDW.F_C_REQUEST_CUST_METRICS DROP CONSTRAINT F_CREQCU_MET_FK5;
 ALTER TABLE RIDW.F_C_REQUEST_CUST_METRICS ADD CONSTRAINT F_CREQCU_MET_FK13 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID);
 ALTER TABLE RIDW.F_C_REQUEST_CUST_METRICS ADD CONSTRAINT F_CREQCU_MET_FK20 FOREIGN KEY(STATUS_ID)REFERENCES RIDW.D_REQUEST_STATUS(STATUS_ID);
 ALTER TABLE RIDW.F_C_REQUEST_CUST_METRICS ADD CONSTRAINT F_CREQCU_MET_FK5 FOREIGN KEY(PRIORITY_ID)REFERENCES RIDW.D_REQUEST_PRIORITY(PRIORITY_ID); 
 ALTER TABLE RIDW.F_C_REQUEST_METRICS DROP CONSTRAINT F_C_REQUEST_FK19; 
 ALTER TABLE RIDW.F_C_REQUEST_METRICS DROP CONSTRAINT F_C_REQUEST_FK3;
 ALTER TABLE RIDW.F_C_REQUEST_METRICS DROP CONSTRAINT F_C_REQUEST_FK4;
 ALTER TABLE RIDW.F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK19 FOREIGN KEY(STATUS_ID)REFERENCES RIDW.D_REQUEST_STATUS(STATUS_ID);
 ALTER TABLE RIDW.F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK3 FOREIGN KEY(PRIORITY_ID)REFERENCES RIDW.D_REQUEST_PRIORITY(PRIORITY_ID); 
 ALTER TABLE RIDW.F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK4 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID); 
 ALTER TABLE RIDW.F_C_REQUEST_REQUI_METRICS DROP CONSTRAINT F_CREQRQU_MET_FK14; 
 ALTER TABLE RIDW.F_C_REQUEST_REQUI_METRICS DROP CONSTRAINT F_CREQRQU_MET_FK21; 
 ALTER TABLE RIDW.F_C_REQUEST_REQUI_METRICS DROP CONSTRAINT F_CREQRQU_MET_FK5;
 ALTER TABLE RIDW.F_C_REQUEST_REQUI_METRICS ADD CONSTRAINT F_CREQRQU_MET_FK14 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID);
 ALTER TABLE RIDW.F_C_REQUEST_REQUI_METRICS ADD CONSTRAINT F_CREQRQU_MET_FK21 FOREIGN KEY(STATUS_ID)REFERENCES RIDW.D_REQUEST_STATUS(STATUS_ID);
 ALTER TABLE RIDW.F_C_REQUEST_REQUI_METRICS ADD CONSTRAINT F_CREQRQU_MET_FK5 FOREIGN KEY(PRIORITY_ID)REFERENCES RIDW.D_REQUEST_PRIORITY(PRIORITY_ID); 
 ALTER TABLE RIDW.F_C_REQUEST_TPLN_AGING DROP CONSTRAINT F_CREQTPLN_AG_FK10;
 ALTER TABLE RIDW.F_C_REQUEST_TPLN_AGING DROP CONSTRAINT F_C_REQTPLN_AG_FK5;
 ALTER TABLE RIDW.F_C_REQUEST_TPLN_AGING ADD CONSTRAINT F_CREQTPLN_AG_FK10 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID); 
 ALTER TABLE RIDW.F_C_REQUEST_TPLN_AGING ADD CONSTRAINT F_C_REQTPLN_AG_FK5 FOREIGN KEY(PRIORITY_ID)REFERENCES RIDW.D_REQUEST_PRIORITY(PRIORITY_ID); 
 ALTER TABLE RIDW.F_C_REQUEST_TPLN_METRICS DROP CONSTRAINT F_CREQTP_MET_FK14; 
 ALTER TABLE RIDW.F_C_REQUEST_TPLN_METRICS DROP CONSTRAINT F_CREQTP_MET_FK21; 
 ALTER TABLE RIDW.F_C_REQUEST_TPLN_METRICS DROP CONSTRAINT F_CREQTP_MET_FK5;
 ALTER TABLE RIDW.F_C_REQUEST_TPLN_METRICS ADD CONSTRAINT F_CREQTP_MET_FK14 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID);
 ALTER TABLE RIDW.F_C_REQUEST_TPLN_METRICS ADD CONSTRAINT F_CREQTP_MET_FK21 FOREIGN KEY(STATUS_ID)REFERENCES RIDW.D_REQUEST_STATUS(STATUS_ID);
 ALTER TABLE RIDW.F_C_REQUEST_TPLN_METRICS ADD CONSTRAINT F_CREQTP_MET_FK5 FOREIGN KEY(PRIORITY_ID)REFERENCES RIDW.D_REQUEST_PRIORITY(PRIORITY_ID); 
 ALTER TABLE RIDW.F_C_REQUEST_TPLN_TURNAROUND DROP CONSTRAINT F_CREQTPT_MET_FK4;
 ALTER TABLE RIDW.F_C_REQUEST_TPLN_TURNAROUND DROP CONSTRAINT F_CREQTPT_MET_FK9;
 ALTER TABLE RIDW.F_C_REQUEST_TPLN_TURNAROUND ADD CONSTRAINT F_CREQTPT_MET_FK4 FOREIGN KEY(PRIORITY_ID)REFERENCES RIDW.D_REQUEST_PRIORITY(PRIORITY_ID); 
 ALTER TABLE RIDW.F_C_REQUEST_TPLN_TURNAROUND ADD CONSTRAINT F_CREQTPT_MET_FK9 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID); 
 ALTER TABLE RIDW.F_C_REQUEST_TURNAROUND DROP CONSTRAINT F_C_REQTURN_FK6; 
 ALTER TABLE RIDW.F_C_REQUEST_TURNAROUND DROP CONSTRAINT F_C_REQTURN_FK7; 
 ALTER TABLE RIDW.F_C_REQUEST_TURNAROUND ADD CONSTRAINT F_C_REQTURN_FK6 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID);
 ALTER TABLE RIDW.F_C_REQUEST_TURNAROUND ADD CONSTRAINT F_C_REQTURN_FK7 FOREIGN KEY(PRIORITY_ID)REFERENCES RIDW.D_REQUEST_PRIORITY(PRIORITY_ID);
 ALTER TABLE RIDW.F_C_REQUIREMENT_METRICS ADD REQUIREMENT_TYPE_ID INTEGER DEFAULT -1  NOT NULL; 
 ALTER TABLE RIDW.F_C_REQUIREMENT_METRICS MODIFY REQUIREMENT_TYPE_ID DEFAULT NULL;
  ALTER TABLE RIDW.F_C_REQUIREMENT_METRICS  ADD CONSTRAINT F_C_REQMET_FK14 FOREIGN KEY  (REQUIREMENT_TYPE_ID) REFERENCES RIDW.D_REQUIREMENT_TYPE  (REQUIREMENT_TYPE_ID);
 ALTER TABLE RIDW.F_C_REQUIREMENT_TPLN_METRICS ADD REQUIREMENT_TYPE_ID INTEGER DEFAULT -1  NOT NULL;
 ALTER TABLE RIDW.F_C_REQUIREMENT_TPLN_METRICS MODIFY REQUIREMENT_TYPE_ID DEFAULT NULL; 
  ALTER TABLE RIDW.F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT F_CREQUTP_MET_FK20 FOREIGN KEY  (REQUIREMENT_TYPE_ID) REFERENCES RIDW.D_REQUIREMENT_TYPE  (REQUIREMENT_TYPE_ID);
 ALTER TABLE RIDW.F_C_REQUI_TCASE_METRICS ADD REQUIREMENT_TYPE_ID INTEGER DEFAULT -1  NOT NULL; 
 ALTER TABLE RIDW.F_C_REQUI_TCASE_METRICS MODIFY REQUIREMENT_TYPE_ID DEFAULT NULL;
  ALTER TABLE RIDW.F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT F_CREQTC_MET_FK20 FOREIGN KEY  (REQUIREMENT_TYPE_ID) REFERENCES RIDW.D_REQUIREMENT_TYPE  (REQUIREMENT_TYPE_ID);
 CREATE TABLE RIDW.F_C_STORY_METRICS ( F_STORY_METRIC_ID INTEGER NOT NULL, DATE_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, ITERATION_ID INTEGER NOT NULL, TEAM_ID INTEGER NOT NULL, OWNER_ID INTEGER NOT NULL, REQUEST_CLASS_ID INTEGER NOT NULL, REQUEST_TYPE_ID INTEGER NOT NULL, REQUEST_CATEGORY_ID INTEGER NOT NULL, STATE_ID INTEGER NOT NULL, SEVERITY_ID INTEGER NOT NULL, PRIORITY_ID INTEGER NOT NULL, TOTAL_STORY_POINTS DECIMAL(18,2) DEFAULT 0.00 NOT NULL , TOTAL_COMMENTS INTEGER DEFAULT 0 NOT NULL , TOTAL_SUBSCRIBERS INTEGER DEFAULT 0 NOT NULL , TOTAL_TAGS INTEGER DEFAULT 0 NOT NULL , REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL  )  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.F_C_STORY_METRICS ADD CONSTRAINT F_CSTORY_METRIC_PK PRIMARY KEY(F_STORY_METRIC_ID)  USING INDEX TABLESPACE VSTR_IDX;
  ALTER TABLE RIDW.F_C_STORY_METRICS  ADD CONSTRAINT F_CSTORY_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID); 
  ALTER TABLE RIDW.F_C_STORY_METRICS  ADD CONSTRAINT F_CSTORY_FK10 FOREIGN KEY  (SEVERITY_ID) REFERENCES RIDW.D_REQUEST_SEVERITY  (SEVERITY_ID);
  ALTER TABLE RIDW.F_C_STORY_METRICS  ADD CONSTRAINT F_CSTORY_FK11 FOREIGN KEY  (PRIORITY_ID) REFERENCES RIDW.D_REQUEST_PRIORITY  (PRIORITY_ID);
  ALTER TABLE RIDW.F_C_STORY_METRICS  ADD CONSTRAINT F_CSTORY_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID);
  ALTER TABLE RIDW.F_C_STORY_METRICS  ADD CONSTRAINT F_CSTORY_FK3 FOREIGN KEY  (ITERATION_ID) REFERENCES RIDW.D_ITERATION  (ITERATION_ID);
  ALTER TABLE RIDW.F_C_STORY_METRICS  ADD CONSTRAINT F_CSTORY_FK4 FOREIGN KEY  (TEAM_ID) REFERENCES RIDW.D_TEAM  (TEAM_ID); 
  ALTER TABLE RIDW.F_C_STORY_METRICS  ADD CONSTRAINT F_CSTORY_FK5 FOREIGN KEY  (OWNER_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID);
  ALTER TABLE RIDW.F_C_STORY_METRICS  ADD CONSTRAINT F_CSTORY_FK6 FOREIGN KEY  (REQUEST_CLASS_ID) REFERENCES RIDW.D_REQUEST_CLASSIFICATION  (REQUEST_CLASS_ID); 
  ALTER TABLE RIDW.F_C_STORY_METRICS  ADD CONSTRAINT F_CSTORY_FK7 FOREIGN KEY  (REQUEST_CATEGORY_ID) REFERENCES RIDW.D_REQUEST_CATEGORY  (REQUEST_CATEGORY_ID); 
  ALTER TABLE RIDW.F_C_STORY_METRICS  ADD CONSTRAINT F_CSTORY_FK8 FOREIGN KEY  (REQUEST_TYPE_ID) REFERENCES RIDW.D_REQUEST_TYPE  (REQUEST_TYPE_ID); 
  ALTER TABLE RIDW.F_C_STORY_METRICS  ADD CONSTRAINT F_CSTORY_FK9 FOREIGN KEY  (STATE_ID) REFERENCES RIDW.D_REQUEST_STATE  (STATE_ID);
 GRANT SELECT ON RIDW.F_C_STORY_METRICS TO RPTUSER; 
  CREATE INDEX RIDW.F_FSTREAMMET_IDX ON RIDW.F_FILE_STREAM_METRICS  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE TABLESPACE VSTR_IDX; 
 CREATE TABLE RIDW.F_LICENSE_DT_METRICS ( F_LICENSE_METRIC_ID INTEGER NOT NULL, DATE_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, ACTION_TYPE_ID INTEGER NOT NULL, RESOURCE_ID INTEGER NOT NULL, TOTAL_LICENSES INTEGER DEFAULT 0 NOT NULL , REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL  )  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.F_LICENSE_DT_METRICS ADD CONSTRAINT F_LICDTMET_PK PRIMARY KEY(F_LICENSE_METRIC_ID)  USING INDEX TABLESPACE VSTR_IDX;
  ALTER TABLE RIDW.F_LICENSE_DT_METRICS  ADD CONSTRAINT F_LICDTMET_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID);
  ALTER TABLE RIDW.F_LICENSE_DT_METRICS  ADD CONSTRAINT F_LICDTMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID); 
  ALTER TABLE RIDW.F_LICENSE_DT_METRICS  ADD CONSTRAINT F_LICDTMET_FK3 FOREIGN KEY  (ACTION_TYPE_ID) REFERENCES RIDW.D_ACTION_TYPE  (ACTION_TYPE_ID); 
  ALTER TABLE RIDW.F_LICENSE_DT_METRICS  ADD CONSTRAINT F_LICDTMET_FK4 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID);
 GRANT SELECT ON RIDW.F_LICENSE_DT_METRICS TO RPTUSER;
 CREATE TABLE RIDW.F_PROJECT_FINANCIAL_METRICS ( F_PROJFIN_METRIC_ID INTEGER NOT NULL, DATE_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, BUDGETED_REVENUE DECIMAL(18,2) DEFAULT 0.00 NOT NULL , PLANNED_REVENUE DECIMAL(18,2) DEFAULT 0.00 NOT NULL , ACTUAL_REVENUE DECIMAL(18,2) DEFAULT 0.00 NOT NULL , BUDGETED_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL , PLANNED_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL , ACTUAL_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL , NET_PRESENT_VALUE DECIMAL(18,2) DEFAULT 0.00 NOT NULL , INTERNAL_RATE_OF_RETURN DECIMAL(18,2) DEFAULT 0.00 NOT NULL , REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL  )  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.F_PROJECT_FINANCIAL_METRICS ADD CONSTRAINT F_PRJFINMET_PK PRIMARY KEY(F_PROJFIN_METRIC_ID)  USING INDEX TABLESPACE VSTR_IDX;
  ALTER TABLE RIDW.F_PROJECT_FINANCIAL_METRICS  ADD CONSTRAINT F_PRJFINMET_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID);
  ALTER TABLE RIDW.F_PROJECT_FINANCIAL_METRICS  ADD CONSTRAINT F_PRJFINMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID); 
 GRANT SELECT ON RIDW.F_PROJECT_FINANCIAL_METRICS TO RPTUSER; 
 ALTER TABLE RIDW.F_RELEASE_REQUEST_METRICS ADD TOTAL_WORK INTEGER DEFAULT 0 NOT NULL;
 ALTER TABLE RIDW.F_RELEASE_REQUEST_METRICS DROP CONSTRAINT F_RELREQ_FK6; 
 ALTER TABLE RIDW.F_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_RELREQ_FK6 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID);
 ALTER TABLE RIDW.F_REL_REQUEST_TURN_METRICS DROP CONSTRAINT F_RELREQTU_FK6;
 ALTER TABLE RIDW.F_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_RELREQTU_FK6 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID); 
 ALTER TABLE RIDW.F_REPORT_PLANNED_DATA ADD ITERATION_ID INTEGER; 
 ALTER TABLE RIDW.F_REQUEST_AGING DROP CONSTRAINT F_REQ_AGD_FK6;
 ALTER TABLE RIDW.F_REQUEST_AGING DROP CONSTRAINT F_REQ_AGD_FK7;
 ALTER TABLE RIDW.F_REQUEST_AGING ADD CONSTRAINT F_REQ_AGD_FK6 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID); 
 ALTER TABLE RIDW.F_REQUEST_AGING ADD CONSTRAINT F_REQ_AGD_FK7 FOREIGN KEY(PRIORITY_ID)REFERENCES RIDW.D_REQUEST_PRIORITY(PRIORITY_ID); 
 ALTER TABLE RIDW.F_REQUEST_CLOSURE_DATE_METRICS DROP CONSTRAINT F_REQCDT_FK10; 
 ALTER TABLE RIDW.F_REQUEST_CLOSURE_DATE_METRICS DROP CONSTRAINT F_REQCDT_FK7;
 ALTER TABLE RIDW.F_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT F_REQCDT_FK10 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID);
 ALTER TABLE RIDW.F_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT F_REQCDT_FK7 FOREIGN KEY(STATUS_ID)REFERENCES RIDW.D_REQUEST_STATUS(STATUS_ID); 
 ALTER TABLE RIDW.F_REQUEST_CREATION_DT_METRICS DROP CONSTRAINT F_REQDT_FK10; 
 ALTER TABLE RIDW.F_REQUEST_CREATION_DT_METRICS DROP CONSTRAINT F_REQDT_FK15; 
 ALTER TABLE RIDW.F_REQUEST_CREATION_DT_METRICS DROP CONSTRAINT F_REQDT_FK7;
 ALTER TABLE RIDW.F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK10 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID);
 ALTER TABLE RIDW.F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK15 FOREIGN KEY(PRIORITY_ID)REFERENCES RIDW.D_REQUEST_PRIORITY(PRIORITY_ID);
 ALTER TABLE RIDW.F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK7 FOREIGN KEY(STATUS_ID)REFERENCES RIDW.D_REQUEST_STATUS(STATUS_ID); 
 ALTER TABLE RIDW.F_REQUEST_CUST_METRICS DROP CONSTRAINT F_REQCUST_MET_FK13;
 ALTER TABLE RIDW.F_REQUEST_CUST_METRICS DROP CONSTRAINT F_REQCUST_MET_FK20;
 ALTER TABLE RIDW.F_REQUEST_CUST_METRICS DROP CONSTRAINT F_REQCUST_MET_FK5; 
 ALTER TABLE RIDW.F_REQUEST_CUST_METRICS ADD CONSTRAINT F_REQCUST_MET_FK13 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID); 
 ALTER TABLE RIDW.F_REQUEST_CUST_METRICS ADD CONSTRAINT F_REQCUST_MET_FK20 FOREIGN KEY(STATUS_ID)REFERENCES RIDW.D_REQUEST_STATUS(STATUS_ID); 
 ALTER TABLE RIDW.F_REQUEST_CUST_METRICS ADD CONSTRAINT F_REQCUST_MET_FK5 FOREIGN KEY(PRIORITY_ID)REFERENCES RIDW.D_REQUEST_PRIORITY(PRIORITY_ID);
 CREATE TABLE RIDW.F_REQUEST_FAILURE_DT_METRICS ( REQFAIL_METRIC_ID INTEGER NOT NULL, FAIL_DATE_ID INTEGER NOT NULL, RELEASE_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, COMPONENT_ID INTEGER NOT NULL, ITERATION_ID INTEGER NOT NULL, TOTAL_RE_FAILED INTEGER, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL  )  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.F_REQUEST_FAILURE_DT_METRICS ADD CONSTRAINT F_REQFAIL_DTM_PK PRIMARY KEY(REQFAIL_METRIC_ID)  USING INDEX TABLESPACE VSTR_IDX; 
  ALTER TABLE RIDW.F_REQUEST_FAILURE_DT_METRICS  ADD CONSTRAINT F_REQFAIL_DTM_FK1 FOREIGN KEY  (FAIL_DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID);
  ALTER TABLE RIDW.F_REQUEST_FAILURE_DT_METRICS  ADD CONSTRAINT F_REQFAIL_DTM_FK2 FOREIGN KEY  (RELEASE_ID) REFERENCES RIDW.D_RELEASE  (RELEASE_ID);
  ALTER TABLE RIDW.F_REQUEST_FAILURE_DT_METRICS  ADD CONSTRAINT F_REQFAIL_DTM_FK3 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID);
  ALTER TABLE RIDW.F_REQUEST_FAILURE_DT_METRICS  ADD CONSTRAINT F_REQFAIL_DTM_FK4 FOREIGN KEY  (COMPONENT_ID) REFERENCES RIDW.D_COMPONENT  (COMPONENT_ID);
  ALTER TABLE RIDW.F_REQUEST_FAILURE_DT_METRICS  ADD CONSTRAINT F_REQFAIL_DTM_FK5 FOREIGN KEY  (ITERATION_ID) REFERENCES RIDW.D_ITERATION  (ITERATION_ID);
 GRANT SELECT ON RIDW.F_REQUEST_FAILURE_DT_METRICS TO RPTUSER;
 ALTER TABLE RIDW.F_REQUEST_METRICS DROP CONSTRAINT F_REQUEST_FK19; 
 ALTER TABLE RIDW.F_REQUEST_METRICS DROP CONSTRAINT F_REQUEST_FK3;
 ALTER TABLE RIDW.F_REQUEST_METRICS DROP CONSTRAINT F_REQUEST_FK4;
 ALTER TABLE RIDW.F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK19 FOREIGN KEY(STATUS_ID)REFERENCES RIDW.D_REQUEST_STATUS(STATUS_ID);
 ALTER TABLE RIDW.F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK3 FOREIGN KEY(PRIORITY_ID)REFERENCES RIDW.D_REQUEST_PRIORITY(PRIORITY_ID); 
 ALTER TABLE RIDW.F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK4 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID); 
  CREATE INDEX RIDW.F_REQ_METR_IDX3 ON RIDW.F_REQUEST_METRICS  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE TABLESPACE VSTR_IDX;
 CREATE TABLE RIDW.F_REQUEST_REQUI_FAILDT_METRICS ( REQFAIL_METRIC_ID INTEGER NOT NULL, DATE_ID INTEGER NOT NULL, RELEASE_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, COMPONENT_ID INTEGER NOT NULL, REQUIREMENT_ID INTEGER NOT NULL, ITERATION_ID INTEGER NOT NULL, TOTAL_RE_FAILED INTEGER, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL  )  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.F_REQUEST_REQUI_FAILDT_METRICS ADD CONSTRAINT F_REQREQUI_FDT_PK PRIMARY KEY(REQFAIL_METRIC_ID)  USING INDEX TABLESPACE VSTR_IDX;
  ALTER TABLE RIDW.F_REQUEST_REQUI_FAILDT_METRICS  ADD CONSTRAINT F_REQREQUI_FDT_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID);
  ALTER TABLE RIDW.F_REQUEST_REQUI_FAILDT_METRICS  ADD CONSTRAINT F_REQREQUI_FDT_FK2 FOREIGN KEY  (RELEASE_ID) REFERENCES RIDW.D_RELEASE  (RELEASE_ID); 
  ALTER TABLE RIDW.F_REQUEST_REQUI_FAILDT_METRICS  ADD CONSTRAINT F_REQREQUI_FDT_FK3 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID); 
  ALTER TABLE RIDW.F_REQUEST_REQUI_FAILDT_METRICS  ADD CONSTRAINT F_REQREQUI_FDT_FK4 FOREIGN KEY  (COMPONENT_ID) REFERENCES RIDW.D_COMPONENT  (COMPONENT_ID); 
  ALTER TABLE RIDW.F_REQUEST_REQUI_FAILDT_METRICS  ADD CONSTRAINT F_REQREQUI_FDT_FK5 FOREIGN KEY  (ITERATION_ID) REFERENCES RIDW.D_ITERATION  (ITERATION_ID); 
  ALTER TABLE RIDW.F_REQUEST_REQUI_FAILDT_METRICS  ADD CONSTRAINT F_REQREQUI_FDT_FK6 FOREIGN KEY  (REQUIREMENT_ID) REFERENCES RIDW.D_REQUIREMENT  (REQUIREMENT_ID); 
 GRANT SELECT ON RIDW.F_REQUEST_REQUI_FAILDT_METRICS TO RPTUSER;
 ALTER TABLE RIDW.F_REQUEST_REQUI_METRICS DROP CONSTRAINT F_REQREQUI_MET_FK5; 
 ALTER TABLE RIDW.F_REQUEST_REQUI_METRICS DROP CONSTRAINT F_RRUI_MET_FK14;
 ALTER TABLE RIDW.F_REQUEST_REQUI_METRICS DROP CONSTRAINT F_RRUI_MET_FK21;
 ALTER TABLE RIDW.F_REQUEST_REQUI_METRICS ADD CONSTRAINT F_REQREQUI_MET_FK5 FOREIGN KEY(PRIORITY_ID)REFERENCES RIDW.D_REQUEST_PRIORITY(PRIORITY_ID);
 ALTER TABLE RIDW.F_REQUEST_REQUI_METRICS ADD CONSTRAINT F_RRUI_MET_FK14 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID); 
 ALTER TABLE RIDW.F_REQUEST_REQUI_METRICS ADD CONSTRAINT F_RRUI_MET_FK21 FOREIGN KEY(STATUS_ID)REFERENCES RIDW.D_REQUEST_STATUS(STATUS_ID); 
 ALTER TABLE RIDW.F_REQUEST_RESOLUTIO_DT_METRICS DROP CONSTRAINT F_REQRESDT_FK10; 
 ALTER TABLE RIDW.F_REQUEST_RESOLUTIO_DT_METRICS DROP CONSTRAINT F_REQRESDT_FK15; 
 ALTER TABLE RIDW.F_REQUEST_RESOLUTIO_DT_METRICS DROP CONSTRAINT F_REQRESDT_FK7;
 ALTER TABLE RIDW.F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK10 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID);
 ALTER TABLE RIDW.F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK15 FOREIGN KEY(PRIORITY_ID)REFERENCES RIDW.D_REQUEST_PRIORITY(PRIORITY_ID);
 ALTER TABLE RIDW.F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK7 FOREIGN KEY(STATUS_ID)REFERENCES RIDW.D_REQUEST_STATUS(STATUS_ID); 
 ALTER TABLE RIDW.F_REQUEST_RES_REQUI_DT_METRICS DROP CONSTRAINT F_RRERD_MET_FK12;
 ALTER TABLE RIDW.F_REQUEST_RES_REQUI_DT_METRICS DROP CONSTRAINT F_RRERD_MET_FK19;
 ALTER TABLE RIDW.F_REQUEST_RES_REQUI_DT_METRICS DROP CONSTRAINT F_RRERD_MET_FK4; 
 ALTER TABLE RIDW.F_REQUEST_RES_REQUI_DT_METRICS ADD CONSTRAINT F_RRERD_MET_FK12 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID); 
 ALTER TABLE RIDW.F_REQUEST_RES_REQUI_DT_METRICS ADD CONSTRAINT F_RRERD_MET_FK19 FOREIGN KEY(STATUS_ID)REFERENCES RIDW.D_REQUEST_STATUS(STATUS_ID); 
 ALTER TABLE RIDW.F_REQUEST_RES_REQUI_DT_METRICS ADD CONSTRAINT F_RRERD_MET_FK4 FOREIGN KEY(PRIORITY_ID)REFERENCES RIDW.D_REQUEST_PRIORITY(PRIORITY_ID);
 ALTER TABLE RIDW.F_REQUEST_RES_TPLN_DT_METRICS DROP CONSTRAINT F_RRETD_MET_FK11; 
 ALTER TABLE RIDW.F_REQUEST_RES_TPLN_DT_METRICS DROP CONSTRAINT F_RRETD_MET_FK18; 
 ALTER TABLE RIDW.F_REQUEST_RES_TPLN_DT_METRICS DROP CONSTRAINT F_RRETD_MET_FK4;
 ALTER TABLE RIDW.F_REQUEST_RES_TPLN_DT_METRICS ADD CONSTRAINT F_RRETD_MET_FK11 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID);
 ALTER TABLE RIDW.F_REQUEST_RES_TPLN_DT_METRICS ADD CONSTRAINT F_RRETD_MET_FK18 FOREIGN KEY(STATUS_ID)REFERENCES RIDW.D_REQUEST_STATUS(STATUS_ID);
 ALTER TABLE RIDW.F_REQUEST_RES_TPLN_DT_METRICS ADD CONSTRAINT F_RRETD_MET_FK4 FOREIGN KEY(PRIORITY_ID)REFERENCES RIDW.D_REQUEST_PRIORITY(PRIORITY_ID); 
 ALTER TABLE RIDW.F_REQUEST_TPLN_AGING DROP CONSTRAINT F_REQTPLN_AG_FK10; 
 ALTER TABLE RIDW.F_REQUEST_TPLN_AGING DROP CONSTRAINT F_REQTPLN_AG_FK5;
 ALTER TABLE RIDW.F_REQUEST_TPLN_AGING ADD CONSTRAINT F_REQTPLN_AG_FK10 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID);
 ALTER TABLE RIDW.F_REQUEST_TPLN_AGING ADD CONSTRAINT F_REQTPLN_AG_FK5 FOREIGN KEY(PRIORITY_ID)REFERENCES RIDW.D_REQUEST_PRIORITY(PRIORITY_ID); 
 CREATE TABLE RIDW.F_REQUEST_TPLN_FAILDT_METRICS ( REQFAIL_METRIC_ID INTEGER NOT NULL, FAIL_DATE_ID INTEGER NOT NULL, RELEASE_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, COMPONENT_ID INTEGER NOT NULL, ITERATION_ID INTEGER NOT NULL, TESTPLAN_ID INTEGER NOT NULL, TOTAL_RE_FAILED INTEGER, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL  )  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.F_REQUEST_TPLN_FAILDT_METRICS ADD CONSTRAINT F_REQTPLN_FDT_PK PRIMARY KEY(REQFAIL_METRIC_ID)  USING INDEX TABLESPACE VSTR_IDX;
  ALTER TABLE RIDW.F_REQUEST_TPLN_FAILDT_METRICS  ADD CONSTRAINT F_REQTPLN_FDT_FK1 FOREIGN KEY  (FAIL_DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID); 
  ALTER TABLE RIDW.F_REQUEST_TPLN_FAILDT_METRICS  ADD CONSTRAINT F_REQTPLN_FDT_FK2 FOREIGN KEY  (RELEASE_ID) REFERENCES RIDW.D_RELEASE  (RELEASE_ID); 
  ALTER TABLE RIDW.F_REQUEST_TPLN_FAILDT_METRICS  ADD CONSTRAINT F_REQTPLN_FDT_FK3 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID); 
  ALTER TABLE RIDW.F_REQUEST_TPLN_FAILDT_METRICS  ADD CONSTRAINT F_REQTPLN_FDT_FK4 FOREIGN KEY  (COMPONENT_ID) REFERENCES RIDW.D_COMPONENT  (COMPONENT_ID); 
  ALTER TABLE RIDW.F_REQUEST_TPLN_FAILDT_METRICS  ADD CONSTRAINT F_REQTPLN_FDT_FK5 FOREIGN KEY  (ITERATION_ID) REFERENCES RIDW.D_ITERATION  (ITERATION_ID); 
  ALTER TABLE RIDW.F_REQUEST_TPLN_FAILDT_METRICS  ADD CONSTRAINT F_REQTPLN_FDT_FK6 FOREIGN KEY  (TESTPLAN_ID) REFERENCES RIDW.D_TESTPLAN  (TESTPLAN_ID);
 GRANT SELECT ON RIDW.F_REQUEST_TPLN_FAILDT_METRICS TO RPTUSER; 
 ALTER TABLE RIDW.F_REQUEST_TPLN_METRICS DROP CONSTRAINT F_REQTPLN_MET_FK13;
 ALTER TABLE RIDW.F_REQUEST_TPLN_METRICS DROP CONSTRAINT F_REQTPLN_MET_FK20;
 ALTER TABLE RIDW.F_REQUEST_TPLN_METRICS DROP CONSTRAINT F_REQTPLN_MET_FK5; 
 ALTER TABLE RIDW.F_REQUEST_TPLN_METRICS ADD CONSTRAINT F_REQTPLN_MET_FK13 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID); 
 ALTER TABLE RIDW.F_REQUEST_TPLN_METRICS ADD CONSTRAINT F_REQTPLN_MET_FK20 FOREIGN KEY(STATUS_ID)REFERENCES RIDW.D_REQUEST_STATUS(STATUS_ID); 
 ALTER TABLE RIDW.F_REQUEST_TPLN_METRICS ADD CONSTRAINT F_REQTPLN_MET_FK5 FOREIGN KEY(PRIORITY_ID)REFERENCES RIDW.D_REQUEST_PRIORITY(PRIORITY_ID);
 ALTER TABLE RIDW.F_REQUEST_TPLN_TURNAROUND DROP CONSTRAINT F_RQTPT_FK4;
 ALTER TABLE RIDW.F_REQUEST_TPLN_TURNAROUND DROP CONSTRAINT F_RQTPT_FK9;
 ALTER TABLE RIDW.F_REQUEST_TPLN_TURNAROUND ADD CONSTRAINT F_RQTPT_FK4 FOREIGN KEY(PRIORITY_ID)REFERENCES RIDW.D_REQUEST_PRIORITY(PRIORITY_ID); 
 ALTER TABLE RIDW.F_REQUEST_TPLN_TURNAROUND ADD CONSTRAINT F_RQTPT_FK9 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID); 
 ALTER TABLE RIDW.F_REQUEST_TURNAROUND DROP CONSTRAINT F_REQTURN_FK6; 
 ALTER TABLE RIDW.F_REQUEST_TURNAROUND DROP CONSTRAINT F_REQTURN_FK7; 
 ALTER TABLE RIDW.F_REQUEST_TURNAROUND ADD CONSTRAINT F_REQTURN_FK6 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID);
 ALTER TABLE RIDW.F_REQUEST_TURNAROUND ADD CONSTRAINT F_REQTURN_FK7 FOREIGN KEY(PRIORITY_ID)REFERENCES RIDW.D_REQUEST_PRIORITY(PRIORITY_ID);
 ALTER TABLE RIDW.F_REQUE_CLOSE_REQUI_DT_METRICS DROP CONSTRAINT F_RCRDT_MET_FK10;
 ALTER TABLE RIDW.F_REQUE_CLOSE_REQUI_DT_METRICS DROP CONSTRAINT F_RCRDT_MET_FK11;
 ALTER TABLE RIDW.F_REQUE_CLOSE_REQUI_DT_METRICS ADD CONSTRAINT F_RCRDT_MET_FK10 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID); 
 ALTER TABLE RIDW.F_REQUE_CLOSE_REQUI_DT_METRICS ADD CONSTRAINT F_RCRDT_MET_FK11 FOREIGN KEY(STATUS_ID)REFERENCES RIDW.D_REQUEST_STATUS(STATUS_ID); 
 ALTER TABLE RIDW.F_REQUE_CLOSE_TPLN_DT_METRICS DROP CONSTRAINT F_RCTD_MET_FK10;
 ALTER TABLE RIDW.F_REQUE_CLOSE_TPLN_DT_METRICS DROP CONSTRAINT F_RCTD_MET_FK9; 
 ALTER TABLE RIDW.F_REQUE_CLOSE_TPLN_DT_METRICS ADD CONSTRAINT F_RCTD_MET_FK10 FOREIGN KEY(STATUS_ID)REFERENCES RIDW.D_REQUEST_STATUS(STATUS_ID); 
 ALTER TABLE RIDW.F_REQUE_CLOSE_TPLN_DT_METRICS ADD CONSTRAINT F_RCTD_MET_FK9 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID);
 ALTER TABLE RIDW.F_REQUIREMENT_METRICS ADD REQUIREMENT_TYPE_ID INTEGER DEFAULT -1  NOT NULL; 
 ALTER TABLE RIDW.F_REQUIREMENT_METRICS MODIFY REQUIREMENT_TYPE_ID DEFAULT NULL;
  ALTER TABLE RIDW.F_REQUIREMENT_METRICS  ADD CONSTRAINT F_REQMET_FK14 FOREIGN KEY  (REQUIREMENT_TYPE_ID) REFERENCES RIDW.D_REQUIREMENT_TYPE  (REQUIREMENT_TYPE_ID);
 ALTER TABLE RIDW.F_REQUIREMENT_TPLN_METRICS ADD REQUIREMENT_TYPE_ID INTEGER DEFAULT -1  NOT NULL;
 ALTER TABLE RIDW.F_REQUIREMENT_TPLN_METRICS MODIFY REQUIREMENT_TYPE_ID DEFAULT NULL; 
  ALTER TABLE RIDW.F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT F_RTPLN_MET_FK20 FOREIGN KEY  (REQUIREMENT_TYPE_ID) REFERENCES RIDW.D_REQUIREMENT_TYPE  (REQUIREMENT_TYPE_ID);
 CREATE TABLE RIDW.F_REQUIR_MODIF_DT_METRICS ( REQ_METRIC_ID INTEGER NOT NULL, MODIFICATION_DATE_ID INTEGER NOT NULL, REQUIREMENT_CLASS_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, COMPONENT_ID INTEGER NOT NULL, ITERATION_ID INTEGER NOT NULL, RELEASE_ID INTEGER NOT NULL, RESOURCE_ID INTEGER NOT NULL, STATE_ID INTEGER NOT NULL, STATUS_ID INTEGER NOT NULL, STABILITY_ID INTEGER NOT NULL, DIFFICULTY_ID INTEGER NOT NULL, PRIORITY_ID INTEGER NOT NULL, REQUIREMENT_TYPE_ID INTEGER NOT NULL, TOTAL_REQUIREMENTS INTEGER DEFAULT 0 NOT NULL , TOTAL_REQUIREMENT_CHANGES INTEGER DEFAULT 0 NOT NULL , REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL  )  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.F_REQUIR_MODIF_DT_METRICS ADD CONSTRAINT F_REQMODI_DTM_PK PRIMARY KEY(REQ_METRIC_ID)  USING INDEX TABLESPACE VSTR_IDX;
  ALTER TABLE RIDW.F_REQUIR_MODIF_DT_METRICS  ADD CONSTRAINT F_REQMODI_DTM_FK1 FOREIGN KEY  (MODIFICATION_DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID); 
  ALTER TABLE RIDW.F_REQUIR_MODIF_DT_METRICS  ADD CONSTRAINT F_REQMODI_DTM_FK10 FOREIGN KEY  (STATUS_ID) REFERENCES RIDW.D_STATUS  (STATUS_ID); 
  ALTER TABLE RIDW.F_REQUIR_MODIF_DT_METRICS  ADD CONSTRAINT F_REQMODI_DTM_FK11 FOREIGN KEY  (STABILITY_ID) REFERENCES RIDW.D_STABILITY  (STABILITY_ID);
  ALTER TABLE RIDW.F_REQUIR_MODIF_DT_METRICS  ADD CONSTRAINT F_REQMODI_DTM_FK12 FOREIGN KEY  (DIFFICULTY_ID) REFERENCES RIDW.D_DIFFICULTY  (DIFFICULTY_ID); 
  ALTER TABLE RIDW.F_REQUIR_MODIF_DT_METRICS  ADD CONSTRAINT F_REQMODI_DTM_FK13 FOREIGN KEY  (PRIORITY_ID) REFERENCES RIDW.D_PRIORITY  (PRIORITY_ID); 
  ALTER TABLE RIDW.F_REQUIR_MODIF_DT_METRICS  ADD CONSTRAINT F_REQMODI_DTM_FK14 FOREIGN KEY  (REQUIREMENT_TYPE_ID) REFERENCES RIDW.D_REQUIREMENT_TYPE  (REQUIREMENT_TYPE_ID); 
  ALTER TABLE RIDW.F_REQUIR_MODIF_DT_METRICS  ADD CONSTRAINT F_REQMODI_DTM_FK2 FOREIGN KEY  (REQUIREMENT_CLASS_ID) REFERENCES RIDW.D_REQUIREMENT_CLASSIFICATION  (REQUIREMENT_CLASS_ID);
  ALTER TABLE RIDW.F_REQUIR_MODIF_DT_METRICS  ADD CONSTRAINT F_REQMODI_DTM_FK4 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID); 
  ALTER TABLE RIDW.F_REQUIR_MODIF_DT_METRICS  ADD CONSTRAINT F_REQMODI_DTM_FK5 FOREIGN KEY  (COMPONENT_ID) REFERENCES RIDW.D_COMPONENT  (COMPONENT_ID); 
  ALTER TABLE RIDW.F_REQUIR_MODIF_DT_METRICS  ADD CONSTRAINT F_REQMODI_DTM_FK6 FOREIGN KEY  (ITERATION_ID) REFERENCES RIDW.D_ITERATION  (ITERATION_ID); 
  ALTER TABLE RIDW.F_REQUIR_MODIF_DT_METRICS  ADD CONSTRAINT F_REQMODI_DTM_FK7 FOREIGN KEY  (RELEASE_ID) REFERENCES RIDW.D_RELEASE  (RELEASE_ID); 
  ALTER TABLE RIDW.F_REQUIR_MODIF_DT_METRICS  ADD CONSTRAINT F_REQMODI_DTM_FK8 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID);
  ALTER TABLE RIDW.F_REQUIR_MODIF_DT_METRICS  ADD CONSTRAINT F_REQMODI_DTM_FK9 FOREIGN KEY  (STATE_ID) REFERENCES RIDW.D_REQUIREMENT_STATE  (STATE_ID); 
 GRANT SELECT ON RIDW.F_REQUIR_MODIF_DT_METRICS TO RPTUSER; 
 ALTER TABLE RIDW.F_REQUI_TCASE_METRICS ADD REQUIREMENT_TYPE_ID INTEGER DEFAULT -1  NOT NULL; 
 ALTER TABLE RIDW.F_REQUI_TCASE_METRICS MODIFY REQUIREMENT_TYPE_ID DEFAULT NULL;
  ALTER TABLE RIDW.F_REQUI_TCASE_METRICS  ADD CONSTRAINT F_RTC_MET_FK20 FOREIGN KEY  (REQUIREMENT_TYPE_ID) REFERENCES RIDW.D_REQUIREMENT_TYPE  (REQUIREMENT_TYPE_ID); 
 ALTER TABLE RIDW.F_REQU_CREATI_REQUI_DT_METRICS DROP CONSTRAINT F_RRDT_MET_FK11; 
 ALTER TABLE RIDW.F_REQU_CREATI_REQUI_DT_METRICS DROP CONSTRAINT F_RRDT_MET_FK18; 
 ALTER TABLE RIDW.F_REQU_CREATI_REQUI_DT_METRICS DROP CONSTRAINT F_RRDT_MET_FK3;
 ALTER TABLE RIDW.F_REQU_CREATI_REQUI_DT_METRICS ADD CONSTRAINT F_RRDT_MET_FK11 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID);
 ALTER TABLE RIDW.F_REQU_CREATI_REQUI_DT_METRICS ADD CONSTRAINT F_RRDT_MET_FK18 FOREIGN KEY(STATUS_ID)REFERENCES RIDW.D_REQUEST_STATUS(STATUS_ID);
 ALTER TABLE RIDW.F_REQU_CREATI_REQUI_DT_METRICS ADD CONSTRAINT F_RRDT_MET_FK3 FOREIGN KEY(PRIORITY_ID)REFERENCES RIDW.D_REQUEST_PRIORITY(PRIORITY_ID); 
 ALTER TABLE RIDW.F_REQU_CREATI_TPLN_DT_METRICS DROP CONSTRAINT F_RCRTD_MET_FK11; 
 ALTER TABLE RIDW.F_REQU_CREATI_TPLN_DT_METRICS DROP CONSTRAINT F_RCRTD_MET_FK4;
 ALTER TABLE RIDW.F_REQU_CREATI_TPLN_DT_METRICS DROP CONSTRAINT F_RCRTD_MET_FK18; 
 ALTER TABLE RIDW.F_REQU_CREATI_TPLN_DT_METRICS ADD CONSTRAINT F_RCRTD_MET_FK11 FOREIGN KEY(SEVERITY_ID)REFERENCES RIDW.D_REQUEST_SEVERITY(SEVERITY_ID);
 ALTER TABLE RIDW.F_REQU_CREATI_TPLN_DT_METRICS ADD CONSTRAINT F_RCRTD_MET_FK4 FOREIGN KEY(PRIORITY_ID)REFERENCES RIDW.D_REQUEST_PRIORITY(PRIORITY_ID); 
 ALTER TABLE RIDW.F_REQU_CREATI_TPLN_DT_METRICS ADD CONSTRAINT F_RCRTD_MET_FK18 FOREIGN KEY(STATUS_ID)REFERENCES RIDW.D_REQUEST_STATUS(STATUS_ID);
 CREATE TABLE RIDW.F_SC_BALLOT_TAB_RESULT_METRICS ( BALLOT_TAB_RESULT_METRICS_ID INTEGER DEFAULT -1 NOT NULL , DATE_ID INTEGER DEFAULT -1 NOT NULL , TEAM_ID INTEGER DEFAULT -1 NOT NULL , BALLOT_TAB_ID INTEGER DEFAULT -1 NOT NULL , AGG_STDEV_AVG DECIMAL(18,2) DEFAULT 0.00 NOT NULL , AGG_AVERAGE_AVG DECIMAL(18,2) DEFAULT 0.00 NOT NULL , TOTAL_RESULTS INTEGER DEFAULT 0 NOT NULL , REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL  )  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.F_SC_BALLOT_TAB_RESULT_METRICS ADD CONSTRAINT F_BALLTABMET_PK PRIMARY KEY(BALLOT_TAB_RESULT_METRICS_ID)  USING INDEX TABLESPACE VSTR_IDX; 
  ALTER TABLE RIDW.F_SC_BALLOT_TAB_RESULT_METRICS  ADD CONSTRAINT F_BALLTABMET_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID);
  ALTER TABLE RIDW.F_SC_BALLOT_TAB_RESULT_METRICS  ADD CONSTRAINT F_BALLTABMET_FK2 FOREIGN KEY  (TEAM_ID) REFERENCES RIDW.D_TEAM  (TEAM_ID);
  ALTER TABLE RIDW.F_SC_BALLOT_TAB_RESULT_METRICS  ADD CONSTRAINT F_BALLTABMET_FK3 FOREIGN KEY  (BALLOT_TAB_ID) REFERENCES RIDW.D_BALLOT_TAB  (BALLOT_TAB_ID);
 GRANT SELECT ON RIDW.F_SC_BALLOT_TAB_RESULT_METRICS TO RPTUSER;
 CREATE TABLE RIDW.F_STORY_METRICS ( F_STORY_METRIC_ID INTEGER NOT NULL, DATE_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, ITERATION_ID INTEGER NOT NULL, TEAM_ID INTEGER NOT NULL, OWNER_ID INTEGER NOT NULL, REQUEST_CLASS_ID INTEGER NOT NULL, REQUEST_TYPE_ID INTEGER NOT NULL, REQUEST_CATEGORY_ID INTEGER NOT NULL, STATE_ID INTEGER NOT NULL, SEVERITY_ID INTEGER NOT NULL, PRIORITY_ID INTEGER NOT NULL, TOTAL_STORY_POINTS DECIMAL(18,2) DEFAULT 0.00 NOT NULL , TOTAL_COMMENTS INTEGER DEFAULT 0 NOT NULL , TOTAL_SUBSCRIBERS INTEGER DEFAULT 0 NOT NULL , TOTAL_TAGS INTEGER DEFAULT 0 NOT NULL , REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL  )  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.F_STORY_METRICS ADD CONSTRAINT F_STORY_METRIC_PK PRIMARY KEY(F_STORY_METRIC_ID)  USING INDEX TABLESPACE VSTR_IDX; 
  ALTER TABLE RIDW.F_STORY_METRICS  ADD CONSTRAINT F_STORY_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID);
  ALTER TABLE RIDW.F_STORY_METRICS  ADD CONSTRAINT F_STORY_FK10 FOREIGN KEY  (SEVERITY_ID) REFERENCES RIDW.D_REQUEST_SEVERITY  (SEVERITY_ID); 
  ALTER TABLE RIDW.F_STORY_METRICS  ADD CONSTRAINT F_STORY_FK11 FOREIGN KEY  (PRIORITY_ID) REFERENCES RIDW.D_REQUEST_PRIORITY  (PRIORITY_ID); 
  ALTER TABLE RIDW.F_STORY_METRICS  ADD CONSTRAINT F_STORY_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID); 
  ALTER TABLE RIDW.F_STORY_METRICS  ADD CONSTRAINT F_STORY_FK3 FOREIGN KEY  (ITERATION_ID) REFERENCES RIDW.D_ITERATION  (ITERATION_ID); 
  ALTER TABLE RIDW.F_STORY_METRICS  ADD CONSTRAINT F_STORY_FK4 FOREIGN KEY  (TEAM_ID) REFERENCES RIDW.D_TEAM  (TEAM_ID);
  ALTER TABLE RIDW.F_STORY_METRICS  ADD CONSTRAINT F_STORY_FK5 FOREIGN KEY  (OWNER_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID); 
  ALTER TABLE RIDW.F_STORY_METRICS  ADD CONSTRAINT F_STORY_FK6 FOREIGN KEY  (REQUEST_CLASS_ID) REFERENCES RIDW.D_REQUEST_CLASSIFICATION  (REQUEST_CLASS_ID);
  ALTER TABLE RIDW.F_STORY_METRICS  ADD CONSTRAINT F_STORY_FK7 FOREIGN KEY  (REQUEST_CATEGORY_ID) REFERENCES RIDW.D_REQUEST_CATEGORY  (REQUEST_CATEGORY_ID);
  ALTER TABLE RIDW.F_STORY_METRICS  ADD CONSTRAINT F_STORY_FK8 FOREIGN KEY  (REQUEST_TYPE_ID) REFERENCES RIDW.D_REQUEST_TYPE  (REQUEST_TYPE_ID);
  ALTER TABLE RIDW.F_STORY_METRICS  ADD CONSTRAINT F_STORY_FK9 FOREIGN KEY  (STATE_ID) REFERENCES RIDW.D_REQUEST_STATE  (STATE_ID); 
 GRANT SELECT ON RIDW.F_STORY_METRICS TO RPTUSER; 
  CREATE INDEX RIDW.F_TXTF_CHGMET_IDX ON RIDW.F_TEXT_FILE_CHANGE_METRICS  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)  REVERSE TABLESPACE VSTR_IDX; 
 CREATE TABLE RIDW.F_TP_PROJECT_FINANCIAL_METRICS ( F_TPPROJFIN_METRIC_ID INTEGER NOT NULL, DATE_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, BUDGETED_REVENUE DECIMAL(18,2) DEFAULT 0.00 NOT NULL , PLANNED_REVENUE DECIMAL(18,2) DEFAULT 0.00 NOT NULL , ACTUAL_REVENUE DECIMAL(18,2) DEFAULT 0.00 NOT NULL , BUDGETED_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL , PLANNED_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL , ACTUAL_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL , REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL  )  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.F_TP_PROJECT_FINANCIAL_METRICS ADD CONSTRAINT F_TPPRJFINMET_PK PRIMARY KEY(F_TPPROJFIN_METRIC_ID)  USING INDEX TABLESPACE VSTR_IDX; 
  ALTER TABLE RIDW.F_TP_PROJECT_FINANCIAL_METRICS  ADD CONSTRAINT F_TPPRJFINMET_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID); 
  ALTER TABLE RIDW.F_TP_PROJECT_FINANCIAL_METRICS  ADD CONSTRAINT F_TPPRJFINMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID);
 GRANT SELECT ON RIDW.F_TP_PROJECT_FINANCIAL_METRICS TO RPTUSER;
 ALTER TABLE RIDW.H_BUILD_REQU_ATTEMPTS DROP CONSTRAINT H_BRQUA_FK2;
 ALTER TABLE RIDW.H_BUILD_REQU_ATTEMPTS ADD CONSTRAINT H_BRQUA_FK2 FOREIGN KEY(BUILD_METRIC_ID)REFERENCES RIDW.F_BUILD_REQU_METRICS(BUILD_METRIC_ID)ON DELETE CASCADE;
 CREATE TABLE RIDW.H_PROJECT_FINANCIAL_METRICS ( F_PROJFIN_METRIC_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.H_PROJECT_FINANCIAL_METRICS ADD CONSTRAINT H_PRJFINMET_PK PRIMARY KEY(F_PROJFIN_METRIC_ID, PROJECT_ID)  USING INDEX TABLESPACE VSTR_IDX;
  ALTER TABLE RIDW.H_PROJECT_FINANCIAL_METRICS  ADD CONSTRAINT H_PRJFINMET_FK1 FOREIGN KEY  (F_PROJFIN_METRIC_ID) REFERENCES RIDW.F_PROJECT_FINANCIAL_METRICS  (F_PROJFIN_METRIC_ID); 
  ALTER TABLE RIDW.H_PROJECT_FINANCIAL_METRICS  ADD CONSTRAINT H_PRJFINMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID); 
 GRANT SELECT ON RIDW.H_PROJECT_FINANCIAL_METRICS TO RPTUSER; 
 CREATE TABLE RIDW.H_REQUEST_FAILURE_DT_METRICS ( REQFAIL_METRIC_ID INTEGER NOT NULL, REQUEST_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.H_REQUEST_FAILURE_DT_METRICS ADD CONSTRAINT H_REQFAIL_DTM_PK PRIMARY KEY(REQFAIL_METRIC_ID, REQUEST_ID)  USING INDEX TABLESPACE VSTR_IDX; 
  ALTER TABLE RIDW.H_REQUEST_FAILURE_DT_METRICS  ADD CONSTRAINT H_REQFAIL_DTM_FK1 FOREIGN KEY  (REQFAIL_METRIC_ID) REFERENCES RIDW.F_REQUEST_FAILURE_DT_METRICS  (REQFAIL_METRIC_ID) ON DELETE CASCADE; 
  ALTER TABLE RIDW.H_REQUEST_FAILURE_DT_METRICS  ADD CONSTRAINT H_REQFAIL_DTM_FK2 FOREIGN KEY  (REQUEST_ID) REFERENCES RIDW.D_REQUEST  (REQUEST_ID) ON DELETE CASCADE;
 GRANT SELECT ON RIDW.H_REQUEST_FAILURE_DT_METRICS TO RPTUSER;
 CREATE TABLE RIDW.H_REQUEST_REQUI_FAILDT_METRICS ( REQFAIL_METRIC_ID INTEGER NOT NULL, REQUEST_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.H_REQUEST_REQUI_FAILDT_METRICS ADD CONSTRAINT H_REQREQUI_FDT_PK PRIMARY KEY(REQFAIL_METRIC_ID, REQUEST_ID)  USING INDEX TABLESPACE VSTR_IDX;
  ALTER TABLE RIDW.H_REQUEST_REQUI_FAILDT_METRICS  ADD CONSTRAINT H_REQREQUI_FDT_FK1 FOREIGN KEY  (REQFAIL_METRIC_ID) REFERENCES RIDW.F_REQUEST_REQUI_FAILDT_METRICS  (REQFAIL_METRIC_ID) ON DELETE CASCADE;
  ALTER TABLE RIDW.H_REQUEST_REQUI_FAILDT_METRICS  ADD CONSTRAINT H_REQREQUI_FDT_FK2 FOREIGN KEY  (REQUEST_ID) REFERENCES RIDW.D_REQUEST  (REQUEST_ID) ON DELETE CASCADE; 
 GRANT SELECT ON RIDW.H_REQUEST_REQUI_FAILDT_METRICS TO RPTUSER;
 ALTER TABLE RIDW.H_REQUEST_RESOLUTIO_DT_METRICS DROP CONSTRAINT H_REQRESDT_FK1;
 ALTER TABLE RIDW.H_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT H_REQRESDT_FK1 FOREIGN KEY(REQDT_METRIC_ID)REFERENCES RIDW.F_REQUEST_RESOLUTIO_DT_METRICS(REQDT_METRIC_ID)ON DELETE CASCADE;
 CREATE TABLE RIDW.H_REQUEST_TPLN_FAILDT_METRICS ( REQFAIL_METRIC_ID INTEGER NOT NULL, REQUEST_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.H_REQUEST_TPLN_FAILDT_METRICS ADD CONSTRAINT H_REQTPLN_FDT_PK PRIMARY KEY(REQFAIL_METRIC_ID, REQUEST_ID)  USING INDEX TABLESPACE VSTR_IDX;
  ALTER TABLE RIDW.H_REQUEST_TPLN_FAILDT_METRICS  ADD CONSTRAINT H_REQTPLN_FDT_FK1 FOREIGN KEY  (REQFAIL_METRIC_ID) REFERENCES RIDW.F_REQUEST_TPLN_FAILDT_METRICS  (REQFAIL_METRIC_ID) ON DELETE CASCADE; 
  ALTER TABLE RIDW.H_REQUEST_TPLN_FAILDT_METRICS  ADD CONSTRAINT H_REQTPLN_FDT_FK2 FOREIGN KEY  (REQUEST_ID) REFERENCES RIDW.D_REQUEST  (REQUEST_ID) ON DELETE CASCADE; 
 GRANT SELECT ON RIDW.H_REQUEST_TPLN_FAILDT_METRICS TO RPTUSER; 
 CREATE TABLE RIDW.H_REQUIR_MODIF_DT_METRICS ( REQ_METRIC_ID INTEGER NOT NULL, REQUIREMENT_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.H_REQUIR_MODIF_DT_METRICS ADD CONSTRAINT H_REQMODI_DTM_PK PRIMARY KEY(REQ_METRIC_ID, REQUIREMENT_ID)  USING INDEX TABLESPACE VSTR_IDX;
  ALTER TABLE RIDW.H_REQUIR_MODIF_DT_METRICS  ADD CONSTRAINT H_REQMODI_DTM_FK1 FOREIGN KEY  (REQ_METRIC_ID) REFERENCES RIDW.F_REQUIR_MODIF_DT_METRICS  (REQ_METRIC_ID) ON DELETE CASCADE; 
  ALTER TABLE RIDW.H_REQUIR_MODIF_DT_METRICS  ADD CONSTRAINT H_REQMODI_DTM_FK2 FOREIGN KEY  (REQUIREMENT_ID) REFERENCES RIDW.D_REQUIREMENT  (REQUIREMENT_ID) ON DELETE CASCADE; 
 GRANT SELECT ON RIDW.H_REQUIR_MODIF_DT_METRICS TO RPTUSER; 
 CREATE TABLE RIDW.H_STORY_METRICS ( F_STORY_METRIC_ID INTEGER NOT NULL, REQUEST_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.H_STORY_METRICS ADD CONSTRAINT HSTORYPIONTS_PK PRIMARY KEY(F_STORY_METRIC_ID, REQUEST_ID)  USING INDEX TABLESPACE VSTR_IDX; 
  ALTER TABLE RIDW.H_STORY_METRICS  ADD CONSTRAINT HSTORYPOINTS_FK1 FOREIGN KEY  (F_STORY_METRIC_ID) REFERENCES RIDW.F_STORY_METRICS  (F_STORY_METRIC_ID) ON DELETE CASCADE;
  ALTER TABLE RIDW.H_STORY_METRICS  ADD CONSTRAINT HSTORYPOINTS_FK2 FOREIGN KEY  (REQUEST_ID) REFERENCES RIDW.D_REQUEST  (REQUEST_ID) ON DELETE CASCADE;
 GRANT SELECT ON RIDW.H_STORY_METRICS TO RPTUSER; 
 CREATE TABLE RIDW.H_TP_PROJECT_FINANCIAL_METRICS ( F_TPPROJFIN_METRIC_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.H_TP_PROJECT_FINANCIAL_METRICS ADD CONSTRAINT H_TPPRJFINMET_PK PRIMARY KEY(F_TPPROJFIN_METRIC_ID, PROJECT_ID)  USING INDEX TABLESPACE VSTR_IDX; 
  ALTER TABLE RIDW.H_TP_PROJECT_FINANCIAL_METRICS  ADD CONSTRAINT H_TPPRJFINMET_FK1 FOREIGN KEY  (F_TPPROJFIN_METRIC_ID) REFERENCES RIDW.F_TP_PROJECT_FINANCIAL_METRICS  (F_TPPROJFIN_METRIC_ID); 
  ALTER TABLE RIDW.H_TP_PROJECT_FINANCIAL_METRICS  ADD CONSTRAINT H_TPPRJFINMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID);
 GRANT SELECT ON RIDW.H_TP_PROJECT_FINANCIAL_METRICS TO RPTUSER;
 CREATE VIEW RIDW.VW_ACTION_TYPE (ACTION_TYPE_ID,REFERENCE_ID,EXTERNAL_ID,NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED)AS (SELECT ACTION_TYPE_ID,REFERENCE_ID,EXTERNAL_ID,NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED FROM RIASSET.ACTION_TYPE); 
 GRANT SELECT ON RIDW.VW_ACTION_TYPE TO RPTUSER;
 DROP VIEW RIDW.VW_ACTIVITY;
 CREATE VIEW RIDW.VW_ACTIVITY (ACTIVITY_ID, EXTERNAL_ID, REFERENCE_ID, NAME, TASK_ID, TASK_NAME,OWNER_ID, OWNER_FULLNAME, PROFILE_ID, PROFILE_NAME, FAILED_BUILD, VALIDATION_BUILD, NOTEST_BUILD, FILE_STREAM_ID, FILE_STREAM_NAME, RESOLUTION_CODE, CHARGECODE_ID, CHARGECODE_NAME, URL, ACTIVITY_STATE,ACTIVITY_TYPE,CREATION_DATE,PRIORITY,PROJECT_ID,PROJECT_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,ACTIVITY_CLASS_ID,ACTIVITY_CLASS_NAME,STATUS,RESOLUTION,REC_DATETIME,ISSOFTDELETED) AS (SELECT A.ACTIVITY_ID, A.EXTERNAL_ID, A.REFERENCE_ID, A.NAME, A.TASK_ID, T.NAME AS TASK_NAME,A.OWNER_ID,R.FULL_NAME AS OWNER_FULLNAME, PR.PROFILE_ID, PR.NAME AS PROFILE_NAME, A.FAILED_BUILD, A.VALIDATION_BUILD, A.NOTEST_BUILD, A.FILE_STREAM_ID, S.NAME AS FILE_STREAM_NAME, A.RESOLUTION_CODE, C.CHARGECODE_ID, C.NAME,A.URL, A.ACTIVITY_STATE,A.ACTIVITY_TYPE,A.CREATION_DATE,A.PRIORITY,A.PROJECT_ID,P.NAME AS PROJECT_NAME,A.EXTERNAL_KEY1,A.EXTERNAL_KEY2,A.ACTIVITY_CLASS_ID,AC.NAME AS ACTIVITY_CLASS_NAME,A.STATUS,A.RESOLUTION,A.REC_DATETIME,A.ISSOFTDELETED  FROM RIODS.ACTIVITY A JOIN RIODS.TASK T ON T.TASK_ID=A.TASK_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=A.OWNER_ID JOIN RIODS.PROFILE PR ON PR.PROFILE_ID=A.PROFILE_ID JOIN RIODS.FILE_STREAM S ON S.FILE_STREAM_ID=A.FILE_STREAM_ID JOIN RIODS.PROJECT P ON P.PROJECT_ID=A.PROJECT_ID JOIN RIODS.ACTIVITY_CLASSIFICATION AC ON AC.ACTIVITY_CLASS_ID=A.ACTIVITY_CLASS_ID JOIN RIODS.CHARGECODE C ON C.CHARGECODE_ID=A.CHARGECODE_ID);
 GRANT SELECT ON RIDW.VW_ACTIVITY TO RPTUSER; 
 DROP VIEW RIDW.VW_ACTIVITY_STATE_HISTORY;
 CREATE VIEW RIDW.VW_ACTIVITY_STATE_HISTORY (ACTIVITY_STATE_HISTORY_ID,ACTIVITY_ID,PREV_ACTIVITY_STATE,ACTIVITY_STATE, CHANGE_DATE,DAYS_IN_STATE,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT ACTIVITY_STATE_HISTORY_ID,ACTIVITY_ID,PREV_ACTIVITY_STATE,ACTIVITY_STATE, CHANGE_DATE,DAYS_IN_STATE,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED  FROM RIODS.ACTIVITY_STATE_HISTORY); 
 GRANT SELECT ON RIDW.VW_ACTIVITY_STATE_HISTORY TO RPTUSER; 
 CREATE VIEW RIDW.VW_ANSWER (ANSWER_ID,REFERENCE_ID,EXTERNAL_ID,NAME,QUESTION_ID,QUESTION_NAME,BALLOT_ID,BALLOT_NAME,BALLOT_TAB_ID,BALLOT_TAB_NAME,VALUE,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED)AS (SELECT A.ANSWER_ID,A.REFERENCE_ID,A.EXTERNAL_ID,A.NAME,A.QUESTION_ID,Q.NAME AS QUESTION_NAME,A.BALLOT_ID,B.NAME AS BALLOT_NAME,A.BALLOT_TAB_ID,BA.NAME AS BALLOT_TAB_NAME,A.VALUE,A.EXTERNAL_KEY1,A.EXTERNAL_KEY2,A.SOURCE_ID,A.URL,A.REC_DATETIME,A.ISSOFTDELETED FROM RISCHK.ANSWER A JOIN RISCHK.QUESTION Q ON Q.QUESTION_ID=A.QUESTION_ID JOIN RISCHK.BALLOT B ON B.BALLOT_ID=A.BALLOT_ID JOIN RISCHK.BALLOT_TAB BA ON BA.BALLOT_TAB_ID=A.BALLOT_TAB_ID); 
 GRANT SELECT ON RIDW.VW_ANSWER TO RPTUSER; 
 CREATE VIEW RIDW.VW_ASSET_TYPE (ASSET_TYPE_ID, REFERENCE_ID,EXTERNAL_ID,NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED) AS (SELECT ASSET_TYPE_ID,REFERENCE_ID,EXTERNAL_ID,NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED FROM RIASSET.ASSET_TYPE); 
 GRANT SELECT ON RIDW.VW_ASSET_TYPE TO RPTUSER; 
 CREATE VIEW RIDW.VW_ASSET (ASSET_ID, REFERENCE_ID,EXTERNAL_ID,NAME,PROJECT_ID,PROJECT_NAME,ASSET_TYPE_ID,ASSET_TYPE_NAME,VERSION,ASSET_STATE,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED,LAST_MODIFIED) AS (SELECT A.ASSET_ID,A.REFERENCE_ID,A.EXTERNAL_ID,A.NAME,A.PROJECT_ID,P.NAME AS PROJECT_NAME,A.ASSET_TYPE_ID,AA.NAME AS ASSET_TYPE_NAME,A.VERSION,A.ASSET_STATE,A.EXTERNAL_KEY1,A.EXTERNAL_KEY2,A.SOURCE_ID,A.URL,A.REC_DATETIME,A.ISSOFTDELETED,A.LAST_MODIFIED FROM RIASSET.ASSET A JOIN RIODS.PROJECT P ON P.PROJECT_ID=A.PROJECT_ID JOIN RIASSET.ASSET_TYPE AA ON AA.ASSET_TYPE_ID=A.ASSET_TYPE_ID); 
 GRANT SELECT ON RIDW.VW_ASSET TO RPTUSER;
 DROP VIEW RIDW.VW_ASSETREGISTRY; 
 CREATE VIEW RIDW.VW_ASSETREGISTRY (ASSETREGISTRY_ID,EXTERNAL_ID,NAME,REFERENCE_ID,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT A.ASSETREGISTRY_ID,A.EXTERNAL_ID,A.NAME,A.REFERENCE_ID,A.URL,A.EXTERNAL_KEY1,A.EXTERNAL_KEY2,A.REC_DATETIME,A.ISSOFTDELETED  FROM RIODS.ASSETREGISTRY A); 
 GRANT SELECT ON RIDW.VW_ASSETREGISTRY TO RPTUSER;
 CREATE VIEW RIDW.VW_ASSET_HISTORY (HISTORY_ID,ASSET_ID,ASSET_NAME,ACTION_TYPE_ID,ACTION_TYPE_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED,RESOURCE_ID,RESOURCE_NAME,ACTION_DATE)AS (SELECT H.HISTORY_ID,H.ASSET_ID,A.NAME AS ASSET_NAME,H.ACTION_TYPE_ID,AC.NAME AS ACTION_TYPE_NAME,H.EXTERNAL_KEY1,H.EXTERNAL_KEY2,H.SOURCE_ID,H.URL,H.REC_DATETIME,H.ISSOFTDELETED,H.RESOURCE_ID,R.FULL_NAME AS RESOURCE_NAME,H.ACTION_DATE  FROM RIASSET.ASSET_HISTORY H JOIN RIASSET.ASSET A ON A.ASSET_ID=H.ASSET_ID JOIN RIASSET.ACTION_TYPE AC ON AC.ACTION_TYPE_ID=H.ACTION_TYPE_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=H.RESOURCE_ID); 
 GRANT SELECT ON RIDW.VW_ASSET_HISTORY TO RPTUSER;
 CREATE VIEW RIDW.VW_ASSET_LOOKUP (PRED_ASSET_ID,PRED_ASSET_NAME,SUCC_ASSET_ID,SUCC_ASSET_NAME,LINK_TYPE)AS (SELECT A.PRED_ASSET_ID,P.NAME AS PRED_ASSET_NAME,A.SUCC_ASSET_ID,S.NAME AS SUCC_ASSET_NAME,A.LINK_TYPE  FROM RIASSET.ASSET_LOOKUP A JOIN RIASSET.ASSET P ON P.ASSET_ID=A.PRED_ASSET_ID JOIN RIASSET.ASSET S ON S.ASSET_ID=A.SUCC_ASSET_ID);
 GRANT SELECT ON RIDW.VW_ASSET_LOOKUP TO RPTUSER; 
 CREATE VIEW RIDW.VW_ASSET_REQUEST_LOOKUP (ASSET_ID,ASSET_NAME,REQUEST_ID,REQUEST_NAME,LINK_TYPE)AS (SELECT A.ASSET_ID,AST.NAME AS ASSET_NAME,A.REQUEST_ID,R.NAME AS REQUEST_NAME,A.LINK_TYPE FROM RIASSET.ASSET_REQUEST_LOOKUP A JOIN RIASSET.ASSET AST ON AST.ASSET_ID=A.ASSET_ID JOIN RIODS.REQUEST R ON R.REQUEST_ID=A.REQUEST_ID); 
 GRANT SELECT ON RIDW.VW_ASSET_REQUEST_LOOKUP TO RPTUSER; 
 CREATE VIEW RIDW.VW_ASSET_REQUIREMENT_LOOKUP (ASSET_ID,ASSET_NAME,REQUIREMENT_ID,REQUIREMENT_NAME,LINK_TYPE)AS (SELECT A.ASSET_ID,AST.NAME AS ASSET_NAME,A.REQUIREMENT_ID,R.NAME ASREQUIREMENT_NAME,A.LINK_TYPE  FROM RIASSET.ASSET_REQUIREMENT_LOOKUP A JOIN RIASSET.ASSET AST ON AST.ASSET_ID=A.ASSET_ID JOIN RIODS.REQUIREMENT R ON R.REQUIREMENT_ID=A.REQUIREMENT_ID); 
 GRANT SELECT ON RIDW.VW_ASSET_REQUIREMENT_LOOKUP TO RPTUSER; 
 CREATE VIEW RIDW.VW_ASSET_RESOURCE_LOOKUP (ASSET_ID,ASSET_NAME,OWNER_ID,OWNER_NAME)AS (SELECT A.ASSET_ID,AST.NAME AS ASSET_NAME,A.OWNER_ID,R.FULL_NAME ASOWNER_NAME  FROM RIASSET.ASSET_RESOURCE_LOOKUP A JOIN RIASSET.ASSET AST ON AST.ASSET_ID=A.ASSET_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=A.OWNER_ID);
 GRANT SELECT ON RIDW.VW_ASSET_RESOURCE_LOOKUP TO RPTUSER;
 CREATE VIEW RIDW.VW_ASSET_ROLE (ASSET_ROLE_ID,REFERENCE_ID,EXTERNAL_ID,NAME,PROJECT_ID,PROJECT_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED)AS (SELECT A.ASSET_ROLE_ID,A.REFERENCE_ID,A.EXTERNAL_ID,A.NAME,A.PROJECT_ID,P.NAME AS PROJECT_NAME,A.EXTERNAL_KEY1,A.EXTERNAL_KEY2,A.SOURCE_ID,A.URL,A.REC_DATETIME,A.ISSOFTDELETED FROM RIASSET.ASSET_ROLE A JOIN RIODS.PROJECT P ON P.PROJECT_ID=A.PROJECT_ID); 
 GRANT SELECT ON RIDW.VW_ASSET_ROLE TO RPTUSER; 
 CREATE VIEW RIDW.VW_ASSET_ROLE_ASSIGN_HISTORY (HISTORY_ID,ASSET_ROLE_ID,ASSET_ROLE_NAME,PROJECT_ID,PROJECT_NAME,TEAM_ID,TEAM_NAME,ASSIGNEE_ID,ASSIGNEE_NAME,ASSIGNER_ID,ASSIGNER_NAME,ACTION_TYPE_ID,ACTION_TYPE_NAME,ASSIGNMENT_DATE,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED)AS (SELECT H.HISTORY_ID,H.ASSET_ROLE_ID,AR.NAME AS ASSET_ROLE_NAME,H.PROJECT_ID,P.NAME AS PROJECT_NAME,H.TEAM_ID,T.NAME AS TEAM_NAME,H.ASSIGNEE_ID,R.FULL_NAME AS ASSIGNEE_NAME,H.ASSIGNER_ID,R2.FULL_NAME AS ASSIGNER_NAME,H.ACTION_TYPE_ID,AC.NAME AS ACTION_TYPE_NAME,H.ASSIGNMENT_DATE,H.EXTERNAL_KEY1,H.EXTERNAL_KEY2,H.SOURCE_ID,H.URL,H.REC_DATETIME,H.ISSOFTDELETED FROM RIASSET.ASSET_ROLE_ASSIGNMENT_HISTORY H JOIN RIASSET.ASSET_ROLE AR ON AR.ASSET_ROLE_ID=H.ASSET_ROLE_ID JOIN RIODS.PROJECT P ON P.PROJECT_ID=H.PROJECT_ID JOIN RIODS.TEAM T ON T.TEAM_ID=H.TEAM_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=H.ASSIGNEE_ID JOIN RIODS."RESOURCE" R2 ON R2.RESOURCE_ID=H.ASSIGNER_ID JOIN RIASSET.ACTION_TYPE AC ON AC.ACTION_TYPE_ID=H.ACTION_TYPE_ID);
 GRANT SELECT ON RIDW.VW_ASSET_ROLE_ASSIGN_HISTORY TO RPTUSER;
 CREATE VIEW RIDW.VW_ASSET_ROLE_ENTITLE_LOOKUP (ASSET_ROLE_ID,ASSET_ROLE_NAME,ENTITLEMENT_ID,ENTITLEMENT_NAME)AS (SELECT A.ASSET_ROLE_ID,AR.NAME AS ASSET_ROLE_NAME,A.ENTITLEMENT_ID,E.NAME AS ENTITLEMENT_NAME  FROM RIASSET.ASSET_ROLE_ENTITLEMENT_LOOKUP A JOIN RIASSET.ASSET_ROLE AR ON AR.ASSET_ROLE_ID=A.ASSET_ROLE_ID JOIN RIASSET.ENTITLEMENT E ON E.ENTITLEMENT_ID=A.ENTITLEMENT_ID);
 GRANT SELECT ON RIDW.VW_ASSET_ROLE_ENTITLE_LOOKUP TO RPTUSER;
 CREATE VIEW RIDW.VW_ASSET_ROLE_RESOURCE_LOOKUP (ASSET_ROLE_ID,ASSET_ROLE_NAME,RESOURCE_ID,RESOURCE_NAME)AS (SELECT A.ASSET_ROLE_ID,AR.NAME AS ASSET_ROLE_NAME,A.RESOURCE_ID,R.FULL_NAME AS RESOURCE_NAME  FROM RIASSET.ASSET_ROLE_RESOURCE_LOOKUP A JOIN RIASSET.ASSET_ROLE AR ON AR.ASSET_ROLE_ID=A.ASSET_ROLE_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=A.RESOURCE_ID);
 GRANT SELECT ON RIDW.VW_ASSET_ROLE_RESOURCE_LOOKUP TO RPTUSER; 
 CREATE VIEW RIDW.VW_ASSET_ROLE_TEAM_LOOKUP (ASSET_ROLE_ID,ASSET_ROLE_NAME,TEAM_ID,TEAM_NAME)AS (SELECT A.ASSET_ROLE_ID,AR.NAME AS ASSET_ROLE_NAME,A.TEAM_ID,T.NAME AS TEAM_NAME  FROM RIASSET.ASSET_ROLE_TEAM_LOOKUP A JOIN RIASSET.ASSET_ROLE AR ON AR.ASSET_ROLE_ID=A.ASSET_ROLE_ID JOIN RIODS.TEAM T ON T.TEAM_ID=A.TEAM_ID); 
 GRANT SELECT ON RIDW.VW_ASSET_ROLE_TEAM_LOOKUP TO RPTUSER; 
 CREATE VIEW RIDW.VW_ASSET_TESTCASE_LOOKUP (ASSET_ID,ASSET_NAME,TESTCASE_ID,TESTCASE_NAME,LINK_TYPE)AS (SELECT A.ASSET_ID,AST.NAME AS ASSET_NAME,A.TESTCASE_ID,T.NAME AS TESTCASE_NAME,LINK_TYPE FROM RIASSET.ASSET_TESTCASE_LOOKUP A JOIN RIASSET.ASSET AST ON AST.ASSET_ID=A.ASSET_ID JOIN RIODS.TESTCASE T ON T.TESTCASE_ID=A.TESTCASE_ID);
 GRANT SELECT ON RIDW.VW_ASSET_TESTCASE_LOOKUP TO RPTUSER;
 CREATE VIEW RIDW.VW_ASSET_TESTPLAN_LOOKUP (ASSET_ID,ASSET_NAME,TESTPLAN_ID,TESTPLAN_NAME,LINK_TYPE)AS (SELECT A.ASSET_ID,AST.NAME AS ASSET_NAME,A.TESTPLAN_ID,T.NAME AS TESTPLAN_NAME,A.LINK_TYPE FROM RIASSET.ASSET_TESTPLAN_LOOKUP A JOIN RIASSET.ASSET AST ON AST.ASSET_ID=A.ASSET_ID JOIN RIODS.TESTPLAN T ON T.TESTPLAN_ID=A.TESTPLAN_ID);
 GRANT SELECT ON RIDW.VW_ASSET_TESTPLAN_LOOKUP TO RPTUSER;
 CREATE VIEW RIDW.VW_BALLOT (BALLOT_ID,REFERENCE_ID,EXTERNAL_ID,NAME,SESSION_ID,SESSION_NAME,STATUS,SUBMISSIONTIME,SUBMITTER_ID,SUBMITTER_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED)AS (SELECT B.BALLOT_ID,B.REFERENCE_ID,B.EXTERNAL_ID,B.NAME,B.SESSION_ID,S.NAME AS SESSION_NAME,B.STATUS,B.SUBMISSIONTIME,B.SUBMITTER_ID,R.FULL_NAME ASSUBMITTER_NAME,B.EXTERNAL_KEY1,B.EXTERNAL_KEY2,B.SOURCE_ID,B.URL,B.REC_DATETIME,B.ISSOFTDELETED FROM RISCHK.BALLOT B JOIN RISCHK.SC_SESSION S ON S.SESSION_ID=B.SESSION_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=B.SUBMITTER_ID);
 GRANT SELECT ON RIDW.VW_BALLOT TO RPTUSER; 
 CREATE VIEW RIDW.VW_BALLOTDEF_BALLOT_TAB_LOOKUP (BALLOT_DEFINITION_ID,BALLOT_DEFINITION_NAME,BALLOT_TAB_ID,BALLOT_TAB_NAME)AS (SELECT B.BALLOT_DEFINITION_ID,BD.NAME AS BALLOT_DEFINITION_NAME,B.BALLOT_TAB_ID,BT.NAME AS BALLOT_TAB_NAME  FROM RISCHK.BALLOTDEF_BALLOT_TAB_LOOKUP B JOIN RISCHK.BALLOT_DEFINITION BD ON BD.BALLOT_DEFINITION_ID=B.BALLOT_DEFINITION_ID JOIN RISCHK.BALLOT_TAB BT ON BT.BALLOT_TAB_ID=B.BALLOT_TAB_ID);
 GRANT SELECT ON RIDW.VW_BALLOTDEF_BALLOT_TAB_LOOKUP TO RPTUSER;
 CREATE VIEW RIDW.VW_BALLOT_DEFINITION (BALLOT_DEFINITION_ID,REFERENCE_ID,EXTERNAL_ID,NAME,SCALE_ID,SCALE_NAME,DESCRIPTION,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED)AS (SELECT B.BALLOT_DEFINITION_ID,B.REFERENCE_ID,B.EXTERNAL_ID,B.NAME,B.SCALE_ID,S.NAME AS SCALE_NAME,B.DESCRIPTION,B.EXTERNAL_KEY1,B.EXTERNAL_KEY2,B.SOURCE_ID,B.URL,B.REC_DATETIME,B.ISSOFTDELETED FROM RISCHK.BALLOT_DEFINITION B JOIN RISCHK.SC_SCALE S ON S.SCALE_ID=B.SCALE_ID);
 GRANT SELECT ON RIDW.VW_BALLOT_DEFINITION TO RPTUSER;
 CREATE VIEW RIDW.VW_BALLOT_TAB (BALLOT_TAB_ID,REFERENCE_ID,EXTERNAL_ID,NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED)AS (SELECT BALLOT_TAB_ID,REFERENCE_ID,EXTERNAL_ID,NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED FROM RISCHK.BALLOT_TAB);
 GRANT SELECT ON RIDW.VW_BALLOT_TAB TO RPTUSER; 
 CREATE VIEW RIDW.VW_BALLOT_TAB_QUESTION_LOOKUP (BALLOT_TAB_ID,BALLOT_TAB_NAME,QUESTION_ID,QUESTION_NAME,QUESTION_ORDER)AS (SELECT B.BALLOT_TAB_ID,BT.NAME AS BALLOT_TAB_NAME,B.QUESTION_ID,Q.NAME AS QUESTION_NAME,B.QUESTION_ORDER  FROM RISCHK.BALLOT_TAB_QUESTION_LOOKUP B JOIN RISCHK.BALLOT_TAB BT ON BT.BALLOT_TAB_ID=B.BALLOT_TAB_ID JOIN RISCHK.QUESTION Q ON Q.QUESTION_ID=B.QUESTION_ID);
 GRANT SELECT ON RIDW.VW_BALLOT_TAB_QUESTION_LOOKUP TO RPTUSER; 
 DROP VIEW RIDW.VW_BUILD; 
 CREATE VIEW RIDW.VW_BUILD (BUILD_ID, BUILD_CLASS_ID, BUILD_CLASS_NAME,ITERATION_ID, ITERATION_NAME,TEAM_ID,TEAM_NAME,BUILD_STATE, COMPONENT_ID, COMPONENT_NAME, END_TIME, EXTERNAL_ID, NAME, REFERENCE_ID, START_TIME, STATUS, BUILD_TYPE,URL, BASELINE_ID,BASELINE_NAME,OWNER_ID,OWNER_NAME,PROJECT_ID,PROJECT_NAME,PROJECT_TYPE_ID,PROJECT_TYPE_NAME,CREATION_DATE,WAITING_TIME,BUILDING_TIME,ENGINE,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT B.BUILD_ID, B.BUILD_CLASS_ID, BC.NAME AS BUILD_CLASS_NAME,B.ITERATION_ID, I.NAME AS ITERATION_NAME,B.TEAM_ID,T.NAME AS TEAM_NAME,B.BUILD_STATE, B.COMPONENT_ID,D1.NAME AS COMPONENT_NAME, B.END_TIME, B.EXTERNAL_ID, B.NAME, B.REFERENCE_ID, B.START_TIME, B.STATUS, B.BUILD_TYPE, B.URL, B.BASELINE_ID,BS.NAME AS BASELINE_NAME,B.OWNER_ID,R.FULL_NAME AS OWNER_NAME,B.PROJECT_ID,P.NAME AS PROJECT_NAME,B.PROJECT_TYPE_ID,PT.NAME AS PROJECT_TYPE_NAME,B.CREATION_DATE,B.WAITING_TIME,B.BUILDING_TIME,B.ENGINE,B.EXTERNAL_KEY1,B.EXTERNAL_KEY2, B.REC_DATETIME, B.ISSOFTDELETED  FROM RIODS.BUILD B JOIN RIODS.BUILD_CLASSIFICATION BC ON BC.BUILD_CLASS_ID =B.BUILD_CLASS_ID JOIN RIODS.ITERATION I ON I.ITERATION_ID=B.ITERATION_ID JOIN RIODS.TEAM T ON T.TEAM_ID=B.TEAM_ID JOIN RIODS.COMPONENT D1 ON D1.COMPONENT_ID=B.COMPONENT_ID JOIN RIODS.PROJECT_BASELINE BS ON BS.BASELINE_ID=B.BASELINE_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID =B.OWNER_ID JOIN RIODS.PROJECT P ON P.PROJECT_ID=B.PROJECT_ID JOIN RIODS.PROJECT_TYPE PT ON PT.PROJECT_TYPE_ID=B.PROJECT_TYPE_ID);
 GRANT SELECT ON RIDW.VW_BUILD TO RPTUSER;
 DROP VIEW RIDW.VW_BUILD_COMPILATION_RESULT;
 CREATE VIEW RIDW.VW_BUILD_COMPILATION_RESULT	(BUILD_COMPRES_ID,BUILD_ID,NAME,COMPONENT_ID,COMPONENT_NAME,COMPILE_ERROR_COUNT,COMPILE_WARNING_COUNT,EXTERNAL_KEY1,EXTERNAL_KEY2,URL,REC_DATETIME,ISSOFTDELETED) AS SELECT B.BUILD_COMPRES_ID,B.BUILD_ID,BL.NAME,B.COMPONENT_ID,C.NAME AS COMPONENT_NAME,B.COMPILE_ERROR_COUNT,B.COMPILE_WARNING_COUNT,B.EXTERNAL_KEY1,B.EXTERNAL_KEY2,B.URL,B.REC_DATETIME,B.ISSOFTDELETED  FROM RIODS.BUILD_COMPILATION_RESULT B JOIN RIODS.COMPONENT C ON C.COMPONENT_ID =B.COMPONENT_ID JOIN RIODS.BUILD BL ON BL.BUILD_ID =B.BUILD_ID;
 GRANT SELECT ON RIDW.VW_BUILD_COMPILATION_RESULT TO RPTUSER; 
 DROP VIEW RIDW.VW_BUILD_UNIT_EVENT;
 CREATE VIEW RIDW.VW_BUILD_UNIT_EVENT (BUILD_UNIT_EVENT_ID ,BUILD_ID,NAME,COMPONENT_ID,COMPONENT_NAME,UNIT_EVENT,UNIT_TEST,EXTERNAL_KEY1,EXTERNAL_KEY2 ,URL,REC_DATETIME,ISSOFTDELETED) AS SELECT B.BUILD_UNIT_EVENT_ID ,B.BUILD_ID,BL.NAME,B.COMPONENT_ID,C.NAME AS COMPONENT_NAME,B.UNIT_EVENT,B.UNIT_TEST,B.EXTERNAL_KEY1,B.EXTERNAL_KEY2 ,B.URL,B.REC_DATETIME,B.ISSOFTDELETED  FROM RIODS.BUILD_UNIT_EVENT B JOIN RIODS.COMPONENT C ON C.COMPONENT_ID =B.COMPONENT_ID JOIN RIODS.BUILD BL ON BL.BUILD_ID =B.BUILD_ID;
 GRANT SELECT ON RIDW.VW_BUILD_UNIT_EVENT TO RPTUSER; 
 DROP VIEW RIDW.VW_BUILD_UNIT_RESULT; 
 CREATE VIEW RIDW.VW_BUILD_UNIT_RESULT	(BUILD_UNITRES_ID,BUILD_ID,NAME,COMPONENT_ID,COMPONENT_NAME,UNIT_TEST_COUNT,UNIT_FAILURE_COUNT,UNIT_ERROR_COUNT,EXTERNAL_KEY1,EXTERNAL_KEY2 ,URL,REC_DATETIME,ISSOFTDELETED)AS SELECT B.BUILD_UNITRES_ID,B.BUILD_ID,BL.NAME,B.COMPONENT_ID,C.NAME AS COMPONENT_NAME,B.UNIT_TEST_COUNT,B.UNIT_FAILURE_COUNT,B.UNIT_ERROR_COUNT,B.EXTERNAL_KEY1,B.EXTERNAL_KEY2 ,B.URL,B.REC_DATETIME,B.ISSOFTDELETED  FROM RIODS.BUILD_UNIT_RESULT B JOIN RIODS.COMPONENT C ON C.COMPONENT_ID =B.COMPONENT_ID JOIN RIODS.BUILD BL ON BL.BUILD_ID =B.BUILD_ID; 
 GRANT SELECT ON RIDW.VW_BUILD_UNIT_RESULT TO RPTUSER;
 DROP VIEW RIDW.VW_CITY;
 CREATE VIEW RIDW.VW_CITY (CITY_ID,REFERENCE_ID,EXTERNAL_ID,NAME,PROVINCE_STATE_ID,PROVINCE_STATE_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED) AS (SELECT C.CITY_ID,C.REFERENCE_ID,C.EXTERNAL_ID,C.NAME,C.PROVINCE_STATE_ID,P.NAME AS PROVINCE_STATE_NAME, C.EXTERNAL_KEY1,C.EXTERNAL_KEY2,C.SOURCE_ID,C.URL,C.REC_DATETIME,C.ISSOFTDELETED  FROM RIODS.CITY C JOIN RIODS.PROVINCE_STATE P ON P.PROVINCE_STATE_ID=C.PROVINCE_STATE_ID); 
 GRANT SELECT ON RIDW.VW_CITY TO RPTUSER; 
 DROP VIEW RIDW.VW_COMMENT; 
 CREATE VIEW RIDW.VW_COMMENT (COMMENT_ID, RESPONSE_COMMENT_ID, REQUEST_ID, REQUEST_NAME, TASK_ID, TASK_NAME, ACTIVITY_ID, ACTIVITY_NAME, OWNER_ID, AUTHOR, CREATION_DATE, URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT C.COMMENT_ID, C.RESPONSE_COMMENT_ID, C.REQUEST_ID, CR.NAME AS REQUEST_NAME, C.TASK_ID, T.NAME AS TASK_NAME, C.ACTIVITY_ID, A.NAME AS ACTIVITY_NAME, C.OWNER_ID, R.FULL_NAME AS AUTHOR, C.CREATION_DATE, C.URL,C.EXTERNAL_KEY1,C.EXTERNAL_KEY2,C.REC_DATETIME,C.ISSOFTDELETED  FROM RIODS."COMMENT" C JOIN RIODS.REQUEST CR ON CR.REQUEST_ID=C.REQUEST_ID JOIN RIODS.TASK T ON T.TASK_ID=C.TASK_ID JOIN RIODS.ACTIVITY A ON A.ACTIVITY_ID=C.ACTIVITY_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=C.OWNER_ID); 
 GRANT SELECT ON RIDW.VW_COMMENT TO RPTUSER;
 DROP VIEW RIDW.VW_COMPETENCY;
 CREATE VIEW RIDW.VW_COMPETENCY (EXTERNAL_ID, NAME, COMPETENCY_ID, REFERENCE_ID, URL, EXTERNAL_KEY1, EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT EXTERNAL_ID,NAME,COMPETENCY_ID,REFERENCE_ID,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED  FROM RIODS.COMPETENCY); 
 GRANT SELECT ON RIDW.VW_COMPETENCY TO RPTUSER; 
 DROP VIEW RIDW.VW_COMPONENT; 
 CREATE VIEW RIDW.VW_COMPONENT (COMPONENT_ID, EXTERNAL_ID, NAME, PRODUCT_ID, PRODUCT_NAME, PROJECT_ID, PROJECT_NAME, REFERENCE_ID, URL,EXTERNAL_KEY1,EXTERNAL_KEY2,COMPONENT_CLASS_ID,COMPONENT_CLASS_NAME,PARENT_COMPONENT_ID,PARENT_COMPONENT_NAME,REC_DATETIME,ISSOFTDELETED) AS (SELECT C.COMPONENT_ID, C.EXTERNAL_ID, C.NAME, C.PRODUCT_ID, D1.NAME AS PRODUCT_NAME, COALESCE(D.PROJECT_ID,-1) AS PROJECT_ID, D2.NAME AS PROJECT_NAME, C.REFERENCE_ID, C.URL,C.EXTERNAL_KEY1,C.EXTERNAL_KEY2,C.COMPONENT_CLASS_ID,CL.NAME AS COMPONENT_CLASS_NAME,C.PARENT_COMPONENT_ID,CP.NAME AS PARENT_COMPONENT_NAME,C.REC_DATETIME,C.ISSOFTDELETED  FROM RIODS.COMPONENT C JOIN RIODS.COMPONENT CP ON CP.COMPONENT_ID=C.PARENT_COMPONENT_ID JOIN RIODS.PRODUCT D1 ON D1.PRODUCT_ID=C.PRODUCT_ID LEFT JOIN RIODS.PROJECT_COMPONENT_LOOKUP D ON D.COMPONENT_ID=C.COMPONENT_ID LEFT JOIN RIODS.PROJECT D2 ON D2.PROJECT_ID=D.PROJECT_ID JOIN RIODS.COMPONENT_CLASSIFICATION CL ON CL.COMPONENT_CLASS_ID=C.COMPONENT_CLASS_ID); 
 GRANT SELECT ON RIDW.VW_COMPONENT TO RPTUSER;
 DROP VIEW RIDW.VW_CONFIGURATION; 
 CREATE VIEW RIDW.VW_CONFIGURATION(CONFIGURATION_ID,EXTERNAL_ID,NAME,REFERENCE_ID,URL,LAST_UPDATED,OWNER_ID,OWNER_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,CONFIGURATION_CLASS_ID,CONFIGURATION_CLASS_NAME,PROJECT_ID,PROJECT_NAME,REC_DATETIME,ISSOFTDELETED) AS (SELECT C.CONFIGURATION_ID,C.EXTERNAL_ID,C.NAME,C.REFERENCE_ID,C.URL,C.LAST_UPDATED,C.OWNER_ID,R.FULL_NAME AS OWNER_NAME,C.EXTERNAL_KEY1,C.EXTERNAL_KEY2,C.CONFIGURATION_CLASS_ID,CL.NAME AS CONFIGURATION_CLASS_NAME,C.PROJECT_ID,P.NAME AS PROJECT_NAME,C.REC_DATETIME,C.ISSOFTDELETED  FROM RIODS.CONFIGURATION C JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=C.OWNER_ID JOIN RIODS.PROJECT P ON P.PROJECT_ID=C.PROJECT_ID JOIN RIODS.CONFIGURATION_CLASSIFICATION CL ON CL.CONFIGURATION_CLASS_ID=C.CONFIGURATION_CLASS_ID); 
 GRANT SELECT ON RIDW.VW_CONFIGURATION TO RPTUSER;
 DROP VIEW RIDW.VW_CONFIGURATION_ATTRIBUTE; 
 CREATE VIEW RIDW.VW_CONFIGURATION_ATTRIBUTE(CONFIGURATION_ATTRIBUTE_ID,EXTERNAL_ID,NAME,REFERENCE_ID,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT CONFIGURATION_ATTRIBUTE_ID,EXTERNAL_ID,NAME,REFERENCE_ID,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED  FROM RIODS.CONFIGURATION_ATTRIBUTE);
 GRANT SELECT ON RIDW.VW_CONFIGURATION_ATTRIBUTE TO RPTUSER;
 DROP VIEW RIDW.VW_COUNTRY; 
 CREATE VIEW RIDW.VW_COUNTRY(COUNTRY_ID,REFERENCE_ID,EXTERNAL_ID,NAME,TERRITORY_ID,TERRITORY_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED) AS (SELECT C.COUNTRY_ID,C.REFERENCE_ID,C.EXTERNAL_ID,C.NAME,C.TERRITORY_ID,T.NAME AS TERRITORY_NAME,C.EXTERNAL_KEY1,C.EXTERNAL_KEY2,C.SOURCE_ID,C.URL,C.REC_DATETIME,C.ISSOFTDELETED  FROM RIODS.COUNTRY C JOIN RIODS.OPERATING_TERRITORY T ON T.TERRITORY_ID=C.TERRITORY_ID);
 GRANT SELECT ON RIDW.VW_COUNTRY TO RPTUSER;
 DROP VIEW RIDW.VW_CURRENCY;
 CREATE VIEW RIDW.VW_CURRENCY (CURRENCY_ID, DEFAULT_CURRENCY, EXCHANGE_RATE, EXTERNAL_ID, NAME, REFERENCE_ID, URL, VALID_FINISH_DATE, VALID_START_DATE,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT C.CURRENCY_ID, CASE WHEN C.DEFAULT_CURRENCY=1 THEN 'True' ELSE 'False' END AS DEFAULT_CURRENCY, C.EXCHANGE_RATE, C.EXTERNAL_ID, C.NAME, C.REFERENCE_ID, C.URL, C.VALID_FINISH_DATE, C.VALID_START_DATE,C.EXTERNAL_KEY1,C.EXTERNAL_KEY2,C.REC_DATETIME,C.ISSOFTDELETED  FROM RIODS.CURRENCY C);
 GRANT SELECT ON RIDW.VW_CURRENCY TO RPTUSER; 
 DROP VIEW RIDW.VW_CUSTOMER;
 CREATE VIEW RIDW.VW_CUSTOMER (COMPANY_NAME, CONTACT_ADDRESS, CONTACT_EMAIL, CONTACT_FAX, CONTACT_PHONE, CUSTOMER_ID, CUST_REFID, EXTERNAL_ID, GEO_LOCATION, NAME, REFERENCE_ID, URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT C.COMPANY_NAME, C.CONTACT_ADDRESS, C.CONTACT_EMAIL, C.CONTACT_FAX, C.CONTACT_PHONE, C.CUSTOMER_ID, C.CUST_REFID, C.EXTERNAL_ID, C.GEO_LOCATION, C.NAME, C.REFERENCE_ID, C.URL,C.EXTERNAL_KEY1,C.EXTERNAL_KEY2,C.REC_DATETIME,C.ISSOFTDELETED  FROM RIODS.CUSTOMER C); 
 GRANT SELECT ON RIDW.VW_CUSTOMER TO RPTUSER; 
 CREATE VIEW RIDW.VW_ENTITLEMENT (ENTITLEMENT_ID,REFERENCE_ID,EXTERNAL_ID,NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED)AS (SELECT ENTITLEMENT_ID,REFERENCE_ID,EXTERNAL_ID,NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED FROM RIASSET.ENTITLEMENT); 
 GRANT SELECT ON RIDW.VW_ENTITLEMENT TO RPTUSER;
 CREATE VIEW RIDW.VW_ENTITLEMENT_HISTORY (HISTORY_ID,ASSET_ROLE_ID,ASSET_ROLE_NAME,ACTION_TYPE_ID,ACTION_TYPE_NAME,CHANGE_DATE,RESOURCE_ID,RESOURCE_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED)AS (SELECT H.HISTORY_ID,H.ASSET_ROLE_ID,AR.NAME AS ASSET_ROLE_NAME,H.ACTION_TYPE_ID,AC.NAME AS ACTION_TYPE_NAME,H.CHANGE_DATE,H.RESOURCE_ID,R.FULL_NAME AS RESOURCE_NAME,H.EXTERNAL_KEY1,H.EXTERNAL_KEY2,H.SOURCE_ID,H.URL,H.REC_DATETIME,H.ISSOFTDELETED FROM RIASSET.ENTITLEMENT_HISTORY H JOIN RIASSET.ASSET_ROLE AR ON AR.ASSET_ROLE_ID=H.ASSET_ROLE_ID JOIN RIASSET.ACTION_TYPE AC ON AC.ACTION_TYPE_ID=H.ACTION_TYPE_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=H.RESOURCE_ID);
 GRANT SELECT ON RIDW.VW_ENTITLEMENT_HISTORY TO RPTUSER;
 CREATE VIEW RIDW.VW_ENTITLEMENT_HISTORY_LOOKUP (HISTORY_ID,ENTITLEMENT_ID,ENTITLEMENT_NAME,ENTITLEMENT_TYPE)AS (SELECT H.HISTORY_ID,H.ENTITLEMENT_ID,E.NAME AS ENTITLEMENT_NAME,H.ENTITLEMENT_TYPE FROM RIASSET.ENTITLEMENT_HISTORY_LOOKUP H JOIN RIASSET.ENTITLEMENT E ON E.ENTITLEMENT_ID=H.ENTITLEMENT_ID); 
 GRANT SELECT ON RIDW.VW_ENTITLEMENT_HISTORY_LOOKUP TO RPTUSER; 
 CREATE VIEW RIDW.VW_EXECSTEPRES_REQUEST_LOOKUP (EXECUTION_STEP_RESULT_ID, EXECUTION_STEP_RESULT_NAME,REQUEST_ID, REQUEST_NAME) AS (SELECT CI.EXECUTION_STEP_RESULT_ID, C.NAME AS EXECUTION_STEP_RESULT_NAME, CI.REQUEST_ID, I.NAME AS REQUEST_NAME FROM RIODS.EXECSTEPRES_REQUEST_LOOKUP CI JOIN RIODS.EXECUTION_STEP_RESULT C ON C.EXECUTION_STEP_RESULT_ID=CI.EXECUTION_STEP_RESULT_ID JOIN RIODS.REQUEST I ON I.REQUEST_ID=CI.REQUEST_ID);
 GRANT SELECT ON RIDW.VW_EXECSTEPRES_REQUEST_LOOKUP TO RPTUSER; 
 DROP VIEW RIDW.VW_EXECUTION_RESULT;
 CREATE VIEW RIDW.VW_EXECUTION_RESULT (BUILD_ID, BUILD_NAME,NAME, LAST_UPDATED, END_DATE, EXTERNAL_ID, ITERATION_ID, ITERATION_NAME, REFERENCE_ID, START_DATE, EXECUTION_RESULT_ID, URL, VERDICT,TESTTYPE_ID, TESTTYPE_NAME,TESCASE_ID,TESTCASE_NAME,PROJECT_ID,PROJECT_NAME,CREATION_DATE,POINTS_BLOCKED,POINTS_INCONCLUSIVE,MACHINE,POINTS_ATTEMPTED,POINTS_FAILED,POINTS_PASSED,POINTS_PERMFAILED,EXTERNAL_KEY1,EXTERNAL_KEY2,EXECRES_CLASS_ID,EXECRES_CLASS_NAME,TESTSCRIPT_ID,TESTSCRIPT_NAME,SUITE_INDEX,REC_DATETIME,ISSOFTDELETED) AS (SELECT T.BUILD_ID,B.NAME AS BUILD_NAME,T.NAME,T.LAST_UPDATED, T.END_DATE, T.EXTERNAL_ID, T.ITERATION_ID,I.NAME AS ITERATION_NAME, T.REFERENCE_ID, T.START_DATE, T.EXECUTION_RESULT_ID, T.URL, T.VERDICT,T.TESTTYPE_ID,TT.NAME AS TESTTYPE_NAME,T.TESTCASE_ID,TC.NAME AS TESTCASE_NAME,T.PROJECT_ID,P.NAME AS PROJECT_NAME,T.CREATION_DATE,T.POINTS_BLOCKED,T.POINTS_INCONCLUSIVE,T.MACHINE,T.POINTS_ATTEMPTED,T.POINTS_FAILED,T.POINTS_PASSED,T.POINTS_PERMFAILED,T.EXTERNAL_KEY1,T.EXTERNAL_KEY2,T.EXECRES_CLASS_ID,TL.NAME AS EXECRES_CLASS_NAME,T.TESTSCRIPT_ID,TS.NAME AS TESTSCRIPT_NAME,T.SUITE_INDEX,T.REC_DATETIME,T.ISSOFTDELETED FROM RIODS.EXECUTION_RESULT T JOIN RIODS.BUILD B ON B.BUILD_ID=T.BUILD_ID JOIN RIODS.PROJECT P ON P.PROJECT_ID=T.PROJECT_ID JOIN RIODS.ITERATION I ON I.ITERATION_ID=T.ITERATION_ID JOIN RIODS.TESTCASE TC ON TC.TESTCASE_ID=T.TESTCASE_ID JOIN RIODS.TESTTYPE TT ON TT.TESTTYPE_ID=T.TESTTYPE_ID JOIN RIODS.TESTSCRIPT TS ON TS.TESTSCRIPT_ID=T.TESTSCRIPT_ID JOIN RIODS.EXECRESULT_CLASSIFICATION TL ON TL.EXECRES_CLASS_ID=T.EXECRES_CLASS_ID);
 GRANT SELECT ON RIDW.VW_EXECUTION_RESULT TO RPTUSER; 
 CREATE VIEW RIDW.VW_EXECUTION_STEP_RESULT (EXECUTION_STEP_RESULT_ID,REFERENCE_ID,EXTERNAL_ID,NAME,EXECUTION_RESULT_ID,EXECUTION_RESULT_NAME,STEP_TYPE,DESCRIPTION,EXPECTED_RESULT,ACTUAL_RESULT,RESULT,START_TIME,END_TIME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED)AS (SELECT E.EXECUTION_STEP_RESULT_ID,E.REFERENCE_ID,E.EXTERNAL_ID,E.NAME,E.EXECUTION_RESULT_ID,S.NAME AS EXECUTION_RESULT_NAME,E.STEP_TYPE,E.DESCRIPTION,E.EXPECTED_RESULT,E.ACTUAL_RESULT,E.RESULT,E.START_TIME,E.END_TIME,E.EXTERNAL_KEY1,E.EXTERNAL_KEY2,E.SOURCE_ID,E.URL,E.REC_DATETIME,E.ISSOFTDELETED FROM RIODS.EXECUTION_STEP_RESULT E JOIN RIODS.EXECUTION_RESULT S ON S.EXECUTION_RESULT_ID=E.EXECUTION_RESULT_ID);
 GRANT SELECT ON RIDW.VW_EXECUTION_STEP_RESULT TO RPTUSER;
 DROP VIEW RIDW.VW_EXECUTION_WORKITEM;
 CREATE VIEW RIDW.VW_EXECUTION_WORKITEM (EXECWORKITEM_ID,CONFIGURATION_ID,CONFIGURATION_NAME,EXECUTION_WORKITEM_STATE,EXTERNAL_ID,NAME,OWNER_ID,OWNER_NAME,PRIORITY,PROJECT_ID,PROJECT_NAME,REFERENCE_ID,TESTCASE_ID,TESTCASE_NAME,TESTTYPE_ID,TESTTYPE_NAME,URL,TESTPLAN_ID,TESTPLAN_NAME,FREQUENCY,REGRESSION,WEIGHT,LAST_UPDATED,CURRENT_RESULT_ID,CURRENT_RESULT_NAME,CURRENT_RESULT_VERDICT,TAGS,EXTERNAL_KEY1,EXTERNAL_KEY2,EXECWORKIT_CLASS_ID,EXECWORKIT_CLASS_NAME,CREATION_DATE,TESTSCRIPT_ID,TESTSCRIPT_NAME,REC_DATETIME,ISSOFTDELETED) AS (SELECT C.EXECWORKITEM_ID,C.CONFIGURATION_ID,CF.NAME AS CONFIGURATION_NAME,C.EXECUTION_WORKITEM_STATE,C.EXTERNAL_ID,C.NAME,C.OWNER_ID,R.FULL_NAME AS OWNER_NAME,C.PRIORITY,C.PROJECT_ID,P.NAME AS PROJECT_NAME,C.REFERENCE_ID,C.TESTCASE_ID,T.NAME AS TESTCASE_NAME,C.TESTTYPE_ID,TT.NAME AS TESTTYPE_NAME, C.URL,C.TESTPLAN_ID,TP.NAME AS TESTPLAN_NAME,C.FREQUENCY,C.REGRESSION,C.WEIGHT,C.LAST_UPDATED,C.CURRENT_RESULT_ID,ER.NAME AS CURRENT_RESULT_NAME,ER.VERDICT AS CURRENT_RESULT_VERDICT,C.TAGS,C.EXTERNAL_KEY1,C.EXTERNAL_KEY2,C.EXECWORKIT_CLASS_ID,EL.NAME AS EXECWORKIT_CLASS_NAME,C.CREATION_DATE,C.TESTSCRIPT_ID,TS.NAME AS TESTSCRIPT_NAME,C.REC_DATETIME,C.ISSOFTDELETED  FROM RIODS.EXECUTION_WORKITEM C JOIN RIODS.CONFIGURATION CF ON CF.CONFIGURATION_ID=C.CONFIGURATION_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=C.OWNER_ID JOIN RIODS.PROJECT P ON P.PROJECT_ID=C.PROJECT_ID JOIN RIODS.TESTCASE T ON T.TESTCASE_ID=C.TESTCASE_ID JOIN RIODS.TESTTYPE TT ON TT.TESTTYPE_ID=C.TESTTYPE_ID JOIN RIODS.TESTPLAN TP ON TP.TESTPLAN_ID=C.TESTPLAN_ID JOIN RIODS.TESTSCRIPT TS ON TS.TESTSCRIPT_ID=C.TESTSCRIPT_ID JOIN RIODS.EXECUTION_RESULT ER ON ER.EXECUTION_RESULT_ID=C.CURRENT_RESULT_ID JOIN RIODS.EXECWORKITEM_CLASSIFICATION EL ON EL.EXECWORKIT_CLASS_ID=C.EXECWORKIT_CLASS_ID);
 GRANT SELECT ON RIDW.VW_EXECUTION_WORKITEM TO RPTUSER; 
 CREATE VIEW RIDW.VW_EXECWORKITEM_REQUEST_LOOKUP (EXECWORKITEM_ID, EXECUTION_WORKITEM_NAME,REQUEST_ID, REQUEST_NAME) AS (SELECT CI.EXECWORKITEM_ID, C.NAME AS EXECUTION_WORKITEM_NAME,CI.REQUEST_ID, I.NAME AS REQUEST_NAME  FROM RIODS.EXECWORKITEM_REQUEST_LOOKUP CI JOIN RIODS.EXECUTION_WORKITEM C ON C.EXECWORKITEM_ID=CI.EXECWORKITEM_ID JOIN RIODS.REQUEST I ON I.REQUEST_ID=CI.REQUEST_ID); 
 GRANT SELECT ON RIDW.VW_EXECWORKITEM_REQUEST_LOOKUP TO RPTUSER;
 DROP VIEW RIDW.VW_FACTOR;
 CREATE VIEW RIDW.VW_FACTOR (EXTERNAL_ID, FACTOR_ID, MITIGATION_COST, NAME, REFERENCE_ID, RISK_ID, RISK_NAME, URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED,PRIORITY ,DESCRIPTION,WEIGHT,PROBABILITY,PROBABILITY_RANK,MITIGATION_ACTION) AS (SELECT F.EXTERNAL_ID, F.FACTOR_ID, F.MITIGATION_COST, F.NAME, F.REFERENCE_ID, F.RISK_ID, R.NAME AS RISK_NAME, F.URL,F.EXTERNAL_KEY1,F.EXTERNAL_KEY2,F.REC_DATETIME,F.ISSOFTDELETED,F.PRIORITY ,F.DESCRIPTION,WEIGHT,F.PROBABILITY,F.PROBABILITY_RANK,F.MITIGATION_ACTION  FROM RIODS.FACTOR F JOIN RIODS.RISK R ON R.RISK_ID=F.RISK_ID);
 GRANT SELECT ON RIDW.VW_FACTOR TO RPTUSER; 
 DROP VIEW RIDW.VW_FILE;
 CREATE VIEW RIDW.VW_FILE (EXTERNAL_ID, FILE_CLASS_ID,FILE_ID, NAME, REFERENCE_ID, URL,COMPONENT_ID,COMPONENT_NAME,NUM_SLOC,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT F.EXTERNAL_ID, F.FILE_CLASS_ID,F.FILE_ID, F.NAME, F.REFERENCE_ID, F.URL, F. COMPONENT_ID,C.NAME AS COMPONENT_NAME,F.NUM_SLOC,F.EXTERNAL_KEY1,F.EXTERNAL_KEY2,F.REC_DATETIME,F.ISSOFTDELETED  FROM RIODS."FILE" F JOIN RIODS.COMPONENT C ON C.COMPONENT_ID=F.COMPONENT_ID); 
 GRANT SELECT ON RIDW.VW_FILE TO RPTUSER; 
 DROP VIEW RIDW.VW_FILE_BASELINE; 
 CREATE VIEW RIDW.VW_FILE_BASELINE (EXTERNAL_ID, FILE_BASELINE_ID, NAME, REFERENCE_ID, URL,COMPONENT_ID,COMPONENT_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT F.EXTERNAL_ID, F.FILE_BASELINE_ID, F.NAME, F.REFERENCE_ID, F.URL,F.COMPONENT_ID,C.NAME AS COMPONENT_NAME,F.EXTERNAL_KEY1,F.EXTERNAL_KEY2,F.REC_DATETIME,F.ISSOFTDELETED  FROM RIODS.FILE_BASELINE F JOIN RIODS.COMPONENT C ON C.COMPONENT_ID=F.COMPONENT_ID); 
 GRANT SELECT ON RIDW.VW_FILE_BASELINE TO RPTUSER;
 DROP VIEW RIDW.VW_FILE_STREAM; 
 CREATE VIEW RIDW.VW_FILE_STREAM (EXTERNAL_ID, FILE_STREAM_CLASS_ID,FILE_STREAM_ID, NAME, REFERENCE_ID, URL,PROJECT_ID,PROJECT_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT F.EXTERNAL_ID, F.FILE_STREAM_CLASS_ID,F.FILE_STREAM_ID,F.NAME, F.REFERENCE_ID, F.URL,F.PROJECT_ID,P.NAME AS PROJECT_NAME,F.EXTERNAL_KEY1,F.EXTERNAL_KEY2,F.REC_DATETIME,F.ISSOFTDELETED  FROM RIODS.FILE_STREAM F JOIN RIODS.PROJECT P ON P.PROJECT_ID=F.PROJECT_ID);
 GRANT SELECT ON RIDW.VW_FILE_STREAM TO RPTUSER;
 DROP VIEW RIDW.VW_FILE_VERSION;
 CREATE VIEW RIDW.VW_FILE_VERSION (CREATION_DATE, FILE_CLASS_ID,EXTERNAL_ID, FILE_VERSION_ID, NAME, NUM_SLOC, REFERENCE_ID, URL, ACTIVITY_ID,ACTIVITY_NAME,AUTHOR_ID,AUTHOR_NAME,FILE_ID,FILE_NAME,FILE_STREAM_ID,FILE_STREAM_NAME,HASCOMMENT,NUM_SLOC_CHANGED,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS ( SELECT C.CREATION_DATE, C.FILE_CLASS_ID,C.EXTERNAL_ID, C.FILE_VERSION_ID, C.NAME, C.NUM_SLOC, C.REFERENCE_ID, C.URL, C.ACTIVITY_ID,A.NAME AS ACTIVITY_NAME,C.AUTHOR_ID,R.FULL_NAME AS AUTHOR_NAME,C.FILE_ID,F.NAME AS FILE_NAME,C.FILE_STREAM_ID,FS.NAME AS FILE_STREAM_NAME,C.HASCOMMENT,C.NUM_SLOC_CHANGED,C.EXTERNAL_KEY1,C.EXTERNAL_KEY2,C.REC_DATETIME,C.ISSOFTDELETED  FROM RIODS.FILE_VERSION C JOIN RIODS.ACTIVITY A ON A.ACTIVITY_ID=C.ACTIVITY_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=C.AUTHOR_ID JOIN RIODS."FILE" F ON F.FILE_ID=C.FILE_ID JOIN RIODS.FILE_STREAM FS ON FS.FILE_STREAM_ID=C.FILE_STREAM_ID); 
 GRANT SELECT ON RIDW.VW_FILE_VERSION TO RPTUSER; 
 DROP VIEW RIDW.VW_ITERATION; 
 CREATE VIEW RIDW.VW_ITERATION (ITERATION_ID, NAME, REFERENCE_ID, EXTERNAL_ID, ASSETREGISTRY_ID,ASSETREGISTRY_NAME,PROJECT_ID, PROJECT_NAME,PHASE_ID, PHASE_NAME,OWNER_ID,OWNER_NAME,STATUS, START_DATE, END_DATE, EXPECTED_START_DATE, EXPECTED_END_DATE,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,EXPECTED_TOTAL_POINTS,EXPECTED_DEFECTS,EXPECTED_VALIDITY_RATE,REC_DATETIME,ISSOFTDELETED) AS (SELECT I.ITERATION_ID, I.NAME, I.REFERENCE_ID, I.EXTERNAL_ID, I.ASSETREGISTRY_ID,A.NAME,I.PROJECT_ID, P.NAME AS PROJECT_NAME,I.PHASE_ID,PH.NAME,I.OWNER_ID,R.FULL_NAME AS OWNER_NAME,I.STATUS, I.START_DATE, I.END_DATE , I.EXPECTED_START_DATE, I.EXPECTED_END_DATE,I.URL,I.EXTERNAL_KEY1,I.EXTERNAL_KEY2, I.EXPECTED_TOTAL_POINTS,I.EXPECTED_DEFECTS,I.EXPECTED_VALIDITY_RATE,I.REC_DATETIME,I.ISSOFTDELETED  FROM RIODS.ITERATION I JOIN RIODS.PROJECT P ON P.PROJECT_ID=I.PROJECT_ID JOIN RIODS.PHASE PH ON PH.PHASE_ID=I.PHASE_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=I.OWNER_ID JOIN RIODS.ASSETREGISTRY A ON A.ASSETREGISTRY_ID=I.ASSETREGISTRY_ID);
 GRANT SELECT ON RIDW.VW_ITERATION TO RPTUSER;
 DROP VIEW RIDW.VW_ITERATION_BASELINE;
 CREATE VIEW RIDW.VW_ITERATION_BASELINE (BASELINE_ID, EXTERNAL_ID, NAME, ITERATION_ID, REFERENCE_ID, URL, BASELINE_DATE, PLANNED_START, PLANNED_FINISH, PLANNED_WORK, BASELINE_WORK_COMPLETED, PLANNED_COST, BASELINE_COST_COMPLETED, PLANNED_DURATION, EXTERNAL_KEY1, EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT P.BASELINE_ID, P.EXTERNAL_ID, P.NAME, P.ITERATION_ID, P.REFERENCE_ID, P.URL, P.BASELINE_DATE, P.PLANNED_START, P.PLANNED_FINISH, P.PLANNED_WORK,P.BASELINE_WORK_COMPLETED,P.PLANNED_COST, P.BASELINE_COST_COMPLETED, P.PLANNED_DURATION, P.EXTERNAL_KEY1,P.EXTERNAL_KEY2,P.REC_DATETIME,P.ISSOFTDELETED  FROM RIODS.ITERATION_BASELINE P);
 GRANT SELECT ON RIDW.VW_ITERATION_BASELINE TO RPTUSER; 
 DROP VIEW RIDW.VW_JOB; 
 CREATE VIEW RIDW.VW_JOB (JOB_ID,REFERENCE_ID,EXTERNAL_ID,NAME,OWNER_ID,OWNER_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,URL,PROJECT_ID,PROJECT_NAME,REC_DATETIME,ISSOFTDELETED) AS (SELECT J.JOB_ID,J.REFERENCE_ID,J.EXTERNAL_ID,J.NAME,J.OWNER_ID,R.FULL_NAME AS OWNER_NAME,J.EXTERNAL_KEY1,J.EXTERNAL_KEY2,J.URL,J.PROJECT_ID,P.NAME AS PROJECT_NAME,J.REC_DATETIME,J.ISSOFTDELETED  FROM RIODS.JOB J JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=J.OWNER_ID JOIN RIODS.PROJECT P ON P.PROJECT_ID=J.PROJECT_ID);
 GRANT SELECT ON RIDW.VW_JOB TO RPTUSER;
 DROP VIEW RIDW.VW_JOB_RESULT;
 CREATE VIEW RIDW.VW_JOB_RESULT (JOB_RESULT_ID,REFERENCE_ID,EXTERNAL_ID,NAME,STATE,VERDICT, START_TIME, END_TIME,DURATION,LAB_RESOURCE_ID,LAB_RESOURCE_NAME,OWNER_ID,OWNER_NAME,JOB_ID,JOB_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED) AS (SELECT J.JOB_RESULT_ID,J.REFERENCE_ID,J.EXTERNAL_ID,J.NAME,J.STATE,J.VERDICT, J.START_TIME, J.END_TIME,J.DURATION,J.LAB_RESOURCE_ID,L.NAME AS LAB_RESOURCE_NAME,J.OWNER_ID,R.FULL_NAME AS OWNER_NAME,J.JOB_ID,JB.NAME AS JOB_NAME, J.EXTERNAL_KEY1,J.EXTERNAL_KEY2,J.SOURCE_ID,J.URL,J.REC_DATETIME,J.ISSOFTDELETED  FROM RIODS.JOB_RESULT J JOIN RIODS.JOB JB ON JB.JOB_ID=J.JOB_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=J.OWNER_ID JOIN RIODS.LAB_RESOURCE L ON L.LAB_RESOURCE_ID=J.LAB_RESOURCE_ID); 
 GRANT SELECT ON RIDW.VW_JOB_RESULT TO RPTUSER; 
 DROP VIEW RIDW.VW_LAB_RESOURCE;
 CREATE VIEW RIDW.VW_LAB_RESOURCE (LAB_RESOURCE_ID,NAME,SOFTWARE,REFERENCE_ID,LAB_RESOURCE_TYPE,LAB_RESOURCE_NAME,MEMORY, IP_ADDRESS,PRIMARY_MAC_ADDRESS,ADMINISTRATIVE_STATUS,OPERATIONAL_STATUS,HOSTNAME,FULLY_QUALIFIED_DOMAIN_NAME, OS_TYPE,OS_LOCALE,OS_KERNEL_WIDTH,CPU_SPEED,CPU_ARCHITECTURE,CPU_ARCHITECTURE_WIDTH,CPU_MANUFACTURER,CPU_TYPE, DISK_SPACE,RESOURCE_GROUP_ID,RESOURCE_GROUP_NAME,PROJECT_ID, PROJECT_NAME,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT L.LAB_RESOURCE_ID,L.NAME,L.SOFTWARE,L.REFERENCE_ID,L.LAB_RESOURCE_TYPE,L.LAB_RESOURCE_NAME,L.MEMORY, L.IP_ADDRESS,L.PRIMARY_MAC_ADDRESS,L.ADMINISTRATIVE_STATUS,L.OPERATIONAL_STATUS,L.HOSTNAME,L.FULLY_QUALIFIED_DOMAIN_NAME, L.OS_TYPE,L.OS_LOCALE,L.OS_KERNEL_WIDTH,L.CPU_SPEED,L.CPU_ARCHITECTURE,L.CPU_ARCHITECTURE_WIDTH,L.CPU_MANUFACTURER,L.CPU_TYPE, L.DISK_SPACE,L.RESOURCE_GROUP_ID,R.NAME AS RESOURCE_GROUP_NAME,L.PROJECT_ID, P.NAME AS PROJECT_NAME,L.URL,L.EXTERNAL_KEY1,L.EXTERNAL_KEY2,L.REC_DATETIME,L.ISSOFTDELETED  FROM RIODS.LAB_RESOURCE L JOIN RIODS.PROJECT P ON P.PROJECT_ID=L.PROJECT_ID JOIN RIODS.RESOURCE_GROUP R ON R.RESOURCE_GROUP_ID=L.RESOURCE_GROUP_ID);
 GRANT SELECT ON RIDW.VW_LAB_RESOURCE TO RPTUSER; 
 CREATE VIEW RIDW.VW_LICENSE_HISTORY (HISTORY_ID,ASSET_ID,ASSET_NAME,ACTION_TYPE_ID,ACTION_TYPE_NAME,USAGE_DATE,RESOURCE_ID,RESOURCE_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED)AS (SELECT H.HISTORY_ID,H.ASSET_ID,A.NAME AS ASSET_NAME,H.ACTION_TYPE_ID,AC.NAME AS ACTION_TYPE_NAME,H.USAGE_DATE,H.RESOURCE_ID,R.FULL_NAME AS RESOURCE_NAME,H.EXTERNAL_KEY1,H.EXTERNAL_KEY2,H.SOURCE_ID,H.URL,H.REC_DATETIME,H.ISSOFTDELETED FROM RIASSET.LICENSE_HISTORY H JOIN RIASSET.ASSET A ON A.ASSET_ID=H.ASSET_ID JOIN RIASSET.ACTION_TYPE AC ON AC.ACTION_TYPE_ID=H.ACTION_TYPE_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=H.RESOURCE_ID);
 GRANT SELECT ON RIDW.VW_LICENSE_HISTORY TO RPTUSER;
 DROP VIEW RIDW.VW_OPERATING_TERRITORY; 
 CREATE VIEW RIDW.VW_OPERATING_TERRITORY (TERRITORY_ID,REFERENCE_ID,EXTERNAL_ID,NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED) AS (SELECT TERRITORY_ID,REFERENCE_ID,EXTERNAL_ID,NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED  FROM RIODS.OPERATING_TERRITORY); 
 GRANT SELECT ON RIDW.VW_OPERATING_TERRITORY TO RPTUSER;
 DROP VIEW RIDW.VW_ORGANIZATION;
 CREATE VIEW RIDW.VW_ORGANIZATION(ORGANIZATION_ID,REFERENCE_ID,EXTERNAL_ID, NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED) AS (SELECT ORGANIZATION_ID,REFERENCE_ID,EXTERNAL_ID,NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED  FROM RIODS.ORGANIZATION); 
 GRANT SELECT ON RIDW.VW_ORGANIZATION TO RPTUSER; 
 DROP VIEW RIDW.VW_PHASE; 
 CREATE VIEW RIDW.VW_PHASE (PHASE_ID, NAME, REFERENCE_ID, EXTERNAL_ID, PROJECT_ID, PROJECT_NAME, STATUS, START_DATE, END_DATE, URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT PP.PHASE_ID, PP.NAME, PP.REFERENCE_ID, PP.EXTERNAL_ID, PP.PROJECT_ID, P.NAME AS PROJECT_NAME, PP.STATUS, PP.START_DATE, PP.END_DATE , PP.URL,PP.EXTERNAL_KEY1,PP.EXTERNAL_KEY2,PP.REC_DATETIME,PP.ISSOFTDELETED  FROM RIODS.PHASE PP JOIN RIODS.PROJECT P ON P.PROJECT_ID=PP.PROJECT_ID); 
 GRANT SELECT ON RIDW.VW_PHASE TO RPTUSER;
 DROP VIEW RIDW.VW_POOL;
 CREATE VIEW RIDW.VW_POOL (EXTERNAL_ID,NAME,POOL_ID,POOL_TYPE,PARENT_POOL_ID, PARENT_POOL_NAME,REFERENCE_ID,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT P.EXTERNAL_ID,P.NAME,P.POOL_ID,P.POOL_TYPE,P.PARENT_POOL_ID, PP.NAME AS PARENT_POOL_NAME,P.REFERENCE_ID,P.URL,P.EXTERNAL_KEY1,P.EXTERNAL_KEY2,P.REC_DATETIME,P.ISSOFTDELETED  FROM RIODS.POOL P JOIN RIODS.POOL PP ON PP.POOL_ID=P.PARENT_POOL_ID);
 GRANT SELECT ON RIDW.VW_POOL TO RPTUSER; 
 CREATE VIEW RIDW.VW_PORTFOLIO (PORTFOLIO_ID,REFERENCE_ID,EXTERNAL_ID,NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED) AS (SELECT PORTFOLIO_ID,REFERENCE_ID,EXTERNAL_ID,NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED  FROM RIODS.PORTFOLIO); 
 GRANT SELECT ON RIDW.VW_PORTFOLIO TO RPTUSER;
 CREATE VIEW RIDW.VW_PORTFOLIO_PROG_PROJ_LOOKUP (PORTFOLIO_ID,PORTFOLIO_NAME,PROGRAM_ID,PROGRAM_NAME,PROJECT_ID,PROJECT_NAME)AS (SELECT P.PORTFOLIO_ID,PR.NAME AS PORTFOLIO_NAME,P.PROGRAM_ID,PG.NAME AS PROGRAM_NAME,P.PROJECT_ID,PJ.NAME AS PROJECT_NAME  FROM RIODS.PORTFOLIO_PROG_PROJ_LOOKUP P JOIN RIODS.PORTFOLIO PR ON PR.PORTFOLIO_ID=P.PORTFOLIO_ID JOIN RIODS.PROGRAM PG ON PG.PROGRAM_ID=P.PROGRAM_ID JOIN RIODS.PROJECT PJ ON PJ.PROJECT_ID=P.PROJECT_ID); 
 GRANT SELECT ON RIDW.VW_PORTFOLIO_PROG_PROJ_LOOKUP TO RPTUSER; 
 DROP VIEW RIDW.VW_PRODUCT; 
 CREATE VIEW RIDW.VW_PRODUCT (EXTERNAL_ID, NAME, PRODUCT_ID, REFERENCE_ID, URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT P.EXTERNAL_ID, P.NAME, P.PRODUCT_ID, P.REFERENCE_ID, P.URL,P.EXTERNAL_KEY1,P.EXTERNAL_KEY2,P.REC_DATETIME,P.ISSOFTDELETED  FROM RIODS.PRODUCT P); 
 GRANT SELECT ON RIDW.VW_PRODUCT TO RPTUSER;
 DROP VIEW RIDW.VW_PROFILE; 
 CREATE VIEW RIDW.VW_PROFILE (PROFILE_ID, NAME, REFERENCE_ID, EXTERNAL_ID, RATE, EXPERIENCE_IN_MONTHS, URL, EXTERNAL_KEY1, EXTERNAL_KEY2,CITY_ID,CITY_NAME,ORGANIZATION_ID,ORGANIZATION_NAME,REC_DATETIME,ISSOFTDELETED) AS ( SELECT P.PROFILE_ID, P.NAME, P.REFERENCE_ID, P.EXTERNAL_ID, P.RATE,  P.EXPERIENCE_IN_MONTHS, P.URL, P.EXTERNAL_KEY1, P.EXTERNAL_KEY2,P.CITY_ID,C.NAME AS CITY_NAME,P.ORGANIZATION_ID,O.NAME AS ORGANIZATION_NAME,P.REC_DATETIME,P.ISSOFTDELETED  FROM RIODS.PROFILE P JOIN RIODS.CITY C ON C.CITY_ID=P.CITY_ID JOIN RIODS.ORGANIZATION O ON O.ORGANIZATION_ID=P.ORGANIZATION_ID); 
 GRANT SELECT ON RIDW.VW_PROFILE TO RPTUSER;
 DROP VIEW RIDW.VW_PROGRAM; 
 CREATE VIEW RIDW.VW_PROGRAM (PROGRAM_ID,NAME,REFERENCE_ID,EXTERNAL_ID,PROGRAM_MANAGER_ID,PROGRAM_MANAGER,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED,SOURCE_ID) AS (SELECT PR.PROGRAM_ID,PR.NAME,PR.REFERENCE_ID,PR.EXTERNAL_ID,PR.PROGRAM_MANAGER AS PROGRAM_MANAGER_ID,R.FULL_NAME AS PROGRAM_MANAGER,PR.URL,PR.EXTERNAL_KEY1,PR.EXTERNAL_KEY2,PR.REC_DATETIME,PR.ISSOFTDELETED,PR.SOURCE_ID  FROM RIODS.PROGRAM PR JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=PR.PROGRAM_MANAGER); 
 GRANT SELECT ON RIDW.VW_PROGRAM TO RPTUSER;
 DROP VIEW RIDW.VW_PROGRAM_DETAIL;
 CREATE VIEW RIDW.VW_PROGRAM_DETAIL (PROGRAM_ID, PROGRAM_NAME,CURRENCY_ID,CURRENCY,ACTUAL_BUDGET,CURRENT_BUDGET,PLANNED_BUDGET,ACTUAL_VARIANCE,PLANNED_START,PLANNED_FINISH,ACWP,BAC, BCWP,BCWS,EAC, EV_ETC,EV_FLAG, ACTUAL_DURATION,ACTUAL_WORK,ACTUAL_WORK_VARIANCE,ACTUAL_START_VARIANCE,ACTUAL_FINISH_VARIANCE,ACTUAL_COST,ACTUAL_START, ACTUAL_FINISH,ACTUAL_COST_VARIANCE,PLANNED_COST, COST_VARIANCE,PLANNED_DURATION, PLANNED_WORK, WORK_VARIANCE,START_VARIANCE,FINISH_VARIANCE,DURATION_VARIANCE,PERCENT_COMPLETE,PERCENT_WORK_COMPLETE,BUDGETED_REVENUE,PLANNED_REVENUE,ACTUAL_REVENUE,BUDGETED_COST,NET_PRESENT_VALUE,INTERNAL_RATE_OF_RETURN) AS (SELECT PR.PROGRAM_ID,P.NAME AS PROGRAM_NAME,PR.CURRENCY_ID,C.NAME AS CURRENCY,PR.ACTUAL_BUDGET,PR.CURRENT_BUDGET,PR.PLANNED_BUDGET,PR.ACTUAL_VARIANCE,PR.PLANNED_START,PR.PLANNED_FINISH,PR.ACWP,PR.BAC,PR.BCWP,PR.BCWS,PR.EAC,PR.EV_ETC,PR.EV_FLAG,PR.ACTUAL_DURATION,PR.ACTUAL_WORK,PR.ACTUAL_WORK_VARIANCE,PR.ACTUAL_START_VARIANCE,PR.ACTUAL_FINISH_VARIANCE,PR.ACTUAL_COST,PR.ACTUAL_START,PR.ACTUAL_FINISH,PR.ACTUAL_COST_VARIANCE,PR.PLANNED_COST,PR.COST_VARIANCE,PR.PLANNED_DURATION,PR.PLANNED_WORK,PR.WORK_VARIANCE,PR.START_VARIANCE,PR.FINISH_VARIANCE,PR.DURATION_VARIANCE,PR.PERCENT_COMPLETE,PR.PERCENT_WORK_COMPLETE,PR.BUDGETED_REVENUE,PR.PLANNED_REVENUE,PR.ACTUAL_REVENUE,PR.BUDGETED_COST,PR.NET_PRESENT_VALUE,PR.INTERNAL_RATE_OF_RETURN  FROM RIODS.PROGRAM_DETAIL PR JOIN RIODS.PROGRAM P ON P.PROGRAM_ID=PR.PROGRAM_ID JOIN RIODS.CURRENCY C ON C.CURRENCY_ID=PR.CURRENCY_ID); 
 GRANT SELECT ON RIDW.VW_PROGRAM_DETAIL TO RPTUSER; 
 DROP VIEW RIDW.VW_PROJECT; 
 CREATE VIEW RIDW.VW_PROJECT (EXTERNAL_ID, NAME, PROJECT_ID, PROGRAM_ID, PROGRAM_NAME, PROJECT_MANAGER, MANAGER_NAME, REFERENCE_ID, URL, END_DATE,START_DATE,PROJECT_CATEGORY_ID,PROJECT_CATEGORY_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,PROJECT_CLASS_ID,PROJECT_CLASS_NAME,SHIP_DATE,PRIORITY,STATUS,FEASIBILITY,REC_DATETIME,ISSOFTDELETED) AS (SELECT  P.EXTERNAL_ID, P.NAME, P.PROJECT_ID, P.PROGRAM_ID, PR.NAME, P.PROJECT_MANAGER,R.FULL_NAME AS MANAGER_NAME, P.REFERENCE_ID, P.URL, P.END_DATE,P.START_DATE,P.PROJECT_CATEGORY_ID,PC.NAME AS PROJECT_CATEGORY_NAME,P.EXTERNAL_KEY1,P.EXTERNAL_KEY2,P.PROJECT_CLASS_ID,PL.NAME AS PROJECT_CLASS_NAME,P.SHIP_DATE,P.PRIORITY,P.STATUS,P.FEASIBILITY,P.REC_DATETIME,P.ISSOFTDELETED  FROM RIODS.PROJECT P JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=P.PROJECT_MANAGER JOIN RIODS.PROJECT_CATEGORY PC ON PC.PROJECT_CATEGORY_ID=P.PROJECT_CATEGORY_ID JOIN RIODS.PROJECT_CLASSIFICATION PL ON PL.PROJECT_CLASS_ID=P.PROJECT_CLASS_ID JOIN RIODS.PROGRAM PR ON PR.PROGRAM_ID=P.PROGRAM_ID);
 GRANT SELECT ON RIDW.VW_PROJECT TO RPTUSER;
 DROP VIEW RIDW.VW_PROJECT_ALLOCATION;
 CREATE VIEW RIDW.VW_PROJECT_ALLOCATION(PROJECT_ALLOCATION_ID,NAME,REFERENCE_ID,EXTERNAL_ID,PROJECT_ID,PROJECT_NAME,OWNER_ID,OWNER_NAME,PLANNED_START,PLANNED_FINISH,ACTUAL_START,ACTUAL_FINISH,PLANNED_WORK,ACTUAL_WORK,PLANNED_DURATION,ACTUAL_DURATION,PERCENT_COMPLETE,PERCENT_WORK_COMPLETE,ALLOTED_WORK,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,REC_DATETIME,ISSOFTDELETED,PROFILE_ID,PROFILE_NAME,UNITS,SUNDAY_UNITS,MONDAY_UNITS,TUESDAY_UNITS,WEDNESDAY_UNITS,THURSDAY_UNITS,FRIDAY_UNITS,SATURDAY_UNITS) AS (SELECT PA.PROJECT_ALLOCATION_ID,PA.NAME,PA.REFERENCE_ID,PA.EXTERNAL_ID,PA.PROJECT_ID,P.NAME AS PROJECT_NAME,PA.OWNER_ID,R.FULL_NAME AS OWNER_NAME,PA.PLANNED_START,PA.PLANNED_FINISH,PA.ACTUAL_START,PA.ACTUAL_FINISH,PA.PLANNED_WORK,PA.ACTUAL_WORK,PA.PLANNED_DURATION,PA.ACTUAL_DURATION,PA.PERCENT_COMPLETE,PA.PERCENT_WORK_COMPLETE,PA.ALLOTED_WORK,PA.URL,PA.EXTERNAL_KEY1,PA.EXTERNAL_KEY2,PA.SOURCE_ID,PA.REC_DATETIME,PA.ISSOFTDELETED,PA.PROFILE_ID,PF.NAME AS PROFILE_NAME,PA.UNITS,PA.SUNDAY_UNITS,PA.MONDAY_UNITS,PA.TUESDAY_UNITS,PA.WEDNESDAY_UNITS,PA.THURSDAY_UNITS,PA.FRIDAY_UNITS,PA.SATURDAY_UNITS  FROM RIODS.PROJECT_ALLOCATION PA JOIN RIODS.PROJECT P ON P.PROJECT_ID =PA.PROJECT_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=PA.OWNER_ID JOIN RIODS.PROFILE PF ON PF.PROFILE_ID=PA.PROFILE_ID); 
 GRANT SELECT ON RIDW.VW_PROJECT_ALLOCATION TO RPTUSER; 
 DROP VIEW RIDW.VW_PROJECT_BASELINE;
 CREATE VIEW RIDW.VW_PROJECT_BASELINE (BASELINE_ID, EXTERNAL_ID, FILE_STREAM_ID, FILE_NAME, NAME, OWNER_ID, PROJECT_ID, REFERENCE_ID, URL, BASELINE_DATE, PLANNED_START, PLANNED_FINISH, PLANNED_WORK,BASELINE_WORK_COMPLETED, PLANNED_COST,BASELINE_COST_COMPLETED, PLANNED_DURATION, EXTERNAL_KEY1, EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT P.BASELINE_ID, P.EXTERNAL_ID, P.FILE_STREAM_ID,F.NAME AS FILE_NAME, P.NAME, P.OWNER_ID, P.PROJECT_ID, P.REFERENCE_ID, P.URL, P.BASELINE_DATE, P.PLANNED_START, P.PLANNED_FINISH, P.PLANNED_WORK,P.BASELINE_WORK_COMPLETED,P.PLANNED_COST, P.BASELINE_COST_COMPLETED,P.PLANNED_DURATION, P.EXTERNAL_KEY1,P.EXTERNAL_KEY2,P.REC_DATETIME,P.ISSOFTDELETED  FROM RIODS.PROJECT_BASELINE P LEFT JOIN RIODS.FILE_STREAM F ON F.FILE_STREAM_ID=P.FILE_STREAM_ID); 
 GRANT SELECT ON RIDW.VW_PROJECT_BASELINE TO RPTUSER; 
 DROP VIEW RIDW.VW_PROJECT_CATEGORY;
 CREATE VIEW RIDW.VW_PROJECT_CATEGORY (PROJECT_CATEGORY_ID, EXTERNAL_ID, REFERENCE_ID, NAME, PROJECT_ID, PROJECT_NAME, CATEGORY_TYPE, OWNER_ID, MANAGER_NAME, URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT PC.PROJECT_CATEGORY_ID, PC.EXTERNAL_ID, PC.REFERENCE_ID, PC.NAME, P.PROJECT_ID, P.NAME AS PROJECT_NAME, PC.CATEGORY_TYPE, PC.OWNER_ID,R.FULL_NAME AS MANAGER_NAME, PC.URL,PC.EXTERNAL_KEY1,PC.EXTERNAL_KEY2,PC.REC_DATETIME,PC.ISSOFTDELETED  FROM RIODS.PROJECT_CATEGORY PC JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=PC.OWNER_ID JOIN RIODS.PROJECT P ON P.PROJECT_CATEGORY_ID=PC.PROJECT_CATEGORY_ID); 
 GRANT SELECT ON RIDW.VW_PROJECT_CATEGORY TO RPTUSER; 
 DROP VIEW RIDW.VW_PROJECT_DETAIL;
 CREATE VIEW RIDW.VW_PROJECT_DETAIL (ACTUAL_BUDGET, ACTUAL_FINISH, ACTUAL_START, ACTUAL_VARIANCE, ACWP, BAC, BASELINE_COST, BASELINE_ESTIMATED_COST, BASELINE_ESTIMATED_FINISH, BASELINE_ESTIMATED_START, BASELINE_FINISH, BASELINE_START, BASELINE_VARIANCE, BCWP, BCWS, CURRENCY_ID, CURRENT_BUDGET, EAC, EV_ETC, EV_FLAG, PLANNED_BUDGET, PLANNED_FINISH, PLANNED_START, PROJECT_ID, ACTUAL_DURATION, ACTUAL_WORK, ACTUAL_WORK_VARIANCE, ACTUAL_START_VARIANCE, ACTUAL_FINISH_VARIANCE, ACTUAL_COST, ACTUAL_COST_VARIANCE, BASELINE_DURATION, BASELINE_WORK, BASELINE_WORK_VARIANCE, BASELINE_START_VARIANCE, BASELINE_FINISH_VARIANCE, BASELINE_COST_VARIANCE, PLANNED_COST, COST_VARIANCE, PLANNED_DURATION, PLANNED_WORK, WORK_VARIANCE, START_VARIANCE, FINISH_VARIANCE, DURATION_VARIANCE, PROJECT_NAME, URL, EXTERNAL_KEY1, EXTERNAL_KEY2,PERCENT_COMPLETE,PERCENT_WORK_COMPLETE,BUDGETED_REVENUE,PLANNED_REVENUE,ACTUAL_REVENUE,BUDGETED_COST,NET_PRESENT_VALUE,INTERNAL_RATE_OF_RETURN) AS (SELECT  P.ACTUAL_BUDGET, P.ACTUAL_FINISH, P.ACTUAL_START, P.ACTUAL_VARIANCE, P.ACWP, P.BAC, P.BASELINE_COST, P.BASELINE_ESTIMATED_COST, P.BASELINE_ESTIMATED_FINISH, P.BASELINE_ESTIMATED_START, P.BASELINE_FINISH, P.BASELINE_START, P.BASELINE_VARIANCE, P.BCWP, P.BCWS, P.CURRENCY_ID, P.CURRENT_BUDGET, P.EAC, P.EV_ETC, P.EV_FLAG, P.PLANNED_BUDGET, P.PLANNED_FINISH, P.PLANNED_START, P.PROJECT_ID,P.ACTUAL_DURATION, P.ACTUAL_WORK, P.ACTUAL_WORK_VARIANCE, P.ACTUAL_START_VARIANCE ,P.ACTUAL_FINISH_VARIANCE, P.ACTUAL_COST ,P.ACTUAL_COST_VARIANCE, P.BASELINE_DURATION ,P.BASELINE_WORK ,P.BASELINE_WORK_VARIANCE ,P.BASELINE_START_VARIANCE ,	P.BASELINE_FINISH_VARIANCE ,P.BASELINE_COST_VARIANCE,P.PLANNED_COST ,P.COST_VARIANCE,P.PLANNED_DURATION ,P.PLANNED_WORK ,P.WORK_VARIANCE,P.START_VARIANCE ,	P.FINISH_VARIANCE ,P.DURATION_VARIANCE,  R.NAME AS PROJECT_NAME, R.URL,R.EXTERNAL_KEY1,R.EXTERNAL_KEY2,P.PERCENT_COMPLETE,P.PERCENT_WORK_COMPLETE,P.BUDGETED_REVENUE,P.PLANNED_REVENUE,P.ACTUAL_REVENUE,P.BUDGETED_COST,P.NET_PRESENT_VALUE,P.INTERNAL_RATE_OF_RETURN  FROM RIODS.PROJECT_DETAIL P JOIN RIODS.PROJECT R ON R.PROJECT_ID=P.PROJECT_ID); 
 GRANT SELECT ON RIDW.VW_PROJECT_DETAIL TO RPTUSER; 
 CREATE VIEW RIDW.VW_PROJECT_RESOURCE_LOOKUP(PROJECT_ID,PROJECT_NAME,RESOURCE_ID,RESOURCE_NAME)AS (SELECT PR.PROJECT_ID,P.NAME AS PROJECT_NAME,PR.RESOURCE_ID,R.FULL_NAME AS RESOURCE_NAME  FROM RIODS.PROJECT_RESOURCE_LOOKUP PR JOIN RIODS.PROJECT P ON P.PROJECT_ID=PR.PROJECT_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=PR.RESOURCE_ID);
 GRANT SELECT ON RIDW.VW_PROJECT_RESOURCE_LOOKUP TO RPTUSER;
 DROP VIEW RIDW.VW_PROJECT_ROLE;
 CREATE VIEW RIDW.VW_PROJECT_ROLE (PROJECT_ROLE_ID, NAME, REFERENCE_ID, EXTERNAL_ID, PROJECT_ID, PROJECT_NAME, OWNER_ID, MANAGER_NAME, URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT PR.PROJECT_ROLE_ID, PR.NAME, PR.REFERENCE_ID, PR.EXTERNAL_ID, PR.PROJECT_ID, P.NAME AS PROJECT_NAME, PR.OWNER_ID,R.FULL_NAME AS MANAGER_NAME, PR.URL,PR.EXTERNAL_KEY1,PR.EXTERNAL_KEY2,PR.REC_DATETIME,PR.ISSOFTDELETED  FROM RIODS.PROJECT_ROLE PR JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=PR.OWNER_ID JOIN RIODS.PROJECT P ON P.PROJECT_ID=PR.PROJECT_ID); 
 GRANT SELECT ON RIDW.VW_PROJECT_ROLE TO RPTUSER; 
 DROP VIEW RIDW.VW_PROJECT_TYPE;
 CREATE VIEW RIDW.VW_PROJECT_TYPE (PROJECT_TYPE_ID, EXTERNAL_ID, REFERENCE_ID, NAME, PROJECT_ID, PROJECT_NAME, PROJECT_WKCFG_ID, PROJECT_WORKCONFIGURATION_NAME, RECORD_TYPE, URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT PT.PROJECT_TYPE_ID, PT.EXTERNAL_ID, PT.REFERENCE_ID, PT.NAME, PT.PROJECT_ID, P.NAME AS PROJECT_NAME, PWC.PROJECT_WKCFG_ID, PWC.NAME AS PROJECT_WORKCONFIGURATION_NAME, PT.RECORD_TYPE, PT.URL,PT.EXTERNAL_KEY1,PT.EXTERNAL_KEY2,PT.REC_DATETIME,PT.ISSOFTDELETED  FROM RIODS.PROJECT_TYPE PT JOIN RIODS.PROJECT P ON P.PROJECT_ID=PT.PROJECT_ID JOIN RIODS.PROJECT_WORKCONFIGURATION PWC ON P.PROJECT_ID=PWC.PROJECT_ID);
 GRANT SELECT ON RIDW.VW_PROJECT_TYPE TO RPTUSER; 
 DROP VIEW RIDW.VW_PROJECT_WORKCONFIGURATION; 
 CREATE VIEW RIDW.VW_PROJECT_WORKCONFIGURATION (PROJECT_WKCFG_ID, NAME, REFERENCE_ID, EXTERNAL_ID, PROJECT_ID, PROJECT_NAME, RECORD_TYPE, URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT PWC.PROJECT_WKCFG_ID, PWC.NAME, PWC.REFERENCE_ID, PWC.EXTERNAL_ID, PWC.PROJECT_ID, P.NAME AS PROJECT_NAME, PWC.RECORD_TYPE, PWC.URL,PWC.EXTERNAL_KEY1,PWC.EXTERNAL_KEY2,PWC.REC_DATETIME,PWC.ISSOFTDELETED  FROM RIODS.PROJECT_WORKCONFIGURATION PWC JOIN RIODS.PROJECT P ON P.PROJECT_ID=PWC.PROJECT_ID); 
 GRANT SELECT ON RIDW.VW_PROJECT_WORKCONFIGURATION TO RPTUSER;
 DROP VIEW RIDW.VW_PROVINCE_STATE;
 CREATE VIEW RIDW.VW_PROVINCE_STATE (PROVINCE_STATE_ID,REFERENCE_ID,EXTERNAL_ID,NAME,COUNTRY_ID,COUNTRY_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED) AS (SELECT P.PROVINCE_STATE_ID,P.REFERENCE_ID,P.EXTERNAL_ID,P.NAME,P.COUNTRY_ID,C.NAME AS COUNTRY_NAME,P.EXTERNAL_KEY1,P.EXTERNAL_KEY2,P.SOURCE_ID,P.URL,P.REC_DATETIME,P.ISSOFTDELETED  FROM RIODS.PROVINCE_STATE P JOIN RIODS.COUNTRY C ON C.COUNTRY_ID=P.COUNTRY_ID); 
 GRANT SELECT ON RIDW.VW_PROVINCE_STATE TO RPTUSER; 
 CREATE VIEW RIDW.VW_QUESTION (QUESTION_ID,REFERENCE_ID,EXTERNAL_ID,NAME,SCALE_ID,DESCRIPTION,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED)AS (SELECT QUESTION_ID,REFERENCE_ID,EXTERNAL_ID,NAME,SCALE_ID,DESCRIPTION,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED FROM RISCHK.QUESTION);
 GRANT SELECT ON RIDW.VW_QUESTION TO RPTUSER; 
 DROP VIEW RIDW.VW_RELEASE; 
 CREATE VIEW RIDW.VW_RELEASE (AVAILABILITY_DATE, DECOMISSION_DATE, EXTERNAL_ID, ITERATION_ID, ITERATION_NAME, NAME, PRODUCT_ID, PRODUCT_NAME, REFERENCE_ID, RELEASE_ID, URL,EXTERNAL_KEY1,EXTERNAL_KEY2,PROJECT_ID,PROJECT_NAME,REC_DATETIME,ISSOFTDELETED) AS (SELECT R.AVAILABILITY_DATE, R.DECOMISSION_DATE, R.EXTERNAL_ID, R.ITERATION_ID, I.NAME AS ITERATION_NAME, R.NAME, R.PRODUCT_ID, P.NAME AS PRODUCT_NAME, R.REFERENCE_ID, R.RELEASE_ID, R.URL,R.EXTERNAL_KEY1,R.EXTERNAL_KEY2,R.PROJECT_ID,PR.NAME AS PROJECT_NAME,R.REC_DATETIME,R.ISSOFTDELETED  FROM RIODS.RELEASE R JOIN RIODS.ITERATION I ON I.ITERATION_ID=R.ITERATION_ID JOIN RIODS.PROJECT PR ON PR.PROJECT_ID=R.PROJECT_ID JOIN RIODS.PRODUCT P ON P.PRODUCT_ID=R.PRODUCT_ID);
 GRANT SELECT ON RIDW.VW_RELEASE TO RPTUSER;
 DROP VIEW RIDW.VW_REQUEST; 
 CREATE VIEW RIDW.VW_REQUEST (ACTIVATE_DATE, ASSIGNED_DATE, CLOSED_DATE, COMPONENT_ID, COMPONENT_NAME, CREATION_DATE, CUSTOMER_PRIORITY, DUPLICATE_DATE, EXTERNAL_ID, FIXEDINRELEASE_ID, FIXED_IN_RELEASE_NAME, IS_BLOCKING, ITERATION_ID, ITERATION_NAME, TEAM_ID, TEAM_NAME, PLANNED_WORK, ACTUAL_WORK, COMMENT_COUNT, SUBSCRIBER_COUNT, STORY_POINTS, TAGS, NAME, PLATFORM, REQUEST_PRIORITY_ID,REQUEST_PRIORITY,REQUEST_PRIORITY_EXTERNAL_ID, PROJECT_ID, PROJECT_NAME, REFERENCE_ID, RELEASE_ID, FOUND_IN_RELEASE_NAME, REQUEST_CLASS_ID, REQUEST_CLASS, REQUEST_ID, OWNER_ID, REQUEST_RESPONSIBLE, REQUEST_SOURCE, REQUEST_STATE_ID,REQUEST_STATE,REQUEST_STATE_EXTERNAL_ID, REQUEST_RESOLUTION_ID,REQUEST_RESOLUTION, REQUEST_RESOLUTION_EXTERNAL_ID,RESOLVED_DATE, REQUEST_SEVERITY_ID, REQUEST_SEVERITY,REQUEST_SEVERITY_EXTERNAL_ID,SLOC_CHANGE, REQUEST_STATUS_ID, REQUEST_STATUS,REQUEST_STATUS_EXTERNAL_ID,SUBMIT_DATE, URL, BUILD_ID,BUILD_NAME,PHASE_ID,PHASE_NAME,PROJECT_CATEGORY_ID, PROJECT_CATEGORY_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,REQUEST_TYPE_ID,REQUEST_TYPE,REQUEST_TYPE_EXTERNAL_ID,REQUEST_CATEGORY_ID,REQUEST_CATEGORY_NAME,RESOLVER_ID,RESOLVER_NAME,SUMMARY,REC_DATETIME,ISSOFTDELETED) AS (SELECT R.ACTIVATE_DATE, R.ASSIGNED_DATE, R.CLOSED_DATE, R.COMPONENT_ID,C.NAME AS COMPONENT_NAME, R.CREATION_DATE, R.CUSTOMER_PRIORITY, R.DUPLICATE_DATE, R.EXTERNAL_ID, R.FIXEDINRELEASE_ID,RL.NAME AS FIXED_IN_RELEASE_NAME, 
 R.IS_BLOCKING, R.ITERATION_ID,I.NAME AS ITERATION_NAME, R.TEAM_ID, T.NAME AS TEAM_NAME, R.PLANNED_WORK, R.ACTUAL_WORK, R.COMMENT_COUNT, R.SUBSCRIBER_COUNT, R.STORY_POINTS, R.TAGS, R.NAME, R.PLATFORM, R.REQUEST_PRIORITY_ID,RP.NAME AS REQUEST_PRIORITY, RP.EXTERNAL_ID AS REQUEST_PRIORITY_EXTERNAL_ID,R.PROJECT_ID, PJ.NAME AS PROJECT_NAME,R.REFERENCE_ID, R.RELEASE_ID, RL2.NAME AS FOUND_IN_RELEASE_NAME, R.REQUEST_CLASS_ID,RQ.NAME AS REQUEST_CLASS, R.REQUEST_ID, R.OWNER_ID,PS.FULL_NAME AS REQUEST_RESPONSIBLE, R.REQUEST_SOURCE, R.REQUEST_STATE_ID, RST.NAME AS REQUEST_STATE,RST.EXTERNAL_ID AS REQUEST_STATE_EXTERNAL_ID,R.REQUEST_RESOLUTION_ID,RRES.NAME AS REQUEST_RESOLUTION, RRES.EXTERNAL_ID AS REQUEST_RESOLUTION_EXTERNAL_ID,R.RESOLVED_DATE, R.REQUEST_SEVERITY_ID, RSEV.NAME AS REQUEST_SEVERITY, RSEV.EXTERNAL_ID AS REQUEST_SEVERITY_EXTERNAL_ID,R.SLOC_CHANGE, R.REQUEST_STATUS_ID,RSTU.NAME AS REQUEST_STATUS,RSTU.EXTERNAL_ID AS  REQUEST_STATUS_EXTERNAL_ID,R.SUBMIT_DATE, R.URL, R.BUILD_ID,B.NAME AS BUILD_NAME,R.PHASE_ID,PH.NAME AS PHASE_NAME,R.PROJECT_CATEGORY_ID,PC.NAME AS PROJECT_CATEGORY_NAME,R.EXTERNAL_KEY1,R.EXTERNAL_KEY2,R.REQUEST_TYPE_ID,RT.NAME REQUEST_TYPE,RT.EXTERNAL_ID AS REQUEST_TYPE_EXTERNAL_ID,R.REQUEST_CATEGORY_ID,RC.NAME AS REQUEST_CATEGORY_NAME,R.RESOLVER_ID,RS.FULL_NAME AS RESOLVER_NAME,R.SUMMARY,R.REC_DATETIME,R.ISSOFTDELETED  FROM RIODS.REQUEST R JOIN RIODS.ITERATION I ON I.ITERATION_ID=R.ITERATION_ID JOIN RIODS.TEAM T ON T.TEAM_ID=R.TEAM_ID JOIN RIODS.PROJECT PJ ON PJ.PROJECT_ID=R.PROJECT_ID 
 JOIN RIODS.COMPONENT C ON C.COMPONENT_ID=R.COMPONENT_ID JOIN RIODS.RELEASE RL ON RL.RELEASE_ID=R.FIXEDINRELEASE_ID JOIN RIODS.RELEASE RL2 ON RL2.RELEASE_ID=R.RELEASE_ID JOIN RIODS.REQUEST_CLASSIFICATION RQ ON RQ.REQUEST_CLASS_ID=R.REQUEST_CLASS_ID JOIN RIODS.REQUEST_CATEGORY RC ON RC.REQUEST_CATEGORY_ID=R.REQUEST_CATEGORY_ID JOIN RIODS.BUILD B ON B.BUILD_ID=R.BUILD_ID JOIN RIODS.PHASE PH ON PH.PHASE_ID=R.PHASE_ID JOIN RIODS.PROJECT_CATEGORY PC ON PC.PROJECT_CATEGORY_ID=R.PROJECT_CATEGORY_ID JOIN RIODS."RESOURCE" PS ON PS.RESOURCE_ID=R.OWNER_ID JOIN RIODS."RESOURCE" RS ON RS.RESOURCE_ID=R.RESOLVER_ID JOIN RIODS.REQUEST_STATE RST ON RST.REQUEST_STATE_ID=R.REQUEST_STATE_ID JOIN RIODS.REQUEST_STATUS RSTU ON RSTU.REQUEST_STATUS_ID=R.REQUEST_STATUS_ID JOIN RIODS.REQUEST_PRIORITY RP ON RP.REQUEST_PRIORITY_ID=R.REQUEST_PRIORITY_ID JOIN RIODS.REQUEST_RESOLUTION RRES ON RRES.REQUEST_RESOLUTION_ID=R.REQUEST_RESOLUTION_ID JOIN RIODS.REQUEST_SEVERITY RSEV ON RSEV.REQUEST_SEVERITY_ID=R.REQUEST_SEVERITY_ID JOIN RIODS.REQUEST_TYPE RT ON RT.REQUEST_TYPE_ID=R.REQUEST_TYPE_ID); 
 GRANT SELECT ON RIDW.VW_REQUEST TO RPTUSER;
 DROP VIEW RIDW.VW_REQUEST_CATEGORY;
 CREATE VIEW RIDW.VW_REQUEST_CATEGORY (REQUEST_CATEGORY_ID, EXTERNAL_ID, REFERENCE_ID, NAME, URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT REQUEST_CATEGORY_ID, EXTERNAL_ID, REFERENCE_ID, NAME, URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED  FROM RIODS.REQUEST_CATEGORY); 
 GRANT SELECT ON RIDW.VW_REQUEST_CATEGORY TO RPTUSER; 
 DROP VIEW RIDW.VW_REQUEST_CHANGE_HISTORY;
 CREATE VIEW RIDW.VW_REQUEST_CHANGE_HISTORY (REQCHANGE_HISTORY_ID,REQUEST_CLASS_ID, REQUEST_CLASS_NAME,REQUEST_ID,NAME,PREV_TEAM_ID, TEAM_NAME, PREV_REQUEST_CATEGORY_ID, PREV_REQUEST_CATEGORY_NAME,PREV_ITERATION_ID, PREV_ITERATION_NAME,PREV_OWNER_ID,PREV_OWNER_NAME, CHANGE_DATE,PREV_REQUEST_TYPE_ID,PREV_REQUEST_TYPE,PREV_REQUEST_STATE_ID,PREV_REQUEST_STATE,PREV_REQUEST_STATUS_ID,PREV_REQUEST_STATUS,PREV_REQUEST_PRIORITY_ID,PREV_REQUEST_PRIORITY,PREV_REQUEST_SEVERITY_ID,PREV_REQUEST_SEVERITY,PREV_COMMENT_COUNT,PREV_SUBSCRIBER_COUNT, PREV_TAGS,PREV_PLANNED_WORK,PREV_ACTUAL_WORK,PREV_STORY_POINTS,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,PREV_SUMMARY,REC_DATETIME,ISSOFTDELETED) AS (SELECT H.REQCHANGE_HISTORY_ID,H.REQUEST_CLASS_ID,RC.NAME AS REQUEST_CLASS_NAME,H.REQUEST_ID, R.NAME,H.PREV_TEAM_ID,P.NAME AS TEAM_NAME, H.PREV_REQUEST_CATEGORY_ID, RN.NAME AS PREV_REQUEST_CATEGORY_NAME, H.PREV_ITERATION_ID,I.NAME AS PREV_ITERATION_NAME, H.PREV_OWNER_ID, O.FULL_NAME AS PREV_OWNER_NAME,H.CHANGE_DATE,H.PREV_REQUEST_TYPE_ID,RT.NAME AS PREV_REQUEST_TYPE,H.PREV_REQUEST_STATE_ID,PRST.NAME AS PREV_REQUEST_STATE,H.PREV_REQUEST_STATUS_ID,PRSTU.NAME AS PREV_REQUEST_STATUS, H.PREV_REQUEST_PRIORITY_ID,RP.NAME AS PREV_REQUEST_PRIORITY,H.PREV_REQUEST_SEVERITY_ID,RSEV.NAME AS PREV_REQUEST_SEVERITY,H.PREV_COMMENT_COUNT,H.PREV_SUBSCRIBER_COUNT,H.PREV_TAGS,H.PREV_PLANNED_WORK, H.PREV_ACTUAL_WORK,H.PREV_STORY_POINTS,H.URL,H.EXTERNAL_KEY1,H.EXTERNAL_KEY2,H.PREV_SUMMARY,H.REC_DATETIME,H.ISSOFTDELETED  FROM RIODS.REQUEST_CHANGE_HISTORY H JOIN RIODS.REQUEST R ON R.REQUEST_ID=H.REQUEST_ID JOIN RIODS.REQUEST_CLASSIFICATION RC ON RC.REQUEST_CLASS_ID=H.REQUEST_CLASS_ID JOIN RIODS.TEAM P ON P.TEAM_ID =H.PREV_TEAM_ID JOIN RIODS.REQUEST_CATEGORY RN ON RN.REQUEST_CATEGORY_ID=H.PREV_REQUEST_CATEGORY_ID JOIN RIODS.ITERATION I ON I.ITERATION_ID=H.PREV_ITERATION_ID JOIN RIODS."RESOURCE" O ON O.RESOURCE_ID=H.PREV_OWNER_ID JOIN RIODS.REQUEST_TYPE RT ON RT.REQUEST_TYPE_ID=H.PREV_REQUEST_TYPE_ID JOIN RIODS.REQUEST_STATE PRST ON PRST.REQUEST_STATE_ID=H.PREV_REQUEST_STATE_ID JOIN RIODS.REQUEST_STATUS PRSTU ON PRSTU.REQUEST_STATUS_ID=H.PREV_REQUEST_STATUS_ID JOIN RIODS.REQUEST_PRIORITY RP ON RP.REQUEST_PRIORITY_ID=H.PREV_REQUEST_PRIORITY_ID JOIN RIODS.REQUEST_SEVERITY RSEV ON RSEV.REQUEST_SEVERITY_ID=H.PREV_REQUEST_SEVERITY_ID);
 GRANT SELECT ON RIDW.VW_REQUEST_CHANGE_HISTORY TO RPTUSER; 
 CREATE VIEW RIDW.VW_REQUEST_LINK (PRED_REQUEST_ID,PRED_REQUEST_NAME,SUCC_REQUEST_ID,SUCC_REQUEST_NAME,LINK_TYPE)AS (SELECT RC.PRED_REQUEST_ID,C.NAME AS PRED_REQUEST_NAME,RC.SUCC_REQUEST_ID,P.NAME AS SUCC_REQUEST_NAME,RC.LINK_TYPE  FROM RIODS.REQUEST_LINK RC JOIN RIODS.REQUEST C ON C.REQUEST_ID=RC.PRED_REQUEST_ID JOIN RIODS.REQUEST P ON P.REQUEST_ID=RC.SUCC_REQUEST_ID);
 GRANT SELECT ON RIDW.VW_REQUEST_LINK TO RPTUSER; 
 CREATE VIEW RIDW.VW_REQUEST_PRIORITY ( REQUEST_PRIORITY_ID,NAME ,REFERENCE_ID,EXTERNAL_ID,PROJECT_ID,PROJECT_NAME,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,REC_DATETIME,ISSOFTDELETED)AS (SELECT R.REQUEST_PRIORITY_ID,R.NAME,R.REFERENCE_ID,R.EXTERNAL_ID,R.PROJECT_ID,P.NAME AS PROJECT_NAME,R.URL,R.EXTERNAL_KEY1,R.EXTERNAL_KEY2,R.SOURCE_ID,R.REC_DATETIME,R.ISSOFTDELETED FROM RIODS.REQUEST_PRIORITY R JOIN RIODS.PROJECT P ON P.PROJECT_ID=R.PROJECT_ID); 
 GRANT SELECT ON RIDW.VW_REQUEST_PRIORITY TO RPTUSER; 
 CREATE VIEW RIDW.VW_REQUEST_RESOLUTION ( REQUEST_RESOLUTION_ID,NAME ,REFERENCE_ID,EXTERNAL_ID,PROJECT_ID,PROJECT_NAME,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,REC_DATETIME,ISSOFTDELETED)AS (SELECT R.REQUEST_RESOLUTION_ID,R.NAME,R.REFERENCE_ID,R.EXTERNAL_ID,R.PROJECT_ID,P.NAME AS PROJECT_NAME,R.URL,R.EXTERNAL_KEY1,R.EXTERNAL_KEY2,R.SOURCE_ID,R.REC_DATETIME,R.ISSOFTDELETED FROM RIODS.REQUEST_RESOLUTION R JOIN RIODS.PROJECT P ON P.PROJECT_ID=R.PROJECT_ID); 
 GRANT SELECT ON RIDW.VW_REQUEST_RESOLUTION TO RPTUSER; 
 CREATE VIEW RIDW.VW_REQUEST_SEVERITY ( REQUEST_SEVERITY_ID,NAME ,REFERENCE_ID,EXTERNAL_ID,PROJECT_ID,PROJECT_NAME,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,REC_DATETIME,ISSOFTDELETED)AS (SELECT R.REQUEST_SEVERITY_ID,R.NAME,R.REFERENCE_ID,R.EXTERNAL_ID,R.PROJECT_ID,P.NAME AS PROJECT_NAME,R.URL,R.EXTERNAL_KEY1,R.EXTERNAL_KEY2,R.SOURCE_ID,R.REC_DATETIME,R.ISSOFTDELETED FROM RIODS.REQUEST_SEVERITY R JOIN RIODS.PROJECT P ON P.PROJECT_ID=R.PROJECT_ID); 
 GRANT SELECT ON RIDW.VW_REQUEST_SEVERITY TO RPTUSER; 
 CREATE VIEW RIDW.VW_REQUEST_STATE ( REQUEST_STATE_ID,NAME ,REFERENCE_ID,EXTERNAL_ID,PROJECT_ID,PROJECT_NAME,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,REC_DATETIME,ISSOFTDELETED)AS (SELECT R.REQUEST_STATE_ID,R.NAME,R.REFERENCE_ID,R.EXTERNAL_ID,R.PROJECT_ID,P.NAME AS PROJECT_NAME,R.URL,R.EXTERNAL_KEY1,R.EXTERNAL_KEY2,R.SOURCE_ID,R.REC_DATETIME,R.ISSOFTDELETED FROM RIODS.REQUEST_STATE R JOIN RIODS.PROJECT P ON P.PROJECT_ID=R.PROJECT_ID); 
 GRANT SELECT ON RIDW.VW_REQUEST_STATE TO RPTUSER;
 DROP VIEW RIDW.VW_REQUEST_STATE_HISTORY; 
 CREATE VIEW RIDW.VW_REQUEST_STATE_HISTORY(CHANGE_DATE,DAYS_IN_STATE,REQUEST_ID,REQUEST_NAME,PREV_REQUEST_STATE_ID,PREV_REQUEST_STATE,REQUEST_STATE_ID,REQUEST_STATE,PREV_REQUEST_STATUS_ID,PREV_REQUEST_STATUS,REQUEST_STATUS_ID,REQUEST_STATUS,REQUEST_STATE_HISTORY_ID,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT H.CHANGE_DATE,DAYS_IN_STATE, H.REQUEST_ID,R.NAME AS REQUEST_NAME, H.PREV_REQUEST_STATE_ID,PRST.NAME AS PREV_REQUEST_STATE, H.REQUEST_STATE_ID, RST.NAME AS REQUEST_STATE, H.PREV_REQUEST_STATUS_ID,PRSTU.NAME AS PREV_REQUEST_STATUS, H.REQUEST_STATUS_ID, RSTU.NAME AS REQUEST_STATUS, H.REQUEST_STATE_HISTORY_ID,H.EXTERNAL_KEY1,H.EXTERNAL_KEY2,H.REC_DATETIME,H.ISSOFTDELETED  FROM RIODS.REQUEST_STATE_HISTORY H JOIN RIODS.REQUEST R ON R.REQUEST_ID=H.REQUEST_ID JOIN RIODS.REQUEST_STATE PRST ON PRST.REQUEST_STATE_ID=H.PREV_REQUEST_STATE_ID JOIN RIODS.REQUEST_STATE RST ON RST.REQUEST_STATE_ID=H.REQUEST_STATE_ID JOIN RIODS.REQUEST_STATUS PRSTU ON PRSTU.REQUEST_STATUS_ID=H.PREV_REQUEST_STATUS_ID JOIN RIODS.REQUEST_STATUS RSTU ON RSTU.REQUEST_STATUS_ID=H.REQUEST_STATUS_ID);
 GRANT SELECT ON RIDW.VW_REQUEST_STATE_HISTORY TO RPTUSER;
 CREATE VIEW RIDW.VW_REQUEST_STATUS ( REQUEST_STATUS_ID,NAME ,REFERENCE_ID,EXTERNAL_ID,PROJECT_ID,PROJECT_NAME,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,REC_DATETIME,ISSOFTDELETED)AS (SELECT R.REQUEST_STATUS_ID,R.NAME,R.REFERENCE_ID,R.EXTERNAL_ID,R.PROJECT_ID,P.NAME AS PROJECT_NAME,R.URL,R.EXTERNAL_KEY1,R.EXTERNAL_KEY2,R.SOURCE_ID,R.REC_DATETIME,R.ISSOFTDELETED FROM RIODS.REQUEST_STATUS R JOIN RIODS.PROJECT P ON P.PROJECT_ID=R.PROJECT_ID); 
 GRANT SELECT ON RIDW.VW_REQUEST_STATUS TO RPTUSER; 
 CREATE VIEW RIDW.VW_REQUEST_TESTCASE_LOOKUP (REQUEST_ID, REQUEST_NAME, TESTCASE_ID,TESTCASE_NAME) AS (SELECT RT.REQUEST_ID, R.NAME AS REQUEST_NAME,RT.TESTCASE_ID,TC.NAME AS TESTCASE_NAME  FROM RIODS.REQUEST_TESTCASE_LOOKUP RT JOIN RIODS.REQUEST R ON R.REQUEST_ID =RT.REQUEST_ID JOIN RIODS.TESTCASE TC ON TC.TESTCASE_ID=RT.TESTCASE_ID);
 GRANT SELECT ON RIDW.VW_REQUEST_TESTCASE_LOOKUP TO RPTUSER;
 CREATE VIEW RIDW.VW_REQUEST_TYPE ( REQUEST_TYPE_ID,NAME ,REFERENCE_ID,EXTERNAL_ID,PROJECT_ID,PROJECT_NAME,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,REC_DATETIME,ISSOFTDELETED)AS (SELECT R.REQUEST_TYPE_ID,R.NAME,R.REFERENCE_ID,R.EXTERNAL_ID,R.PROJECT_ID,P.NAME AS PROJECT_NAME,R.URL,R.EXTERNAL_KEY1,R.EXTERNAL_KEY2,R.SOURCE_ID,R.REC_DATETIME,R.ISSOFTDELETED FROM RIODS.REQUEST_TYPE R JOIN RIODS.PROJECT P ON P.PROJECT_ID=R.PROJECT_ID); 
 GRANT SELECT ON RIDW.VW_REQUEST_TYPE TO RPTUSER; 
 CREATE VIEW RIDW.VW_REQUICOL_REQUIREMENT_LOOKUP (REQUIREMENT_COLLECTION_ID, NAME,REQUIREMENT_ID, REQUIREMENT_NAME) AS ( SELECT RR.REQUIREMENT_COLLECTION_ID,RC.NAME, RR.REQUIREMENT_ID, R.NAME AS REQUIREMENT_NAME  FROM RIODS.REQUICOL_REQUIREMENT_LOOKUP RR JOIN RIODS.REQUIREMENT_COLLECTION RC ON RC.REQUIREMENT_COLLECTION_ID=RR.REQUIREMENT_COLLECTION_ID JOIN RIODS.REQUIREMENT R ON R.REQUIREMENT_ID=RR.REQUIREMENT_ID); 
 GRANT SELECT ON RIDW.VW_REQUICOL_REQUIREMENT_LOOKUP TO RPTUSER;
 CREATE VIEW RIDW.VW_REQUICOL_TESTPLAN_LOOKUP (REQUIREMENT_COLLECTION_ID, REQUIREMENT_COLLECTION_NAME,TESTPLAN_ID, TESTPLAN_NAME) AS (SELECT RT.REQUIREMENT_COLLECTION_ID, RC.NAME AS REQUIREMENT_COLLECTION_NAME, RT.TESTPLAN_ID, T.NAME AS TESTPLAN_NAME FROM RIODS.REQUICOL_TESTPLAN_LOOKUP RT JOIN RIODS.REQUIREMENT_COLLECTION RC ON RC.REQUIREMENT_COLLECTION_ID=RT.REQUIREMENT_COLLECTION_ID JOIN RIODS.TESTPLAN T ON T.TESTPLAN_ID=RT.TESTPLAN_ID); 
 GRANT SELECT ON RIDW.VW_REQUICOL_TESTPLAN_LOOKUP TO RPTUSER; 
 DROP VIEW RIDW.VW_REQUIREMENT; 
 CREATE VIEW RIDW.VW_REQUIREMENT (COMPONENT_ID, COMPONENT_NAME, CREATION_DATE, CUSTOMER_PRIORITY, DIFFICULTY, EXTERNAL_ID, NAME, PLATFORM, PRIORITY, PROJECT_ID, PROJECT_NAME, REFERENCE_ID, RELEASE_ID, RELEASE_NAME, REQUIREMENT_CLASS_ID, REQUIREMENT_CLASS_NAME, REQUIREMENT_ID, OWNER_ID, RESPONSIBLE_NAME, REQUIREMENT_STATE, REVISION_NUMBER, STABILITY, STATUS, URL, ACTUAL_ITERATION_ID,ACTUAL_ITERATION_NAME,PLANNED_ITERATION_ID,PLANNED_ITERATION_NAME,REQUIREMENT_TYPE,REVISION_DATE,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT R.COMPONENT_ID, C.NAME AS COMPONENT_NAME, R.CREATION_DATE, R.CUSTOMER_PRIORITY, R.DIFFICULTY, R.EXTERNAL_ID, R.NAME, R.PLATFORM, R.PRIORITY, R.PROJECT_ID, PJ.NAME AS PROJECT_NAME, R.REFERENCE_ID, R.RELEASE_ID, RL.NAME AS RELEASE_NAME, R.REQUIREMENT_CLASS_ID, RC.NAME AS REQUIREMENT_CLASS_NAME, R.REQUIREMENT_ID, R.OWNER_ID,P.FULL_NAME AS RESPONSIBLE_NAME, R.REQUIREMENT_STATE, R.REVISION_NUMBER, R.STABILITY, R.STATUS, R.URL, R.ACTUAL_ITERATION_ID,AC.NAME AS ACTUAL_ITERATION_NAME,R.PLANNED_ITERATION_ID,PL.NAME AS PLANNED_ITERATION_NAME,R.REQUIREMENT_TYPE,R.REVISION_DATE,R.EXTERNAL_KEY1,R.EXTERNAL_KEY2,R.REC_DATETIME,R.ISSOFTDELETED  FROM RIODS.REQUIREMENT R JOIN RIODS.COMPONENT C ON C.COMPONENT_ID =R.COMPONENT_ID JOIN RIODS.PROJECT PJ ON PJ.PROJECT_ID=R.PROJECT_ID JOIN RIODS.RELEASE RL ON RL.RELEASE_ID=R.RELEASE_ID JOIN RIODS.REQUIREMENT_CLASSIFICATION RC ON RC.REQUIREMENT_CLASS_ID=R.REQUIREMENT_CLASS_ID JOIN RIODS."RESOURCE" P ON P.RESOURCE_ID=R.OWNER_ID JOIN RIODS.ITERATION AC ON AC.ITERATION_ID=R.ACTUAL_ITERATION_ID JOIN RIODS.ITERATION PL ON PL.ITERATION_ID=R.PLANNED_ITERATION_ID); 
 GRANT SELECT ON RIDW.VW_REQUIREMENT TO RPTUSER;
 CREATE VIEW RIDW.VW_REQUIREMENT_COLLECTION (REQUIREMENT_COLLECTION_ID, NAME,REFERENCE_ID,EXTERNAL_ID,PROJECT_ID, PROJECT_NAME, RELEASE_ID, RELEASE_NAME, PLANNED_ITERATION_ID,PLANNED_ITERATION_NAME, ACTUAL_ITERATION_ID, ACTUAL_ITERATION_NAME, STATUS,COLLECTION_ORIGIN, COLLECTION_TYPE, COLLECTION_IMPACT, COLLECTION_TARGET,CREATION_DATE, EXTERNAL_KEY1, EXTERNAL_KEY2, SOURCE_ID, REC_DATETIME, ISSOFTDELETED)AS (SELECT RC.REQUIREMENT_COLLECTION_ID, RC.NAME, RC.REFERENCE_ID,RC.EXTERNAL_ID,RC.PROJECT_ID,PJ.NAME AS PROJECT_NAME, RC.RELEASE_ID, RL.NAME AS RELEASE_NAME, RC.PLANNED_ITERATION_ID,PL.NAME AS PLANNED_ITERATION_NAME, RC.ACTUAL_ITERATION_ID, AC.NAME AS ACTUAL_ITERATION_NAME,RC.STATUS, RC.COLLECTION_ORIGIN, RC.COLLECTION_TYPE, RC.COLLECTION_IMPACT,RC.COLLECTION_TARGET, RC.CREATION_DATE, RC.EXTERNAL_KEY1, RC.EXTERNAL_KEY2,RC.SOURCE_ID, RC.REC_DATETIME, RC.ISSOFTDELETED  FROM RIODS.REQUIREMENT_COLLECTION RC JOIN RIODS.PROJECT PJ ON PJ.PROJECT_ID=RC.PROJECT_ID JOIN RIODS.RELEASE RL ON RL.RELEASE_ID=RC.RELEASE_ID JOIN RIODS.ITERATION AC ON AC.ITERATION_ID=RC.ACTUAL_ITERATION_ID JOIN RIODS.ITERATION PL ON PL.ITERATION_ID=RC.PLANNED_ITERATION_ID);
 GRANT SELECT ON RIDW.VW_REQUIREMENT_COLLECTION TO RPTUSER; 
 DROP VIEW RIDW.VW_REQUIREMENT_HIERARCHY; 
 CREATE VIEW RIDW.VW_REQUIREMENT_HIERARCHY (PRED_REQUIREMENT_ID,PRED_REQUIREMENT_NAME,SUCC_REQUIREMENT_ID,SUCC_REQUIREMENT_NAME,LINK_TYPE) AS (SELECT RC.PRED_REQUIREMENT_ID,C.NAME AS PRED_REQUIREMENT_NAME,RC.SUCC_REQUIREMENT_ID,P.NAME AS SUCC_REQUIREMENT_NAME,RC.LINK_TYPE  FROM RIODS.REQUIREMENT_HIERARCHY RC JOIN RIODS.REQUIREMENT C ON C.REQUIREMENT_ID=RC.PRED_REQUIREMENT_ID JOIN RIODS.REQUIREMENT P ON P.REQUIREMENT_ID=RC.SUCC_REQUIREMENT_ID); 
 GRANT SELECT ON RIDW.VW_REQUIREMENT_HIERARCHY TO RPTUSER;
 DROP VIEW RIDW.VW_REQUIREMENT_REVISION_HIST; 
 CREATE VIEW RIDW.VW_REQUIREMENT_REVISION_HIST(CHANGE_DATE,REQUIREMENT_ID,REQUIREMENT_NAME,REQUIREMENT_REVISION_ID,RESOURCE_ID,FULL_NAME,REVISION_NUMBER,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT H.CHANGE_DATE,H.REQUIREMENT_ID,RE.NAME AS REQUIREMENT_NAME,H.REQUIREMENT_REVISION_ID,H.RESOURCE_ID,R.FULL_NAME,H.REVISION_NUMBER,H.EXTERNAL_KEY1,H.EXTERNAL_KEY2,H.REC_DATETIME,H.ISSOFTDELETED  FROM RIODS.REQUIREMENT_REVISION_HISTORY H JOIN RIODS.REQUIREMENT RE ON RE.REQUIREMENT_ID=H.REQUIREMENT_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=H.RESOURCE_ID); 
 GRANT SELECT ON RIDW.VW_REQUIREMENT_REVISION_HIST TO RPTUSER;
 DROP VIEW RIDW.VW_RESERVATION; 
 CREATE VIEW RIDW.VW_RESERVATION (RESERVATION_ID,NAME,REFERENCE_ID,RESERVED_FOR,RESERVED_BY,RESERVE_TO, RESERVE_FROM,LAB_RESOURCE_ID,LAB_RESOURCE_NAME,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,PROJECT_ID,PROJECT_NAME,REC_DATETIME,ISSOFTDELETED) AS (SELECT R.RESERVATION_ID,R.NAME,R.REFERENCE_ID,R.RESERVED_FOR,R.RESERVED_BY,R.RESERVE_TO, R.RESERVE_FROM,R.LAB_RESOURCE_ID,L.LAB_RESOURCE_NAME,R.URL,R.EXTERNAL_KEY1,R.EXTERNAL_KEY2,R.PROJECT_ID,P.NAME AS PROJECT_NAME,R.REC_DATETIME,R.ISSOFTDELETED  FROM RIODS.RESERVATION R JOIN RIODS.LAB_RESOURCE L ON L.LAB_RESOURCE_ID=R.LAB_RESOURCE_ID JOIN RIODS.PROJECT P ON P.PROJECT_ID=R.PROJECT_ID);
 GRANT SELECT ON RIDW.VW_RESERVATION TO RPTUSER;
 DROP VIEW RIDW.VW_RESOURCE;
 CREATE VIEW RIDW.VW_RESOURCE (EXTERNAL_ID, FIRST_NAME, FULL_NAME, LAST_NAME, MIDDLE_INITIAL, NAME, RESOURCE_ID, REFERENCE_ID, URL, OVERTIME_RATE,TIME_PER_DAY,POOL_ID,POOL_NAME,RESOURCE_TYPE,STANDARD_RATE,EFFECTIVE_DATE,DISCONTINUE_DATE,EXTERNAL_KEY1,EXTERNAL_KEY2,CITY_ID,CITY_NAME,ORGANIZATION_ID,ORGANIZATION_NAME,REC_DATETIME,ISSOFTDELETED) AS (SELECT P.EXTERNAL_ID, P.FIRST_NAME, P.FULL_NAME, P.LAST_NAME, P.MIDDLE_INITIAL, P.NAME, P.RESOURCE_ID, P.REFERENCE_ID, P.URL, P.OVERTIME_RATE,P.TIME_PER_DAY,P.POOL_ID,PL.NAME AS POOL_NAME,P.RESOURCE_TYPE,P.STANDARD_RATE,P.EFFECTIVE_DATE,P.DISCONTINUE_DATE,P.EXTERNAL_KEY1,P.EXTERNAL_KEY2,P.CITY_ID,C.NAME AS CITY_NAME,P.ORGANIZATION_ID,O.NAME AS ORGANIZATION_NAME,P.REC_DATETIME,P.ISSOFTDELETED  FROM RIODS."RESOURCE" P JOIN RIODS.POOL PL ON PL.POOL_ID=P.POOL_ID JOIN RIODS.CITY C ON C.CITY_ID=P.CITY_ID JOIN RIODS.ORGANIZATION O ON O.ORGANIZATION_ID=P.ORGANIZATION_ID); 
 GRANT SELECT ON RIDW.VW_RESOURCE TO RPTUSER; 
 DROP VIEW RIDW.VW_RESOURCE_GROUP;
 CREATE VIEW RIDW.VW_RESOURCE_GROUP (RESOURCE_GROUP_ID,NAME,REFERENCE_ID,EXTERNAL_ID,IS_EXPIREABLE,START_DATE,EXPIRATION_DATE,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,PROJECT_ID,PROJECT_NAME,REC_DATETIME,ISSOFTDELETED) AS (SELECT R.RESOURCE_GROUP_ID,R.NAME,R.REFERENCE_ID,R.EXTERNAL_ID,R.IS_EXPIREABLE,R.START_DATE,R.EXPIRATION_DATE,R.URL,R.EXTERNAL_KEY1,R.EXTERNAL_KEY2,R.PROJECT_ID,P.NAME AS PROJECT_NAME,R.REC_DATETIME,R.ISSOFTDELETED  FROM RIODS.RESOURCE_GROUP R JOIN RIODS.PROJECT P ON P.PROJECT_ID=R.PROJECT_ID); 
 GRANT SELECT ON RIDW.VW_RESOURCE_GROUP TO RPTUSER; 
 DROP VIEW RIDW.VW_RISK;
 CREATE VIEW RIDW.VW_RISK (RISK_ID,NAME,REFERENCE_ID,EXTERNAL_ID,PROJECT_ID,PROJECT_NAME,REQUIREMENT_ID,REQUIREMENT_NAME,PRIORITY,RISK_STATE,OCCURED_DATETIME , IMPACT,IMPACT_RANK,PROBABILITY,PROBABILITY_RANK,OWNER_ID,OWNER_NAME,RELEASE_ID,RELEASE_NAME,ITERATION_ID,ITERATION_NAME,TARGET_DATE ,CREATION_DATE ,CLOSE_DATE , IMPACT_CATEGORY,CONSEQUENCE_COST,RISK_MANAGEMENT_ACTION,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,PROBABILITY_COST,RISK_SCORE,REC_DATETIME,ISSOFTDELETED) AS (SELECT R.RISK_ID,R.NAME,R.REFERENCE_ID,R.EXTERNAL_ID,R.PROJECT_ID,P.NAME AS PROJECT_NAME,R.REQUIREMENT_ID,RQ.NAME AS REQUIREMENT_NAME,R.PRIORITY,R.RISK_STATE,R.OCCURED_DATETIME ,R.IMPACT, R.IMPACT_RANK,R.PROBABILITY,R.PROBABILITY_RANK,R.OWNER_ID,RE.FULL_NAME AS OWNER_NAME,R.RELEASE_ID,RL.NAME AS RELEASE_NAME,R.ITERATION_ID,I.NAME AS ITERATION_NAME,R.TARGET_DATE ,R.CREATION_DATE ,R.CLOSE_DATE , R.IMPACT_CATEGORY,R.CONSEQUENCE_COST,R.RISK_MANAGEMENT_ACTION,R.URL,R.EXTERNAL_KEY1,R.EXTERNAL_KEY2,R.PROBABILITY_COST,R.RISK_SCORE,R.REC_DATETIME,R.ISSOFTDELETED  FROM RIODS.RISK R JOIN RIODS.PROJECT P ON P.PROJECT_ID=R.PROJECT_ID JOIN RIODS.REQUIREMENT RQ ON RQ.REQUIREMENT_ID=R.REQUIREMENT_ID JOIN RIODS."RESOURCE" RE ON RE.RESOURCE_ID = R.OWNER_ID JOIN RIODS.RELEASE RL ON RL.RELEASE_ID=R.RELEASE_ID JOIN RIODS.ITERATION I ON I.ITERATION_ID =R.ITERATION_ID);
 GRANT SELECT ON RIDW.VW_RISK TO RPTUSER; 
 CREATE VIEW RIDW.VW_RISK_REQUEST_LOOKUP(RISK_ID,RISK_NAME,REQUEST_ID,REQUEST_NAME)AS (SELECT PR.RISK_ID,P.NAME AS RISK_NAME,PR.REQUEST_ID,R.NAME AS REQUEST_NAME FROM RIODS.RISK_REQUEST_LOOKUP PR JOIN RIODS.RISK P ON P.RISK_ID=PR.RISK_ID JOIN RIODS.REQUEST R ON R.REQUEST_ID=PR.REQUEST_ID);
 GRANT SELECT ON RIDW.VW_RISK_REQUEST_LOOKUP TO RPTUSER;
 CREATE VIEW RIDW.VW_RISK_STATE_HISTORY (RISK_STATE_HISTORY_ID,RISK_ID,RISK_NAME,PREV_RISK_STATE,RISK_STATE,CHANGE_DATE,DAYS_IN_STATE,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,REC_DATETIME,ISSOFTDELETED)AS (SELECT RH.RISK_STATE_HISTORY_ID, RH.RISK_ID, R.NAME AS RISK_NAME, RH.PREV_RISK_STATE, RH.RISK_STATE, RH.CHANGE_DATE, RH.DAYS_IN_STATE, RH.EXTERNAL_KEY1,RH.EXTERNAL_KEY2, RH.SOURCE_ID, RH.REC_DATETIME, RH.ISSOFTDELETED FROM RIODS.RISK_STATE_HISTORY RH JOIN RIODS.RISK R ON R.RISK_ID=RH.RISK_ID); 
 GRANT SELECT ON RIDW.VW_RISK_STATE_HISTORY TO RPTUSER; 
 CREATE VIEW RIDW.VW_SCSESSION_COFACILIT_LOOKUP (SESSION_ID,SESSION_NAME,FACILITATOR_ID,FACILITATOR_NAME)AS (SELECT S.SESSION_ID,SE.NAME AS SESSION_NAME,S.FACILITATOR_ID,R.FULL_NAME AS FACILITATOR_NAME  FROM RISCHK.SCSESSION_COFACILIT_LOOKUP S JOIN RISCHK.SC_SESSION SE ON SE.SESSION_ID=S.SESSION_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=S.FACILITATOR_ID); 
 GRANT SELECT ON RIDW.VW_SCSESSION_COFACILIT_LOOKUP TO RPTUSER; 
 CREATE VIEW RIDW.VW_SC_BALLOT_TAB_RESULT (RESULT_ID,REFERENCE_ID,EXTERNAL_ID,NAME,SESSION_ID,BALLOT_TAB_ID,BALLOT_TAB_NAME,STANDARD_DEV_VALUE,AVERAGE_VALUE,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED)AS (SELECT R.RESULT_ID,R.REFERENCE_ID,R.EXTERNAL_ID,R.NAME,R.SESSION_ID,R.BALLOT_TAB_ID,BT.NAME AS BALLOT_TAB_NAME,R.STANDARD_DEV_VALUE,R.AVERAGE_VALUE,R.EXTERNAL_KEY1,R.EXTERNAL_KEY2,R.SOURCE_ID,R.URL,R.REC_DATETIME,R.ISSOFTDELETED FROM RISCHK.SC_BALLOT_TAB_RESULT R JOIN RISCHK.BALLOT_TAB BT ON BT.BALLOT_TAB_ID=R.BALLOT_TAB_ID); 
 GRANT SELECT ON RIDW.VW_SC_BALLOT_TAB_RESULT TO RPTUSER; 
 CREATE VIEW RIDW.VW_SC_SCALE (SCALE_ID,REFERENCE_ID,EXTERNAL_ID,NAME,TRUE_VALUE_DISPLAY,FALSE_VALUE_DISPLAY,INT_START_VALUE,INT_END_VALUE,DEC_START_VALUE,DEC_END_VALUE,PRECISION_VALUE,TALKTHRESHOLDAVG,TALKTHRESHOLDDEV,TYPE,LENGTH,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED)AS (SELECT SCALE_ID,REFERENCE_ID,EXTERNAL_ID,NAME,TRUE_VALUE_DISPLAY,FALSE_VALUE_DISPLAY,INT_START_VALUE,INT_END_VALUE,DEC_START_VALUE,DEC_END_VALUE,PRECISION_VALUE,TALKTHRESHOLDAVG,TALKTHRESHOLDDEV,TYPE,LENGTH,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED FROM RISCHK.SC_SCALE);
 GRANT SELECT ON RIDW.VW_SC_SCALE TO RPTUSER; 
 CREATE VIEW RIDW.VW_SC_SESSION (SESSION_ID,REFERENCE_ID,EXTERNAL_ID,NAME,BALLOT_DEFINITION_ID,BALLOT_DEFINITION_NAME,TEAM_ID,TEAM_NAME,PROJECT_ID,PROJECT_NAME,STATUS,SESSION_DATE,BALLOT_COUNT,BALLOT_SUBMITTED,DESCRIPTION,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED)AS (SELECT S.SESSION_ID,S.REFERENCE_ID,S.EXTERNAL_ID,S.NAME,S.BALLOT_DEFINITION_ID,B.NAME AS BALLOT_DEFINITION_NAME,S.TEAM_ID,T.NAME AS TEAM_NAME,S.PROJECT_ID,P.NAME AS PROJECT_NAME,S.STATUS,S.SESSION_DATE,S.BALLOT_COUNT,S.BALLOT_SUBMITTED,S.DESCRIPTION,S.EXTERNAL_KEY1,S.EXTERNAL_KEY2,S.SOURCE_ID,S.URL,S.REC_DATETIME,S.ISSOFTDELETED FROM RISCHK.SC_SESSION S JOIN RIODS.PROJECT P ON P.PROJECT_ID=S.PROJECT_ID JOIN RIODS.TEAM T ON T.TEAM_ID=S.TEAM_ID JOIN RISCHK.BALLOT_DEFINITION B ON B.BALLOT_DEFINITION_ID=S.BALLOT_DEFINITION_ID);
 GRANT SELECT ON RIDW.VW_SC_SESSION TO RPTUSER; 
 CREATE VIEW RIDW.VW_SESSION_PARTICIPANT_LOOKUP (SESSION_ID,SESSION_NAME,PARTICIPANT_ID,PARTICIPANT_NAME)AS (SELECT S.SESSION_ID,SE.NAME AS SESSION_NAME,S.PARTICIPANT_ID,R.FULL_NAME AS PARTICIPANT_NAME  FROM RISCHK.SCSESSION_PARTICIPANT_LOOKUP S JOIN RISCHK.SC_SESSION SE ON SE.SESSION_ID=S.SESSION_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=S.PARTICIPANT_ID); 
 GRANT SELECT ON RIDW.VW_SESSION_PARTICIPANT_LOOKUP TO RPTUSER; 
 DROP VIEW RIDW.VW_SKILL; 
 CREATE VIEW RIDW.VW_SKILL (EXTERNAL_ID, NAME, SKILL_ID, REFERENCE_ID, URL, EXTERNAL_KEY1, EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT EXTERNAL_ID,NAME,SKILL_ID,REFERENCE_ID,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED  FROM RIODS.SKILL); 
 GRANT SELECT ON RIDW.VW_SKILL TO RPTUSER;
 DROP VIEW RIDW.VW_TASK;
 CREATE VIEW RIDW.VW_TASK (PRIORITY,TASK_TYPE,EXTERNAL_ID, NAME, REFERENCE_ID, TASK_ID, PROJECT_ID, PROJECT_NAME, OWNER_ID, TASK_RESPONSIBLE_NAME, TASK_STATE, URL,EXTERNAL_KEY1,EXTERNAL_KEY2,TASK_CLASS_ID,TASK_CLASS_NAME, ITERATION_ID,ITERATION_NAME,STATUS,RESOLUTION,REC_DATETIME,ISSOFTDELETED) AS ( SELECT T.PRIORITY,T.TASK_TYPE,T.EXTERNAL_ID, T.NAME, T.REFERENCE_ID, T.TASK_ID, T.PROJECT_ID, P.NAME AS PROJECT_NAME, T.OWNER_ID, PR.FULL_NAME AS TASK_RESPONSIBLE_NAME, T.TASK_STATE, T.URL,T.EXTERNAL_KEY1,T.EXTERNAL_KEY2,T.TASK_CLASS_ID,TL.NAME AS TASK_CLASS_NAME,T.ITERATION_ID,I.NAME AS ITERATION_NAME,T.STATUS,T.RESOLUTION,T.REC_DATETIME,T.ISSOFTDELETED  FROM RIODS.TASK T JOIN RIODS.PROJECT P ON P.PROJECT_ID=T.PROJECT_ID JOIN RIODS."RESOURCE" PR ON PR.RESOURCE_ID=T.OWNER_ID JOIN RIODS.TASK_CLASSIFICATION TL ON TL.TASK_CLASS_ID=T.TASK_CLASS_ID JOIN RIODS.ITERATION I ON I.ITERATION_ID=T.ITERATION_ID);
 GRANT SELECT ON RIDW.VW_TASK TO RPTUSER; 
 DROP VIEW RIDW.VW_TASK_BASELINE; 
 CREATE VIEW RIDW.VW_TASK_BASELINE (BASELINE_ID, NAME, REFERENCE_ID, EXTERNAL_ID, TASK_ID, BASELINE_DATE, PLANNED_START, PLANNED_FINISH, PLANNED_WORK, PLANNED_COST, PLANNED_DURATION, URL, EXTERNAL_KEY1, EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT T.BASELINE_ID, T.NAME, T.REFERENCE_ID, T.EXTERNAL_ID, T.TASK_ID, T.BASELINE_DATE, T.PLANNED_START, T.PLANNED_FINISH, T.PLANNED_WORK, T.PLANNED_COST, T.PLANNED_DURATION, T.URL, T.EXTERNAL_KEY1, T.EXTERNAL_KEY2, T.REC_DATETIME, T.ISSOFTDELETED  FROM RIODS.TASK_BASELINE T); 
 GRANT SELECT ON RIDW.VW_TASK_BASELINE TO RPTUSER;
 DROP VIEW RIDW.VW_TASK_CATEGORY; 
 CREATE VIEW RIDW.VW_TASK_CATEGORY (CATEGORY_TYPE,NAME,OWNER_ID,FULL_NAME,REFERENCE_ID,TASK_CATEGORY_ID,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT T.CATEGORY_TYPE,T.NAME,T.OWNER_ID,R.FULL_NAME,T.REFERENCE_ID,T.TASK_CATEGORY_ID,T.URL,T.EXTERNAL_KEY1,T.EXTERNAL_KEY2,T.REC_DATETIME,T.ISSOFTDELETED  FROM RIODS.TASK_CATEGORY T JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=T.OWNER_ID); 
 GRANT SELECT ON RIDW.VW_TASK_CATEGORY TO RPTUSER;
 DROP VIEW RIDW.VW_TASK_DETAIL; 
 CREATE VIEW RIDW.VW_TASK_DETAIL (ACTUAL_WORK, ACTUAL_FINISH, ACTUAL_START, PLANNED_WORK, PLANNED_FINISH, PLANNED_START, PRIORITY, TASK_ID, URL, NAME, ACTUAL_COST, ACTUAL_OVT_COST, ACTUAL_OVT_WORK, ACWP, BASELINE_COST, BASELINE_DURATION, BASELINE_FINISH, BASELINE_START, BASELINE_WORK, BCWP, BCWS, CONSTRAINT_DATE, CONSTRAINT_TYPE, DEADLINE, DURATION_VARIANCE, EAC, EARLY_FINISH, EARLY_START, FINISH_VARIANCE, LATE_FINISH, LATE_START, PERCENT_COMPLETE, PERCENT_WORK_COMPLETE, PLANNED_COST, PLANNED_DURATION, PLANNED_OVT_COST, PLANNED_OVT_WORK, REGULAR_WORK, REMAINING_COST, REMAINING_DURATION, REMAINING_OVT_COST, REMAINING_OVT_WORK, REMAINING_WORK, START_VARIANCE, VAC, WBS_CODE, ACTUAL_FINISH_VARIANCE, BASELINE_FINISH_VARIANCE, ACTUAL_WORK_VARIANCE, BASELINE_WORK_VARIANCE, ACTUAL_START_VARIANCE, BASELINE_START_VARIANCE, WORK_VARIANCE, EXTERNAL_KEY1, EXTERNAL_KEY2, REC_DATETIME) AS ( SELECT T.ACTUAL_WORK, T.ACTUAL_FINISH, T.ACTUAL_START, T.PLANNED_WORK, T.PLANNED_FINISH, T.PLANNED_START, TS.PRIORITY, T.TASK_ID, TS.URL, TS.NAME, T.ACTUAL_COST,T.ACTUAL_OVT_COST,T.ACTUAL_OVT_WORK,T.ACWP,T.BASELINE_COST,T.BASELINE_DURATION,T.BASELINE_FINISH,T.BASELINE_START, T.BASELINE_WORK,T.BCWP,T.BCWS,T.CONSTRAINT_DATE,T.CONSTRAINT_TYPE,T.DEADLINE,T.DURATION_VARIANCE,T.EAC,T.EARLY_FINISH,T.EARLY_START,T.FINISH_VARIANCE,T. LATE_FINISH,T.LATE_START,T.PERCENT_COMPLETE,T.PERCENT_WORK_COMPLETE,T.PLANNED_COST,T.PLANNED_DURATION,T.PLANNED_OVT_COST,T.PLANNED_OVT_WORK,T.REGULAR_WORK,T. REMAINING_COST,T.REMAINING_DURATION,T.REMAINING_OVT_COST,T.REMAINING_OVT_WORK,T.REMAINING_WORK,T.START_VARIANCE,T.VAC,T.WBS_CODE, T.ACTUAL_FINISH_VARIANCE, T.BASELINE_FINISH_VARIANCE, T.ACTUAL_WORK_VARIANCE, T.BASELINE_WORK_VARIANCE,T.ACTUAL_START_VARIANCE, T.BASELINE_START_VARIANCE, T.WORK_VARIANCE, TS.EXTERNAL_KEY1,TS.EXTERNAL_KEY2, TS.REC_DATETIME  FROM RIODS.TASK_DETAIL T JOIN RIODS.TASK TS ON TS.TASK_ID=T.TASK_ID); 
 GRANT SELECT ON RIDW.VW_TASK_DETAIL TO RPTUSER;
 DROP VIEW RIDW.VW_TASK_STATE_HISTORY;
 CREATE VIEW RIDW.VW_TASK_STATE_HISTORY (TASK_STATE_HISTORY_ID,TASK_ID,PREV_TASK_STATE,TASK_STATE, CHANGE_DATE,DAYS_IN_STATE,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT TASK_STATE_HISTORY_ID,TASK_ID,PREV_TASK_STATE,TASK_STATE, CHANGE_DATE,DAYS_IN_STATE,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED  FROM RIODS.TASK_STATE_HISTORY); 
 GRANT SELECT ON RIDW.VW_TASK_STATE_HISTORY TO RPTUSER; 
 DROP VIEW RIDW.VW_TEAM;
 CREATE VIEW RIDW.VW_TEAM (EXTERNAL_ID, NAME, REFERENCE_ID, TEAM_ID,PROJECT_ID,PROJECT_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT C.EXTERNAL_ID, C.NAME, C.REFERENCE_ID, C.TEAM_ID,C.PROJECT_ID,P.NAME AS PROJECT_NAME,C.EXTERNAL_KEY1,C.EXTERNAL_KEY2,C.REC_DATETIME,C.ISSOFTDELETED  FROM RIODS.TEAM C JOIN RIODS.PROJECT P ON P.PROJECT_ID=C.PROJECT_ID); 
 GRANT SELECT ON RIDW.VW_TEAM TO RPTUSER; 
 CREATE VIEW RIDW.VW_TEAM_ROLE (TEAM_ROLE_ID, NAME, REFERENCE_ID, EXTERNAL_ID,TEAM_ID, TEAM_NAME, OWNER_ID, MANAGER_NAME, URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED)AS (SELECT PR.TEAM_ROLE_ID, PR.NAME, PR.REFERENCE_ID, PR.EXTERNAL_ID, PR.TEAM_ID,P.NAME AS TEAM_NAME, PR.OWNER_ID,R.FULL_NAME AS MANAGER_NAME, PR.URL,PR.EXTERNAL_KEY1,PR.EXTERNAL_KEY2,PR.REC_DATETIME,PR.ISSOFTDELETED FROM RIODS.TEAM_ROLE PR JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=PR.OWNER_ID JOIN RIODS.TEAM P ON P.TEAM_ID=PR.TEAM_ID);
 GRANT SELECT ON RIDW.VW_TEAM_ROLE TO RPTUSER;
 DROP VIEW RIDW.VW_TESTCASE;
 CREATE VIEW RIDW.VW_TESTCASE (EXTERNAL_ID, IS_BLOCKING, NAME, REFERENCE_ID, TESTCASE_ID, TESTCASE_STATE, TESTPLAN_ID, TESTPLAN_NAME, URL,OWNER_ID,OWNER_NAME, REGRESSION_TEST,WEIGHT,LAST_UPDATED,COMPONENT_ID,COMPONENT_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,TESTCASE_CLASS_ID,TESTCASE_CLASS_NAME,TESTCASE_FOLDER,PROJECT_ID,PROJECT_NAME,REC_DATETIME,ISSOFTDELETED) AS (SELECT T.EXTERNAL_ID, T.IS_BLOCKING, T.NAME, T.REFERENCE_ID, T.TESTCASE_ID, T.TESTCASE_STATE, T.TESTPLAN_ID,TP.NAME AS TESTPLAN_NAME, T.URL,T.OWNER_ID,R.FULL_NAME AS OWNER_NAME,T.REGRESSION_TEST,T.WEIGHT,T.LAST_UPDATED, T.COMPONENT_ID,C.NAME AS COMPONENT_NAME,T.EXTERNAL_KEY1,T.EXTERNAL_KEY2,T.TESTCASE_CLASS_ID,TL.NAME AS TESTCASE_CLASS_NAME,T.TESTCASE_FOLDER,T.PROJECT_ID,P.NAME AS PROJECT_NAME,T.REC_DATETIME,T.ISSOFTDELETED  FROM RIODS.TESTCASE T JOIN RIODS.TESTPLAN TP ON TP.TESTPLAN_ID=T.TESTPLAN_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=T.OWNER_ID JOIN RIODS.COMPONENT C ON C.COMPONENT_ID=T.COMPONENT_ID JOIN RIODS.PROJECT P ON P.PROJECT_ID=T.PROJECT_ID JOIN RIODS.TESTCASE_CLASSIFICATION TL ON TL.TESTCASE_CLASS_ID=T.TESTCASE_CLASS_ID);
 GRANT SELECT ON RIDW.VW_TESTCASE TO RPTUSER; 
 DROP VIEW RIDW.VW_TESTPLAN;
 CREATE VIEW RIDW.VW_TESTPLAN (EXTERNAL_ID, NAME, REFERENCE_ID, TESTPLAN_ID, TESTPLAN_STATE,PROJECT_ID,PROJECT_NAME,CREATION_DATE,OWNER_ID,OWNER_NAME,LAST_UPDATED,URL,ASSETREGISTRY_ID,ASSETREGISTRY_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,TESTPLAN_CLASS_ID,TESTPLAN_CLASS_NAME,REC_DATETIME,ISSOFTDELETED) AS (SELECT T.EXTERNAL_ID, T.NAME, T.REFERENCE_ID, T.TESTPLAN_ID, T.TESTPLAN_STATE,T.PROJECT_ID,P.NAME AS PROJECT_NAME,T.CREATION_DATE, T.OWNER_ID,R.FULL_NAME AS OWNER_NAME,T.LAST_UPDATED,T.URL,T.ASSETREGISTRY_ID,A.NAME AS ASSETREGISTRY_NAME,T.EXTERNAL_KEY1,T.EXTERNAL_KEY2,T.TESTPLAN_CLASS_ID,TL.NAME AS TESTPLAN_CLASS_NAME,T.REC_DATETIME,T.ISSOFTDELETED  FROM RIODS.TESTPLAN T JOIN RIODS.PROJECT P ON P.PROJECT_ID=T.PROJECT_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=T.OWNER_ID JOIN RIODS.ASSETREGISTRY A ON A.ASSETREGISTRY_ID=T.ASSETREGISTRY_ID JOIN RIODS.TESTPLAN_CLASSIFICATION TL ON TL.TESTPLAN_CLASS_ID=T.TESTPLAN_CLASS_ID);
 GRANT SELECT ON RIDW.VW_TESTPLAN TO RPTUSER; 
 DROP VIEW RIDW.VW_TESTSUITE; 
 CREATE VIEW RIDW.VW_TESTSUITE (EXTERNAL_ID, NAME, REFERENCE_ID, TESTSUITE_ID, TESTSUITE_STATE, URL, LAST_UPDATED,PROJECT_ID,PROJECT_NAME,CREATION_DATE,OWNER_ID, OWNER_NAME,CONFIGURATION_ID,CONFIGURATION_NAME,ASSETREGISTRY_ID,ASSETREGISTRY_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,TESTSUITE_CLASS_ID,TESTSUITE_CLASS_NAME,REC_DATETIME,ISSOFTDELETED,DESCRIPTION,ISSEQUENTIAL,CREATOR_ID,CREATOR_NAME,WEIGHT) AS (SELECT T.EXTERNAL_ID, T.NAME, T.REFERENCE_ID, T.TESTSUITE_ID, T.TESTSUITE_STATE, T.URL,T.LAST_UPDATED,T.PROJECT_ID,P.NAME AS PROJECT_NAME,T.CREATION_DATE, T.OWNER_ID, R.FULL_NAME AS OWNER_NAME,T.CONFIGURATION_ID,C.NAME AS CONFIGURATION_NAME,T.ASSETREGISTRY_ID,A.NAME AS ASSETREGISTRY_NAME,T.EXTERNAL_KEY1,T.EXTERNAL_KEY2,T.TESTSUITE_CLASS_ID,TL.NAME AS TESTSUITE_CLASS_NAME,T.REC_DATETIME,T.ISSOFTDELETED,T.DESCRIPTION,T.ISSEQUENTIAL,T.CREATOR_ID,CT.FULL_NAME AS CREATOR_NAME,T.WEIGHT  FROM RIODS.TESTSUITE T JOIN RIODS.PROJECT P ON P.PROJECT_ID=T.PROJECT_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=T.OWNER_ID JOIN RIODS."RESOURCE" CT ON CT.RESOURCE_ID=T.CREATOR_ID JOIN RIODS.CONFIGURATION C ON C.CONFIGURATION_ID =T.CONFIGURATION_ID JOIN RIODS.ASSETREGISTRY A ON A.ASSETREGISTRY_ID=T.ASSETREGISTRY_ID JOIN RIODS.TESTSUITE_CLASSIFICATION TL ON TL.TESTSUITE_CLASS_ID=T.TESTSUITE_CLASS_ID); 
 GRANT SELECT ON RIDW.VW_TESTSUITE TO RPTUSER;
 DROP VIEW RIDW.VW_TESTSUITELOG;
 CREATE VIEW RIDW.VW_TESTSUITELOG (BUILD_ID, TESTSUITELOG_NAME,END_DATE, EXTERNAL_ID, ITERATION_ID, ITERATION_NAME, REFERENCE_ID, START_DATE, TESTSUITELOG_ID, TESTSUITE_ID, TESTSUITE_NAME, URL, VERDICT,OWNER_ID, OWNER_NAME,TESTPLAN_ID,TESTPLAN_NAME,WEIGHT,POINTS_PASSED,POINTS_FAILED,POINTS_BLOCKED,POINTS_INCONCLUSIVE,POINTS_ATTEMPTED,POINTS_PERMFAILED,EXTERNAL_KEY1,EXTERNAL_KEY2,TESTSUITELOG_CLASS_ID,TESTSUITELOG_CLASS_NAME,TESTSUITE_EXECRECORD_ID,TESTSUITE_EXECRECORD_NAME,REC_DATETIME,ISSOFTDELETED) AS (SELECT S.BUILD_ID, S.NAME AS TESTSUITELOG_NAME, S.END_DATE, S.EXTERNAL_ID, S.ITERATION_ID,I.NAME AS ITERATION_NAME, S.REFERENCE_ID, S.START_DATE, S.TESTSUITELOG_ID, S.TESTSUITE_ID, T.NAME AS TESTSUITE_NAME, S.URL, S.VERDICT,S.OWNER_ID,R.FULL_NAME AS  OWNER_NAME ,S.TESTPLAN_ID,TP.NAME AS TESTPLAN_NAME,S.WEIGHT,S.POINTS_PASSED,S.POINTS_FAILED,S.POINTS_BLOCKED,S.POINTS_INCONCLUSIVE,S.POINTS_ATTEMPTED,S.POINTS_PERMFAILED,S.EXTERNAL_KEY1,S.EXTERNAL_KEY2,S.TESTSUITELOG_CLASS_ID,TL.NAME AS TESTSUITELOG_CLASS_NAME,S.TESTSUITE_EXECRECORD_ID,TEX.NAME AS TESTSUITE_EXECRECORD_NAME,S.REC_DATETIME,S.ISSOFTDELETED FROM RIODS.TESTSUITELOG S JOIN RIODS.ITERATION I ON I.ITERATION_ID=S.ITERATION_ID JOIN RIODS.TESTSUITE T ON T.TESTSUITE_ID=S.TESTSUITE_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=S.OWNER_ID JOIN RIODS.TESTSUITELOG_CLASSIFICATION TL ON TL.TESTSUITELOG_CLASS_ID=S.TESTSUITELOG_CLASS_ID JOIN RIODS.TESTPLAN TP ON TP.TESTPLAN_ID=S.TESTPLAN_ID JOIN RIODS.TESTSUITE_EXECUTION_RECORD TEX ON TEX.TESTSUITE_EXECRECORD_ID=S.TESTSUITE_EXECRECORD_ID);
 GRANT SELECT ON RIDW.VW_TESTSUITELOG TO RPTUSER; 
 CREATE VIEW RIDW.VW_TESTSUITE_CATEGORY_LOOKUP(TESTSUITE_ID,TESTSUITE_NAME,TEST_CATEGORY_ID,TEST_CATEGORY_NAME)AS (SELECT TC.TESTSUITE_ID,T.NAME AS TESTSUITE_NAME, TC.TEST_CATEGORY_ID,C.NAME AS TEST_CATEGORY_NAME  FROM RIODS.TESTSUITE_CATEGORY_LOOKUP TC JOIN RIODS.TESTSUITE T ON T.TESTSUITE_ID=TC.TESTSUITE_ID JOIN RIODS.TEST_CATEGORY C ON C.TEST_CATEGORY_ID=TC.TEST_CATEGORY_ID); 
 GRANT SELECT ON RIDW.VW_TESTSUITE_CATEGORY_LOOKUP TO RPTUSER;
 CREATE VIEW RIDW.VW_TESTSUITE_EXECUTION_RECORD (TESTSUITE_EXECRECORD_ID,REFERENCE_ID,EXTERNAL_ID,NAME ,PROJECT_ID,PROJECT_NAME,CREATOR_ID,CREATOR_NAME,OWNER_ID,OWNER_NAME,TESTSUITE_ID,TESTSUITE_NAME,TESTPLAN_ID,TESTPLAN_NAME,ITERATION_ID,ITERATION_NAME,CONFIGURATION_ID,CONFIGURATION_NAME,CURRENT_SUITELOG_ID,CURRENT_SUITELOG_NAME,WEIGHT,CREATION_DATE,LAST_UPDATED,ISSEQUENTIAL,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED) AS ( SELECT TSER.TESTSUITE_EXECRECORD_ID,TSER.REFERENCE_ID,TSER.EXTERNAL_ID,TSER.NAME ,TSER.PROJECT_ID,P.NAME AS PROJECT_NAME,TSER.CREATOR_ID,R1.FULL_NAME AS CREATOR_NAME,TSER.OWNER_ID,R2.FULL_NAME AS OWNER_NAME,TSER.TESTSUITE_ID,TS.NAME AS TESTSUITE_NAME,TSER.TESTPLAN_ID,TP.NAME AS TESTPLAN_NAME,TSER.ITERATION_ID,I.NAME AS ITERATION_NAME,TSER.CONFIGURATION_ID,C.NAME AS CONFIGURATION_NAME,TSER.CURRENT_SUITELOG_ID,TL.NAME AS CURRENT_SUITELOG_NAME,TSER.WEIGHT,TSER.CREATION_DATE,TSER.LAST_UPDATED,TSER.ISSEQUENTIAL,TSER.EXTERNAL_KEY1,TSER.EXTERNAL_KEY2,TSER.SOURCE_ID,TSER.URL,TSER.REC_DATETIME,TSER.ISSOFTDELETED FROM RIODS.TESTSUITE_EXECUTION_RECORD TSER JOIN RIODS."RESOURCE" R1 ON R1.RESOURCE_ID=TSER.CREATOR_ID JOIN RIODS."RESOURCE" R2 ON R2.RESOURCE_ID=TSER.OWNER_ID JOIN RIODS.TESTSUITE TS ON TS.TESTSUITE_ID=TSER.TESTSUITE_ID JOIN RIODS.TESTPLAN TP ON TP.TESTPLAN_ID=TSER.TESTPLAN_ID JOIN RIODS.ITERATION I ON I.ITERATION_ID=TSER.ITERATION_ID JOIN RIODS.CONFIGURATION C ON C.CONFIGURATION_ID=TSER.CONFIGURATION_ID JOIN RIODS.TESTSUITELOG TL ON TL.TESTSUITELOG_ID=TSER.CURRENT_SUITELOG_ID JOIN RIODS.PROJECT P ON P.PROJECT_ID=TSER.PROJECT_ID); 
 GRANT SELECT ON RIDW.VW_TESTSUITE_EXECUTION_RECORD TO RPTUSER; 
 CREATE VIEW RIDW.VW_TESTSUITE_TESTPLAN_LOOKUP(TESTSUITE_ID,TESTSUITE_NAME,TESTPLAN_ID,TESTPLAN_NAME)AS (SELECT TC.TESTSUITE_ID,T.NAME AS TESTSUITE_NAME, TC.TESTPLAN_ID,C.NAME AS TESTPLAN_NAME  FROM RIODS.TESTSUITE_TESTPLAN_LOOKUP TC JOIN RIODS.TESTSUITE T ON T.TESTSUITE_ID=TC.TESTSUITE_ID JOIN RIODS.TESTPLAN C ON C.TESTPLAN_ID=TC.TESTPLAN_ID);
 GRANT SELECT ON RIDW.VW_TESTSUITE_TESTPLAN_LOOKUP TO RPTUSER;
 DROP VIEW RIDW.VW_TESTTYPE;
 CREATE VIEW RIDW.VW_TESTTYPE (NAME,REFERENCE_ID,TESTTYPE_ID,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT NAME,REFERENCE_ID,TESTTYPE_ID,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED  FROM RIODS.TESTTYPE); 
 GRANT SELECT ON RIDW.VW_TESTTYPE TO RPTUSER; 
 DROP VIEW RIDW.VW_TEST_CATEGORY; 
 CREATE VIEW RIDW.VW_TEST_CATEGORY (TEST_CATEGORY_ID,VALUE,TERM, URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT TEST_CATEGORY_ID,TERM,VALUE,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED  FROM RIODS.TEST_CATEGORY);
 GRANT SELECT ON RIDW.VW_TEST_CATEGORY TO RPTUSER;
 DROP VIEW RIDW.VW_UNIT_TEST_RESULT;
 CREATE VIEW RIDW.VW_UNIT_TEST_RESULT (UNIT_TEST_RESULT_ID ,PROJECT_ID,PROJECT_NAME,TEAM_ID,TEAM_NAME,BUILD_TYPE,COMPONENT_ID,COMPONENT_NAME,UNIT_EVENT,UNIT_TEST,UNIT_COUNT,LAST_RUN_DATE,EXTERNAL_KEY1,EXTERNAL_KEY2 ,URL,REC_DATETIME,ISSOFTDELETED)AS SELECT B.UNIT_TEST_RESULT_ID ,B.PROJECT_ID,P.NAME AS PROJECT_NAME,B.TEAM_ID,T.NAME AS TEAM_NAME,BUILD_TYPE,B.COMPONENT_ID,C.NAME AS COMPONENT_NAME,B.UNIT_EVENT,B.UNIT_TEST,B.UNIT_COUNT,B.LAST_RUN_DATE,B.EXTERNAL_KEY1,B.EXTERNAL_KEY2 ,B.URL,B.REC_DATETIME,B.ISSOFTDELETED  FROM RIODS.UNIT_TEST_RESULT B JOIN RIODS.COMPONENT C ON C.COMPONENT_ID =B.COMPONENT_ID JOIN RIODS.TEAM T ON T.TEAM_ID =B.TEAM_ID JOIN RIODS.PROJECT P ON P.PROJECT_ID =B.PROJECT_ID;
 GRANT SELECT ON RIDW.VW_UNIT_TEST_RESULT TO RPTUSER; 
  DROP FUNCTION RIDW.SELECT_ETL_DATE;
 DROP PROCEDURE RIDW.EXTEND_D_DATE; 
 DROP PROCEDURE RIDW.POPULATE_D_DATE; 
 CREATE VIEW RIDW.VW_TESTSUITE_ELEMENT (TESTSUITE_ELEMENT_ID ,REFERENCE_ID,EXTERNAL_ID,NAME,TESTSUITE_ID ,TESTSUITE_NAME,TESTCASE_ID,TESTCASE_NAME,CONFIGURATION_ID,CONFIGURATION_NAME,TESTSCRIPT_ID,TESTSCRIPT_NAME,ELEMENT_INDEX,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED) AS (SELECT TE.TESTSUITE_ELEMENT_ID ,TE.REFERENCE_ID,TE.EXTERNAL_ID,TE.NAME,TE.TESTSUITE_ID ,TS.NAME AS TESTSUITE_NAME,TE.TESTCASE_ID,TC.NAME AS TESTCASE_NAME, TE.CONFIGURATION_ID,C.NAME AS CONFIGURATION_NAME,TE.TESTSCRIPT_ID,TR.NAME AS TESTSCRIPT_NAME,TE.ELEMENT_INDEX,TE.EXTERNAL_KEY1,TE.EXTERNAL_KEY2,TE.SOURCE_ID,TE.URL,TE.REC_DATETIME,TE.ISSOFTDELETED FROM RIODS.TESTSUITE_ELEMENT TE JOIN RIODS.TESTCASE TC ON TC.TESTCASE_ID=TE.TESTCASE_ID JOIN RIODS.CONFIGURATION C ON C.CONFIGURATION_ID=TE.CONFIGURATION_ID JOIN RIODS.TESTSUITE TS ON TS.TESTSUITE_ID=TE.TESTSUITE_ID JOIN RIODS.TESTSCRIPT TR ON TR.TESTSCRIPT_ID=TE.TESTSCRIPT_ID);
 GRANT SELECT ON RIDW.VW_TESTSUITE_ELEMENT TO RPTUSER;
 CREATE TABLE RIODS.TEMP_FP_PROJECT (PROJECT_ID VARCHAR(256),TITLE VARCHAR(256),PROJECT_STATE VARCHAR(256),TARGET_START_DATE TIMESTAMP,TARGET_END_DATE TIMESTAMP,DELIVERY_DATE TIMESTAMP,PRIORITY BINARY_DOUBLE,URL VARCHAR(2048),MD5_URL VARCHAR(32),CREATOR VARCHAR(256),CREATOR_HREF VARCHAR(32),ACTUAL_START_DATE TIMESTAMP,BUDGETED_BENEFIT NUMBER(20),BUDGETED_EXPENDITURE NUMBER(20),PLANNED_BENEFIT NUMBER(20),PLANNED_EXPENDITURE NUMBER(20),ACTUAL_BENEFIT NUMBER(20),ACTUAL_EXPENDITURE NUMBER(20),ACTUAL_END_DATE TIMESTAMP,PLANNED_START_DATE TIMESTAMP,PLANNED_END_DATE TIMESTAMP,NPV NUMBER(20),IRR BINARY_DOUBLE,FEASIBILITY NUMBER(20),TYPE VARCHAR(256),ACTUALMANHOURS BINARY_DOUBLE,PLANNEDMANHOURS BINARY_DOUBLE,AH_COLUMN VARCHAR(256),A_TIMESCALE VARCHAR(256),A_SHEET NUMBER(20),AE_ROW NUMBER(20),AH_CELL VARCHAR(256),AE_COLUMN VARCHAR(256),AE_CELL VARCHAR(256),AB_COLUMN VARCHAR(256),AB_ROW NUMBER(20),AB_CELL VARCHAR(256),BH_COLUMN VARCHAR(256),BH_CELL VARCHAR(256),B_SHEET NUMBER(20),B_TIMESCALE VARCHAR(256),BE_ROW NUMBER(20),BE_COLUMN VARCHAR(256),BE_CELL VARCHAR(256),BB_COLUMN VARCHAR(256),BB_CELL VARCHAR(256),BB_ROW NUMBER(20),PH_COLUMN VARCHAR(256),PH_CELL VARCHAR(256),P_SHEET NUMBER(20),P_TIMESCALE VARCHAR(256),PE_ROW NUMBER(20),PE_CELL VARCHAR(256),PE_COLUMN VARCHAR(256),PB_COLUMN VARCHAR(256),PB_CELL VARCHAR(256),PB_ROW NUMBER(20),DATASOURCE_ID VARCHAR(256)) TABLESPACE VNF_32K;
 CREATE INDEX RIODS.EXWKIITER_IDX1 ON RIODS.EXECWORKITEM_ITERATION_LOOKUP (EXECWORKITEM_ID ASC,  ITERATION_ID DESC) TABLESPACE VNF_IDX; 
 CREATE INDEX RIDW.F_ERI_MET_IDX1 ON RIDW.F_EXECUTION_RES_ITER_METRICS (ITERATION_ID ASC, TESTPLAN_ID ASC, VERDICT_ID ASC, DATE_ID ASC, PROJECT_ID ASC, EXECRES_CLASS_ID ASC, ASSETREGISTRY_ID ASC, TESTCASE_ID ASC, EXERES_METRICS_ID ASC) REVERSE TABLESPACE VSTR_IDX;
 CREATE INDEX RIDW.F_EXERES_IDX1 ON RIDW.F_EXECUTION_RESULT_METRICS (DATE_ID ASC,ASSETREGISTRY_ID ASC,VERDICT_ID ASC,EXERES_METRICS_ID ASC,PROJECT_ID ASC,TESTPLAN_ID ASC,TESTCASE_ID ASC,EXECRES_CLASS_ID ASC)  REVERSE TABLESPACE VSTR_IDX; 
 CREATE TABLE RIODS.TEMP_REVISION_HISTORY (VERSION_ID CHAR(40) NOT NULL, REQ_UNIQUEID CHAR(40) NOT NULL,	REVISION_NUMBER VARCHAR(50) DEFAULT '0' NOT NULL,USER_ID CHAR(40) DEFAULT '-1' NOT NULL,	CHANGE_DATE DATE DEFAULT CURRENT_DATE NOT NULL,	SOURCE_ID VARCHAR (36) DEFAULT '-1' NOT NULL)TABLESPACE VNF_32K;
  CREATE TABLE RIODS.REQUIREMENT_LINK_TYPE ( LINK_TYPE_ID INTEGER NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), NAME VARCHAR(255) DEFAULT 'Link Type Name Missing'  NOT NULL, PROJECT_ID INTEGER DEFAULT -1 NOT NULL, PRED_REQUIREMENT_LINK_LABEL VARCHAR(255), SUCC_REQUIREMENT_LINK_LABEL VARCHAR(255), EXTERNAL_KEY1 INTEGER  DEFAULT -1 NOT NULL, EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL , SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL , URL VARCHAR(2048), REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL )  TABLESPACE VNF_32K;
 ALTER TABLE RIODS.REQUIREMENT_LINK_TYPE ADD CONSTRAINT REQLINKTP_PK PRIMARY KEY(LINK_TYPE_ID) USING INDEX TABLESPACE  VNF_IDX; 
  ALTER TABLE RIODS.REQUIREMENT_LINK_TYPE  ADD CONSTRAINT REQLINKTP_FK1 FOREIGN KEY  (PROJECT_ID) REFERENCES RIODS.PROJECT  (PROJECT_ID); 
  CREATE INDEX RIODS.REQLINKTP_IDX3 ON RIODS.REQUIREMENT_LINK_TYPE  (EXTERNAL_KEY2 ASC)   REVERSE TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.REQLINKTP_IDX4 ON RIODS.REQUIREMENT_LINK_TYPE  (EXTERNAL_KEY1 ASC,  SOURCE_ID ASC)   REVERSE TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.REQLINKTP_IDX5 ON RIODS.REQUIREMENT_LINK_TYPE  (EXTERNAL_KEY2 ASC,  SOURCE_ID ASC)   REVERSE TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.REQLINKTP_IDX6 ON RIODS.REQUIREMENT_LINK_TYPE  (ISSOFTDELETED ASC)   REVERSE TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.REQLINKTP_IDX7 ON RIODS.REQUIREMENT_LINK_TYPE  (EXTERNAL_ID ASC)   REVERSE TABLESPACE VNF_IDX; 
 INSERT INTO RIODS.REQUIREMENT_LINK_TYPE(LINK_TYPE_ID,NAME) VALUES (-1,'Info not available'); 
 ALTER TABLE RIODS.REQUIREMENT_HIERARCHY ADD LINK_TYPE_ID INTEGER DEFAULT -1 NOT NULL;
  ALTER TABLE RIODS.REQUIREMENT_HIERARCHY  ADD CONSTRAINT REQHIER_FK3 FOREIGN KEY  (LINK_TYPE_ID) REFERENCES RIODS.REQUIREMENT_LINK_TYPE  (LINK_TYPE_ID); 
 ALTER TABLE RIODS.TEMP_BASELINE ADD ACTUAL_FINISH DATE;
 ALTER TABLE RIODS.TEMP_BASELINE ADD ACTUAL_START DATE; 
 ALTER TABLE RIODS.TEMP_BASELINE ADD ACTUAL_WORK INTEGER; 
 CREATE TABLE RIDW.F_C_PROJ_TESTCASE_METRICS ( TSTCASE_METRIC_ID INTEGER NOT NULL, TESTCASE_CLASS_ID INTEGER NOT NULL, DATE_ID INTEGER NOT NULL, STATE_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, TOTAL_TESTCASES INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL )  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.F_C_PROJ_TESTCASE_METRICS ADD CONSTRAINT F_CPTSTCASE_PK PRIMARY KEY(TSTCASE_METRIC_ID) USING INDEX TABLESPACE  VSTR_IDX;
  ALTER TABLE RIDW.F_C_PROJ_TESTCASE_METRICS  ADD CONSTRAINT F_CPTSTCASE_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID);
  ALTER TABLE RIDW.F_C_PROJ_TESTCASE_METRICS  ADD CONSTRAINT F_CPTSTCASE_FK2 FOREIGN KEY  (TESTCASE_CLASS_ID) REFERENCES RIDW.D_TESTCASE_CLASSIFICATION  (TESTCASE_CLASS_ID); 
  ALTER TABLE RIDW.F_C_PROJ_TESTCASE_METRICS  ADD CONSTRAINT F_CPTSTCASE_FK3 FOREIGN KEY  (STATE_ID) REFERENCES RIDW.D_TESTCASE_STATE  (STATE_ID);
  ALTER TABLE RIDW.F_C_PROJ_TESTCASE_METRICS  ADD CONSTRAINT F_CPTSTCASE_FK4 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID); 
 GRANT SELECT ON RIDW.F_C_PROJ_TESTCASE_METRICS TO RPTUSER; 
 CREATE TABLE RIDW.F_C_PROJ_TESTCASE_TPLN_METRICS ( TSTCASE_METRIC_ID INTEGER NOT NULL, TESTCASE_CLASS_ID INTEGER NOT NULL, DATE_ID INTEGER NOT NULL, TESTPLAN_ID INTEGER NOT NULL, STATE_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, TOTAL_TESTCASES INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL )  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.F_C_PROJ_TESTCASE_TPLN_METRICS ADD CONSTRAINT F_CPTSTCASEPL_PK PRIMARY KEY(TSTCASE_METRIC_ID) USING INDEX TABLESPACE  VSTR_IDX; 
  ALTER TABLE RIDW.F_C_PROJ_TESTCASE_TPLN_METRICS  ADD CONSTRAINT F_CPTSTCASEPL_FK2 FOREIGN KEY  (TESTPLAN_ID) REFERENCES RIDW.D_TESTPLAN  (TESTPLAN_ID); 
  ALTER TABLE RIDW.F_C_PROJ_TESTCASE_TPLN_METRICS  ADD CONSTRAINT F_CPTSTCASEPL_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID); 
  ALTER TABLE RIDW.F_C_PROJ_TESTCASE_TPLN_METRICS  ADD CONSTRAINT F_CPTSTCASEPL_FK3 FOREIGN KEY  (TESTCASE_CLASS_ID) REFERENCES RIDW.D_TESTCASE_CLASSIFICATION  (TESTCASE_CLASS_ID);
  ALTER TABLE RIDW.F_C_PROJ_TESTCASE_TPLN_METRICS  ADD CONSTRAINT F_CPTSTCASEPL_FK4 FOREIGN KEY  (STATE_ID) REFERENCES RIDW.D_TESTCASE_STATE  (STATE_ID); 
  ALTER TABLE RIDW.F_C_PROJ_TESTCASE_TPLN_METRICS  ADD CONSTRAINT F_CPTSTCASEPL_FK5 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID);
 GRANT SELECT ON RIDW.F_C_PROJ_TESTCASE_TPLN_METRICS TO RPTUSER;
 CREATE TABLE RIDW.F_PROJ_TESTCASE_METRICS ( TSTCASE_METRIC_ID INTEGER NOT NULL, TESTCASE_CLASS_ID INTEGER NOT NULL, DATE_ID INTEGER NOT NULL, STATE_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, TOTAL_TESTCASES INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL )  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.F_PROJ_TESTCASE_METRICS ADD CONSTRAINT F_PTSTCASE_PK PRIMARY KEY(TSTCASE_METRIC_ID) USING INDEX TABLESPACE  VSTR_IDX; 
  ALTER TABLE RIDW.F_PROJ_TESTCASE_METRICS  ADD CONSTRAINT F_PTSTCASE_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID); 
  ALTER TABLE RIDW.F_PROJ_TESTCASE_METRICS  ADD CONSTRAINT F_PTSTCASE_FK2 FOREIGN KEY  (TESTCASE_CLASS_ID) REFERENCES RIDW.D_TESTCASE_CLASSIFICATION  (TESTCASE_CLASS_ID);
  ALTER TABLE RIDW.F_PROJ_TESTCASE_METRICS  ADD CONSTRAINT F_PTSTCASE_FK3 FOREIGN KEY  (STATE_ID) REFERENCES RIDW.D_TESTCASE_STATE  (STATE_ID); 
  ALTER TABLE RIDW.F_PROJ_TESTCASE_METRICS  ADD CONSTRAINT F_PTSTCASE_FK4 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID);
 GRANT SELECT ON RIDW.F_PROJ_TESTCASE_METRICS TO RPTUSER; 
 CREATE TABLE RIDW.F_PROJ_TESTCASE_TPLN_METRICS ( TSTCASE_METRIC_ID INTEGER NOT NULL, TESTCASE_CLASS_ID INTEGER NOT NULL, DATE_ID INTEGER NOT NULL, TESTPLAN_ID INTEGER NOT NULL, STATE_ID INTEGER NOT NULL, PROJECT_ID INTEGER NOT NULL, TOTAL_TESTCASES INTEGER DEFAULT 0 NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL )  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.F_PROJ_TESTCASE_TPLN_METRICS ADD CONSTRAINT F_PTSTCASEPLN_PK PRIMARY KEY(TSTCASE_METRIC_ID) USING INDEX TABLESPACE  VSTR_IDX; 
  ALTER TABLE RIDW.F_PROJ_TESTCASE_TPLN_METRICS  ADD CONSTRAINT F_PTSTCASEPLN_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID); 
  ALTER TABLE RIDW.F_PROJ_TESTCASE_TPLN_METRICS  ADD CONSTRAINT F_PTSTCASEPLN_FK2 FOREIGN KEY  (TESTPLAN_ID) REFERENCES RIDW.D_TESTPLAN  (TESTPLAN_ID); 
  ALTER TABLE RIDW.F_PROJ_TESTCASE_TPLN_METRICS  ADD CONSTRAINT F_PTSTCASEPLN_FK3 FOREIGN KEY  (TESTCASE_CLASS_ID) REFERENCES RIDW.D_TESTCASE_CLASSIFICATION  (TESTCASE_CLASS_ID);
  ALTER TABLE RIDW.F_PROJ_TESTCASE_TPLN_METRICS  ADD CONSTRAINT F_PTSTCASEPLN_FK4 FOREIGN KEY  (STATE_ID) REFERENCES RIDW.D_TESTCASE_STATE  (STATE_ID); 
  ALTER TABLE RIDW.F_PROJ_TESTCASE_TPLN_METRICS  ADD CONSTRAINT F_PTSTCASEPLN_FK5 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID);
 GRANT SELECT ON RIDW.F_PROJ_TESTCASE_TPLN_METRICS TO RPTUSER;
 CREATE TABLE RIDW.H_PROJ_TESTCASE_METRICS ( TSTCASE_METRIC_ID INTEGER NOT NULL, TESTCASE_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K; 
 ALTER TABLE RIDW.H_PROJ_TESTCASE_METRICS ADD CONSTRAINT HPTSTCASE_PK PRIMARY KEY(TSTCASE_METRIC_ID, TESTCASE_ID) USING INDEX TABLESPACE  VSTR_IDX; 
  ALTER TABLE RIDW.H_PROJ_TESTCASE_METRICS  ADD CONSTRAINT HPTSTCASE_FK1 FOREIGN KEY  (TSTCASE_METRIC_ID) REFERENCES RIDW.F_PROJ_TESTCASE_METRICS  (TSTCASE_METRIC_ID) ON DELETE CASCADE; 
  ALTER TABLE RIDW.H_PROJ_TESTCASE_METRICS  ADD CONSTRAINT HPTSTCASE_FK2 FOREIGN KEY  (TESTCASE_ID) REFERENCES RIDW.D_TESTCASE  (TESTCASE_ID) ON DELETE CASCADE;
 GRANT SELECT ON RIDW.H_PROJ_TESTCASE_METRICS TO RPTUSER; 
 CREATE TABLE RIDW.H_PROJ_TESTCASE_TPLN_METRICS ( TSTCASE_METRIC_ID INTEGER NOT NULL, TESTCASE_ID INTEGER NOT NULL )  TABLESPACE VSTR_32K;
 ALTER TABLE RIDW.H_PROJ_TESTCASE_TPLN_METRICS ADD CONSTRAINT HPTSTCASEPLN_PK PRIMARY KEY(TSTCASE_METRIC_ID, TESTCASE_ID) USING INDEX TABLESPACE  VSTR_IDX; 
  ALTER TABLE RIDW.H_PROJ_TESTCASE_TPLN_METRICS  ADD CONSTRAINT HPTSTCASEPLN_FK1 FOREIGN KEY  (TSTCASE_METRIC_ID) REFERENCES RIDW.F_PROJ_TESTCASE_TPLN_METRICS  (TSTCASE_METRIC_ID) ON DELETE CASCADE;
  ALTER TABLE RIDW.H_PROJ_TESTCASE_TPLN_METRICS  ADD CONSTRAINT HPTSTCASEPLN_FK2 FOREIGN KEY  (TESTCASE_ID) REFERENCES RIDW.D_TESTCASE  (TESTCASE_ID) ON DELETE CASCADE;
 GRANT SELECT ON RIDW.H_PROJ_TESTCASE_TPLN_METRICS TO RPTUSER;
 DROP VIEW RIDW.VW_REQUIREMENT_HIERARCHY;
 CREATE VIEW RIDW.VW_REQUIREMENT_HIERARCHY (PRED_REQUIREMENT_ID,PRED_REQUIREMENT_NAME,SUCC_REQUIREMENT_ID,SUCC_REQUIREMENT_NAME,LINK_TYPE_ID,LINK_TYPE) AS (SELECT RC.PRED_REQUIREMENT_ID,C.NAME AS PRED_REQUIREMENT_NAME,RC.SUCC_REQUIREMENT_ID,P.NAME AS SUCC_REQUIREMENT_NAME,RC.LINK_TYPE_ID, CASE WHEN RC.LINK_TYPE_ID=-1 AND RC.LINK_TYPE IS NOT NULL THEN RC.LINK_TYPE ELSE LT.NAME END FROM RIODS.REQUIREMENT_HIERARCHY RC JOIN RIODS.REQUIREMENT C ON C.REQUIREMENT_ID=RC.PRED_REQUIREMENT_ID JOIN RIODS.REQUIREMENT P ON P.REQUIREMENT_ID=RC.SUCC_REQUIREMENT_ID JOIN RIODS.REQUIREMENT_LINK_TYPE LT ON LT.LINK_TYPE_ID=RC.LINK_TYPE_ID); 
 GRANT SELECT ON RIDW.VW_REQUIREMENT_HIERARCHY TO RPTUSER;
 CREATE VIEW RIDW.VW_REQUIREMENT_LINK_TYPE (LINK_TYPE_ID,REFERENCE_ID,EXTERNAL_ID,NAME,PROJECT_ID,PROJECT_NAME,PRED_REQUIREMENT_LINK_LABEL,SUCC_REQUIREMENT_LINK_LABEL,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED)AS (SELECT L.LINK_TYPE_ID,L.REFERENCE_ID,L.EXTERNAL_ID,L.NAME,L.PROJECT_ID,P.NAME AS PROJECT_NAME,L.PRED_REQUIREMENT_LINK_LABEL,L.SUCC_REQUIREMENT_LINK_LABEL,L.EXTERNAL_KEY1,L.EXTERNAL_KEY2,L.SOURCE_ID,L.URL,L.REC_DATETIME,L.ISSOFTDELETED FROM RIODS.REQUIREMENT_LINK_TYPE L JOIN RIODS.PROJECT P ON P.PROJECT_ID=L.PROJECT_ID); 
 GRANT SELECT ON RIDW.VW_REQUIREMENT_LINK_TYPE TO RPTUSER;
 ALTER TABLE RIODS.ACTIVITY MODIFY NAME DEFAULT 'Missing Activity Name';
  CREATE INDEX RIODS.TMP_REQUEST_IDX3 ON RIODS.TEMP_REQUEST  (EXTERNAL_KEY2)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.TMP_REQUEST_IDX4 ON RIODS.TEMP_REQUEST  (EXTERNAL_KEY1,SOURCE_ID)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.TMP_REQUEST_IDX5 ON RIODS.TEMP_REQUEST  (EXTERNAL_KEY2,SOURCE_ID)  REVERSE  TABLESPACE VNF_IDX;
  CREATE INDEX RIODS.TMP_TGHEAD ON RIODS.TEMP_TIMEGRID_HEAD  (COLUMN_ID,PROJECT_ID,SHEET)  REVERSE  TABLESPACE VNF_IDX; 
  CREATE INDEX RIODS.TMP_FP_PRJ ON RIODS.TEMP_FP_PROJECT  (MD5_URL)  REVERSE  TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.TSKSTH_IDX6 ON RIODS.TASK_STATE_HISTORY(TASK_ID) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.TASK_IDX8 ON RIODS.TASK(PROJECT_ID, TASK_ID) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.ACTI_IDX10 ON RIODS.ACTIVITY(ISSOFTDELETED, OWNER_ID, TASK_ID, ACTIVITY_ID) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.REQSTH_IDX7 ON RIODS.REQUEST_STATE_HISTORY(REQUEST_ID, REQUEST_STATE_ID) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.ACTSTH_IDX6 ON RIODS.ACTIVITY_STATE_HISTORY(ACTIVITY_ID, CHANGE_DATE) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIDW.DT_PSDWIDX ON RIDW.D_DATE(PERIOD_START_DATE, WEEK_NO) REVERSE TABLESPACE VSTR_IDX; 
 CREATE INDEX RIDW.DT_PSDMIDX ON RIDW.D_DATE(PERIOD_START_DATE, MONTH_NO) REVERSE TABLESPACE VSTR_IDX;
 CREATE INDEX RIDW.DT_PSDDIDX ON RIDW.D_DATE(PERIOD_START_DATE, DATE_ID) REVERSE TABLESPACE VSTR_IDX; 
 DROP VIEW RIDW.VW_TEST_CATEGORY; 
 CREATE VIEW RIDW.VW_TEST_CATEGORY (TEST_CATEGORY_ID,NAME,REFERENCE_ID,EXTERNAL_ID,TERM,VALUE,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,REC_DATETIME,ISSOFTDELETED) AS (SELECT TEST_CATEGORY_ID,NAME,REFERENCE_ID,EXTERNAL_ID,TERM,VALUE,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,REC_DATETIME,ISSOFTDELETED  FROM RIODS.TEST_CATEGORY); 
 GRANT SELECT ON RIDW.VW_TEST_CATEGORY TO RPTUSER;
 DROP TRIGGER RIODS.TRG_TSUTLG;
 CREATE INDEX RIODS.BLD_CRESULT_IDX6 ON RIODS.BUILD_COMPILATION_RESULT(BUILD_ID, COMPONENT_ID) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.BLD_UEVENT_IDX6 ON RIODS.BUILD_UNIT_EVENT(BUILD_ID, COMPONENT_ID, UNIT_TEST) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.BLD_URESULT_IDX6 ON RIODS.BUILD_UNIT_RESULT(BUILD_ID, COMPONENT_ID) REVERSE TABLESPACE VNF_IDX; 
 CREATE TABLE RIODS.REQUEST_RELATIONAL_LINK(REQUEST_RELATION_ID INTEGER NOT NULL, NAME VARCHAR(255) DEFAULT 'Relation Link Name Missing' NOT NULL, REFERENCE_ID VARCHAR(50), EXTERNAL_ID VARCHAR(100), REQUEST1_ID INTEGER NOT NULL, REQUEST2_ID INTEGER NOT NULL, URL VARCHAR(2048), EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL, EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL, REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL) TABLESPACE VNF_32K; 
 CREATE INDEX RIODS.REQRELT_IDX3 ON RIODS.REQUEST_RELATIONAL_LINK(EXTERNAL_KEY2) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.REQRELT_IDX4 ON RIODS.REQUEST_RELATIONAL_LINK(EXTERNAL_KEY1, SOURCE_ID) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.REQRELT_IDX5 ON RIODS.REQUEST_RELATIONAL_LINK(EXTERNAL_KEY2, SOURCE_ID) REVERSE TABLESPACE VNF_IDX; 
 ALTER TABLE RIODS.REQUEST_RELATIONAL_LINK ADD CONSTRAINT REQRELT_PK PRIMARY KEY(REQUEST_RELATION_ID) USING INDEX TABLESPACE VNF_IDX; 
 ALTER TABLE RIODS.REQUEST_RELATIONAL_LINK ADD CONSTRAINT REQRELT_FK1 FOREIGN KEY (REQUEST1_ID) REFERENCES RIODS.REQUEST(REQUEST_ID); 
 ALTER TABLE RIODS.REQUEST_RELATIONAL_LINK ADD CONSTRAINT REQRELT_FK2 FOREIGN KEY (REQUEST2_ID) REFERENCES RIODS.REQUEST(REQUEST_ID); 
 INSERT INTO RIODS.REQUEST_RELATIONAL_LINK(REQUEST_RELATION_ID, REQUEST1_ID, REQUEST2_ID, NAME) VALUES(-1,-1,-1, 'Info not available'); 
 ALTER TABLE RIODS.REQUIREMENT_HIERARCHY DROP CONSTRAINT REQHIER_PK;
 ALTER TABLE RIODS.REQUIREMENT_HIERARCHY ADD CONSTRAINT REQHIER_PK PRIMARY KEY(PRED_REQUIREMENT_ID, SUCC_REQUIREMENT_ID, LINK_TYPE_ID); 
 CREATE TRIGGER RIODS.TRG_REQHIER 	AFTER UPDATE OF REC_DATETIME ON RIODS.REQUIREMENT 	 		  	FOR EACH ROW BEGIN      DELETE FROM RIODS.REQUIREMENT_HIERARCHY WHERE PRED_REQUIREMENT_ID=:NEW.REQUIREMENT_ID OR SUCC_REQUIREMENT_ID=:NEW.REQUIREMENT_ID; END;
 /                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
 CREATE VIEW RIDW.VW_REQUEST_RELATIONAL_LINK (REQUEST_RELATION_ID, NAME, REFERENCE_ID, EXTERNAL_ID, REQUEST1_ID, REQUEST1_NAME, REQUEST2_ID, REQUEST2_NAME, URL, EXTERNAL_KEY1, EXTERNAL_KEY2, SOURCE_ID, REC_DATETIME, ISSOFTDELETED) AS (SELECT REQU.REQUEST_RELATION_ID, REQU.NAME, REQU.REFERENCE_ID, REQU.EXTERNAL_ID, REQU.REQUEST1_ID, R.NAME AS REQUEST1_NAME, REQU.REQUEST2_ID, R1.NAME AS REQUEST2_NAME, REQU.URL, REQU.EXTERNAL_KEY1, REQU.EXTERNAL_KEY2, REQU.SOURCE_ID, REQU.REC_DATETIME, REQU.ISSOFTDELETED FROM RIODS.REQUEST_RELATIONAL_LINK REQU JOIN RIODS.REQUEST R ON R.REQUEST_ID = REQU.REQUEST1_ID JOIN RIODS.REQUEST R1 ON R1.REQUEST_ID = REQU.REQUEST2_ID);
 GRANT SELECT ON RIDW.VW_REQUEST_RELATIONAL_LINK TO RPTUSER;
 CREATE INDEX RIODS.ACTSTH_IDX7 ON RIODS.ACTIVITY_STATE_HISTORY(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.BLD_CRESULT_IDX7 ON RIODS.BUILD_COMPILATION_RESULT(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.BLD_UEVENT_IDX7 ON RIODS.BUILD_UNIT_EVENT(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.BLD_URESULT_IDX7 ON RIODS.BUILD_UNIT_RESULT(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.CHARGECODE_IDX6 ON RIODS.CHARGECODE(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.CITY_IDX6 ON RIODS.CITY(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.COMMENT_IDX6 ON RIODS."COMMENT"(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.COMPETENCY_IDX6 ON RIODS.COMPETENCY(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.COMPONENT_IDX8 ON RIODS.COMPONENT(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.CONFIG_IDX6 ON RIODS.CONFIGURATION(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.CONFIGATT_IDX6 ON RIODS.CONFIGURATION_ATTRIBUTE(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.ASETR_IDX6 ON RIODS.ASSETREGISTRY(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.CURRENCY_IDX6 ON RIODS.CURRENCY(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.CUSTOMER_IDX7 ON RIODS.CUSTOMER(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.EXECRES_IDX7 ON RIODS.EXECUTION_RESULT(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.EXECSTPRES_IDX6 ON RIODS.EXECUTION_STEP_RESULT(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.EXECWKI_IDX8 ON RIODS.EXECUTION_WORKITEM(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.FACTOR_IDX6 ON RIODS.FACTOR(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.FILE_IDX6 ON RIODS."FILE"(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.FBASELINE_IDX6 ON RIODS.FILE_BASELINE(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.FILESTR_IDX6 ON RIODS.FILE_STREAM(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.FILEVER_IDX7 ON RIODS.FILE_VERSION(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.COUNTRY_IDX6 ON RIODS.COUNTRY(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.ITERBASELINE_IDX6 ON RIODS.ITERATION_BASELINE(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.JOB_IDX6 ON RIODS.JOB(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.JOBRES_IDX6 ON RIODS.JOB_RESULT(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.LABRES_IDX6 ON RIODS.LAB_RESOURCE(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.OPERTERRI_IDX6 ON RIODS.OPERATING_TERRITORY(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.ORGANIZATION_IDX6 ON RIODS.ORGANIZATION(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.PHASE_IDX6 ON RIODS.PHASE(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.POOL_IDX6 ON RIODS.POOL(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.PORTFOLIO_IDX6 ON RIODS.PORTFOLIO(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.PRODUCT_IDX7 ON RIODS.PRODUCT(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.ITERATION_IDX7 ON RIODS.ITERATION(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.PROGRAM_IDX6 ON RIODS.PROGRAM(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.PROJALLOC_IDX6 ON RIODS.PROJECT_ALLOCATION(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.PROJBASE_IDX6 ON RIODS.PROJECT_BASELINE(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.PROJCAT_IDX6 ON RIODS.PROJECT_CATEGORY(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.PROJROLE_IDX6 ON RIODS.PROJECT_ROLE(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.PROJTYPE_IDX6 ON RIODS.PROJECT_TYPE(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.PROJWRKCFG_IDX6 ON RIODS.PROJECT_WORKCONFIGURATION(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.PROVSTATE_IDX6 ON RIODS.PROVINCE_STATE(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.RELEASE_IDX7 ON RIODS.RELEASE(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.REQCAT_IDX6 ON RIODS.REQUEST_CATEGORY(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.PROFILE_IDX6 ON RIODS."PROFILE"(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.REQP_IDX1 ON RIODS.REQUEST_PRIORITY(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.REQRELT_IDX6 ON RIODS.REQUEST_RELATIONAL_LINK(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.REQR_IDX1 ON RIODS.REQUEST_RESOLUTION(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.REQS_IDX1 ON RIODS.REQUEST_SEVERITY(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.REQSTE_IDX1 ON RIODS.REQUEST_STATE(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.REQSTH_IDX8 ON RIODS.REQUEST_STATE_HISTORY(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.REQSTS_IDX1 ON RIODS.REQUEST_STATUS(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.REQT_IDX1 ON RIODS.REQUEST_TYPE(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.REQUI_COLLECT_IDX6 ON RIODS.REQUIREMENT_COLLECTION(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.COMPTEAM_IDX6 ON RIODS.TEAM(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.REQCGNGH_IDX6 ON RIODS.REQUEST_CHANGE_HISTORY(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.RESOURCE_IDX6 ON RIODS."RESOURCE"(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.RESGRP_IDX6 ON RIODS.RESOURCE_GROUP(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.RISK_IDX6 ON RIODS.RISK(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.RISKSTH_IDX6 ON RIODS.RISK_STATE_HISTORY(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.SKILL_IDX6 ON RIODS.SKILL(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.TASK_IDX9 ON RIODS.TASK(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.TASK_BASE_IDX6 ON RIODS.TASK_BASELINE(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.TASKCAT_IDX6 ON RIODS.TASK_CATEGORY(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.TSKSTH_IDX7 ON RIODS.TASK_STATE_HISTORY(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.REQREV_IDX6 ON RIODS.REQUIREMENT_REVISION_HISTORY(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.RESERV_IDX6 ON RIODS.RESERVATION(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.TEAR_IDX1 ON RIODS.TEAM_ROLE(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.TESTCASE_IDX7 ON RIODS.TESTCASE(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.TESTPLAN_IDX7 ON RIODS.TESTPLAN(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.TESTSUITE_IDX6 ON RIODS.TESTSUITE(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.TESTSUITELOG_IDX6 ON RIODS.TESTSUITELOG(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.TSTSELE_IDX6 ON RIODS.TESTSUITE_ELEMENT(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.SUITEEXECREC_IDX6 ON RIODS.TESTSUITE_EXECUTION_RECORD(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.TESTTYPE_IDX6 ON RIODS.TESTTYPE(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.TSTCAT_IDX7 ON RIODS.TEST_CATEGORY(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIODS.TIMECODE_IDX6 ON RIODS.TIMECODE(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.TIMESHEET_IDX6 ON RIODS.TIMESHEET(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIODS.UNT_TSTRES_IDX7 ON RIODS.UNIT_TEST_RESULT(ISSOFTDELETED) REVERSE TABLESPACE VNF_IDX;
 ALTER TABLE RIODS.TEMP_REQUIREMENT MODIFY URL  VARCHAR(2048);
 DROP TRIGGER RIODS.TRG_EXWKITSUD;
 CREATE TRIGGER RIODS.TRG_EXWKITSUD	AFTER UPDATE OF REC_DATETIME ON RIODS.EXECUTION_WORKITEM	FOR EACH ROW 	DECLARE     cls INTEGER; BEGIN 		SELECT EXECWORKIT_CLASS_ID INTO CLS FROM RIODS.EXECWORKITEM_CLASSIFICATION WHERE NAME ='RQM Execution Work Item';		IF (cls<>:NEW.EXECWORKIT_CLASS_ID) THEN    	DELETE FROM RIODS.EXECWORKITEM_TESTSUITE_LOOKUP WHERE EXECWORKITEM_ID=:NEW.EXECWORKITEM_ID; END IF;END;
 /
 CREATE TRIGGER RIODS.TRG_EXWKITSUD2	AFTER UPDATE OF REC_DATETIME ON RIODS.TESTSUITE	FOR EACH ROW 	DECLARE     cls INTEGER; BEGIN 		SELECT TESTSUITE_CLASS_ID INTO cls FROM RIODS.TESTSUITE_CLASSIFICATION WHERE NAME ='RQM Test Suite';		IF (cls=:NEW.TESTSUITE_CLASS_ID) THEN     	DELETE FROM RIODS.EXECWORKITEM_TESTSUITE_LOOKUP WHERE TESTSUITE_ID=:NEW.TESTSUITE_ID; END IF;END;
 /
 DROP TRIGGER RIODS.TRG_REQITPLND;
 CREATE TRIGGER RIODS.TRG_REQITPLND	AFTER UPDATE OF REC_DATETIME ON RIODS.REQUIREMENT	FOR EACH ROW 	DECLARE     cls INTEGER; BEGIN 		SELECT REQUIREMENT_CLASS_ID INTO cls FROM RIODS.REQUIREMENT_CLASSIFICATION WHERE NAME='RQM Requirement';		IF (cls<>:NEW.REQUIREMENT_CLASS_ID) THEN    	DELETE FROM RIODS.REQUIREMENT_TESTPLAN_LOOKUP WHERE REQUIREMENT_ID=:NEW.REQUIREMENT_ID; END IF;	END;
 /
 CREATE TRIGGER RIODS.TRG_REQITPLND2	AFTER UPDATE OF REC_DATETIME ON RIODS.TESTPLAN	FOR EACH ROW 	DECLARE     cls INTEGER; BEGIN 		SELECT TESTPLAN_CLASS_ID INTO cls FROM RIODS.TESTPLAN_CLASSIFICATION WHERE NAME='RQM Test Plan';		IF (cls=:NEW.TESTPLAN_CLASS_ID) THEN    	DELETE FROM RIODS.REQUIREMENT_TESTPLAN_LOOKUP WHERE TESTPLAN_ID=:NEW.TESTPLAN_ID;END IF;	 END;
 /
 DROP TRIGGER RIODS.TRG_REQITSTCD;
 CREATE TRIGGER RIODS.TRG_REQITSTCD	AFTER UPDATE OF REC_DATETIME ON RIODS.REQUIREMENT	FOR EACH ROW 	DECLARE     cls INTEGER; BEGIN 		SELECT REQUIREMENT_CLASS_ID INTO cls FROM RIODS.REQUIREMENT_CLASSIFICATION WHERE NAME='RQM Requirement';		IF (cls <> :NEW.REQUIREMENT_CLASS_ID) THEN    	DELETE FROM RIODS.REQUIREMENT_TESTCASE_LOOKUP WHERE REQUIREMENT_ID=:NEW.REQUIREMENT_ID; END IF;END;
 /
 CREATE TRIGGER RIODS.TRG_REQITSTCD2	AFTER UPDATE OF REC_DATETIME ON RIODS.TESTCASE	FOR EACH ROW 	DECLARE     cls INTEGER; BEGIN 		SELECT TESTCASE_CLASS_ID INTO cls FROM RIODS.TESTCASE_CLASSIFICATION WHERE NAME='RQM Test Case';		IF (cls = :NEW.TESTCASE_CLASS_ID) THEN    	DELETE FROM RIODS.REQUIREMENT_TESTCASE_LOOKUP WHERE TESTCASE_ID=:NEW.TESTCASE_ID; END IF;END;
 /
 DROP TRIGGER RIODS.TRG_REQLOG; 
 CREATE TRIGGER RIODS.TRG_REQLOG	AFTER UPDATE OF REC_DATETIME ON RIODS.REQUEST    FOR EACH ROW	DECLARE     cls INTEGER;	BEGIN        SELECT REQUEST_CLASS_ID INTO cls FROM RIODS.REQUEST_CLASSIFICATION WHERE NAME ='RQM WorkItem';		IF (cls <> :NEW.REQUEST_CLASS_ID) THEN			DELETE FROM RIODS.EXECRES_REQUEST_LOOKUP WHERE REQUEST_ID=:NEW.REQUEST_ID;		END IF;END;
 /
 CREATE TRIGGER RIODS.TRG_REQLOG2	AFTER UPDATE OF REC_DATETIME ON RIODS.EXECUTION_RESULT	FOR EACH ROW 	DECLARE     cls INTEGER; BEGIN 	SELECT EXECRES_CLASS_ID INTO cls FROM RIODS.EXECRESULT_CLASSIFICATION WHERE NAME ='RQM Execution Result';	IF (cls = :NEW.EXECRES_CLASS_ID) THEN    		DELETE FROM RIODS.EXECRES_REQUEST_LOOKUP WHERE EXECUTION_RESULT_ID=:NEW.EXECUTION_RESULT_ID; 	END IF;END;
 /
 DROP TRIGGER RIODS.TRG_TSUTCASE; 
 CREATE TRIGGER RIODS.TRG_TSUTCASE	AFTER UPDATE OF REC_DATETIME ON RIODS.TESTSUITE	FOR EACH ROW BEGIN     DELETE FROM RIODS.TESTSUITE_TESTCASE_LOOKUP WHERE TESTSUITE_ID=:NEW.TESTSUITE_ID;END;
 /
 CREATE TABLE RIASSET.ASSET_CATEGORY (ASSET_CATEGORY_ID INTEGER NOT NULL, 		REFERENCE_ID VARCHAR(50), 		EXTERNAL_ID VARCHAR(100), 		NAME VARCHAR(255) DEFAULT 'Asset Category Name Missing' NOT NULL, 		FULL_PATH VARCHAR (2048), 		ROOT_FLAG INTEGER DEFAULT 0 NOT NULL, 		LEAF_FLAG INTEGER DEFAULT 0 NOT NULL, 		EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL, 		EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL, 		SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL, 		URL VARCHAR(2048), 		REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL, 		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL ) TABLESPACE VNF_32K; 
 ALTER TABLE RIASSET.ASSET_CATEGORY ADD CONSTRAINT ASSTCAT_PK PRIMARY KEY (ASSET_CATEGORY_ID) USING INDEX TABLESPACE  VNF_IDX;
 CREATE INDEX RIASSET.ASSTCAT_IDX3 ON RIASSET.ASSET_CATEGORY        (EXTERNAL_KEY2) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIASSET.ASSTCAT_IDX4 ON RIASSET.ASSET_CATEGORY        (EXTERNAL_KEY1,SOURCE_ID) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIASSET.ASSTCAT_IDX5 ON RIASSET.ASSET_CATEGORY        (EXTERNAL_KEY2,SOURCE_ID) REVERSE TABLESPACE VNF_IDX; 
 CREATE INDEX RIASSET.ASSTCAT_IDX2 ON RIASSET.ASSET_CATEGORY        (EXTERNAL_ID) REVERSE TABLESPACE VNF_IDX; 
 INSERT INTO RIASSET.ASSET_CATEGORY(ASSET_CATEGORY_ID,NAME) VALUES (-1, 'Info not available');
 CREATE TABLE RIASSET.ASSET_CAT_HIERARCHY (PARENT_CATEGORY_ID INTEGER NOT NULL, 		CHILD_CATEGORY_ID INTEGER NOT NULL ) TABLESPACE VNF_32K;
 ALTER TABLE RIASSET.ASSET_CAT_HIERARCHY ADD CONSTRAINT ASTCATCATLK_PK PRIMARY KEY (PARENT_CATEGORY_ID,CHILD_CATEGORY_ID) USING INDEX TABLESPACE  VNF_IDX;
 ALTER TABLE RIASSET.ASSET_CAT_HIERARCHY ADD CONSTRAINT ASTCATCATLK_FK1 FOREIGN KEY (PARENT_CATEGORY_ID) 	REFERENCES RIASSET.ASSET_CATEGORY (ASSET_CATEGORY_ID);
 ALTER TABLE RIASSET.ASSET_CAT_HIERARCHY ADD CONSTRAINT ASTCATCATLK_FK2 FOREIGN KEY (CHILD_CATEGORY_ID) 	REFERENCES RIASSET.ASSET_CATEGORY (ASSET_CATEGORY_ID); 
 CREATE TRIGGER RIASSET.TRG_ASSTCAT  AFTER UPDATE OF REC_DATETIME ON RIASSET.ASSET_CATEGORY 	FOR EACH ROW  BEGIN      	DELETE FROM RIASSET.ASSET_CAT_HIERARCHY WHERE (PARENT_CATEGORY_ID=:NEW.ASSET_CATEGORY_ID) OR (CHILD_CATEGORY_ID=:NEW.ASSET_CATEGORY_ID) ;END;
 /
 CREATE TABLE RIASSET.ASSET_ATTRIBUTE (ASSET_ATTRIBUTE_ID INTEGER NOT NULL, 		REFERENCE_ID VARCHAR(50), 		EXTERNAL_ID VARCHAR(100), 		NAME VARCHAR(255) DEFAULT 'Asset Attribute Name Missing' NOT NULL, 		ASSET_ID INTEGER DEFAULT -1 NOT NULL, 		EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL, 		EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL, 		SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL, 		URL VARCHAR(2048), 		REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL, 		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL ) TABLESPACE VNF_32K; 
 CREATE INDEX RIASSET.ASSTATTR_IDX3 ON RIASSET.ASSET_ATTRIBUTE       (EXTERNAL_KEY2) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIASSET.ASSTATTR_IDX4 ON RIASSET.ASSET_ATTRIBUTE       (EXTERNAL_KEY1,SOURCE_ID) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIASSET.ASSTATTR_IDX5 ON RIASSET.ASSET_ATTRIBUTE       (EXTERNAL_KEY2,SOURCE_ID) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIASSET.ASSTATTR_IDX2 ON RIASSET.ASSET_ATTRIBUTE       (EXTERNAL_ID) REVERSE TABLESPACE VNF_IDX;
 ALTER TABLE RIASSET.ASSET_ATTRIBUTE ADD CONSTRAINT ASSTATTR_PK PRIMARY KEY (ASSET_ATTRIBUTE_ID) USING INDEX TABLESPACE  VNF_IDX;
 ALTER TABLE RIASSET.ASSET_ATTRIBUTE ADD CONSTRAINT ASSTATTR_FK1 FOREIGN KEY (ASSET_ID) 	REFERENCES RIASSET.ASSET (ASSET_ID); 
 INSERT INTO RIASSET.ASSET_ATTRIBUTE	(ASSET_ATTRIBUTE_ID,NAME) VALUES (-1, 'Info not available'); 
 CREATE TABLE RIASSET.ASSET_ATTRIBUTE_VALUE (ASSET_ATTRIBUTE_VALUE_ID INTEGER NOT NULL, 		REFERENCE_ID VARCHAR(50), 		EXTERNAL_ID VARCHAR(100), 		NAME VARCHAR(255) DEFAULT 'Asset Attribute Value Name Missing' NOT NULL, 		ASSET_ATTRIBUTE_ID INTEGER DEFAULT -1 NOT NULL, 		EXTERNAL_KEY1 INTEGER DEFAULT -1 NOT NULL, 		EXTERNAL_KEY2 CHAR(40) DEFAULT '-1' NOT NULL, 		SOURCE_ID VARCHAR(36) DEFAULT '-1' NOT NULL, 		URL VARCHAR(2048), 		REC_DATETIME TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL, 		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL ) TABLESPACE VNF_32K; 
 ALTER TABLE RIASSET.ASSET_ATTRIBUTE_VALUE ADD CONSTRAINT ASSTATRVAL_PK PRIMARY KEY (ASSET_ATTRIBUTE_VALUE_ID) USING INDEX TABLESPACE  VNF_IDX; 
 CREATE INDEX RIASSET.ASSTATRVAL_IDX3 ON RIASSET.ASSET_ATTRIBUTE_VALUE (EXTERNAL_KEY2) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIASSET.ASSTATRVAL_IDX4 ON RIASSET.ASSET_ATTRIBUTE_VALUE (EXTERNAL_KEY1,SOURCE_ID) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIASSET.ASSTATRVAL_IDX5 ON RIASSET.ASSET_ATTRIBUTE_VALUE (EXTERNAL_KEY2,SOURCE_ID) REVERSE TABLESPACE VNF_IDX;
 CREATE INDEX RIASSET.ASSTATRVAL_IDX2 ON RIASSET.ASSET_ATTRIBUTE_VALUE (EXTERNAL_ID) REVERSE TABLESPACE VNF_IDX;
 ALTER TABLE RIASSET.ASSET_ATTRIBUTE_VALUE ADD CONSTRAINT ASSTATRVAL_FK1 FOREIGN KEY (ASSET_ATTRIBUTE_ID) 	REFERENCES RIASSET.ASSET_ATTRIBUTE (ASSET_ATTRIBUTE_ID); 
 INSERT INTO RIASSET.ASSET_ATTRIBUTE_VALUE	(ASSET_ATTRIBUTE_VALUE_ID,NAME) VALUES (-1, 'Info not available'); 
 CREATE TABLE RIASSET.ASSET_CAT_ASSET_LOOKUP (ASSET_CATEGORY_ID INTEGER NOT NULL, 		ASSET_ID INTEGER NOT NULL, 		FULL_PATH VARCHAR(2048) NOT NULL ) TABLESPACE VNF_32K; 
 ALTER TABLE RIASSET.ASSET_CAT_ASSET_LOOKUP ADD CONSTRAINT ASTCATASSTLK_PK PRIMARY KEY (ASSET_CATEGORY_ID,ASSET_ID) USING INDEX TABLESPACE  VNF_IDX;
 ALTER TABLE RIASSET.ASSET_CAT_ASSET_LOOKUP ADD CONSTRAINT ASTCATASSTLK_FK1 FOREIGN KEY (ASSET_CATEGORY_ID) 	REFERENCES RIASSET.ASSET_CATEGORY (ASSET_CATEGORY_ID); 
 ALTER TABLE RIASSET.ASSET_CAT_ASSET_LOOKUP ADD CONSTRAINT ASTCATASSTLK_FK2 FOREIGN KEY (ASSET_ID) 	REFERENCES RIASSET.ASSET (ASSET_ID);
 CREATE TRIGGER RIASSET.TRG_ASSTCATAST  AFTER UPDATE OF REC_DATETIME ON RIASSET.ASSET 	FOR EACH ROW  BEGIN      	DELETE FROM RIASSET.ASSET_CAT_ASSET_LOOKUP WHERE (ASSET_ID=:NEW.ASSET_ID);END;
 /
 CREATE VIEW RIDW.VW_ASSET_ATTRIBUTE(ASSET_ATTRIBUTE_ID,REFERENCE_ID,EXTERNAL_ID,NAME,ASSET_ID,ASSET_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED) AS  (SELECT A.ASSET_ATTRIBUTE_ID,A.REFERENCE_ID,A.EXTERNAL_ID,A.NAME,A.ASSET_ID,AA.NAME AS ASSET_NAME,A.EXTERNAL_KEY1,A.EXTERNAL_KEY2,A.SOURCE_ID,A.URL,A.REC_DATETIME,A.ISSOFTDELETED FROM  RIASSET.ASSET_ATTRIBUTE A JOIN  RIASSET.ASSET AA ON AA.ASSET_ID=A.ASSET_ID); 
 GRANT SELECT ON RIDW.VW_ASSET_ATTRIBUTE TO  RPTUSER; 
 CREATE VIEW RIDW.VW_ASSET_ATTRIBUTE_VALUE (ASSET_ATTRIBUTE_VALUE_ID,REFERENCE_ID,EXTERNAL_ID,NAME,ASSET_ATTRIBUTE_ID,ASSET_ATTRIBUTE_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED) AS (SELECT V.ASSET_ATTRIBUTE_VALUE_ID,V.REFERENCE_ID,V.EXTERNAL_ID,V.NAME,V.ASSET_ATTRIBUTE_ID,A.NAME AS ASSET_ATTRIBUTE_NAME,V.EXTERNAL_KEY1,V.EXTERNAL_KEY2,V.SOURCE_ID,V.URL,V.REC_DATETIME,V.ISSOFTDELETED FROM  RIASSET.ASSET_ATTRIBUTE_VALUE V JOIN  RIASSET.ASSET_ATTRIBUTE A ON A.ASSET_ATTRIBUTE_ID=V.ASSET_ATTRIBUTE_ID);
 GRANT SELECT ON RIDW.VW_ASSET_ATTRIBUTE_VALUE TO  RPTUSER; 
 CREATE VIEW RIDW.VW_ASSET_CAT_HIERARCHY (PARENT_CATEGORY_ID,PARENT_CATEGORY_NAME,CHILD_CATEGORY_ID,CHILD_CATEGORY_NAME)  AS (SELECT T.PARENT_CATEGORY_ID,P.NAME AS PARENT_CATEGORY_NAME,T.CHILD_CATEGORY_ID,C.NAME AS CHILD_CATEGORY_NAME FROM   RIASSET.ASSET_CAT_HIERARCHY T JOIN  RIASSET.ASSET_CATEGORY P ON P.ASSET_CATEGORY_ID = T.PARENT_CATEGORY_ID JOIN  RIASSET.ASSET_CATEGORY C ON C.ASSET_CATEGORY_ID = T.CHILD_CATEGORY_ID);
 GRANT SELECT ON RIDW.VW_ASSET_CAT_HIERARCHY TO  RPTUSER; 
 CREATE VIEW RIDW.VW_ASSET_CAT_ASSET_LOOKUP (ASSET_CATEGORY_ID,ASSET_CATEGORY_NAME,ASSET_ID,ASSET_NAME,FULL_PATH) AS  (SELECT A.ASSET_CATEGORY_ID,AA.NAME AS ASSET_CATEGORY_NAME,A.ASSET_ID,ATT.NAME AS ASSET_NAME,A.FULL_PATH FROM  RIASSET.ASSET_CAT_ASSET_LOOKUP A JOIN  RIASSET.ASSET_CATEGORY AA ON AA.ASSET_CATEGORY_ID=A.ASSET_CATEGORY_ID JOIN  RIASSET.ASSET ATT ON ATT.ASSET_ID=A.ASSET_ID);
 GRANT SELECT ON RIDW.VW_ASSET_CAT_ASSET_LOOKUP TO  RPTUSER;
 CREATE VIEW RIDW.VW_ASSET_CATEGORY ( ASSET_CATEGORY_ID,REFERENCE_ID,EXTERNAL_ID,NAME,FULL_PATH,ROOT_FLAG,LEAF_FLAG,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME, ISSOFTDELETED) AS  (SELECT ASSET_CATEGORY_ID,REFERENCE_ID,EXTERNAL_ID,NAME,FULL_PATH,ROOT_FLAG,LEAF_FLAG,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME, ISSOFTDELETED FROM  RIASSET.ASSET_CATEGORY); 
 GRANT SELECT ON RIDW.VW_ASSET_CATEGORY TO  RPTUSER; 
 DROP TRIGGER RIODS.TRG_REQUTCASE; 
 CREATE TRIGGER RIODS.TRG_REQUTCASE AFTER UPDATE OF REC_DATETIME ON RIODS.TESTCASE FOR EACH ROW BEGIN DELETE FROM RIODS.REQUEST_TESTCASE_LOOKUP WHERE TESTCASE_ID=:NEW.TESTCASE_ID;END; 
/                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
 ALTER TABLE RIDW.D_DATE MODIFY DAY_NAME  VARCHAR(60);
 ALTER TABLE RIDW.D_DATE MODIFY MONTH_NAME  VARCHAR(60);
 DROP VIEW RIDW.VW_PROJECT_RESOURCE_LOOKUP;
 CREATE VIEW RIDW.VW_PROJECT_RESOURCE_LOOKUP(PROJECT_ID,PROJECT_NAME,RESOURCE_ID,RESOURCE_NAME) AS (SELECT PR.PROJECT_ID,P.NAME AS PROJECT_NAME,PR.RESOURCE_ID,CASE WHEN R.REFERENCE_ID IS NOT NULL THEN R.REFERENCE_ID ELSE R.FULL_NAME END AS RESOURCE_NAME FROM RIODS.PROJECT_RESOURCE_LOOKUP PR JOIN RIODS.PROJECT P ON P.PROJECT_ID=PR.PROJECT_ID JOIN RIODS."RESOURCE" R ON R.RESOURCE_ID=PR.RESOURCE_ID);
 GRANT SELECT ON RIDW.VW_PROJECT_RESOURCE_LOOKUP TO RPTUSER; 
 
DROP VIEW RIDW.VW_REQUIREMENT_TESTPLAN_LOOKUP;

CREATE VIEW RIDW.VW_REQUIREMENT_TESTPLAN_LOOKUP (TESTPLAN_ID, TESTPLAN_NAME, REQUIREMENT_ID, REQUIREMENT_NAME) AS
 ( SELECT RC.TESTPLAN_ID, C.NAME AS TESTPLAN_NAME, RC.REQUIREMENT_ID, R.NAME AS REQUIREMENT_NAME FROM   RIODS.REQUIREMENT_TESTPLAN_LOOKUP RC JOIN  RIODS.REQUIREMENT R ON R.REQUIREMENT_ID=RC.REQUIREMENT_ID JOIN  RIODS.TESTPLAN C ON C.TESTPLAN_ID=RC.TESTPLAN_ID
 UNION
SELECT  RT.TESTPLAN_ID, T.NAME AS TESTPLAN_NAME, RRL.REQUIREMENT_ID, R.NAME AS REQUIREMENT_NAME
FROM  RIODS.REQUICOL_TESTPLAN_LOOKUP RT JOIN  RIODS.REQUIREMENT_COLLECTION RC ON RC.REQUIREMENT_COLLECTION_ID=RT.REQUIREMENT_COLLECTION_ID JOIN  RIODS.TESTPLAN T ON T.TESTPLAN_ID=RT.TESTPLAN_ID
JOIN  RIODS.REQUICOL_REQUIREMENT_LOOKUP RRL ON RRL.REQUIREMENT_COLLECTION_ID=RT.REQUIREMENT_COLLECTION_ID
JOIN  RIODS.REQUIREMENT R ON R.REQUIREMENT_ID=RRL.REQUIREMENT_ID);

GRANT SELECT ON RIDW.VW_REQUIREMENT_TESTPLAN_LOOKUP TO RPTUSER; 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
UPDATE CONFIG.SYSCONFIG_INFO SET CHAR_VALUE='1.0.1.1' WHERE INFO_ID=6;
UPDATE CONFIG.SYSCONFIG_INFO SET INT_VALUE=1  WHERE INFO_ID=8;